libname bm2 "d:\timss\data\bm2";

%include "d:\Timss\Programs\jackgen.sas";

data student;
 set bm2.bsgallm2;
  where nmiss(bsdgstdt) = 0 and intms99 = 1 and idgrader = 2;

* Define the format for the variables used;
proc format library=work;
 value country
 036= 'AUSTRALIA         '   956= 'BELGIUM (Flemish) '   100= 'BULGARIA          '
 124= 'CANADA            '   152= 'CHILE             '   196= 'CYPRUS            '
 203= 'CZECH REP.        '   926= 'ENGLAND           '   246= 'FINLAND           '
 344= 'HONG KONG         '   348= 'HUNGARY           '   360= 'INDONESIA         '
 364= 'IRAN, ISLAMIC REP.'   376= 'ISRAEL            '   380= 'ITALY             '
 400= 'JORDAN            '   392= 'JAPAN             '   410= 'KOREA, REP. OF    '
 440= 'LITHUANIA         '   428= 'LATVIA            '   504= 'MOROCCO           '
 498= 'MOLDOVA, REP. OF  '   807= 'MACEDONIA, REP. OF'   458= 'MALAYSIA          '
 528= 'NETHERLANDS       '   554= 'NEW ZEALAND       '   608= 'PHILIPPINES       '
 642= 'ROMANIA           '   643= 'RUSSIAN FEDERATION'   702= 'SINGAPORE         '
 703= 'SLOVAK REP.       '   705= 'SLOVENIA          '   764= 'THAILAND          '
 788= 'TUNISIA           '   792= 'TURKEY            '   158= 'CHINESE TAIPEI    '
 840= 'UNITED STATES     '   710= 'SOUTH AFRICA      ';

%jackgen (totwgt , jkzone, jkrep, 75, idcntry, bsdgstdt, student);

proc print data=final noobs;
     by idcntry ;
     var N totwgt mnx mnx_se pct pct_se;
     format idcntry country. 
            n 6.0 totwgt 10.0 mnx pct mnx_se pct_se 6.2;

run;
