
get file = "d:\timss\data\bm2\bsgallm2.sav"
   / keep=idcntry idstud idgrader jkrep jkzone totwgt
          itsex bsssci01 to bsssci05 intms99.

select if (itsex=1 or itsex=2) and intms99=1 and idgrader = 2.

save outfile = student.

include "d:\timss\programs\jackpv.sps".
jackpv infile= student  /
       cvar  = idcntry itsex /
       pvs   = BSSSCI01 TO BSSSCI05 /
       npv   = 5        /
       jkz   = JKZONE   /
       jkr   = JKREP    /
       njkz  = 75       /
       WGT   = TOTWGT   .

print formats idcntry itsex n (F6.0) totwgt (f10.0)
      mnpv mnpv_se mnx mnx_se pct pct_se (f6.2).

report format=list
 / var = idcntry itsex n totwgt mnpv mnpv_se mnx mnx_se pct pct_se.
