SET DECIMAL = DOT.

define create (country=!charend('/')).

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,bcg,!cty,'m1.dat"').
!let !savdata = !concat('"',!savpath,bcg,!cty,'m1.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /VERSION     1-   2     
  IDCNTRY     3-   7     
  IDPOP       8-   8     
  IDSCHOOL    9-  14     
  BCBGCOMM   15-  15     
  BCBGGRPK   16-  16     
  BCBGGRK    17-  17     
  BCBGGR1    18-  18     
  BCBGGR2    19-  19     
  BCBGGR3    20-  20     
  BCBGGR4    21-  21     
  BCBGGR5    22-  22     
  BCBGGR6    23-  23     
  BCBGGR7    24-  24     
  BCBGGR8    25-  25     
  BCBGGR9    26-  26     
  BCBGGR10   27-  27     
  BCBGGR11   28-  28     
  BCBGGR12   29-  29     
  BCBGGR13   30-  30     
  BCBGFTE1   31-  34 (1)
  BCBGFTE2   35-  38 (1)
  BCBGFTE3   39-  42 (1)
  BCBGFTE4   43-  47 (1)
  BCBGFTE5   48-  52 (1)
  BCBGFTE6   53-  57 (1)
  BCBGFTE7   58-  62 (1)
  BCBGFTE8   63-  67 (1)
  BCBGFTTE   68-  70     
  BCBGPTTE   71-  73     
  BCBGTE5Y   74-  76     
  BCBMTEAC   77-  79     
  BCBMNONE   80-  82     
  BCBSTEAC   83-  85     
  BCBSNONE   86-  88     
  BCBGTEAC   89-  91     
  BCBGNONE   92-  94     
  BCBGSAME   95-  95     
  BCBMRELW   96-  97     
  BCBMTEAW   98-  99     
  BCBSRELW  100- 101     
  BCBSTEAW  102- 103     
  BCBGCOL1  104- 104     
  BCBGCOL2  105- 105     
  BCBGCOL3  106- 106     
  BCBGAC01  107- 109     
  BCBGAC02  110- 112     
  BCBGAC03  113- 115     
  BCBGAC04  116- 118     
  BCBGAC05  119- 121     
  BCBGAC06  122- 124     
  BCBGAC07  125- 127     
  BCBGAC08  128- 130     
  BCBGAC09  131- 133     
  BCBGAC10  134- 136     
  BCBGAC11  137- 139     
  BCBGAC12  140- 142     
  BCBGAC13  143- 145     
  BCBGAC14  146- 148     
  BCBGRP01  149- 149     
  BCBGRP02  150- 150     
  BCBGRP03  151- 151     
  BCBGRP04  152- 152     
  BCBGRP05  153- 153     
  BCBGRP06  154- 154     
  BCBGRP07  155- 155     
  BCBGRP08  156- 156     
  BCBGRP09  157- 157     
  BCBGRP10  158- 158     
  BCBGRP11  159- 159     
  BCBGRP12  160- 160     
  BCBGRP13  161- 161     
  BCBGRP14  162- 162     
  BCBGIF01  163- 163     
  BCBGIF02  164- 164     
  BCBGIF03  165- 165     
  BCBGIF04  166- 166     
  BCBGIF05  167- 167     
  BCBGIF06  168- 168     
  BCBGIF07  169- 169     
  BCBGIF08  170- 170     
  BCBGIF09  171- 171     
  BCBGIF10  172- 172     
  BCBGIF11  173- 173     
  BCBGIF12  174- 174     
  BCBGIF13  175- 175     
  BCBGIF14  176- 176     
  BCBGIF15  177- 177     
  BCBMCURR  178- 178     
  BCBSCURR  179- 179     
  BCBGCOM1  180- 182     
  BCBGCOM2  183- 185     
  BCBGCOM3  186- 188     
  BCBGCOM4  189- 191     
  BCBGCOM5  192- 194     
  BCBGST01  195- 195     
  BCBGST02  196- 196     
  BCBGST03  197- 197     
  BCBGST04  198- 198     
  BCBGST05  199- 199     
  BCBGST06  200- 200     
  BCBMST07  201- 201     
  BCBMST08  202- 202     
  BCBMST09  203- 203     
  BCBMST10  204- 204     
  BCBMST11  205- 205     
  BCBSST12  206- 206     
  BCBSST13  207- 207     
  BCBSST14  208- 208     
  BCBSST15  209- 209     
  BCBSST16  210- 210     
  BCBSST17  211- 211     
  BCBGBENR  212- 216     
  BCBGGENR  217- 221     
  BCBGABST  222- 224     
  BCBGENDY  225- 227     
  BCBGTNSF  228- 230     
  BCBGLBER  231- 233     
  BCBGLGER  234- 236     
  BCBGLBRT  237- 239     
  BCBGLGRT  240- 242     
  BCBGLSIZ  243- 245     
  BCBGLMGR  246- 248     
  BCBMLBER  249- 251     
  BCBMLGER  252- 254     
  BCBSLBER  255- 257     
  BCBSLGER  258- 260     
  BCBGUBER  261- 264     
  BCBGUGER  265- 268     
  BCBGUBRT  269- 271     
  BCBGUGRT  272- 274     
  BCBGUSIZ  275- 277     
  BCBGUMGR  278- 280     
  BCBMUBER  281- 283     
  BCBMUGER  284- 286     
  BCBSUBER  287- 289     
  BCBSUGER  290- 292     
  BCBGUO01  293- 293     
  BCBGUP01  294- 296     
  BCBGUO02  297- 297     
  BCBGUP02  298- 300     
  BCBGUO03  301- 301     
  BCBGUP03  302- 304     
  BCBGUO04  305- 305     
  BCBGUP04  306- 308     
  BCBGUO05  309- 309     
  BCBGUP05  310- 312     
  BCBGUO06  313- 313     
  BCBGUP06  314- 316     
  BCBGUO07  317- 317     
  BCBGUP07  318- 320     
  BCBGUO08  321- 321     
  BCBGUP08  322- 324     
  BCBGUO09  325- 325     
  BCBGUP09  326- 328     
  BCBGUO10  329- 329     
  BCBGUP10  330- 332     
  BCBGUO11  333- 333     
  BCBGUP11  334- 336     
  BCBGUO12  337- 337     
  BCBGUP12  338- 340     
  BCBGUO13  341- 341     
  BCBGUP13  342- 344     
  BCBGUO14  345- 345     
  BCBGUP14  346- 348     
  BCBGUO15  349- 349     
  BCBGUP15  350- 352     
  BCBGUO16  353- 353     
  BCBGUP16  354- 356     
  BCBGUO17  357- 357     
  BCBGUP17  358- 360     
  BCBGUO18  361- 361     
  BCBGUP18  362- 364     
  BCBGINST  365- 365     
  BCBGLDYY  366- 368     
  BCBGUDYY  369- 371     
  BCBGLFLW  372- 373     
  BCBGUFLW  374- 375     
  BCBGLHFW  376- 377     
  BCBGUHFW  378- 379     
  BCBGLTHW  380- 381     
  BCBGUTHW  382- 383     
  BCBGLIHW  384- 385     
  BCBGUIHW  386- 387     
  BCBGDIVI  388- 388     
  BCBGLPDW  389- 390     
  BCBGUPDW  391- 392     
  BCBGLTMP  393- 395     
  BCBGUTMP  396- 398     
  BCBMRMDL  399- 399     
  BCBMRMD1  400- 400     
  BCBMRMD2  401- 401     
  BCBMRMD3  402- 402     
  BCBMRMD4  403- 403     
  BCBSRMDL  404- 404     
  BCBSRMD1  405- 405     
  BCBSRMD2  406- 406     
  BCBSRMD3  407- 407     
  BCBSRMD4  408- 408     
  BCBMENRH  409- 409     
  BCBMENR1  410- 410     
  BCBMENR2  411- 411     
  BCBMENR3  412- 412     
  BCBMENR4  413- 413     
  BCBSENRH  414- 414     
  BCBSENR1  415- 415     
  BCBSENR2  416- 416     
  BCBSENR3  417- 417     
  BCBSENR4  418- 418     
  BCBMUSCO  419- 419     
  BCBMUC1   420- 422     
  BCBMUC2   423- 424     
  BCBMUC3   425- 426     
  BCBMUC41  427- 429     
  BCBMUC42  430- 432     
  BCBMUC51  433- 435     
  BCBMUC52  436- 438     
  BCBMUC61  439- 440     
  BCBMUC62  441- 442     
  BCBMUFC1  443- 443     
  BCBMUFC2  444- 444     
  BCBMUFC3  445- 445     
  BCBMUFC4  446- 446     
  BCBMUFC5  447- 447     
  BCBMUFC6  448- 448     
  BCBMUFC7  449- 449     
  BCBMUFC8  450- 450     
  BCBSUSCO  451- 451     
  BCBSUC1   452- 454     
  BCBSUC2   455- 456     
  BCBSUC3   457- 458     
  BCBSUC41  459- 461     
  BCBSUC42  462- 464     
  BCBSUC51  465- 467     
  BCBSUC52  468- 470     
  BCBSUC61  471- 472     
  BCBSUC62  473- 474     
  BCBSUFC1  475- 475     
  BCBSUFC2  476- 476     
  BCBSUFC3  477- 477     
  BCBSUFC4  478- 478     
  BCBSUFC5  479- 479     
  BCBSUFC6  480- 480     
  BCBSUFC7  481- 481     
  BCBSUFC8  482- 482     
  BCBGSTD1  483- 485     
  BCBGSTD2  486- 488     
  BCBGSTD3  489- 491     
  BCBGSTD4  492- 494     
  BCBGSTD5  495- 497     
  BCBGSTD6  498- 500     
  BCBGSTD7  501- 503     
  BCBGSTD8  504- 506     
  BCBGBS01  507- 507     
  BCBGBS02  508- 508     
  BCBGBS03  509- 509     
  BCBGBS04  510- 510     
  BCBGBS05  511- 511     
  BCBGBS06  512- 512     
  BCBGBS07  513- 513     
  BCBGBS08  514- 514     
  BCBGBS09  515- 515     
  BCBGBS10  516- 516     
  BCBGBS11  517- 517     
  BCBGBS12  518- 518     
  BCBGBS13  519- 519     
  BCDGAAIT  520- 525 (1)
  BCDGAYTS  526- 531 (1)
  BCDGPHSI  532- 536 (1)
  BCDGSTRA  537- 541 (1)
  BCDGTENR  542- 547 (1)
  BCDGUTER  548- 552 (1)
  BCDGUTRT  553- 556 (1)
  WGTFAC1   557- 563 (2)
  WGTADJ1   564- 569 (3)
  SCHWGT    570- 577 (3)
  STOTWGTL  578- 585 (2)
  STOTWGTU  586- 593 (2)
  STOTWGTE  594- 601 (2)
  BCDGADMN  602- 609 (3)
  BCDMASR   610- 610     
  BCDSASR   611- 611     
  BCDGCMUN  612- 619 (3)
  BCDGINST  620- 627 (3)
  BCDGTEAC  628- 635 (3)
  JKCZONE   636- 637     
  JKCREP    638- 638     
  DPCDATE   639- 644     .


*NOTE: Assignment of variable labels.

variable labels   VERSION  "*FILE VERSION*" 
                 /IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /BCBGCOMM "GEN\TYPE OF COMMUNITY" 
                 /BCBGGRPK "GEN\GRADE LEVELS\PRE-KINDERGARTEN" 
                 /BCBGGRK  "GEN\GRADE LEVELS\KINDERGARTEN" 
                 /BCBGGR1  "GEN\GRADE LEVELS\GRADE 1" 
                 /BCBGGR2  "GEN\GRADE LEVELS\GRADE 2" 
                 /BCBGGR3  "GEN\GRADE LEVELS\GRADE 3" 
                 /BCBGGR4  "GEN\GRADE LEVELS\GRADE 4" 
                 /BCBGGR5  "GEN\GRADE LEVELS\GRADE 5" 
                 /BCBGGR6  "GEN\GRADE LEVELS\GRADE 6" 
                 /BCBGGR7  "GEN\GRADE LEVELS\GRADE 7" 
                 /BCBGGR8  "GEN\GRADE LEVELS\GRADE 8" 
                 /BCBGGR9  "GEN\GRADE LEVELS\GRADE 9" 
                 /BCBGGR10 "GEN\GRADE LEVELS\GRADE 10" 
                 /BCBGGR11 "GEN\GRADE LEVELS\GRADE 11" 
                 /BCBGGR12 "GEN\GRADE LEVELS\GRADE 12" 
                 /BCBGGR13 "GEN\GRADE LEVELS\GRADE 13" 
                 /BCBGFTE1 "GEN\STAFF\PRINCIPALS" 
                 /BCBGFTE2 "GEN\STAFF\ASSISTANT PRINCIPALS" 
                 /BCBGFTE3 "GEN\STAFF\DEPARTMENT HEADS" 
                 /BCBGFTE4 "GEN\STAFF\CLASSROOM TEACHERS" 
                 /BCBGFTE5 "GEN\STAFF\TEACHER AIDES" 
                 /BCBGFTE6 "GEN\STAFF\LABORATORY TECHNICIANS" 
                 /BCBGFTE7 "GEN\STAFF\LEARNING SPECIALISTS" 
                 /BCBGFTE8 "GEN\STAFF\OTHER PROFESSIONAL STAFF" 
                 /BCBGFTTE "GEN\NUMBER OF FULL-TIME TEACHERS" 
                 /BCBGPTTE "GEN\NUMBER OF PART-TIME TEACHERS" 
                 /BCBGTE5Y "GEN\TEACHER AT SCHOOL FOR 5+ YEARS" 
                 /BCBMTEAC "MAT\%TEACHER\75%+ IN MATHEMATICS" 
                 /BCBMNONE "MAT\%TEACHER\NO MATHEMATICS" 
                 /BCBSTEAC "SCI\%TEACHER\75%+ IN SCIENCE" 
                 /BCBSNONE "SCI\%TEACHER\NO SCIENCE" 
                 /BCBGTEAC "GEN\%TEACHER\75%+ IN MATH+SCIENCE" 
                 /BCBGNONE "GEN\%TEACHER\NO MATH OR SCIENCE" 
                 /BCBGSAME "GEN\TIME STUDENTS STAY WITH TEACHER" 
                 /BCBMRELW "MAT\MATH RELATED WORK PER WEEK" 
                 /BCBMTEAW "MAT\TEACH MATH CLASSES PER WEEK" 
                 /BCBSRELW "SCI\SCIENCE RELATED WORK PER WEEK" 
                 /BCBSTEAW "SCI\TEACH SCIENCE CLASSES PER WEEK" 
                 /BCBGCOL1 "GEN\COOPERATION\OFFICIAL POLICY" 
                 /BCBGCOL2 "GEN\COOPERATION\ENCOURAGED" 
                 /BCBGCOL3 "GEN\COOPERATION\REGULAR MEETINGS" 
                 /BCBGAC01 "GEN\PRINCIPAL\HIRE TEACHERS" 
                 /BCBGAC02 "GEN\PRINCIPAL\REPRESENT\COMMUNITY" 
                 /BCBGAC03 "GEN\PRINCIPAL\REPRESENT\OFFCL MEETNG" 
                 /BCBGAC04 "GEN\PRINCIPAL\INTERNAL ADMINISTRATN" 
                 /BCBGAC05 "GEN\PRINCIPAL\TEACHING + PREPARATION" 
                 /BCBGAC06 "GEN\PRINCIPAL\DEMONSTRATION LESSON" 
                 /BCBGAC07 "GEN\PRINCIPAL\DISCUSS WITH TEACHERS" 
                 /BCBGAC08 "GEN\PRINCIPAL\CURRICULUM REVISION" 
                 /BCBGAC09 "GEN\PRINCIPAL\TALK WITH PARENTS" 
                 /BCBGAC10 "GEN\PRINCIPAL\COUNSELING STUDENTS" 
                 /BCBGAC11 "GEN\PRINCIPAL\RESPONDING TO REQUESTS" 
                 /BCBGAC12 "GEN\PRINCIPAL\TRAIN TEACHERS" 
                 /BCBGAC13 "GEN\PRINCIPAL\PROFESSIONAL DEVELPMNT" 
                 /BCBGAC14 "GEN\PRINCIPAL\OTHER ACTIVITIES" 
                 /BCBGRP01 "GEN\RESPONSIBLE\HIRE TEACHERS" 
                 /BCBGRP02 "GEN\RESPONSIBLE\DISCIPLINARY POLICY" 
                 /BCBGRP03 "GEN\RESPONSIBLE\GRADING POLICY" 
                 /BCBGRP04 "GEN\RESPONSIBLE\SCHOOL BUDGET" 
                 /BCBGRP05 "GEN\RESPONSIBLE\PURCHASE SUPPLIES" 
                 /BCBGRP06 "GEN\RESPONSIBLE\PLACE STUDENTS" 
                 /BCBGRP07 "GEN\RESPONSIBLE\ASSIGN TEACHERS" 
                 /BCBGRP08 "GEN\RESPONSIBLE\DETERMINE TEXTBOOKS" 
                 /BCBGRP09 "GEN\RESPONSIBLE\HOMEWORK POLICY" 
                 /BCBGRP10 "GEN\RESPONSIBLE\TEACHER SALARIES" 
                 /BCBGRP11 "GEN\RESPONSIBLE\COMMUNITY RELATIONS" 
                 /BCBGRP12 "GEN\RESPONSIBLE\STUDENTS' FAMILIES" 
                 /BCBGRP13 "GEN\RESPONSIBLE\COURSE CONTENT" 
                 /BCBGRP14 "GEN\RESPONSIBLE\COURSE OFFERINGS" 
                 /BCBGIF01 "GEN\INFLUENCE\NATIONAL COUNCIL" 
                 /BCBGIF02 "GEN\INFLUENCE\NATIONAL ASSOCIATION" 
                 /BCBGIF03 "GEN\INFLUENCE\EDUCATIONAL REGION" 
                 /BCBGIF04 "GEN\INFLUENCE\SCHOOL GOVERNING BOARD" 
                 /BCBGIF05 "GEN\INFLUENCE\PRINCIPAL OR HEAD" 
                 /BCBGIF06 "GEN\INFLUENCE\SCHOOL TEACHERS" 
                 /BCBGIF07 "GEN\INFLUENCE\SUBJECT TEACHERS" 
                 /BCBGIF08 "GEN\INFLUENCE\TEACHER INDIVIDUALLY" 
                 /BCBGIF09 "GEN\INFLUENCE\PARENTS" 
                 /BCBGIF10 "GEN\INFLUENCE\STUDENTS" 
                 /BCBGIF11 "GEN\INFLUENCE\RELIGIOUS GROUPS" 
                 /BCBGIF12 "GEN\INFLUENCE\BUSINESS COMMUNITY" 
                 /BCBGIF13 "GEN\INFLUENCE\TEXTBOOK PUBLISHERS" 
                 /BCBGIF14 "GEN\INFLUENCE\EXTERNAL EXAMS" 
                 /BCBGIF15 "GEN\INFLUENCE\TEACHER UNIONS" 
                 /BCBMCURR "MAT\OWN SCHOOL CURRICULUM CONTENT" 
                 /BCBSCURR "SCI\OWN SCHOOL CURRICULUM CONTENT" 
                 /BCBGCOM1 "GEN\COMPUTERS\AVAILABLE" 
                 /BCBGCOM2 "GEN\COMPUTERS\TEACHER\ADMINISTRATION" 
                 /BCBGCOM3 "GEN\COMPUTERS\TEACHER\INSTRUCTION" 
                 /BCBGCOM4 "GEN\COMPUTERS\STUDENT\EDUCATIONAL" 
                 /BCBGCOM5 "GEN\COMPUTERS\STAFF\SCHOOL RECORD" 
                 /BCBGST01 "GEN\SHORTAGE\INSTRUCTIONAL MATERIALS" 
                 /BCBGST02 "GEN\SHORTAGE\BUDGET FOR SUPPLIES" 
                 /BCBGST03 "GEN\SHORTAGE\SCHOOL BUILDINGS" 
                 /BCBGST04 "GEN\SHORTAGE\HEATING AND LIGHTING" 
                 /BCBGST05 "GEN\SHORTAGE\INSTRUCTIONAL SPACE" 
                 /BCBGST06 "GEN\SHORTAGE\HANDICAPPED FACILITIES" 
                 /BCBMST07 "MAT\SHORTAGE\COMPUTER HARDWARE" 
                 /BCBMST08 "MAT\SHORTAGE\COMPUTER SOFTWARE" 
                 /BCBMST09 "MAT\SHORTAGE\CALCULATORS" 
                 /BCBMST10 "MAT\SHORTAGE\LIBRARY MATERIALS" 
                 /BCBMST11 "MAT\SHORTAGE\AUDIO-VISUAL RESOURCES" 
                 /BCBSST12 "SCI\SHORTAGE\LABORATORY EQUIPMENT" 
                 /BCBSST13 "SCI\SHORTAGE\COMPUTER HARDWARE" 
                 /BCBSST14 "SCI\SHORTAGE\COMPUTER SOFTWARE" 
                 /BCBSST15 "SCI\SHORTAGE\CALCULATORS" 
                 /BCBSST16 "SCI\SHORTAGE\LIBRARY MATERIALS" 
                 /BCBSST17 "SCI\SHORTAGE\AUDIO-VISUAL RESOURCES" 
                 /BCBGBENR "GEN\TOTAL SCHOOL ENROLLMENT\BOYS" 
                 /BCBGGENR "GEN\TOTAL SCHOOL\ENROLLMENT\GIRLS" 
                 /BCBGABST "GEN\STUDENT\% ABSENT" 
                 /BCBGENDY "GEN\STUDENT\% FINISHING SCHOOL YEAR" 
                 /BCBGTNSF "GEN\STUDENT\% TRANSFERRING INTO SCHL" 
                 /BCBGLBER "GEN\L-GRADE\ENROLLMENT\BOYS" 
                 /BCBGLGER "GEN\L-GRADE\ENROLLMENT\GIRLS" 
                 /BCBGLBRT "GEN\L-GRADE\REPEATING GRADE\BOYS" 
                 /BCBGLGRT "GEN\L-GRADE\REPEATING GRADE\GIRLS" 
                 /BCBGLSIZ "GEN\L-GRADE\AVERAGE CLASS SIZE" 
                 /BCBGLMGR "GEN\L-GRADE\# IN MULTI-GRADE CLASSRM" 
                 /BCBMLBER "MAT\L-GRADE\# STUDYING MATH\BOYS" 
                 /BCBMLGER "MAT\L-GRADE\# STUDYING MATH\GIRLS" 
                 /BCBSLBER "SCI\L-GRADE\# STUDYING SCIENCE\BOYS" 
                 /BCBSLGER "SCI\L-GRADE\# STUDYING SCIENCE\GIRLS" 
                 /BCBGUBER "GEN\U-GRADE\ENROLLMENT\BOYS" 
                 /BCBGUGER "GEN\U-GRADE\ENROLLMENT\GIRLS" 
                 /BCBGUBRT "GEN\U-GRADE\REPEATING GRADE\BOYS" 
                 /BCBGUGRT "GEN\U-GRADE\REPEATING GRADE\GIRLS" 
                 /BCBGUSIZ "GEN\U-GRADE\AVERAGE CLASS SIZE" 
                 /BCBGUMGR "GEN\U-GRADE\# IN MULTI-GRADE CLASSRM" 
                 /BCBMUBER "MAT\U-GRADE\# STUDYING MATH\BOYS" 
                 /BCBMUGER "MAT\U-GRADE\# STUDYING MATH\GIRLS" 
                 /BCBSUBER "SCI\U-GRADE\# STUDYING SCIENCE\BOYS" 
                 /BCBSUGER "SCI\U-GRADE\# STUDYING SCIENCE\GIRLS" 
                 /BCBGUO01 "GEN\BEHAVIOR\ARRIVE LATE AT SCHOOL" 
                 /BCBGUP01 "GEN\BEHAVIOR\% ARRIVE LATE AT SCHOOL" 
                 /BCBGUO02 "GEN\BEHAVIOR\ABSENTEEISM" 
                 /BCBGUP02 "GEN\BEHAVIOR\% ABSENTEEISM" 
                 /BCBGUO03 "GEN\BEHAVIOR\SKIPPING CLASS" 
                 /BCBGUP03 "GEN\BEHAVIOR\% SKIPPING CLASS" 
                 /BCBGUO04 "GEN\BEHAVIOR\VIOLATING DRESS CODE" 
                 /BCBGUP04 "GEN\BEHAVIOR\% VIOLATING DRESS CODE" 
                 /BCBGUO05 "GEN\BEHAVIOR\CLASSROOM DISTURBANCE" 
                 /BCBGUP05 "GEN\BEHAVIOR\% CLASSROOM DISTURBANCE" 
                 /BCBGUO06 "GEN\BEHAVIOR\CHEATING" 
                 /BCBGUP06 "GEN\BEHAVIOR\% CHEATING" 
                 /BCBGUO07 "GEN\BEHAVIOR\PROFANITY" 
                 /BCBGUP07 "GEN\BEHAVIOR\% PROFANITY" 
                 /BCBGUO08 "GEN\BEHAVIOR\VANDALISM" 
                 /BCBGUP08 "GEN\BEHAVIOR\% VANDALISM" 
                 /BCBGUO09 "GEN\BEHAVIOR\THEFT" 
                 /BCBGUP09 "GEN\BEHAVIOR\% THEFT" 
                 /BCBGUO10 "GEN\BEHAVIOR\INTIMIDATION OF STUDNTS" 
                 /BCBGUP10 "GEN\BEHAVIOR\% INTIMIDATN OF STUDNTS" 
                 /BCBGUO11 "GEN\BEHAVIOR\INJURY TO STUDENTS" 
                 /BCBGUP11 "GEN\BEHAVIOR\% INJURY TO STUDENTS" 
                 /BCBGUO12 "GEN\BEHAVIOR\INTIMIDATION OF TEACHRS" 
                 /BCBGUP12 "GEN\BEHAVIOR\% INTIMIDATN OF TEACHRS" 
                 /BCBGUO13 "GEN\BEHAVIOR\INJURY TO TEACHERS" 
                 /BCBGUP13 "GEN\BEHAVIOR\% INJURY TO TEACHERS" 
                 /BCBGUO14 "GEN\BEHAVIOR\TOBACCO USE" 
                 /BCBGUP14 "GEN\BEHAVIOR\% TOBACCO USE" 
                 /BCBGUO15 "GEN\BEHAVIOR\ALCOHOL USE" 
                 /BCBGUP15 "GEN\BEHAVIOR\% ALCOHOL USE" 
                 /BCBGUO16 "GEN\BEHAVIOR\ILLEGAL DRUG USE" 
                 /BCBGUP16 "GEN\BEHAVIOR\% ILLEGAL DRUG USE" 
                 /BCBGUO17 "GEN\BEHAVIOR\WEAPON USE" 
                 /BCBGUP17 "GEN\BEHAVIOR\% WEAPON USE" 
                 /BCBGUO18 "GEN\BEHAVIOR\INAPPROPRIATE SEXUAL" 
                 /BCBGUP18 "GEN\BEHAVIOR\% INAPPROPRIATE SEXUAL" 
                 /BCBGINST "GEN\DIFFERENCE L-GRADE / U-GRADE" 
                 /BCBGLDYY "GEN\L-GRADE\DAYS PER YEAR" 
                 /BCBGUDYY "GEN\U-GRADE\DAYS PER YEAR" 
                 /BCBGLFLW "GEN\L-GRADE\FULL DAYS PER WEEK" 
                 /BCBGUFLW "GEN\U-GRADE\FULL DAYS PER WEEK" 
                 /BCBGLHFW "GEN\L-GRADE\HALF DAYS PER WEEK" 
                 /BCBGUHFW "GEN\U-GRADE\HALF DAYS PER WEEK" 
                 /BCBGLTHW "GEN\L-GRADE\# TOTAL HOURS PER WEEK" 
                 /BCBGUTHW "GEN\U-GRADE\# TOTAL HOURS PER WEEK" 
                 /BCBGLIHW "GEN\L-GRADE\# INSTR HOURS PER WEEK" 
                 /BCBGUIHW "GEN\U-GRADE\# INSTR HOURS PER WEEK" 
                 /BCBGDIVI "GEN\DIVISION INTO INSTR HOURS" 
                 /BCBGLPDW "GEN\L-GRADE\INST PERIODS PER WEEK" 
                 /BCBGUPDW "GEN\U-GRADE\INST PERIODS PER WEEK" 
                 /BCBGLTMP "GEN\L-GRADE\DURATION OF INSTR PERIOD" 
                 /BCBGUTMP "GEN\U-GRADE\DURATION OF INSTR PERIOD" 
                 /BCBMRMDL "MAT\REMEDIAL TEACHING" 
                 /BCBMRMD1 "MAT\REMEDIAL\GROUP IN REGULAR CLASS" 
                 /BCBMRMD2 "MAT\REMEDIAL\WITHDRAWN FROM CLASS" 
                 /BCBMRMD3 "MAT\REMEDIAL\EXTRA TUITION" 
                 /BCBMRMD4 "MAT\REMEDIAL\OTHER" 
                 /BCBSRMDL "SCI\REMEDIAL TEACHING" 
                 /BCBSRMD1 "SCI\REMEDIAL\GROUP IN REGULAR CLASS" 
                 /BCBSRMD2 "SCI\REMEDIAL\WITHDRAWN FROM CLASS" 
                 /BCBSRMD3 "SCI\REMEDIAL\EXTRA TUITION" 
                 /BCBSRMD4 "SCI\REMEDIAL\OTHER" 
                 /BCBMENRH "MAT\ENRICHMENT ACTIVITIES" 
                 /BCBMENR1 "MAT\ENRCHMNT\GROUP IN REGULAR CLASS" 
                 /BCBMENR2 "MAT\ENRCHMNT\WITHDRAWN FROM CLASS" 
                 /BCBMENR3 "MAT\ENRCHMNT\EXTRA TUITION" 
                 /BCBMENR4 "MAT\ENRCHMNT\OTHER" 
                 /BCBSENRH "SCI\ENRICHMENT ACTIVITIES" 
                 /BCBSENR1 "SCI\ENRCHMNT\GROUP IN REGULAR CLASS" 
                 /BCBSENR2 "SCI\ENRCHMNT\WITHDRAWN FROM CLASS" 
                 /BCBSENR3 "SCI\ENRCHMNT\EXTRA TUITION" 
                 /BCBSENR4 "SCI\ENRCHMNT\OTHER" 
                 /BCBMUSCO "MAT\U-GRADE\SAME COURSE OF STUDY" 
                 /BCBMUC1  "MAT\U-GRADE\MINUTES PER WEEK" 
                 /BCBMUC2  "MAT\U-GRADE\WEEKS PER YEAR" 
                 /BCBMUC3  "MAT\U-GRADE\COURSES AVAILABLE" 
                 /BCBMUC41 "MAT\U-GRADE\% MOST ADVANCED COURSE" 
                 /BCBMUC42 "MAT\U-GRADE\% LEAST ADVANCED COURSE" 
                 /BCBMUC51 "MAT\U-GRADE\WEEKMINUTES MOST ADVNCD" 
                 /BCBMUC52 "MAT\U-GRADE\WEEKMINUTES LEAST ADVNCD" 
                 /BCBMUC61 "MAT\U-GRADE\YEARWEEKS MOST ADVANCED" 
                 /BCBMUC62 "MAT\U-GRADE\YEARWEEKS LEAST ADVANCED" 
                 /BCBMUFC1 "MAT\U-GRADE\ACADEMIC PERFORMANCE" 
                 /BCBMUFC2 "MAT\U-GRADE\STANDARDIZED TEST" 
                 /BCBMUFC3 "MAT\U-GRADE\ENTRANCE EXAMINATION" 
                 /BCBMUFC4 "MAT\U-GRADE\ORAL EXAMINATION" 
                 /BCBMUFC5 "MAT\U-GRADE\TEACHER RECOMMENDATIONS" 
                 /BCBMUFC6 "MAT\U-GRADE\PARENTAL WISHES" 
                 /BCBMUFC7 "MAT\U-GRADE\STUDENT'S OWN WISHES" 
                 /BCBMUFC8 "MAT\U-GRADE\CURRICULAR REQUIREMENTS" 
                 /BCBSUSCO "SCI\U-GRADE\SAME COURSE OF STUDY" 
                 /BCBSUC1  "SCI\U-GRADE\MINUTES PER WEEK" 
                 /BCBSUC2  "SCI\U-GRADE\WEEKS PER YEAR" 
                 /BCBSUC3  "SCI\U-GRADE\COURSES AVAILABLE" 
                 /BCBSUC41 "SCI\U-GRADE\% MOST ADVANCED COURSE" 
                 /BCBSUC42 "SCI\U-GRADE\% LEAST ADVANCED COURSE" 
                 /BCBSUC51 "SCI\U-GRADE\WEEKMINUTES MOST ADVNCD" 
                 /BCBSUC52 "SCI\U-GRADE\WEEKMINUTES LEAST ADVNCD" 
                 /BCBSUC61 "SCI\U-GRADE\YEARWEEKS MOST ADVANCED" 
                 /BCBSUC62 "SCI\U-GRADE\YEARWEEKS LEAST ADVANCED" 
                 /BCBSUFC1 "SCI\U-GRADE\ACADEMIC PERFORMANCE" 
                 /BCBSUFC2 "SCI\U-GRADE\STANDARDIZED TEST" 
                 /BCBSUFC3 "SCI\U-GRADE\ENTRANCE EXAMINATION" 
                 /BCBSUFC4 "SCI\U-GRADE\ORAL EXAMINATION" 
                 /BCBSUFC5 "SCI\U-GRADE\TEACHER RECOMMENDATIONS" 
                 /BCBSUFC6 "SCI\U-GRADE\PARENTAL WISHES" 
                 /BCBSUFC7 "SCI\U-GRADE\STUDENT'S OWN WISHES" 
                 /BCBSUFC8 "SCI\U-GRADE\CURRICULAR REQUIREMENTS" 
                 /BCBGSTD1 "GEN\% FROM DISADVANTAGED BACKGROUND" 
                 /BCBGSTD2 "GEN\% PARENTS WITH NO PRIMARY EDUCN" 
                 /BCBGSTD3 "GEN\% ONE-PARENT FAMILIES" 
                 /BCBGSTD4 "GEN\% ATTENDED PRESCHOOL" 
                 /BCBGSTD5 "GEN\% 1ST LANGUAGE OTHER SCHOOL LNG" 
                 /BCBGSTD6 "GEN\% HAVE LEARNING PROBLEMS" 
                 /BCBGSTD7 "GEN\% HAVE HEALTH PROBLEMS" 
                 /BCBGSTD8 "GEN\% HAVE NUTRITION PROBLEMS" 
                 /BCBGBS01 "GEN\ADMITTNC\RESIDENCE IN AREA" 
                 /BCBGBS02 "GEN\ADMITTNC\ACADEMIC PERFORMANCE" 
                 /BCBGBS03 "GEN\ADMITTNC\INTERVIEW WITH STUDENT" 
                 /BCBGBS04 "GEN\ADMITTNC\INTERVIEW WITH PARENTS" 
                 /BCBGBS05 "GEN\ADMITTNC\FAMLY MEMBERS AT SCHOOL" 
                 /BCBGBS06 "GEN\ADMITTNC\DATE OF APPLICATION" 
                 /BCBGBS07 "GEN\ADMITTNC\TEACHER RECOMMENDATION" 
                 /BCBGBS08 "GEN\ADMITTNC\FROM PARTICULAR SCHOOL" 
                 /BCBGBS09 "GEN\ADMITTNC\FORMER STUDENT'S CHILD" 
                 /BCBGBS10 "GEN\ADMITTNC\STANDARDIZED TEST" 
                 /BCBGBS11 "GEN\ADMITTNC\ENTRANCE EXAMINATION" 
                 /BCBGBS12 "GEN\ADMITTNC\ORAL EXAMINATION" 
                 /BCBGBS13 "GEN\ADMITTNC\OTHER" 
                 /BCDGAAIT "GEN\AMT INSTR TIME" 
                 /BCDGAYTS "GEN\YEARLY TIME IN SCHOOL" 
                 /BCDGPHSI "GEN\PROP HRS SPENT ON INSTR." 
                 /BCDGSTRA "GEN\STUDENT-TEACHER RATIO" 
                 /BCDGTENR "GEN\TOTAL SCHOOL\ENROLLMENT\" 
                 /BCDGUTER "GEN\U-GRADE\ENROLLMENT" 
                 /BCDGUTRT "GEN\U-GRADE\REPEATING GRADE\STUDEN" 
                 /WGTFAC1  "*1ST STAGE WEIGHT (SCHOOL WEIGHT)*" 
                 /WGTADJ1  "*ADJUSTMENT FACTOR 1 (SCHOOL WEIGHT)*" 
                 /SCHWGT   "*SCHOOL LEVEL WEIGHT*" 
                 /STOTWGTL "*SUM OF STUDENT WEIGHTS - LOWER GRADE*" 
                 /STOTWGTU "*SUM OF STUDENT WEIGHTS - UPPER GRADE*" 
                 /STOTWGTE "*SUM OF STUDENT WEIGHTS - EXTRA GRADE*" 
                 /BCDGADMN "GEN\HRS. ON ADMINISTRATIVE WORK" 
                 /BCDMASR  "MAT\AVAILABILITY OF SCH. RES. FOR MATH" 
                 /BCDSASR  "SCI\AVAILABILITY OF SCH. RES. FOR SCI" 
                 /BCDGCMUN "GEN\HRS. ON COMMUNICATING W/PARE./STU." 
                 /BCDGINST "GEN\HRS. ON INSTRUCTION LEADERSHIP" 
                 /BCDGTEAC "GEN\HRS. ON TEACHING" 
                 /JKCZONE  "*ZONE CODE*" 
                 /JKCREP   "*REPLICATE CODE*" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "population 1"
                       2  "population 2"
                       3  "population 3"
                       /
            BCBGCOMM   1  "a geographically isolated area"
                       2  "village or rural (farm) area"
                       3  "one on the outskirts of a town/city"
                       4  "one close to the center of a town/city"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGRPK   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGRK    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR1    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR2    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR3    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR4    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR5    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR6    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR7    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR8    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR9    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGGR13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGSAME   1  "one school year"
                       2  "two school years"
                       3  "three school years"
                       4  "four or more school years"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGCOL1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGCOL2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGCOL3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP01   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP02   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP03   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP04   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP05   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP06   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP07   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP08   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP09   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP10   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP11   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP12   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP13   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP14   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF01   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF02   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF03   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF04   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF05   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF06   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF07   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF08   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF09   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF10   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF11   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF12   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF13   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF14   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF15   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMCURR   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSCURR   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST01   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST02   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST03   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST04   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST05   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST06   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMST07   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMST08   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMST09   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMST10   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMST11   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST12   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST13   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST14   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST15   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST16   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST17   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO01   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO02   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO03   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO04   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO05   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO06   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO07   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO08   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO09   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO10   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO11   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO12   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO13   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO14   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO15   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO16   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO17   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUO18   1  "rarely"
                       2  "monthly"
                       3  "weekly"
                       4  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGINST   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGDIVI   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMRMDL   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMRMD1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMRMD2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMRMD3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMRMD4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSRMDL   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSRMD1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSRMD2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSRMD3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSRMD4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMENRH   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMENR1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMENR2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMENR3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMENR4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSENRH   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSENR1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSENR2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSENR3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSENR4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUSCO   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC1   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC2   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC3   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC4   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC5   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC6   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC7   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC8   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSUSCO   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSUFC1   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSUFC2   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSUFC3   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSUFC4   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSUFC5   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSUFC6   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSUFC7   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSUFC8   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS01   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS02   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS03   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS04   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS05   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS06   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS07   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS08   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS09   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCDMASR    1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BCDSASR    1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            JKCREP     0  "zero weight"
                       1  "double weight"
                       /
.


*NOTE: The "omitted code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode VERSION  (99               = sysmis).
recode IDCNTRY  (99999            = sysmis).
recode IDPOP    (9                = sysmis).
recode IDSCHOOL (999999           = sysmis).
recode BCBGCOMM (9                = sysmis).
recode BCBGGRPK (9                = sysmis).
recode BCBGGRK  (9                = sysmis).
recode BCBGGR1  (9                = sysmis).
recode BCBGGR2  (9                = sysmis).
recode BCBGGR3  (9                = sysmis).
recode BCBGGR4  (9                = sysmis).
recode BCBGGR5  (9                = sysmis).
recode BCBGGR6  (9                = sysmis).
recode BCBGGR7  (9                = sysmis).
recode BCBGGR8  (9                = sysmis).
recode BCBGGR9  (9                = sysmis).
recode BCBGGR10 (9                = sysmis).
recode BCBGGR11 (9                = sysmis).
recode BCBGGR12 (9                = sysmis).
recode BCBGGR13 (9                = sysmis).
recode BCBGFTE1 (99               = sysmis).
recode BCBGFTE2 (99               = sysmis).
recode BCBGFTE3 (99               = sysmis).
recode BCBGFTE4 (999              = sysmis).
recode BCBGFTE5 (999              = sysmis).
recode BCBGFTE6 (999              = sysmis).
recode BCBGFTE7 (999              = sysmis).
recode BCBGFTE8 (999              = sysmis).
recode BCBGFTTE (999              = sysmis).
recode BCBGPTTE (999              = sysmis).
recode BCBGTE5Y (999              = sysmis).
recode BCBMTEAC (999              = sysmis).
recode BCBMNONE (999              = sysmis).
recode BCBSTEAC (999              = sysmis).
recode BCBSNONE (999              = sysmis).
recode BCBGTEAC (999              = sysmis).
recode BCBGNONE (999              = sysmis).
recode BCBGSAME (9                = sysmis).
recode BCBMRELW (99               = sysmis).
recode BCBMTEAW (99               = sysmis).
recode BCBSRELW (99               = sysmis).
recode BCBSTEAW (99               = sysmis).
recode BCBGCOL1 (9                = sysmis).
recode BCBGCOL2 (9                = sysmis).
recode BCBGCOL3 (9                = sysmis).
recode BCBGAC01 (999              = sysmis).
recode BCBGAC02 (999              = sysmis).
recode BCBGAC03 (999              = sysmis).
recode BCBGAC04 (999              = sysmis).
recode BCBGAC05 (999              = sysmis).
recode BCBGAC06 (999              = sysmis).
recode BCBGAC07 (999              = sysmis).
recode BCBGAC08 (999              = sysmis).
recode BCBGAC09 (999              = sysmis).
recode BCBGAC10 (999              = sysmis).
recode BCBGAC11 (999              = sysmis).
recode BCBGAC12 (999              = sysmis).
recode BCBGAC13 (999              = sysmis).
recode BCBGAC14 (999              = sysmis).
recode BCBGRP01 (9                = sysmis).
recode BCBGRP02 (9                = sysmis).
recode BCBGRP03 (9                = sysmis).
recode BCBGRP04 (9                = sysmis).
recode BCBGRP05 (9                = sysmis).
recode BCBGRP06 (9                = sysmis).
recode BCBGRP07 (9                = sysmis).
recode BCBGRP08 (9                = sysmis).
recode BCBGRP09 (9                = sysmis).
recode BCBGRP10 (9                = sysmis).
recode BCBGRP11 (9                = sysmis).
recode BCBGRP12 (9                = sysmis).
recode BCBGRP13 (9                = sysmis).
recode BCBGRP14 (9                = sysmis).
recode BCBGIF01 (9                = sysmis).
recode BCBGIF02 (9                = sysmis).
recode BCBGIF03 (9                = sysmis).
recode BCBGIF04 (9                = sysmis).
recode BCBGIF05 (9                = sysmis).
recode BCBGIF06 (9                = sysmis).
recode BCBGIF07 (9                = sysmis).
recode BCBGIF08 (9                = sysmis).
recode BCBGIF09 (9                = sysmis).
recode BCBGIF10 (9                = sysmis).
recode BCBGIF11 (9                = sysmis).
recode BCBGIF12 (9                = sysmis).
recode BCBGIF13 (9                = sysmis).
recode BCBGIF14 (9                = sysmis).
recode BCBGIF15 (9                = sysmis).
recode BCBMCURR (9                = sysmis).
recode BCBSCURR (9                = sysmis).
recode BCBGCOM1 (999              = sysmis).
recode BCBGCOM2 (999              = sysmis).
recode BCBGCOM3 (999              = sysmis).
recode BCBGCOM4 (999              = sysmis).
recode BCBGCOM5 (999              = sysmis).
recode BCBGST01 (9                = sysmis).
recode BCBGST02 (9                = sysmis).
recode BCBGST03 (9                = sysmis).
recode BCBGST04 (9                = sysmis).
recode BCBGST05 (9                = sysmis).
recode BCBGST06 (9                = sysmis).
recode BCBMST07 (9                = sysmis).
recode BCBMST08 (9                = sysmis).
recode BCBMST09 (9                = sysmis).
recode BCBMST10 (9                = sysmis).
recode BCBMST11 (9                = sysmis).
recode BCBSST12 (9                = sysmis).
recode BCBSST13 (9                = sysmis).
recode BCBSST14 (9                = sysmis).
recode BCBSST15 (9                = sysmis).
recode BCBSST16 (9                = sysmis).
recode BCBSST17 (9                = sysmis).
recode BCBGBENR (99999            = sysmis).
recode BCBGGENR (99999            = sysmis).
recode BCBGABST (999              = sysmis).
recode BCBGENDY (999              = sysmis).
recode BCBGTNSF (999              = sysmis).
recode BCBGLBER (999              = sysmis).
recode BCBGLGER (999              = sysmis).
recode BCBGLBRT (999              = sysmis).
recode BCBGLGRT (999              = sysmis).
recode BCBGLSIZ (999              = sysmis).
recode BCBGLMGR (999              = sysmis).
recode BCBMLBER (999              = sysmis).
recode BCBMLGER (999              = sysmis).
recode BCBSLBER (999              = sysmis).
recode BCBSLGER (999              = sysmis).
recode BCBGUBER (9999             = sysmis).
recode BCBGUGER (9999             = sysmis).
recode BCBGUBRT (999              = sysmis).
recode BCBGUGRT (999              = sysmis).
recode BCBGUSIZ (999              = sysmis).
recode BCBGUMGR (999              = sysmis).
recode BCBMUBER (999              = sysmis).
recode BCBMUGER (999              = sysmis).
recode BCBSUBER (999              = sysmis).
recode BCBSUGER (999              = sysmis).
recode BCBGUO01 (9                = sysmis).
recode BCBGUP01 (999              = sysmis).
recode BCBGUO02 (9                = sysmis).
recode BCBGUP02 (999              = sysmis).
recode BCBGUO03 (9                = sysmis).
recode BCBGUP03 (999              = sysmis).
recode BCBGUO04 (9                = sysmis).
recode BCBGUP04 (999              = sysmis).
recode BCBGUO05 (9                = sysmis).
recode BCBGUP05 (999              = sysmis).
recode BCBGUO06 (9                = sysmis).
recode BCBGUP06 (999              = sysmis).
recode BCBGUO07 (9                = sysmis).
recode BCBGUP07 (999              = sysmis).
recode BCBGUO08 (9                = sysmis).
recode BCBGUP08 (999              = sysmis).
recode BCBGUO09 (9                = sysmis).
recode BCBGUP09 (999              = sysmis).
recode BCBGUO10 (9                = sysmis).
recode BCBGUP10 (999              = sysmis).
recode BCBGUO11 (9                = sysmis).
recode BCBGUP11 (999              = sysmis).
recode BCBGUO12 (9                = sysmis).
recode BCBGUP12 (999              = sysmis).
recode BCBGUO13 (9                = sysmis).
recode BCBGUP13 (999              = sysmis).
recode BCBGUO14 (9                = sysmis).
recode BCBGUP14 (999              = sysmis).
recode BCBGUO15 (9                = sysmis).
recode BCBGUP15 (999              = sysmis).
recode BCBGUO16 (9                = sysmis).
recode BCBGUP16 (999              = sysmis).
recode BCBGUO17 (9                = sysmis).
recode BCBGUP17 (999              = sysmis).
recode BCBGUO18 (9                = sysmis).
recode BCBGUP18 (999              = sysmis).
recode BCBGINST (9                = sysmis).
recode BCBGLDYY (999              = sysmis).
recode BCBGUDYY (999              = sysmis).
recode BCBGLFLW (99               = sysmis).
recode BCBGUFLW (99               = sysmis).
recode BCBGLHFW (99               = sysmis).
recode BCBGUHFW (99               = sysmis).
recode BCBGLTHW (99               = sysmis).
recode BCBGUTHW (99               = sysmis).
recode BCBGLIHW (99               = sysmis).
recode BCBGUIHW (99               = sysmis).
recode BCBGDIVI (9                = sysmis).
recode BCBGLPDW (99               = sysmis).
recode BCBGUPDW (99               = sysmis).
recode BCBGLTMP (999              = sysmis).
recode BCBGUTMP (999              = sysmis).
recode BCBMRMDL (9                = sysmis).
recode BCBMRMD1 (9                = sysmis).
recode BCBMRMD2 (9                = sysmis).
recode BCBMRMD3 (9                = sysmis).
recode BCBMRMD4 (9                = sysmis).
recode BCBSRMDL (9                = sysmis).
recode BCBSRMD1 (9                = sysmis).
recode BCBSRMD2 (9                = sysmis).
recode BCBSRMD3 (9                = sysmis).
recode BCBSRMD4 (9                = sysmis).
recode BCBMENRH (9                = sysmis).
recode BCBMENR1 (9                = sysmis).
recode BCBMENR2 (9                = sysmis).
recode BCBMENR3 (9                = sysmis).
recode BCBMENR4 (9                = sysmis).
recode BCBSENRH (9                = sysmis).
recode BCBSENR1 (9                = sysmis).
recode BCBSENR2 (9                = sysmis).
recode BCBSENR3 (9                = sysmis).
recode BCBSENR4 (9                = sysmis).
recode BCBMUSCO (9                = sysmis).
recode BCBMUC1  (999              = sysmis).
recode BCBMUC2  (99               = sysmis).
recode BCBMUC3  (99               = sysmis).
recode BCBMUC41 (999              = sysmis).
recode BCBMUC42 (999              = sysmis).
recode BCBMUC51 (999              = sysmis).
recode BCBMUC52 (999              = sysmis).
recode BCBMUC61 (99               = sysmis).
recode BCBMUC62 (99               = sysmis).
recode BCBMUFC1 (9                = sysmis).
recode BCBMUFC2 (9                = sysmis).
recode BCBMUFC3 (9                = sysmis).
recode BCBMUFC4 (9                = sysmis).
recode BCBMUFC5 (9                = sysmis).
recode BCBMUFC6 (9                = sysmis).
recode BCBMUFC7 (9                = sysmis).
recode BCBMUFC8 (9                = sysmis).
recode BCBSUSCO (9                = sysmis).
recode BCBSUC1  (999              = sysmis).
recode BCBSUC2  (99               = sysmis).
recode BCBSUC3  (99               = sysmis).
recode BCBSUC41 (999              = sysmis).
recode BCBSUC42 (999              = sysmis).
recode BCBSUC51 (999              = sysmis).
recode BCBSUC52 (999              = sysmis).
recode BCBSUC61 (99               = sysmis).
recode BCBSUC62 (99               = sysmis).
recode BCBSUFC1 (9                = sysmis).
recode BCBSUFC2 (9                = sysmis).
recode BCBSUFC3 (9                = sysmis).
recode BCBSUFC4 (9                = sysmis).
recode BCBSUFC5 (9                = sysmis).
recode BCBSUFC6 (9                = sysmis).
recode BCBSUFC7 (9                = sysmis).
recode BCBSUFC8 (9                = sysmis).
recode BCBGSTD1 (999              = sysmis).
recode BCBGSTD2 (999              = sysmis).
recode BCBGSTD3 (999              = sysmis).
recode BCBGSTD4 (999              = sysmis).
recode BCBGSTD5 (999              = sysmis).
recode BCBGSTD6 (999              = sysmis).
recode BCBGSTD7 (999              = sysmis).
recode BCBGSTD8 (999              = sysmis).
recode BCBGBS01 (9                = sysmis).
recode BCBGBS02 (9                = sysmis).
recode BCBGBS03 (9                = sysmis).
recode BCBGBS04 (9                = sysmis).
recode BCBGBS05 (9                = sysmis).
recode BCBGBS06 (9                = sysmis).
recode BCBGBS07 (9                = sysmis).
recode BCBGBS08 (9                = sysmis).
recode BCBGBS09 (9                = sysmis).
recode BCBGBS10 (9                = sysmis).
recode BCBGBS11 (9                = sysmis).
recode BCBGBS12 (9                = sysmis).
recode BCBGBS13 (9                = sysmis).
recode BCDGAAIT (9999             = sysmis).
recode BCDGAYTS (9999             = sysmis).
recode BCDGPHSI (999              = sysmis).
recode BCDGSTRA (999              = sysmis).
recode BCDGTENR (9999             = sysmis).
recode BCDGUTER (999              = sysmis).
recode BCDGUTRT (99               = sysmis).
recode WGTFAC1  (9999             = sysmis).
recode WGTADJ1  (99               = sysmis).
recode SCHWGT   (9999             = sysmis).
recode STOTWGTL (99999            = sysmis).
recode STOTWGTU (99999            = sysmis).
recode STOTWGTE (99999            = sysmis).
recode BCDGADMN (9999             = sysmis).
recode BCDMASR  (9                = sysmis).
recode BCDSASR  (9                = sysmis).
recode BCDGCMUN (9999             = sysmis).
recode BCDGINST (9999             = sysmis).
recode BCDGTEAC (9999             = sysmis).
recode JKCZONE  (99               = sysmis).
recode JKCREP   (9                = sysmis).
recode DPCDATE  (999999           = sysmis).


*NOTE: recode "not administered" data to user defined "missing value"
       in some case a zero code might be appropriate for numeric values
       in this case the variable must be recoded correspondingly.

missing value VERSION (98).
missing value IDCNTRY (99998).
missing value IDPOP   (8).
missing value IDSCHOOL(999998).
missing value BCBGCOMM(8 6).
missing value BCBGGRPK(8 6).
missing value BCBGGRK (8 6).
missing value BCBGGR1 (8 6).
missing value BCBGGR2 (8 6).
missing value BCBGGR3 (8 6).
missing value BCBGGR4 (8 6).
missing value BCBGGR5 (8 6).
missing value BCBGGR6 (8 6).
missing value BCBGGR7 (8 6).
missing value BCBGGR8 (8 6).
missing value BCBGGR9 (8 6).
missing value BCBGGR10(8 6).
missing value BCBGGR11(8 6).
missing value BCBGGR12(8 6).
missing value BCBGGR13(8 6).
missing value BCBGFTE1(98 96).
missing value BCBGFTE2(98 96).
missing value BCBGFTE3(98 96).
missing value BCBGFTE4(998 996).
missing value BCBGFTE5(998 996).
missing value BCBGFTE6(998 996).
missing value BCBGFTE7(998 996).
missing value BCBGFTE8(998 996).
missing value BCBGFTTE(998 996).
missing value BCBGPTTE(998 996).
missing value BCBGTE5Y(998 996).
missing value BCBMTEAC(998 996).
missing value BCBMNONE(998 996).
missing value BCBSTEAC(998 996).
missing value BCBSNONE(998 996).
missing value BCBGTEAC(998 996).
missing value BCBGNONE(998 996).
missing value BCBGSAME(8 6).
missing value BCBMRELW(98 96).
missing value BCBMTEAW(98 96).
missing value BCBSRELW(98 96).
missing value BCBSTEAW(98 96).
missing value BCBGCOL1(8 6).
missing value BCBGCOL2(8 6).
missing value BCBGCOL3(8 6).
missing value BCBGAC01(998 996).
missing value BCBGAC02(998 996).
missing value BCBGAC03(998 996).
missing value BCBGAC04(998 996).
missing value BCBGAC05(998 996).
missing value BCBGAC06(998 996).
missing value BCBGAC07(998 996).
missing value BCBGAC08(998 996).
missing value BCBGAC09(998 996).
missing value BCBGAC10(998 996).
missing value BCBGAC11(998 996).
missing value BCBGAC12(998 996).
missing value BCBGAC13(998 996).
missing value BCBGAC14(998 996).
missing value BCBGRP01(8 6).
missing value BCBGRP02(8 6).
missing value BCBGRP03(8 6).
missing value BCBGRP04(8 6).
missing value BCBGRP05(8 6).
missing value BCBGRP06(8 6).
missing value BCBGRP07(8 6).
missing value BCBGRP08(8 6).
missing value BCBGRP09(8 6).
missing value BCBGRP10(8 6).
missing value BCBGRP11(8 6).
missing value BCBGRP12(8 6).
missing value BCBGRP13(8 6).
missing value BCBGRP14(8 6).
missing value BCBGIF01(8 6).
missing value BCBGIF02(8 6).
missing value BCBGIF03(8 6).
missing value BCBGIF04(8 6).
missing value BCBGIF05(8 6).
missing value BCBGIF06(8 6).
missing value BCBGIF07(8 6).
missing value BCBGIF08(8 6).
missing value BCBGIF09(8 6).
missing value BCBGIF10(8 6).
missing value BCBGIF11(8 6).
missing value BCBGIF12(8 6).
missing value BCBGIF13(8 6).
missing value BCBGIF14(8 6).
missing value BCBGIF15(8 6).
missing value BCBMCURR(8 6).
missing value BCBSCURR(8 6).
missing value BCBGCOM1(998 996).
missing value BCBGCOM2(998 996).
missing value BCBGCOM3(998 996).
missing value BCBGCOM4(998 996).
missing value BCBGCOM5(998 996).
missing value BCBGST01(8 6).
missing value BCBGST02(8 6).
missing value BCBGST03(8 6).
missing value BCBGST04(8 6).
missing value BCBGST05(8 6).
missing value BCBGST06(8 6).
missing value BCBMST07(8 6).
missing value BCBMST08(8 6).
missing value BCBMST09(8 6).
missing value BCBMST10(8 6).
missing value BCBMST11(8 6).
missing value BCBSST12(8 6).
missing value BCBSST13(8 6).
missing value BCBSST14(8 6).
missing value BCBSST15(8 6).
missing value BCBSST16(8 6).
missing value BCBSST17(8 6).
missing value BCBGBENR(99998 99996).
missing value BCBGGENR(99998 99996).
missing value BCBGABST(998 996).
missing value BCBGENDY(998 996).
missing value BCBGTNSF(998 996).
missing value BCBGLBER(998 996).
missing value BCBGLGER(998 996).
missing value BCBGLBRT(998 996).
missing value BCBGLGRT(998 996).
missing value BCBGLSIZ(998 996).
missing value BCBGLMGR(998 996).
missing value BCBMLBER(998 996).
missing value BCBMLGER(998 996).
missing value BCBSLBER(998 996).
missing value BCBSLGER(998 996).
missing value BCBGUBER(9998 9996).
missing value BCBGUGER(9998 9996).
missing value BCBGUBRT(998 996).
missing value BCBGUGRT(998 996).
missing value BCBGUSIZ(998 996).
missing value BCBGUMGR(998 996).
missing value BCBMUBER(998 996).
missing value BCBMUGER(998 996).
missing value BCBSUBER(998 996).
missing value BCBSUGER(998 996).
missing value BCBGUO01(8 6).
missing value BCBGUP01(998 996).
missing value BCBGUO02(8 6).
missing value BCBGUP02(998 996).
missing value BCBGUO03(8 6).
missing value BCBGUP03(998 996).
missing value BCBGUO04(8 6).
missing value BCBGUP04(998 996).
missing value BCBGUO05(8 6).
missing value BCBGUP05(998 996).
missing value BCBGUO06(8 6).
missing value BCBGUP06(998 996).
missing value BCBGUO07(8 6).
missing value BCBGUP07(998 996).
missing value BCBGUO08(8 6).
missing value BCBGUP08(998 996).
missing value BCBGUO09(8 6).
missing value BCBGUP09(998 996).
missing value BCBGUO10(8 6).
missing value BCBGUP10(998 996).
missing value BCBGUO11(8 6).
missing value BCBGUP11(998 996).
missing value BCBGUO12(8 6).
missing value BCBGUP12(998 996).
missing value BCBGUO13(8 6).
missing value BCBGUP13(998 996).
missing value BCBGUO14(8 6).
missing value BCBGUP14(998 996).
missing value BCBGUO15(8 6).
missing value BCBGUP15(998 996).
missing value BCBGUO16(8 6).
missing value BCBGUP16(998 996).
missing value BCBGUO17(8 6).
missing value BCBGUP17(998 996).
missing value BCBGUO18(8 6).
missing value BCBGUP18(998 996).
missing value BCBGINST(8 6).
missing value BCBGLDYY(998 996).
missing value BCBGUDYY(998 996).
missing value BCBGLFLW(98 96).
missing value BCBGUFLW(98 96).
missing value BCBGLHFW(98 96).
missing value BCBGUHFW(98 96).
missing value BCBGLTHW(98 96).
missing value BCBGUTHW(98 96).
missing value BCBGLIHW(98 96).
missing value BCBGUIHW(98 96).
missing value BCBGDIVI(8 6).
missing value BCBGLPDW(98 96).
missing value BCBGUPDW(98 96).
missing value BCBGLTMP(998 996).
missing value BCBGUTMP(998 996).
missing value BCBMRMDL(8 6).
missing value BCBMRMD1(8 6).
missing value BCBMRMD2(8 6).
missing value BCBMRMD3(8 6).
missing value BCBMRMD4(8 6).
missing value BCBSRMDL(8 6).
missing value BCBSRMD1(8 6).
missing value BCBSRMD2(8 6).
missing value BCBSRMD3(8 6).
missing value BCBSRMD4(8 6).
missing value BCBMENRH(8 6).
missing value BCBMENR1(8 6).
missing value BCBMENR2(8 6).
missing value BCBMENR3(8 6).
missing value BCBMENR4(8 6).
missing value BCBSENRH(8 6).
missing value BCBSENR1(8 6).
missing value BCBSENR2(8 6).
missing value BCBSENR3(8 6).
missing value BCBSENR4(8 6).
missing value BCBMUSCO(8 6).
missing value BCBMUC1 (998 996).
missing value BCBMUC2 (98 96).
missing value BCBMUC3 (98 96).
missing value BCBMUC41(998 996).
missing value BCBMUC42(998 996).
missing value BCBMUC51(998 996).
missing value BCBMUC52(998 996).
missing value BCBMUC61(98 96).
missing value BCBMUC62(98 96).
missing value BCBMUFC1(8 6).
missing value BCBMUFC2(8 6).
missing value BCBMUFC3(8 6).
missing value BCBMUFC4(8 6).
missing value BCBMUFC5(8 6).
missing value BCBMUFC6(8 6).
missing value BCBMUFC7(8 6).
missing value BCBMUFC8(8 6).
missing value BCBSUSCO(8 6).
missing value BCBSUC1 (998 996).
missing value BCBSUC2 (98 96).
missing value BCBSUC3 (98 96).
missing value BCBSUC41(998 996).
missing value BCBSUC42(998 996).
missing value BCBSUC51(998 996).
missing value BCBSUC52(998 996).
missing value BCBSUC61(98 96).
missing value BCBSUC62(98 96).
missing value BCBSUFC1(8 6).
missing value BCBSUFC2(8 6).
missing value BCBSUFC3(8 6).
missing value BCBSUFC4(8 6).
missing value BCBSUFC5(8 6).
missing value BCBSUFC6(8 6).
missing value BCBSUFC7(8 6).
missing value BCBSUFC8(8 6).
missing value BCBGSTD1(998 996).
missing value BCBGSTD2(998 996).
missing value BCBGSTD3(998 996).
missing value BCBGSTD4(998 996).
missing value BCBGSTD5(998 996).
missing value BCBGSTD6(998 996).
missing value BCBGSTD7(998 996).
missing value BCBGSTD8(998 996).
missing value BCBGBS01(8 6).
missing value BCBGBS02(8 6).
missing value BCBGBS03(8 6).
missing value BCBGBS04(8 6).
missing value BCBGBS05(8 6).
missing value BCBGBS06(8 6).
missing value BCBGBS07(8 6).
missing value BCBGBS08(8 6).
missing value BCBGBS09(8 6).
missing value BCBGBS10(8 6).
missing value BCBGBS11(8 6).
missing value BCBGBS12(8 6).
missing value BCBGBS13(8 6).
missing value BCDGAAIT(9998 9996).
missing value BCDGAYTS(9998 9996).
missing value BCDGPHSI(998 996).
missing value BCDGSTRA(998 996).
missing value BCDGTENR(9998 9996).
missing value BCDGUTER(998 996).
missing value BCDGUTRT(98 96).
missing value WGTFAC1 (9998 9996).
missing value WGTADJ1 (98 96).
missing value SCHWGT  (9998 9996).
missing value STOTWGTL(99998 99996).
missing value STOTWGTU(99998 99996).
missing value STOTWGTE(99998 99996).
missing value BCDGADMN(9998 9996).
missing value BCDMASR (8 6).
missing value BCDSASR (8 6).
missing value BCDGCMUN(9998 9996).
missing value BCDGINST(9998 9996).
missing value BCDGTEAC(9998 9996).
missing value JKCZONE (98 96).
missing value JKCREP  (8 6).
missing value DPCDATE (999998).


*NOTE: These statements format the variable
       according to the length and decimal places.

format VERSION  (f2.0).
format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f6.0).
format BCBGCOMM (f1.0).
format BCBGGRPK (f1.0).
format BCBGGRK  (f1.0).
format BCBGGR1  (f1.0).
format BCBGGR2  (f1.0).
format BCBGGR3  (f1.0).
format BCBGGR4  (f1.0).
format BCBGGR5  (f1.0).
format BCBGGR6  (f1.0).
format BCBGGR7  (f1.0).
format BCBGGR8  (f1.0).
format BCBGGR9  (f1.0).
format BCBGGR10 (f1.0).
format BCBGGR11 (f1.0).
format BCBGGR12 (f1.0).
format BCBGGR13 (f1.0).
format BCBGFTE1 (f4.1).
format BCBGFTE2 (f4.1).
format BCBGFTE3 (f4.1).
format BCBGFTE4 (f5.1).
format BCBGFTE5 (f5.1).
format BCBGFTE6 (f5.1).
format BCBGFTE7 (f5.1).
format BCBGFTE8 (f5.1).
format BCBGFTTE (f3.0).
format BCBGPTTE (f3.0).
format BCBGTE5Y (f3.0).
format BCBMTEAC (f3.0).
format BCBMNONE (f3.0).
format BCBSTEAC (f3.0).
format BCBSNONE (f3.0).
format BCBGTEAC (f3.0).
format BCBGNONE (f3.0).
format BCBGSAME (f1.0).
format BCBMRELW (f2.0).
format BCBMTEAW (f2.0).
format BCBSRELW (f2.0).
format BCBSTEAW (f2.0).
format BCBGCOL1 (f1.0).
format BCBGCOL2 (f1.0).
format BCBGCOL3 (f1.0).
format BCBGAC01 (f3.0).
format BCBGAC02 (f3.0).
format BCBGAC03 (f3.0).
format BCBGAC04 (f3.0).
format BCBGAC05 (f3.0).
format BCBGAC06 (f3.0).
format BCBGAC07 (f3.0).
format BCBGAC08 (f3.0).
format BCBGAC09 (f3.0).
format BCBGAC10 (f3.0).
format BCBGAC11 (f3.0).
format BCBGAC12 (f3.0).
format BCBGAC13 (f3.0).
format BCBGAC14 (f3.0).
format BCBGRP01 (f1.0).
format BCBGRP02 (f1.0).
format BCBGRP03 (f1.0).
format BCBGRP04 (f1.0).
format BCBGRP05 (f1.0).
format BCBGRP06 (f1.0).
format BCBGRP07 (f1.0).
format BCBGRP08 (f1.0).
format BCBGRP09 (f1.0).
format BCBGRP10 (f1.0).
format BCBGRP11 (f1.0).
format BCBGRP12 (f1.0).
format BCBGRP13 (f1.0).
format BCBGRP14 (f1.0).
format BCBGIF01 (f1.0).
format BCBGIF02 (f1.0).
format BCBGIF03 (f1.0).
format BCBGIF04 (f1.0).
format BCBGIF05 (f1.0).
format BCBGIF06 (f1.0).
format BCBGIF07 (f1.0).
format BCBGIF08 (f1.0).
format BCBGIF09 (f1.0).
format BCBGIF10 (f1.0).
format BCBGIF11 (f1.0).
format BCBGIF12 (f1.0).
format BCBGIF13 (f1.0).
format BCBGIF14 (f1.0).
format BCBGIF15 (f1.0).
format BCBMCURR (f1.0).
format BCBSCURR (f1.0).
format BCBGCOM1 (f3.0).
format BCBGCOM2 (f3.0).
format BCBGCOM3 (f3.0).
format BCBGCOM4 (f3.0).
format BCBGCOM5 (f3.0).
format BCBGST01 (f1.0).
format BCBGST02 (f1.0).
format BCBGST03 (f1.0).
format BCBGST04 (f1.0).
format BCBGST05 (f1.0).
format BCBGST06 (f1.0).
format BCBMST07 (f1.0).
format BCBMST08 (f1.0).
format BCBMST09 (f1.0).
format BCBMST10 (f1.0).
format BCBMST11 (f1.0).
format BCBSST12 (f1.0).
format BCBSST13 (f1.0).
format BCBSST14 (f1.0).
format BCBSST15 (f1.0).
format BCBSST16 (f1.0).
format BCBSST17 (f1.0).
format BCBGBENR (f5.0).
format BCBGGENR (f5.0).
format BCBGABST (f3.0).
format BCBGENDY (f3.0).
format BCBGTNSF (f3.0).
format BCBGLBER (f3.0).
format BCBGLGER (f3.0).
format BCBGLBRT (f3.0).
format BCBGLGRT (f3.0).
format BCBGLSIZ (f3.0).
format BCBGLMGR (f3.0).
format BCBMLBER (f3.0).
format BCBMLGER (f3.0).
format BCBSLBER (f3.0).
format BCBSLGER (f3.0).
format BCBGUBER (f4.0).
format BCBGUGER (f4.0).
format BCBGUBRT (f3.0).
format BCBGUGRT (f3.0).
format BCBGUSIZ (f3.0).
format BCBGUMGR (f3.0).
format BCBMUBER (f3.0).
format BCBMUGER (f3.0).
format BCBSUBER (f3.0).
format BCBSUGER (f3.0).
format BCBGUO01 (f1.0).
format BCBGUP01 (f3.0).
format BCBGUO02 (f1.0).
format BCBGUP02 (f3.0).
format BCBGUO03 (f1.0).
format BCBGUP03 (f3.0).
format BCBGUO04 (f1.0).
format BCBGUP04 (f3.0).
format BCBGUO05 (f1.0).
format BCBGUP05 (f3.0).
format BCBGUO06 (f1.0).
format BCBGUP06 (f3.0).
format BCBGUO07 (f1.0).
format BCBGUP07 (f3.0).
format BCBGUO08 (f1.0).
format BCBGUP08 (f3.0).
format BCBGUO09 (f1.0).
format BCBGUP09 (f3.0).
format BCBGUO10 (f1.0).
format BCBGUP10 (f3.0).
format BCBGUO11 (f1.0).
format BCBGUP11 (f3.0).
format BCBGUO12 (f1.0).
format BCBGUP12 (f3.0).
format BCBGUO13 (f1.0).
format BCBGUP13 (f3.0).
format BCBGUO14 (f1.0).
format BCBGUP14 (f3.0).
format BCBGUO15 (f1.0).
format BCBGUP15 (f3.0).
format BCBGUO16 (f1.0).
format BCBGUP16 (f3.0).
format BCBGUO17 (f1.0).
format BCBGUP17 (f3.0).
format BCBGUO18 (f1.0).
format BCBGUP18 (f3.0).
format BCBGINST (f1.0).
format BCBGLDYY (f3.0).
format BCBGUDYY (f3.0).
format BCBGLFLW (f2.0).
format BCBGUFLW (f2.0).
format BCBGLHFW (f2.0).
format BCBGUHFW (f2.0).
format BCBGLTHW (f2.0).
format BCBGUTHW (f2.0).
format BCBGLIHW (f2.0).
format BCBGUIHW (f2.0).
format BCBGDIVI (f1.0).
format BCBGLPDW (f2.0).
format BCBGUPDW (f2.0).
format BCBGLTMP (f3.0).
format BCBGUTMP (f3.0).
format BCBMRMDL (f1.0).
format BCBMRMD1 (f1.0).
format BCBMRMD2 (f1.0).
format BCBMRMD3 (f1.0).
format BCBMRMD4 (f1.0).
format BCBSRMDL (f1.0).
format BCBSRMD1 (f1.0).
format BCBSRMD2 (f1.0).
format BCBSRMD3 (f1.0).
format BCBSRMD4 (f1.0).
format BCBMENRH (f1.0).
format BCBMENR1 (f1.0).
format BCBMENR2 (f1.0).
format BCBMENR3 (f1.0).
format BCBMENR4 (f1.0).
format BCBSENRH (f1.0).
format BCBSENR1 (f1.0).
format BCBSENR2 (f1.0).
format BCBSENR3 (f1.0).
format BCBSENR4 (f1.0).
format BCBMUSCO (f1.0).
format BCBMUC1  (f3.0).
format BCBMUC2  (f2.0).
format BCBMUC3  (f2.0).
format BCBMUC41 (f3.0).
format BCBMUC42 (f3.0).
format BCBMUC51 (f3.0).
format BCBMUC52 (f3.0).
format BCBMUC61 (f2.0).
format BCBMUC62 (f2.0).
format BCBMUFC1 (f1.0).
format BCBMUFC2 (f1.0).
format BCBMUFC3 (f1.0).
format BCBMUFC4 (f1.0).
format BCBMUFC5 (f1.0).
format BCBMUFC6 (f1.0).
format BCBMUFC7 (f1.0).
format BCBMUFC8 (f1.0).
format BCBSUSCO (f1.0).
format BCBSUC1  (f3.0).
format BCBSUC2  (f2.0).
format BCBSUC3  (f2.0).
format BCBSUC41 (f3.0).
format BCBSUC42 (f3.0).
format BCBSUC51 (f3.0).
format BCBSUC52 (f3.0).
format BCBSUC61 (f2.0).
format BCBSUC62 (f2.0).
format BCBSUFC1 (f1.0).
format BCBSUFC2 (f1.0).
format BCBSUFC3 (f1.0).
format BCBSUFC4 (f1.0).
format BCBSUFC5 (f1.0).
format BCBSUFC6 (f1.0).
format BCBSUFC7 (f1.0).
format BCBSUFC8 (f1.0).
format BCBGSTD1 (f3.0).
format BCBGSTD2 (f3.0).
format BCBGSTD3 (f3.0).
format BCBGSTD4 (f3.0).
format BCBGSTD5 (f3.0).
format BCBGSTD6 (f3.0).
format BCBGSTD7 (f3.0).
format BCBGSTD8 (f3.0).
format BCBGBS01 (f1.0).
format BCBGBS02 (f1.0).
format BCBGBS03 (f1.0).
format BCBGBS04 (f1.0).
format BCBGBS05 (f1.0).
format BCBGBS06 (f1.0).
format BCBGBS07 (f1.0).
format BCBGBS08 (f1.0).
format BCBGBS09 (f1.0).
format BCBGBS10 (f1.0).
format BCBGBS11 (f1.0).
format BCBGBS12 (f1.0).
format BCBGBS13 (f1.0).
format BCDGAAIT (f6.1).
format BCDGAYTS (f6.1).
format BCDGPHSI (f5.1).
format BCDGSTRA (f5.1).
format BCDGTENR (f6.1).
format BCDGUTER (f5.1).
format BCDGUTRT (f4.1).
format WGTFAC1  (f7.2).
format WGTADJ1  (f6.3).
format SCHWGT   (f8.3).
format STOTWGTL (f8.2).
format STOTWGTU (f8.2).
format STOTWGTE (f8.2).
format BCDGADMN (f8.3).
format BCDMASR  (f1.0).
format BCDSASR  (f1.0).
format BCDGCMUN (f8.3).
format BCDGINST (f8.3).
format BCDGTEAC (f8.3).
format JKCZONE  (f2.0).
format JKCREP   (f1.0).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want copressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata.

!doend
!enddefine

create country =  AUS AUT BFL BFR CAN COL CYP CZE DNK ENG
                  FRA DEU GRC HKG HUN ISL IRN IRL ISR JPN
                  KOR KWT LVA LTU NLD NZL NOR PRT ROM RUS
                  SCO SGP SVK SVN ESP SWE CHE THA USA ITA.