SET DECIMAL = DOT.

define create (country=!charend('/')).

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,btm,!cty,'m1.dat"').
!let !savdata = !concat('"',!savpath,btm,!cty,'m1.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /VERSION     1-   2     
  IDCNTRY     3-   7     
  IDPOP       8-   8     
  IDSCHOOL    9-  14     
  IDTEACH    15-  22     
  IDLINK     23-  24     
  IDSUBJCT   25-  25     
  BTBGAGE    26-  27     
  BTBGSEX    28-  28     
  BTBGEDUC   29-  30     
  BTBMTEAC   31-  31     
  BTBMGRPK   32-  32     
  BTBMGRK    33-  33     
  BTBMGR1    34-  34     
  BTBMGR2    35-  35     
  BTBMGR3    36-  36     
  BTBMGR4    37-  37     
  BTBMGR5    38-  38     
  BTBMGR6    39-  39     
  BTBMGR7    40-  40     
  BTBMGR8    41-  41     
  BTBMGR9    42-  42     
  BTBMGR10   43-  43     
  BTBMGR11   44-  44     
  BTBMGR12   45-  45     
  BTBMGR13   46-  46     
  BTBSTEAC   47-  47     
  BTBSGRPK   48-  48     
  BTBSGRK    49-  49     
  BTBSGR1    50-  50     
  BTBSGR2    51-  51     
  BTBSGR3    52-  52     
  BTBSGR4    53-  53     
  BTBSGR5    54-  54     
  BTBSGR6    55-  55     
  BTBSGR7    56-  56     
  BTBSGR8    57-  57     
  BTBSGR9    58-  58     
  BTBSGR10   59-  59     
  BTBSGR11   60-  60     
  BTBSGR12   61-  61     
  BTBSGR13   62-  62     
  BTBGPTFT   63-  63     
  BTBGTAUG   64-  65     
  BTBGGRPK   66-  66     
  BTBGGRK    67-  67     
  BTBGGR1    68-  68     
  BTBGGR2    69-  69     
  BTBGGR3    70-  70     
  BTBGGR4    71-  71     
  BTBGGR5    72-  72     
  BTBGGR6    73-  73     
  BTBGGR7    74-  74     
  BTBGGR8    75-  75     
  BTBGGR9    76-  76     
  BTBGGR10   77-  77     
  BTBGGR11   78-  78     
  BTBGGR12   79-  79     
  BTBGGR13   80-  80     
  BTBMSUB1   81-  82     
  BTBSSUB2   83-  84     
  BTBSSUB3   85-  86     
  BTBSSUB4   87-  88     
  BTBSSUB5   89-  90     
  BTBSSUB6   91-  92     
  BTBSSUB7   93-  94     
  BTBSSUB8   95-  96     
  BTBGSUB9   97-  98     
  BTBGTSK1   99- 100     
  BTBGTSK2  101- 102     
  BTBGTSK3  103- 104     
  BTBGTSK4  105- 106     
  BTBGTSK5  107- 108     
  BTBGTSK6  109- 110     
  BTBGTOTL  111- 112     
  BTBGACT1  113- 113     
  BTBGACT2  114- 114     
  BTBGACT3  115- 115     
  BTBGACT4  116- 116     
  BTBGACT5  117- 117     
  BTBGACT6  118- 118     
  BTBGACT7  119- 119     
  BTBGACT8  120- 120     
  BTBGMEET  121- 122     
  BTBGINF1  123- 123     
  BTBGINF2  124- 124     
  BTBGINF3  125- 125     
  BTBGINF4  126- 126     
  BTBMIMP1  127- 127     
  BTBMIMP2  128- 128     
  BTBMIMP3  129- 129     
  BTBMIMP4  130- 130     
  BTBMIMP5  131- 131     
  BTBMIMP6  132- 132     
  BTBMAGR1  133- 133     
  BTBMAGR2  134- 134     
  BTBMAGR3  135- 135     
  BTBGAGR4  136- 136     
  BTBMAGR5  137- 137     
  BTBMAGR6  138- 138     
  BTBMAGR7  139- 139     
  BTBMAGR8  140- 140     
  BTBMAGR9  141- 141     
  BTBMFAM1  142- 142     
  BTBMFAM2  143- 143     
  BTBGFAM3  144- 144     
  BTBGFAM4  145- 145     
  BTBGFAM5  146- 146     
  BTBMFAM6  147- 147     
  BTBMFAM7  148- 148     
  BTBGCARE  149- 149     
  BTBGCHNG  150- 150     
  BTBGSOAP  151- 151     
  BTBGSTAP  152- 152     
  BTBGBOOK  153- 153     
  BTBGRNK1  154- 155     
  BTBGRNK2  156- 157     
  BTBGRNK3  158- 159     
  BTBGRNK4  160- 161     
  BTBGRNK5  162- 163     
  BTBGRNK6  164- 165     
  BTBGRNK7  166- 167     
  BTBGRNK8  168- 169     
  BTBGRNK9  170- 171     
  BTBMBOY   172- 174     
  BTBMGIRL  175- 177     
  BTBMACH1  178- 180     
  BTBMACH2  181- 183     
  BTBMACH3  184- 186     
  BTBMTIME  187- 190     
  BTBMTXBK  191- 191     
  BTBMTXB0  192- 192     
  BTBMTXB1  193- 193     
  BTBMTXB2  194- 194     
  BTBMTXB3  195- 195     
  BTBMTXB4  196- 196     
  BTBMTXB5  197- 197     
  BTBMTXB6  198- 198     
  BTBMTXB7  199- 199     
  BTBMTXB8  200- 200     
  BTBMTXB9  201- 201     
  BTBMTSNM  202- 203     
  BTBMTXBS  204- 204     
  BTBMADTB  205- 206     
  BTBMLM01  207- 207     
  BTBMLM02  208- 208     
  BTBMLM03  209- 209     
  BTBMLM04  210- 210     
  BTBMLM05  211- 211     
  BTBMLM06  212- 212     
  BTBMLM07  213- 213     
  BTBMLM08  214- 214     
  BTBMLM09  215- 215     
  BTBMLM10  216- 216     
  BTBMLM11  217- 217     
  BTBMLM12  218- 218     
  BTBMLM13  219- 219     
  BTBMLM14  220- 220     
  BTBMLM15  221- 221     
  BTBMLM16  222- 222     
  BTBMCALC  223- 223     
  BTBMCAL1  224- 224     
  BTBMCAL2  225- 225     
  BTBMCAL3  226- 226     
  BTBMCAL4  227- 227     
  BTBMCAL5  228- 228     
  BTBMRLY1  229- 229     
  BTBMRLY2  230- 230     
  BTBMRLY3  231- 231     
  BTBMRLY4  232- 232     
  BTBMRLY5  233- 233     
  BTBMRLY6  234- 234     
  BTBMRLY7  235- 235     
  BTBMSRC1  236- 237     
  BTBMSRC2  238- 239     
  BTBMSRC3  240- 241     
  BTBMSRC4  242- 243     
  BTBMTA    244- 244     
  BTBMTAA   245- 245     
  BTBMTAB   246- 246     
  BTBMTAC   247- 247     
  BTBMTA1   248- 248     
  BTBMTA1A  249- 249     
  BTBMTA1B  250- 250     
  BTBMTA1C  251- 251     
  BTBMTA2   252- 252     
  BTBMTA2A  253- 253     
  BTBMTA2B  254- 254     
  BTBMTA2C  255- 255     
  BTBMTB    256- 256     
  BTBMTBA   257- 257     
  BTBMTBB   258- 258     
  BTBMTBC   259- 259     
  BTBMTB1   260- 260     
  BTBMTB1A  261- 261     
  BTBMTB1B  262- 262     
  BTBMTB1C  263- 263     
  BTBMTB2   264- 264     
  BTBMTB2A  265- 265     
  BTBMTB2B  266- 266     
  BTBMTB2C  267- 267     
  BTBMTB3   268- 268     
  BTBMTB3A  269- 269     
  BTBMTB3B  270- 270     
  BTBMTB3C  271- 271     
  BTBMTB4   272- 272     
  BTBMTB4A  273- 273     
  BTBMTB4B  274- 274     
  BTBMTB4C  275- 275     
  BTBMTB5   276- 276     
  BTBMTB5A  277- 277     
  BTBMTB5B  278- 278     
  BTBMTB5C  279- 279     
  BTBMTB6   280- 280     
  BTBMTB6A  281- 281     
  BTBMTB6B  282- 282     
  BTBMTB6C  283- 283     
  BTBMTB7   284- 284     
  BTBMTB7A  285- 285     
  BTBMTB7B  286- 286     
  BTBMTB7C  287- 287     
  BTBMTC    288- 288     
  BTBMTCA   289- 289     
  BTBMTCB   290- 290     
  BTBMTCC   291- 291     
  BTBMTD    292- 292     
  BTBMTDA   293- 293     
  BTBMTDB   294- 294     
  BTBMTDC   295- 295     
  BTBMTE    296- 296     
  BTBMTEA   297- 297     
  BTBMTEB   298- 298     
  BTBMTEC   299- 299     
  BTBMTF    300- 300     
  BTBMTFA   301- 301     
  BTBMTFB   302- 302     
  BTBMTFC   303- 303     
  BTBMTG    304- 304     
  BTBMTGA   305- 305     
  BTBMTGB   306- 306     
  BTBMTGC   307- 307     
  BTBMTH    308- 308     
  BTBMTHA   309- 309     
  BTBMTHB   310- 310     
  BTBMTHC   311- 311     
  BTBMTI    312- 312     
  BTBMTIA   313- 313     
  BTBMTIB   314- 314     
  BTBMTIC   315- 315     
  BTBMTJ    316- 316     
  BTBMTJA   317- 317     
  BTBMTJB   318- 318     
  BTBMTJC   319- 319     
  BTBMTK    320- 320     
  BTBMTKA   321- 321     
  BTBMTKB   322- 322     
  BTBMTKC   323- 323     
  BTBMTL    324- 324     
  BTBMTLA   325- 325     
  BTBMTLB   326- 326     
  BTBMTLC   327- 327     
  BTBMTM    328- 328     
  BTBMTMA   329- 329     
  BTBMTMB   330- 330     
  BTBMTMC   331- 331     
  BTBMTN    332- 332     
  BTBMTNA   333- 333     
  BTBMTNB   334- 334     
  BTBMTNC   335- 335     
  BTBMTN1   336- 336     
  BTBMTN1A  337- 337     
  BTBMTN1B  338- 338     
  BTBMTN1C  339- 339     
  BTBMTN2   340- 340     
  BTBMTN2A  341- 341     
  BTBMTN2B  342- 342     
  BTBMTN2C  343- 343     
  BTBMTO    344- 344     
  BTBMTOA   345- 345     
  BTBMTOB   346- 346     
  BTBMTOC   347- 347     
  BTBMTO1   348- 348     
  BTBMTO1A  349- 349     
  BTBMTO1B  350- 350     
  BTBMTO1C  351- 351     
  BTBMTO2   352- 352     
  BTBMTO2A  353- 353     
  BTBMTO2B  354- 354     
  BTBMTO2C  355- 355     
  BTBMTP    356- 356     
  BTBMTPA   357- 357     
  BTBMTPB   358- 358     
  BTBMTPC   359- 359     
  BTBMTQ    360- 360     
  BTBMTQA   361- 361     
  BTBMTQB   362- 362     
  BTBMTQC   363- 363     
  BTBMTQ1   364- 364     
  BTBMTQ1A  365- 365     
  BTBMTQ1B  366- 366     
  BTBMTQ1C  367- 367     
  BTBMTQ2   368- 368     
  BTBMTQ2A  369- 369     
  BTBMTQ2B  370- 370     
  BTBMTQ2C  371- 371     
  BTBMTR    372- 372     
  BTBMTRA   373- 373     
  BTBMTRB   374- 374     
  BTBMTRC   375- 375     
  BTBMTS    376- 376     
  BTBMTSA   377- 377     
  BTBMTSB   378- 378     
  BTBMTSC   379- 379     
  BTBMTT    380- 380     
  BTBMTTA   381- 381     
  BTBMTTB   382- 382     
  BTBMTTC   383- 383     
  BTBMTU    384- 384     
  BTBMTUA   385- 385     
  BTBMTUB   386- 386     
  BTBMTUC   387- 387     
  BTBMTV    388- 388     
  BTBMTVA   389- 389     
  BTBMTVB   390- 390     
  BTBMTVC   391- 391     
  BTBMCLTM  392- 394     
  BTBMTO01  395- 395     
  BTBMTO02  396- 396     
  BTBMTO03  397- 397     
  BTBMTO04  398- 398     
  BTBMTO05  399- 399     
  BTBMTO06  400- 400     
  BTBMTO07  401- 401     
  BTBMTO08  402- 402     
  BTBMTO09  403- 403     
  BTBMTO10  404- 404     
  BTBMTO11  405- 405     
  BTBMTO12  406- 406     
  BTBMTO13  407- 407     
  BTBMTO14  408- 408     
  BTBMTO15  409- 409     
  BTBMTO16  410- 410     
  BTBMTO17  411- 411     
  BTBMTO18  412- 412     
  BTBMTO19  413- 413     
  BTBMTO20  414- 414     
  BTBMTO21  415- 415     
  BTBMTO22  416- 416     
  BTBMTOP1  417- 417     
  BTBMTOP2  418- 418     
  BTBMTOP3  419- 419     
  BTBMHMW1  420- 420     
  BTBMHWT1  421- 423     
  BTBMCLCM  424- 424     
  BTBMOR01  425- 426     
  BTBMTM01  427- 429     
  BTBMOR02  430- 431     
  BTBMTM02  432- 434     
  BTBMOR03  435- 436     
  BTBMTM03  437- 439     
  BTBMOR04  440- 441     
  BTBMTM04  442- 444     
  BTBMOR05  445- 446     
  BTBMTM05  447- 449     
  BTBMOR06  450- 451     
  BTBMTM06  452- 454     
  BTBMOR07  455- 456     
  BTBMTM07  457- 459     
  BTBMOR08  460- 461     
  BTBMTM08  462- 464     
  BTBMOR09  465- 466     
  BTBMTM09  467- 469     
  BTBMOR10  470- 471     
  BTBMTM10  472- 474     
  BTBMOR11  475- 476     
  BTBMTM11  477- 479     
  BTBMSGRP  480- 480     
  BTBMASK1  481- 481     
  BTBMASK2  482- 482     
  BTBMASK3  483- 483     
  BTBMASK4  484- 484     
  BTBMASK5  485- 485     
  BTBMASK6  486- 486     
  BTBMDO1   487- 487     
  BTBMDO2   488- 488     
  BTBMDO3   489- 489     
  BTBMDO4   490- 490     
  BTBMLES1  491- 491     
  BTBMLES2  492- 492     
  BTBMLES3  493- 493     
  BTBMLES4  494- 494     
  BTBMLES5  495- 495     
  BTBMLES6  496- 496     
  BTBMHMW2  497- 497     
  BTBMHWT2  498- 499     
  BTBMWKBK  500- 500     
  BTBMPROB  501- 501     
  BTBMREAD  502- 502     
  BTBMWRIT  503- 503     
  BTBMDATA  504- 504     
  BTBMIEXP  505- 505     
  BTBMGEXP  506- 506     
  BTBMFIND  507- 507     
  BTBMORAL  508- 508     
  BTBMJOUR  509- 509     
  BTBMWHW1  510- 510     
  BTBMWHW2  511- 511     
  BTBMWHW3  512- 512     
  BTBMWHW4  513- 513     
  BTBMWHW5  514- 514     
  BTBMWHW6  515- 515     
  BTBMWHW7  516- 516     
  BTBMWHW8  517- 517     
  BTBMWGT1  518- 518     
  BTBMWGT2  519- 519     
  BTBMWGT3  520- 520     
  BTBMWGT4  521- 521     
  BTBMWGT5  522- 522     
  BTBMWGT6  523- 523     
  BTBMWGT7  524- 524     
  BTBGASS1  525- 525     
  BTBGASS2  526- 526     
  BTBGASS3  527- 527     
  BTBGASS4  528- 528     
  BTBGASS5  529- 529     
  BTBGASS6  530- 530     
  BTDMTOEN  531- 533     
  BTDGADMN  534- 541 (3)
  BTDGCPLN  542- 549 (3)
  BTDGOTHR  550- 557 (3)
  BTDGSUBT  558- 565 (3)
  BTDGTSKT  566- 573 (3)
  BTDGTTIM  574- 581 (3)
  BTDMCALC  582- 582     
  BTDMCPTM  583- 583     
  BTDMEMH   584- 584     
  BTDMERPS  585- 585     
  BTDMHTM   586- 593 (3)
  BTDMSIZE  594- 601 (3)
  BTDMSZ3C  602- 602     
  BTDMTPTT  603- 610 (3)
  BTDMTTIM  611- 618 (3)
  BTDMTIME  619- 619     
  DPCDATE   620- 625     .


*NOTE: Assignment of variable labels.

variable labels   VERSION  "*FILE VERSION*" 
                 /IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDTEACH  "*TEACHER ID*" 
                 /IDLINK   "*TEACHER LINK NUMBER*" 
                 /IDSUBJCT "*SUBJECT ID*" 
                 /BTBGAGE  "GEN\AGE OF TEACHER" 
                 /BTBGSEX  "GEN\SEX OF TEACHER" 
                 /BTBGEDUC "GEN\LEVEL OF EDUCATION COMPLETED" 
                 /BTBMTEAC "MAT\DO NOT TEACH MATHEMATICS THIS YEAR" 
                 /BTBMGRPK "MAT\GRADE LEVEL\PRE-KINDERGARTEN" 
                 /BTBMGRK  "MAT\GRADE LEVEL\KINDERGARTEN" 
                 /BTBMGR1  "MAT\GRADE LEVEL\GRADE 1" 
                 /BTBMGR2  "MAT\GRADE LEVEL\GRADE 2" 
                 /BTBMGR3  "MAT\GRADE LEVEL\GRADE 3" 
                 /BTBMGR4  "MAT\GRADE LEVEL\GRADE 4" 
                 /BTBMGR5  "MAT\GRADE LEVEL\GRADE 5" 
                 /BTBMGR6  "MAT\GRADE LEVEL\GRADE 6" 
                 /BTBMGR7  "MAT\GRADE LEVEL\GRADE 7" 
                 /BTBMGR8  "MAT\GRADE LEVEL\GRADE 8" 
                 /BTBMGR9  "MAT\GRADE LEVEL\GRADE 9" 
                 /BTBMGR10 "MAT\GRADE LEVEL\GRADE 10" 
                 /BTBMGR11 "MAT\GRADE LEVEL\GRADE 11" 
                 /BTBMGR12 "MAT\GRADE LEVEL\GRADE 12" 
                 /BTBMGR13 "MAT\GRADE LEVEL\GRADE 13" 
                 /BTBSTEAC "SCI\DO NOT TEACH SCIENCE THIS YEAR" 
                 /BTBSGRPK "SCI\GRADE LEVEL\PRE-KINDERGARTEN" 
                 /BTBSGRK  "SCI\GRADE LEVEL\KINDERGARTEN" 
                 /BTBSGR1  "SCI\GRADE LEVEL\GRADE 1" 
                 /BTBSGR2  "SCI\GRADE LEVEL\GRADE 2" 
                 /BTBSGR3  "SCI\GRADE LEVEL\GRADE 3" 
                 /BTBSGR4  "SCI\GRADE LEVEL\GRADE 4" 
                 /BTBSGR5  "SCI\GRADE LEVEL\GRADE 5" 
                 /BTBSGR6  "SCI\GRADE LEVEL\GRADE 6" 
                 /BTBSGR7  "SCI\GRADE LEVEL\GRADE 7" 
                 /BTBSGR8  "SCI\GRADE LEVEL\GRADE 8" 
                 /BTBSGR9  "SCI\GRADE LEVEL\GRADE 9" 
                 /BTBSGR10 "SCI\GRADE LEVEL\GRADE 10" 
                 /BTBSGR11 "SCI\GRADE LEVEL\GRADE 11" 
                 /BTBSGR12 "SCI\GRADE LEVEL\GRADE 12" 
                 /BTBSGR13 "SCI\GRADE LEVEL\GRADE 13" 
                 /BTBGPTFT "GEN\TEACH PART-TIME OR FULL-TIME" 
                 /BTBGTAUG "GEN\YEARS BEEN TEACHING" 
                 /BTBGGRPK "GEN\GRADE LEVEL\PRE-KINDERGARTEN" 
                 /BTBGGRK  "GEN\GRADE LEVEL\KINDERGARTEN" 
                 /BTBGGR1  "GEN\GRADE LEVEL\GRADE 1" 
                 /BTBGGR2  "GEN\GRADE LEVEL\GRADE 2" 
                 /BTBGGR3  "GEN\GRADE LEVEL\GRADE 3" 
                 /BTBGGR4  "GEN\GRADE LEVEL\GRADE 4" 
                 /BTBGGR5  "GEN\GRADE LEVEL\GRADE 5" 
                 /BTBGGR6  "GEN\GRADE LEVEL\GRADE 6" 
                 /BTBGGR7  "GEN\GRADE LEVEL\GRADE 7" 
                 /BTBGGR8  "GEN\GRADE LEVEL\GRADE 8" 
                 /BTBGGR9  "GEN\GRADE LEVEL\GRADE 9" 
                 /BTBGGR10 "GEN\GRADE LEVEL\GRADE 10" 
                 /BTBGGR11 "GEN\GRADE LEVEL\GRADE 11" 
                 /BTBGGR12 "GEN\GRADE LEVEL\GRADE 12" 
                 /BTBGGR13 "GEN\GRADE LEVEL\GRADE 13" 
                 /BTBMSUB1 "MAT\SCHEDULED SUBJECTS\MATHEMATICS" 
                 /BTBSSUB2 "SCI\SCHEDULED SUBJECTS\GENERAL SCI" 
                 /BTBSSUB3 "SCI\SCHEDULED SUBJECTS\PHYSICAL SCI" 
                 /BTBSSUB4 "SCI\SCHEDULED SUBJECTS\EARTH SCIENCE" 
                 /BTBSSUB5 "SCI\SCHEDULED SUBJECTS\LIFE SCIENCE" 
                 /BTBSSUB6 "SCI\SCHEDULED SUBJECTS\BIOLOGY" 
                 /BTBSSUB7 "SCI\SCHEDULED SUBJECTS\CHEMISTRY" 
                 /BTBSSUB8 "SCI\SCHEDULED SUBJECTS\PHYSICS" 
                 /BTBGSUB9 "GEN\SCHEDULED SUBJECTS\OTHER" 
                 /BTBGTSK1 "GEN\SCHEDULED TASKS\SUPERVISION" 
                 /BTBGTSK2 "GEN\SCHEDULED TASKS\COUNSELLING" 
                 /BTBGTSK3 "GEN\SCHEDULED TASKS\ADMINISTRATION" 
                 /BTBGTSK4 "GEN\SCHEDULED TASKS\INDIVID PLANNING" 
                 /BTBGTSK5 "GEN\SCHEDULED TASKS\COOP PLANNING" 
                 /BTBGTSK6 "GEN\SCHEDULED TASKS\NON SPECIFIED" 
                 /BTBGTOTL "GEN\SCHEDULED HOURS ALTOGETHER" 
                 /BTBGACT1 "GEN\OUTSIDE SCHL\PREPARE TEST" 
                 /BTBGACT2 "GEN\OUTSIDE SCHL\READ STUDENT WORK" 
                 /BTBGACT3 "GEN\OUTSIDE SCHL\PLAN LESSONS" 
                 /BTBGACT4 "GEN\OUTSIDE SCHL\MEET STUDENTS" 
                 /BTBGACT5 "GEN\OUTSIDE SCHL\MEET PARENTS" 
                 /BTBGACT6 "GEN\OUTSIDE SCHL\PROFESSIONL READING" 
                 /BTBGACT7 "GEN\OUTSIDE SCHL\UPDATE STUD RECORDS" 
                 /BTBGACT8 "GEN\OUTSIDE SCHL\ADMINISTRATVE TASKS" 
                 /BTBGMEET "GEN\MEETING WITH OTHER TEACHERS" 
                 /BTBGINF1 "GEN\INFLUENCE\SUBJECT MATTER" 
                 /BTBGINF2 "GEN\INFLUENCE\SPECIFIC TEXTBOOKS" 
                 /BTBGINF3 "GEN\INFLUENCE\MONEY FOR SUPPLIES" 
                 /BTBGINF4 "GEN\INFLUENCE\KIND OF SUPPLIES" 
                 /BTBMIMP1 "MAT\GD\IMPT\REMEMBER FORMULAS" 
                 /BTBMIMP2 "MAT\GD\IMPT\SEQUENTIAL & PROCEDURAL" 
                 /BTBMIMP3 "MAT\GD\IMPT\UNDERSTAND CONCEPTS" 
                 /BTBMIMP4 "MAT\GD\IMPT\THINK CREATIVELY" 
                 /BTBMIMP5 "MAT\GD\IMPT\HOW USED IN REAL WORLD" 
                 /BTBMIMP6 "MAT\GD\IMPT\SUPPORT SOLUTIONS" 
                 /BTBMAGR1 "MAT\PRIMARILY AN ABSTRACT SUBJECT" 
                 /BTBMAGR2 "MAT\FORMAL REPRESENTATION OF WORLD" 
                 /BTBMAGR3 "MAT\PRACTICAL AND STRUCTURED GUIDE" 
                 /BTBGAGR4 "GEN\PRACTICE TO OVERCOME DIFFICULTY" 
                 /BTBMAGR5 "MAT\NATURAL TALENT FOR MATH" 
                 /BTBMAGR6 "MAT\USE MORE THAN 1 REPRESENTATION" 
                 /BTBMAGR7 "MAT\SET OF ALGORITHMS OR RULES" 
                 /BTBMAGR8 "MAT\BASIC COMPUTATIONAL SKILLS" 
                 /BTBMAGR9 "MAT\LIKING & UNDERSTANDING STUDENTS" 
                 /BTBMFAM1 "MAT\NATIONAL CURRICULUM GUIDE" 
                 /BTBMFAM2 "MAT\REGIONAL CURRICULUM GUIDE" 
                 /BTBGFAM3 "GEN\SCHOOL CURRICULUM GUIDE" 
                 /BTBGFAM4 "GEN\NATIONAL EXAM SPECIFICATIONS" 
                 /BTBGFAM5 "GEN\REGIONAL EXAM SPECIFICATIONS" 
                 /BTBMFAM6 "MAT\NATIONAL PEDAGOGY GUIDE" 
                 /BTBMFAM7 "MAT\REGIONAL PEDAGOGY GUIDE" 
                 /BTBGCARE "GEN\WAS TEACHING FIRST CHOICE" 
                 /BTBGCHNG "GEN\WOULD YOU CHANGE CAREER" 
                 /BTBGSOAP "GEN\IS WORK APPRECIATED BY SOCIETY" 
                 /BTBGSTAP "GEN\IS WORK APPRECIATED BY STUDENTS" 
                 /BTBGBOOK "GEN\NUMBER OF BOOKS IN HOME" 
                 /BTBGRNK1 "GEN\SOCIAL STATUS\ACCOUNTANT" 
                 /BTBGRNK2 "GEN\SOCIAL STATUS\<MEDICAL DOCTOR>" 
                 /BTBGRNK3 "GEN\SOCIAL STATUS\LAWYER" 
                 /BTBGRNK4 "GEN\SOCIAL STATUS\ENGINEER" 
                 /BTBGRNK5 "GEN\SOCIAL STATUS\NURSE" 
                 /BTBGRNK6 "GEN\SOCIAL STATUS\SENIOR" 
                 /BTBGRNK7 "GEN\SOCIAL STATUS\TEACHER PRIMARY" 
                 /BTBGRNK8 "GEN\SOCIAL STATUS\TEACHER SECONDARY" 
                 /BTBGRNK9 "GEN\SOCIAL STATUS\<UNSKILLED WORKER>" 
                 /BTBMBOY  "MAT\CLSS\NUMBER OF BOYS IN CLASS" 
                 /BTBMGIRL "MAT\CLSS\NUMBER OF GIRLS IN CLASS" 
                 /BTBMACH1 "MAT\CLSS\HIGH ACHIEVEMENT LEVELS" 
                 /BTBMACH2 "MAT\CLSS\MIDDLE ACHIEVEMENT LEVELS" 
                 /BTBMACH3 "MAT\CLSS\LOW ACHIEVEMENT LEVELS" 
                 /BTBMTIME "MAT\CLSS\LENGTH OF MATH CLASS" 
                 /BTBMTXBK "MAT\CLSS\USE MATH TEXTBOOK" 
                 /BTBMTXB0 "MAT\CLSS\MATH TEXTBOOK USED A" 
                 /BTBMTXB1 "MAT\CLSS\MATH TEXTBOOK USED B" 
                 /BTBMTXB2 "MAT\CLSS\MATH TEXTBOOK USED C" 
                 /BTBMTXB3 "MAT\CLSS\MATH TEXTBOOK USED D" 
                 /BTBMTXB4 "MAT\CLSS\MATH TEXTBOOK USED E" 
                 /BTBMTXB5 "MAT\CLSS\MATH TEXTBOOK USED F" 
                 /BTBMTXB6 "MAT\CLSS\MATH TEXTBOOK USED G" 
                 /BTBMTXB7 "MAT\CLSS\MATH TEXTBOOK USED H" 
                 /BTBMTXB8 "MAT\CLSS\MATH TEXTBOOK USED I" 
                 /BTBMTXB9 "MAT\CLSS\MATH TEXTBOOK USED J" 
                 /BTBMTSNM "MAT\CLSS\TEXTBOOK NAME ENTERED" 
                 /BTBMTXBS "MAT\CLSS\TEXTBOOK BASED TEACHING" 
                 /BTBMADTB "MAT\CLSS\IN ADDITION TO TEXTBOOK" 
                 /BTBMLM01 "MAT\CLSS\DIFFERENT ACADEMIC ABILITIES" 
                 /BTBMLM02 "MAT\CLSS\WIDE RANGE OF BACKGROUNDS" 
                 /BTBMLM03 "MAT\CLSS\SPECIAL NEEDS" 
                 /BTBMLM04 "MAT\CLSS\UNINTERESTED STUDENTS" 
                 /BTBMLM05 "MAT\CLSS\DISRUPTIVE STUDENTS" 
                 /BTBMLM06 "MAT\CLSS\PARENTS INTRESTD IN PROGRSS" 
                 /BTBMLM07 "MAT\CLSS\PARENTS UNINTRESTD IN PROGR" 
                 /BTBMLM08 "MAT\CLSS\SHORTGE OF COMPUTR HARDWARE" 
                 /BTBMLM09 "MAT\CLSS\SHORTGE OF COMPUTR SOFTWARE" 
                 /BTBMLM10 "MAT\CLSS\SHORTGE OF INSTR EQUIPMENT" 
                 /BTBMLM11 "MAT\CLSS\SHORTGE OF DEMNSTR EQUIPMNT" 
                 /BTBMLM12 "MAT\CLSS\INADEQUATE PHYSICL FACILITS" 
                 /BTBMLM13 "MAT\CLSS\HIGH STUDENT TEACHER RATIO" 
                 /BTBMLM14 "MAT\CLSS\LOW MORALE AMONG STAFF" 
                 /BTBMLM15 "MAT\CLSS\LOW MORALE AMONG STUDENTS" 
                 /BTBMLM16 "MAT\CLSS\THREATS 2 PERS OR STDT SFTY" 
                 /BTBMCALC "MAT\ACCESS TO CALC DURING MATH LESS" 
                 /BTBMCAL1 "MAT\CALCS FOR CHECKING ANSWERS" 
                 /BTBMCAL2 "MAT\CALCS FOR TESTS AND EXAMS" 
                 /BTBMCAL3 "MAT\CALCS FOR ROUTINE COMPUTATIO" 
                 /BTBMCAL4 "MAT\CALCS FOR COMPLEX PROBLEMS" 
                 /BTBMCAL5 "MAT\CALCS FOR NUMBER CONCEPTS" 
                 /BTBMRLY1 "MAT\RELY ON PREVIOUS LESSONS" 
                 /BTBMRLY2 "MAT\RELY ON SCHOOL PLAN" 
                 /BTBMRLY3 "MAT\RELY ON OTHER TEACHERS" 
                 /BTBMRLY4 "MAT\RELY ON STUDENT TEXTBOOKS" 
                 /BTBMRLY5 "MAT\RELY ON OTHER TEXTBOOK" 
                 /BTBMRLY6 "MAT\RELY ON TEACHER GUIDE" 
                 /BTBMRLY7 "MAT\RELY ON EXT EXAMS OR STND TESTS" 
                 /BTBMSRC1 "MAT\SOURCE\WHICH TOPIC TO TEACH" 
                 /BTBMSRC2 "MAT\SOURCE\HOW TO PRESENT A TOPIC" 
                 /BTBMSRC3 "MAT\SOURCE\CLASS WORK AND HOMEWORK" 
                 /BTBMSRC4 "MAT\SOURCE\ASSESSMENT AND EVALUATN" 
                 /BTBMTA   "MAT\WHOLE #" 
                 /BTBMTAA  "MAT\WHOLE #\TEACH LATER" 
                 /BTBMTAB  "MAT\WHOLE #\NOT TAUGHT NOW" 
                 /BTBMTAC  "MAT\WHOLE #\TAUGHT BEFORE" 
                 /BTBMTA1  "MAT\WHOLE #\MEANINGS" 
                 /BTBMTA1A "MAT\WHOLE #\MEANINGS\TEACH LATER" 
                 /BTBMTA1B "MAT\WHOLE #\MEANINGS\NOT TAUGHT NOW" 
                 /BTBMTA1C "MAT\WHOLE #\MEANINGS\TAUGHT BEFORE" 
                 /BTBMTA2  "MAT\WHOLE #\OPERATION" 
                 /BTBMTA2A "MAT\WHOLE #\OPERATION\TEACH LATER" 
                 /BTBMTA2B "MAT\WHOLE #\OPERATION\NOT TAUGHT NOW" 
                 /BTBMTA2C "MAT\WHOLE #\OPERATION\TAUGHT BEFORE" 
                 /BTBMTB   "MAT\FRACTIONS" 
                 /BTBMTBA  "MAT\FRACTIONS\TEACH LATER" 
                 /BTBMTBB  "MAT\FRACTIONS\NOT TAUGHT NOW" 
                 /BTBMTBC  "MAT\FRACTIONS\TAUGHT BEFORE" 
                 /BTBMTB1  "MAT\COM FRAC\MEANING" 
                 /BTBMTB1A "MAT\COM FRAC\MEANING\TEACH LATER" 
                 /BTBMTB1B "MAT\COM FRAC\MEANING\NOT TAUGHT NOW" 
                 /BTBMTB1C "MAT\COM FRAC\MEANING\TAUGHT BEFORE" 
                 /BTBMTB2  "MAT\COM FRAC\PROPRTY" 
                 /BTBMTB2A "MAT\COM FRAC\PROPRTY\TEACH LATER" 
                 /BTBMTB2B "MAT\COM FRAC\PROPRTY\NOT TAUGHT NOW" 
                 /BTBMTB2C "MAT\COM FRAC\PROPRTY\TAUGHT BEFORE" 
                 /BTBMTB3  "MAT\DEC FRAC\MEANING" 
                 /BTBMTB3A "MAT\DEC FRAC\MEANING\TEACH LATER" 
                 /BTBMTB3B "MAT\DEC FRAC\MEANING\NOT TAUGHT NOW" 
                 /BTBMTB3C "MAT\DEC FRAC\MEANING\TAUGHT BEFORE" 
                 /BTBMTB4  "MAT\DEC FRAC\PROPRTY" 
                 /BTBMTB4A "MAT\DEC FRAC\PROPRTY\TEACH LATER" 
                 /BTBMTB4B "MAT\DEC FRAC\PROPRTY\NOT TAUGHT NOW" 
                 /BTBMTB4C "MAT\DEC FRAC\PROPRTY\TAUGHT BEFORE" 
                 /BTBMTB5  "MAT\FRAC\REL COM-DEC" 
                 /BTBMTB5A "MAT\FRAC\REL COM-DEC\TEACH LATER" 
                 /BTBMTB5B "MAT\FRAC\REL COM-DEC\NOT TAUGHT NOW" 
                 /BTBMTB5C "MAT\FRAC\REL COM-DEC\TAUGHT BEFORE" 
                 /BTBMTB6  "MAT\FRAC\CONVERSION" 
                 /BTBMTB6A "MAT\FRAC\CONVERSION\TEACH LATER" 
                 /BTBMTB6B "MAT\FRAC\CONVERSION\NOT TAUGHT NOW" 
                 /BTBMTB6C "MAT\FRAC\CONVERSION\TAUGHT BEFORE" 
                 /BTBMTB7  "MAT\FRAC\ORD COM-DEC" 
                 /BTBMTB7A "MAT\FRAC\ORD COM-DEC\TEACH LATER" 
                 /BTBMTB7B "MAT\FRAC\ORD COM-DEC\NOT TAUGHT NOW" 
                 /BTBMTB7C "MAT\FRAC\ORD COM-DEC\TAUGHT BEFORE" 
                 /BTBMTC   "MAT\PERCENTAGES" 
                 /BTBMTCA  "MAT\PERCENTAGES\TEACH LATER" 
                 /BTBMTCB  "MAT\PERCENTAGES\NOT TAUGHT NOW" 
                 /BTBMTCC  "MAT\PERCENTAGES\TAUGHT BEFORE" 
                 /BTBMTD   "MAT\# SETS" 
                 /BTBMTDA  "MAT\# SETS\TEACH LATER" 
                 /BTBMTDB  "MAT\# SETS\NOT TAUGHT NOW" 
                 /BTBMTDC  "MAT\# SETS\TAUGHT BEFORE" 
                 /BTBMTE   "MAT\# THEORY" 
                 /BTBMTEA  "MAT\# THEORY\TEACH LATER" 
                 /BTBMTEB  "MAT\# THEORY\NOT TAUGHT NOW" 
                 /BTBMTEC  "MAT\# THEORY\TAUGHT BEFORE" 
                 /BTBMTF   "MAT\# SENSE" 
                 /BTBMTFA  "MAT\# SENSE\TEACH LATER" 
                 /BTBMTFB  "MAT\# SENSE\NOT TAUGHT NOW" 
                 /BTBMTFC  "MAT\# SENSE\TAUGHT BEFORE" 
                 /BTBMTG   "MAT\MEAS UNITS" 
                 /BTBMTGA  "MAT\MEAS UNITS\TEACH LATER" 
                 /BTBMTGB  "MAT\MEAS UNITS\NOT TAUGHT NOW" 
                 /BTBMTGC  "MAT\MEAS UNITS\TAUGHT BEFORE" 
                 /BTBMTH   "MAT\MEAS ERROR" 
                 /BTBMTHA  "MAT\MEAS ERROR\TEACH LATER" 
                 /BTBMTHB  "MAT\MEAS ERROR\NOT TAUGHT NOW" 
                 /BTBMTHC  "MAT\MEAS ERROR\TAUGHT BEFORE" 
                 /BTBMTI   "MAT\PERIMETER" 
                 /BTBMTIA  "MAT\PERIMETER\TEACH LATER" 
                 /BTBMTIB  "MAT\PERIMETER\NOT TAUGHT NOW" 
                 /BTBMTIC  "MAT\PERIMETER\TAUGHT BEFORE" 
                 /BTBMTJ   "MAT\1 2 DIMENSIONS" 
                 /BTBMTJA  "MAT\1 2 DIMENSIONS\TEACH LATER" 
                 /BTBMTJB  "MAT\1 2 DIMENSIONS\NOT TAUGHT NOW" 
                 /BTBMTJC  "MAT\1 2 DIMENSIONS\TAUGHT BEFORE" 
                 /BTBMTK   "MAT\CONGRUENCE" 
                 /BTBMTKA  "MAT\CONGRUENCE\TEACH LATER" 
                 /BTBMTKB  "MAT\CONGRUENCE\NOT TAUGHT NOW" 
                 /BTBMTKC  "MAT\CONGRUENCE\TAUGHT BEFORE" 
                 /BTBMTL   "MAT\TRANSFORMATION" 
                 /BTBMTLA  "MAT\TRANSFORMATION\TEACH LATER" 
                 /BTBMTLB  "MAT\TRANSFORMATION\NOT TAUGHT NOW" 
                 /BTBMTLC  "MAT\TRANSFORMATION\TAUGHT BEFORE" 
                 /BTBMTM   "MAT\3 DIMENSIONS" 
                 /BTBMTMA  "MAT\3 DIMENSIONS\TEACH LATER" 
                 /BTBMTMB  "MAT\3 DIMENSIONS\NOT TAUGHT NOW" 
                 /BTBMTMC  "MAT\3 DIMENSIONS\TAUGHT BEFORE" 
                 /BTBMTN   "MAT\RATIO+PROPORTION" 
                 /BTBMTNA  "MAT\RATIO+PROPORTION\TEACH LATER" 
                 /BTBMTNB  "MAT\RATIO+PROPORTION\NOT TAUGHT NOW" 
                 /BTBMTNC  "MAT\RATIO+PROPORTION\TAUGHT BEFORE" 
                 /BTBMTN1  "MAT\RATIO\CONCEPTS" 
                 /BTBMTN1A "MAT\RATIO\CONCEPTS\TEACH LATER" 
                 /BTBMTN1B "MAT\RATIO\CONCEPTS\NOT TAUGHT NOW" 
                 /BTBMTN1C "MAT\RATIO\CONCEPTS\TAUGHT BEFORE" 
                 /BTBMTN2  "MAT\RATIO\USES" 
                 /BTBMTN2A "MAT\RATIO\USES\TEACH LATER" 
                 /BTBMTN2B "MAT\RATIO\USES\NOT TAUGHT NOW" 
                 /BTBMTN2C "MAT\RATIO\USES\TAUGHT BEFORE" 
                 /BTBMTO   "MAT\PROPORTIONALITY" 
                 /BTBMTOA  "MAT\PROPORTIONALITY\TEACH LATER" 
                 /BTBMTOB  "MAT\PROPORTIONALITY\NOT TAUGHT NOW" 
                 /BTBMTOC  "MAT\PROPORTIONALITY\TAUGHT BEFORE" 
                 /BTBMTO1  "MAT\PROP\SLOPE" 
                 /BTBMTO1A "MAT\PROP\SLOPE\TEACH LATER" 
                 /BTBMTO1B "MAT\PROP\SLOPE\NOT TAUGHT NOW" 
                 /BTBMTO1C "MAT\PROP\SLOPE\TAUGHT BEFORE" 
                 /BTBMTO2  "MAT\PROP\INTERPOLATN" 
                 /BTBMTO2A "MAT\PROP\INTERPOLATN\TEACH LATER" 
                 /BTBMTO2B "MAT\PROP\INTERPOLATN\NOT TAUGHT NOW" 
                 /BTBMTO2C "MAT\PROP\INTERPOLATN\TAUGHT BEFORE" 
                 /BTBMTP   "MAT\FUNCTIONS" 
                 /BTBMTPA  "MAT\FUNCTIONS\TEACH LATER" 
                 /BTBMTPB  "MAT\FUNCTIONS\NOT TAUGHT NOW" 
                 /BTBMTPC  "MAT\FUNCTIONS\TAUGHT BEFORE" 
                 /BTBMTQ   "MAT\EQUATIONS" 
                 /BTBMTQA  "MAT\EQUATIONS\TEACH LATER" 
                 /BTBMTQB  "MAT\EQUATIONS\NOT TAUGHT NOW" 
                 /BTBMTQC  "MAT\EQUATIONS\TAUGHT BEFORE" 
                 /BTBMTQ1  "MAT\EQUATIONS\LINEAR" 
                 /BTBMTQ1A "MAT\EQUATIONS\LINEAR\TEACH LATER" 
                 /BTBMTQ1B "MAT\EQUATIONS\LINEAR\NOT TAUGHT NOW" 
                 /BTBMTQ1C "MAT\EQUATIONS\LINEAR\TAUGHT BEFORE" 
                 /BTBMTQ2  "MAT\EQUATIONS\OTHER" 
                 /BTBMTQ2A "MAT\EQUATIONS\OTHER\TEACH LATER" 
                 /BTBMTQ2B "MAT\EQUATIONS\OTHER\NOT TAUGHT NOW" 
                 /BTBMTQ2C "MAT\EQUATIONS\OTHER\TAUGHT BEFORE" 
                 /BTBMTR   "MAT\STATISTICS" 
                 /BTBMTRA  "MAT\STATISTICS\TEACH LATER" 
                 /BTBMTRB  "MAT\STATISTICS\NOT TAUGHT NOW" 
                 /BTBMTRC  "MAT\STATISTICS\TAUGHT BEFORE" 
                 /BTBMTS   "MAT\PROBABILITY" 
                 /BTBMTSA  "MAT\PROBABILITY\TEACH LATER" 
                 /BTBMTSB  "MAT\PROBABILITY\NOT TAUGHT NOW" 
                 /BTBMTSC  "MAT\PROBABILITY\TAUGHT BEFORE" 
                 /BTBMTT   "MAT\SETS+LOGIC" 
                 /BTBMTTA  "MAT\SETS+LOGIC\TEACH LATER" 
                 /BTBMTTB  "MAT\SETS+LOGIC\NOT TAUGHT NOW" 
                 /BTBMTTC  "MAT\SETS+LOGIC\TAUGHT BEFORE" 
                 /BTBMTU   "MAT\PROBLEM SOLVING" 
                 /BTBMTUA  "MAT\PROBLEM SOLVING\TEACH LATER" 
                 /BTBMTUB  "MAT\PROBLEM SOLVING\NOT TAUGHT NOW" 
                 /BTBMTUC  "MAT\PROBLEM SOLVING\TAUGHT BEFORE" 
                 /BTBMTV   "MAT\OTHER CONTENT" 
                 /BTBMTVA  "MAT\OTHER CONTENT\TEACH LATER" 
                 /BTBMTVB  "MAT\OTHER CONTENT\NOT TAUGHT NOW" 
                 /BTBMTVC  "MAT\OTHER CONTENT\TAUGHT BEFORE" 
                 /BTBMCLTM "MAT\DURATION OF LAST CLASS LESSON" 
                 /BTBMTO01 "MAT\TOPICS\WHOLE NUMBERS" 
                 /BTBMTO02 "MAT\TOPICS\FRACTIONS" 
                 /BTBMTO03 "MAT\TOPICS\PERCENTAGES" 
                 /BTBMTO04 "MAT\TOPICS\# SETS AND CONCEPTS" 
                 /BTBMTO05 "MAT\TOPICS\# THEORY" 
                 /BTBMTO06 "MAT\TOPICS\ESTIMATION AND # SENSE" 
                 /BTBMTO07 "MAT\TOPICS\MEAS UNITS AND PROCESSES" 
                 /BTBMTO08 "MAT\TOPICS\ERROR OF MEASUREMENT" 
                 /BTBMTO09 "MAT\TOPICS\PERIMETER+AREA+VOLUME" 
                 /BTBMTO10 "MAT\TOPICS\1 2 DIMENSIONAL GEOMETRY" 
                 /BTBMTO11 "MAT\TOPICS\GEOMETRIC CONGRUENCE" 
                 /BTBMTO12 "MAT\TOPICS\GEOMETRIC TRANSFORMATION" 
                 /BTBMTO13 "MAT\TOPICS\3 DIMENSIONAL GEOMETRY" 
                 /BTBMTO14 "MAT\TOPICS\RATIO AND PROPORTION" 
                 /BTBMTO15 "MAT\TOPICS\PROPORTIONALITY" 
                 /BTBMTO16 "MAT\TOPICS\FUNCTIONS AND RELATIONS" 
                 /BTBMTO17 "MAT\TOPICS\EQUATIONS + INEQUALITIES" 
                 /BTBMTO18 "MAT\TOPICS\STATISTICS AND DATA" 
                 /BTBMTO19 "MAT\TOPICS\PROBABILITY+UNCERTAINTY" 
                 /BTBMTO20 "MAT\TOPICS\SETS AND LOGIC" 
                 /BTBMTO21 "MAT\TOPICS\PROBLEM SOLVING STRATEGY" 
                 /BTBMTO22 "MAT\TOPICS\OTHER MATH CONTENT" 
                 /BTBMTOP1 "MAT\LAST LESSON\INTRODUCTION" 
                 /BTBMTOP2 "MAT\LAST LESSON\CONTINUATION" 
                 /BTBMTOP3 "MAT\LAST LESSON\END OF COVERAGE" 
                 /BTBMHMW1 "MAT\LAST LESSON\HOMEWORK" 
                 /BTBMHWT1 "MAT\LAST LESSON\HOMEWORK DURATION" 
                 /BTBMCLCM "MAT\LAST LESSON\WAS COMPUTER USED" 
                 /BTBMOR01 "MAT\PROCEDURE\ORDER\REVIEW" 
                 /BTBMTM01 "MAT\PROCEDURE\TIME\REVIEW" 
                 /BTBMOR02 "MAT\PROCEDURE\ORDER\QUIZ REVIEW" 
                 /BTBMTM02 "MAT\PROCEDURE\TIME\QUIZ REVIEW" 
                 /BTBMOR03 "MAT\PROCEDURE\ORDER\ORAL RECITATION" 
                 /BTBMTM03 "MAT\PROCEDURE\TIME\ORAL RECITATION" 
                 /BTBMOR04 "MAT\PROCEDURE\ORDER\HOMEWORK REVIEW" 
                 /BTBMTM04 "MAT\PROCEDURE\TIME\HOMEWORK REVIEW" 
                 /BTBMOR05 "MAT\PROCEDURE\ORDER\INTRODUCE TOPIC" 
                 /BTBMTM05 "MAT\PROCEDURE\TIME\INTRODUCE TOPIC" 
                 /BTBMOR06 "MAT\PROCEDURE\ORDER\DEVELOP TOPIC" 
                 /BTBMTM06 "MAT\PROCEDURE\TIME\DEVELOP TOPIC" 
                 /BTBMOR07 "MAT\PROCEDURE\ORDER\GROUP ACTIVITY" 
                 /BTBMTM07 "MAT\PROCEDURE\TIME\GROUP ACTIVITY" 
                 /BTBMOR08 "MAT\PROCEDURE\ORDER\EXERCISES" 
                 /BTBMTM08 "MAT\PROCEDURE\TIME\EXERCISES" 
                 /BTBMOR09 "MAT\PROCEDURE\ORDER\ASSIGN HOMEWORK" 
                 /BTBMTM09 "MAT\PROCEDURE\TIME\ASSIGN HOMEWORK" 
                 /BTBMOR10 "MAT\PROCEDURE\ORDER\DO HOMEWORK" 
                 /BTBMTM10 "MAT\PROCEDURE\TIME\DO HOMEWORK" 
                 /BTBMOR11 "MAT\PROCEDURE\ORDER\LABORATORY" 
                 /BTBMTM11 "MAT\PROCEDURE\TIME\LABORATORY" 
                 /BTBMSGRP "MAT\STUDENT WORK IN SMALL GROUPS" 
                 /BTBMASK1 "MAT\TASKS\EXPLAIN REASONING" 
                 /BTBMASK2 "MAT\TASKS\ANALYZE RELATIONSHIPS" 
                 /BTBMASK3 "MAT\TASKS\WORK ON PROBLEMS" 
                 /BTBMASK4 "MAT\TASKS\USE COMPUTERS" 
                 /BTBMASK5 "MAT\TASKS\WRITE EQUATIONS" 
                 /BTBMASK6 "MAT\TASKS\PRACTICE COMPUTATION" 
                 /BTBMDO1  "MAT\REACTION\CORRECT STUDENT" 
                 /BTBMDO2  "MAT\REACTION\HELP STUDENT" 
                 /BTBMDO3  "MAT\REACTION\OTHER\CORRECT ANSWER" 
                 /BTBMDO4  "MAT\REACTION\OTHER\DISCUSS RESPONSE" 
                 /BTBMLES1 "MAT\INDIVIDUAL WORK\NO ASSISTANCE" 
                 /BTBMLES2 "MAT\INDIVIDUAL WORK\ASSISTANCE" 
                 /BTBMLES3 "MAT\WORK TOGETHER\TEACHER TEACHES" 
                 /BTBMLES4 "MAT\WORK TOGETHER\STUDENTS INTERACT" 
                 /BTBMLES5 "MAT\WORK IN GROUPS\NO ASSISTANCE" 
                 /BTBMLES6 "MAT\WORK IN GROUPS\ASSISTANCE" 
                 /BTBMHMW2 "MAT\HOMEWORK FREQUENCY" 
                 /BTBMHWT2 "MAT\AVERAGE TIME NEEDED FOR HOMEWK" 
                 /BTBMWKBK "MAT\HOMEWORK\WORKSHEETS OR -BOOK" 
                 /BTBMPROB "MAT\HOMEWORK\TEXTBOOK PROBLEMS" 
                 /BTBMREAD "MAT\HOMEWORK\TEXTBOOK READING" 
                 /BTBMWRIT "MAT\HOMEWORK\WRITING ASSIGNMENT" 
                 /BTBMDATA "MAT\HOMEWORK\SMALL INVESTIGATIONS" 
                 /BTBMIEXP "MAT\HOMEWORK\INDIVIDUAL PROJECTS" 
                 /BTBMGEXP "MAT\HOMEWORK\SMALL GROUP PROJECTS" 
                 /BTBMFIND "MAT\HOMEWORK\FIND USES OF CONTENT" 
                 /BTBMORAL "MAT\HOMEWORK\PREPARE ORAL REPORTS" 
                 /BTBMJOUR "MAT\HOMEWORK\KEEP A JOURNAL" 
                 /BTBMWHW1 "MAT\WRITTEN HMWK\RECORD COMPLETION" 
                 /BTBMWHW2 "MAT\WRITTEN HMWK\KEEP ASSIGNMNTS" 
                 /BTBMWHW3 "MAT\WRITTEN HMWK\RETURN ASSIGNMENTS" 
                 /BTBMWHW4 "MAT\WRITTEN HMWK\FEEDBACK TO CLASS" 
                 /BTBMWHW5 "MAT\WRITTEN HMWK\STUDNT CORRECT OWN" 
                 /BTBMWHW6 "MAT\WRITTEN HMWK\STUDNT CORRCT OTHR" 
                 /BTBMWHW7 "MAT\WRITTEN HMWK\BASIS FOR DISCUSSN" 
                 /BTBMWHW8 "MAT\WRITTEN HMWK\GRADE CONTRIBUTION" 
                 /BTBMWGT1 "MAT\ASSMNT WEIGHT\STANDARD TESTS" 
                 /BTBMWGT2 "MAT\ASSMNT WEIGHT\REASONING TESTS" 
                 /BTBMWGT3 "MAT\ASSMNT WEIGHT\MULTIPLE CHOICE" 
                 /BTBMWGT4 "MAT\ASSMNT WEIGHT\HOMEWORK PERFRMNCE" 
                 /BTBMWGT5 "MAT\ASSMNT WEIGHT\PROJECT PERFORMNCE" 
                 /BTBMWGT6 "MAT\ASSMNT WEIGHT\OBSERVATION" 
                 /BTBMWGT7 "MAT\ASSMNT WEIGHT\RESPONSES IN CLASS" 
                 /BTBGASS1 "GEN\FREQUENCY\PROVIDE GRADES" 
                 /BTBGASS2 "GEN\FREQUENCY\PROVIDE FEEDBACK" 
                 /BTBGASS3 "GEN\FREQUENCY\DIAGNOSE PROBLEMS" 
                 /BTBGASS4 "GEN\FREQUENCY\REPORT TO PARENTS" 
                 /BTBGASS5 "GEN\FREQUENCY\ASSIGN DIFFERNT TRACKS" 
                 /BTBGASS6 "GEN\FREQUENCY\PLAN FUTURE LESSONS" 
                 /BTDMTOEN "MAT\NUMBER OF STUDENTS IN CLASS\B+G" 
                 /BTDGADMN "GEN\PERC. OF SCHOOL TIME ADMIN. DUTIES" 
                 /BTDGCPLN "GEN\PERC. OF SCHOOL TIME CURRI.PLANNING" 
                 /BTDGOTHR "GEN\PERC. OF SCHOOL TIME OTHER ACTIVIT." 
                 /BTDGSUBT "GEN\TOTAL HOURS TEACH. TIME (FROM DPC)" 
                 /BTDGTSKT "GEN\TOTAL HOURS PERF. OTHER TASKS (DPC)" 
                 /BTDGTTIM "GEN\PERC.  SCHOOL TIME TEACHING ANYTHING" 
                 /BTDMCALC "MAT\NEVER OR HARDLY EVER USE CALCUL." 
                 /BTDMCPTM "MAT\INDEX OF CONFIDENCE TO TEACH MATH" 
                 /BTDMEMH  "MAT\INDEX:EMPHASIS ON MATH HOMEWORK" 
                 /BTDMERPS "MAT\INDEX:EMPHASIS ON PROB.SOLVING" 
                 /BTDMHTM  "MAT\HRS/WK TEACHING MATH" 
                 /BTDMSIZE "MAT\AVERAGE CLASS SIZE" 
                 /BTDMSZ3C "MAT\MATH CLASS SIZE IN 3 CATEGORIES" 
                 /BTDMTPTT "MAT\PERC. MATH TOPICS PREPARED TO TEACH" 
                 /BTDMTTIM "MAT\PERC. OF SCHOOL TIME TEACHING MATH" 
                 /BTDMTIME "MAT\CLSS\LENGTH OF MATH CLASS" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "population 1"
                       2  "population 2"
                       3  "population 3"
                       /
            IDSUBJCT   1  "mathematics"
                       2  "science"
                       3  "mathematics and science"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGAGE    1  "under 25"
                       2  "25-29"
                       3  "30-39"
                       4  "40-49"
                       5  "50-59"
                       6  "60 or more"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBGSEX    1  "female"
                       2  "male"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGEDUC   1  "training w/o completing sec"
                       2  "sec only"
                       3  "sec + 1 or 2 year training"
                       4  "sec + 3 or 4 year training"
                       5  "BA + no training"
                       6  "BA + training"
                       7  "MA + no training"
                       8  "MA + training"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBMTEAC   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGRPK   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGRK    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR1    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR2    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR3    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR4    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR5    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR6    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR7    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR8    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR9    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTEAC   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGRPK   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGRK    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR1    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR2    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR3    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR4    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR5    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR6    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR7    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR8    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR9    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGPTFT   1  "part-time"
                       2  "full-time"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGRPK   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGRK    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR1    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR2    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR3    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR4    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR5    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR6    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR7    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR8    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR9    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT1   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT2   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT3   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT4   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT5   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT6   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT7   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT8   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGMEET   1  "never"
                       2  "once or twice a year"
                       3  "every other month"
                       4  "once a month"
                       5  "once a week"
                       6  "two or three times a week"
                       7  "almost every day"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBGINF1   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF2   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF3   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF4   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP1   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP2   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP3   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP4   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP5   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP6   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR1   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR2   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR3   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGAGR4   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR5   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR6   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR7   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR8   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR9   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFAM1   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFAM2   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM3   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM4   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM5   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFAM6   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFAM7   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGCARE   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGCHNG   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGSOAP   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGSTAP   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGBOOK   1  "none or very few(0-10)"
                       2  "enough to fill a shelf(11-25)"
                       3  "enough to fill a bookcase(26-100)"
                       4  "enough to fill 2 bookcases(101-200)"
                       5  "enough to fill 3 or more bookcases(>200)"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXBK   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXB0   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXB1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXB2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXB3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXB4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXB5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXB6   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXB7   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXB8   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXB9   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXBS   1  "0 - 25%"
                       2  "26 - 50%"
                       3  "51 - 75%"
                       4  "76 - 100%"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMADTB   1  "other published textbooks"
                       2  "published resources"
                       3  "curriculum guides"
                       4  "reference materials"
                       5  "teacher made activities"
                       6  "teachers' personal resource"
                       7  "other teachers' resource"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBMLM01   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM02   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM03   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM04   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM05   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM06   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM07   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM08   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM09   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM10   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM11   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM12   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM13   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM14   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM15   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM16   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMCALC   1  "almost all"
                       2  "about three quarters"
                       3  "about half"
                       4  "about one quarter"
                       5  "none"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMCAL1   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMCAL2   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMCAL3   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMCAL4   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMCAL5   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMRLY1   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMRLY2   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMRLY3   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMRLY4   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMRLY5   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMRLY6   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMRLY7   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMSRC1   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national exam specifications>"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBMSRC2   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national exam specifications>"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBMSRC3   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national exam specifications>"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBMSRC4   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national exam specifications>"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBMTA     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTAA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTAB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTAC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTA1    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTA1A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTA1B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTA1C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTA2    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTA2A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTA2B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTA2C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTBA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTBB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTBC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB1    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB1A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB1B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB1C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB2    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB2A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB2B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB2C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB3    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB3A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB3B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB3C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB4    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB4A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB4B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB4C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB5    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB5A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB5B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB5C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB6    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB6A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB6B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB6C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB7    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB7A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB7B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB7C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTC     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTCA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTCB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTCC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTD     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTDA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTDB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTDC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTE     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTEA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTEB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTEC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTF     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTFA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTFB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTFC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTG     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTGA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTGB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTGC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTH     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTHA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTHB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTHC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTI     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTIA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTIB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTIC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTJ     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTJA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTJB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTJC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTK     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTKA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTKB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTKC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTL     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTLA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTLB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTLC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTM     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTMA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTMB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTMC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTN     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTNA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTNB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTNC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTN1    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTN1A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTN1B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTN1C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTN2    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTN2A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTN2B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTN2C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTOA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTOB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTOC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO1    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO1A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO1B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO1C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO2    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO2A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO2B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO2C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTP     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTPA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTPB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTPC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQ     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQ1    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQ1A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQ1B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQ1C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQ2    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQ2A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQ2B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTQ2C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTR     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTRA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTRB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTRC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTS     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTSA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTSB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTSC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTT     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTTA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTTB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTTC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTU     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTUA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTUB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTUC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTV     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTVA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTVB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTVC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO01   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO02   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO03   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO04   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO05   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO06   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO07   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO08   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO09   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO14   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO15   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO16   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO17   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO18   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO19   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO20   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO21   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTO22   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTOP1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTOP2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTOP3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMHMW1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMCLCM   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMSGRP   1  "none of the time"
                       2  "some of the time"
                       3  "all the time"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK1   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK2   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK3   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK4   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK5   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK6   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMDO1    1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMDO2    1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMDO3    1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMDO4    1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES1   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES2   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES3   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES4   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES5   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES6   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMHMW2   1  "never"
                       2  "less than once a week"
                       3  "once or twice a week"
                       4  "3 or 4 times a week"
                       5  "every day"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMHWT2   1  "I do not assign homework"
                       2  "less than 15 minutes"
                       3  "15-30 minutes"
                       4  "31-60 minutes"
                       5  "61-90 minutes"
                       6  "more than 90 minutes"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBMWKBK   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMPROB   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMREAD   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWRIT   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMDATA   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIEXP   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGEXP   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFIND   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMORAL   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMJOUR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWHW1   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWHW2   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWHW3   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWHW4   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWHW5   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWHW6   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWHW7   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWHW8   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT1   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT2   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT3   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT4   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT5   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT6   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT7   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS1   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS2   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS3   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS4   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS5   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS6   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTDMCALC   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMCPTM   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMEMH    1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMERPS   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMSZ3C   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMTIME   1  "<2hrs."
                       2  "2.0-3.5 hrs."
                       3  "3.5-5.0hrs."
                       4  ">5hrs."
                       9  "omitted"
                       8  "not admin."
                       /
.


*NOTE: The "omitted code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode VERSION  (99               = sysmis).
recode IDCNTRY  (99999            = sysmis).
recode IDPOP    (9                = sysmis).
recode IDSCHOOL (999999           = sysmis).
recode IDTEACH  (99999999         = sysmis).
recode IDLINK   (99               = sysmis).
recode IDSUBJCT (9                = sysmis).
recode BTBGAGE  (99               = sysmis).
recode BTBGSEX  (9                = sysmis).
recode BTBGEDUC (99               = sysmis).
recode BTBMTEAC (9                = sysmis).
recode BTBMGRPK (9                = sysmis).
recode BTBMGRK  (9                = sysmis).
recode BTBMGR1  (9                = sysmis).
recode BTBMGR2  (9                = sysmis).
recode BTBMGR3  (9                = sysmis).
recode BTBMGR4  (9                = sysmis).
recode BTBMGR5  (9                = sysmis).
recode BTBMGR6  (9                = sysmis).
recode BTBMGR7  (9                = sysmis).
recode BTBMGR8  (9                = sysmis).
recode BTBMGR9  (9                = sysmis).
recode BTBMGR10 (9                = sysmis).
recode BTBMGR11 (9                = sysmis).
recode BTBMGR12 (9                = sysmis).
recode BTBMGR13 (9                = sysmis).
recode BTBSTEAC (9                = sysmis).
recode BTBSGRPK (9                = sysmis).
recode BTBSGRK  (9                = sysmis).
recode BTBSGR1  (9                = sysmis).
recode BTBSGR2  (9                = sysmis).
recode BTBSGR3  (9                = sysmis).
recode BTBSGR4  (9                = sysmis).
recode BTBSGR5  (9                = sysmis).
recode BTBSGR6  (9                = sysmis).
recode BTBSGR7  (9                = sysmis).
recode BTBSGR8  (9                = sysmis).
recode BTBSGR9  (9                = sysmis).
recode BTBSGR10 (9                = sysmis).
recode BTBSGR11 (9                = sysmis).
recode BTBSGR12 (9                = sysmis).
recode BTBSGR13 (9                = sysmis).
recode BTBGPTFT (9                = sysmis).
recode BTBGTAUG (99               = sysmis).
recode BTBGGRPK (9                = sysmis).
recode BTBGGRK  (9                = sysmis).
recode BTBGGR1  (9                = sysmis).
recode BTBGGR2  (9                = sysmis).
recode BTBGGR3  (9                = sysmis).
recode BTBGGR4  (9                = sysmis).
recode BTBGGR5  (9                = sysmis).
recode BTBGGR6  (9                = sysmis).
recode BTBGGR7  (9                = sysmis).
recode BTBGGR8  (9                = sysmis).
recode BTBGGR9  (9                = sysmis).
recode BTBGGR10 (9                = sysmis).
recode BTBGGR11 (9                = sysmis).
recode BTBGGR12 (9                = sysmis).
recode BTBGGR13 (9                = sysmis).
recode BTBMSUB1 (99               = sysmis).
recode BTBSSUB2 (99               = sysmis).
recode BTBSSUB3 (99               = sysmis).
recode BTBSSUB4 (99               = sysmis).
recode BTBSSUB5 (99               = sysmis).
recode BTBSSUB6 (99               = sysmis).
recode BTBSSUB7 (99               = sysmis).
recode BTBSSUB8 (99               = sysmis).
recode BTBGSUB9 (99               = sysmis).
recode BTBGTSK1 (99               = sysmis).
recode BTBGTSK2 (99               = sysmis).
recode BTBGTSK3 (99               = sysmis).
recode BTBGTSK4 (99               = sysmis).
recode BTBGTSK5 (99               = sysmis).
recode BTBGTSK6 (99               = sysmis).
recode BTBGTOTL (99               = sysmis).
recode BTBGACT1 (9                = sysmis).
recode BTBGACT2 (9                = sysmis).
recode BTBGACT3 (9                = sysmis).
recode BTBGACT4 (9                = sysmis).
recode BTBGACT5 (9                = sysmis).
recode BTBGACT6 (9                = sysmis).
recode BTBGACT7 (9                = sysmis).
recode BTBGACT8 (9                = sysmis).
recode BTBGMEET (99               = sysmis).
recode BTBGINF1 (9                = sysmis).
recode BTBGINF2 (9                = sysmis).
recode BTBGINF3 (9                = sysmis).
recode BTBGINF4 (9                = sysmis).
recode BTBMIMP1 (9                = sysmis).
recode BTBMIMP2 (9                = sysmis).
recode BTBMIMP3 (9                = sysmis).
recode BTBMIMP4 (9                = sysmis).
recode BTBMIMP5 (9                = sysmis).
recode BTBMIMP6 (9                = sysmis).
recode BTBMAGR1 (9                = sysmis).
recode BTBMAGR2 (9                = sysmis).
recode BTBMAGR3 (9                = sysmis).
recode BTBGAGR4 (9                = sysmis).
recode BTBMAGR5 (9                = sysmis).
recode BTBMAGR6 (9                = sysmis).
recode BTBMAGR7 (9                = sysmis).
recode BTBMAGR8 (9                = sysmis).
recode BTBMAGR9 (9                = sysmis).
recode BTBMFAM1 (9                = sysmis).
recode BTBMFAM2 (9                = sysmis).
recode BTBGFAM3 (9                = sysmis).
recode BTBGFAM4 (9                = sysmis).
recode BTBGFAM5 (9                = sysmis).
recode BTBMFAM6 (9                = sysmis).
recode BTBMFAM7 (9                = sysmis).
recode BTBGCARE (9                = sysmis).
recode BTBGCHNG (9                = sysmis).
recode BTBGSOAP (9                = sysmis).
recode BTBGSTAP (9                = sysmis).
recode BTBGBOOK (9                = sysmis).
recode BTBGRNK1 (99               = sysmis).
recode BTBGRNK2 (99               = sysmis).
recode BTBGRNK3 (99               = sysmis).
recode BTBGRNK4 (99               = sysmis).
recode BTBGRNK5 (99               = sysmis).
recode BTBGRNK6 (99               = sysmis).
recode BTBGRNK7 (99               = sysmis).
recode BTBGRNK8 (99               = sysmis).
recode BTBGRNK9 (99               = sysmis).
recode BTBMBOY  (999              = sysmis).
recode BTBMGIRL (999              = sysmis).
recode BTBMACH1 (999              = sysmis).
recode BTBMACH2 (999              = sysmis).
recode BTBMACH3 (999              = sysmis).
recode BTBMTIME (9999             = sysmis).
recode BTBMTXBK (9                = sysmis).
recode BTBMTXB0 (9                = sysmis).
recode BTBMTXB1 (9                = sysmis).
recode BTBMTXB2 (9                = sysmis).
recode BTBMTXB3 (9                = sysmis).
recode BTBMTXB4 (9                = sysmis).
recode BTBMTXB5 (9                = sysmis).
recode BTBMTXB6 (9                = sysmis).
recode BTBMTXB7 (9                = sysmis).
recode BTBMTXB8 (9                = sysmis).
recode BTBMTXB9 (9                = sysmis).
recode BTBMTSNM (99               = sysmis).
recode BTBMTXBS (9                = sysmis).
recode BTBMADTB (99               = sysmis).
recode BTBMLM01 (9                = sysmis).
recode BTBMLM02 (9                = sysmis).
recode BTBMLM03 (9                = sysmis).
recode BTBMLM04 (9                = sysmis).
recode BTBMLM05 (9                = sysmis).
recode BTBMLM06 (9                = sysmis).
recode BTBMLM07 (9                = sysmis).
recode BTBMLM08 (9                = sysmis).
recode BTBMLM09 (9                = sysmis).
recode BTBMLM10 (9                = sysmis).
recode BTBMLM11 (9                = sysmis).
recode BTBMLM12 (9                = sysmis).
recode BTBMLM13 (9                = sysmis).
recode BTBMLM14 (9                = sysmis).
recode BTBMLM15 (9                = sysmis).
recode BTBMLM16 (9                = sysmis).
recode BTBMCALC (9                = sysmis).
recode BTBMCAL1 (9                = sysmis).
recode BTBMCAL2 (9                = sysmis).
recode BTBMCAL3 (9                = sysmis).
recode BTBMCAL4 (9                = sysmis).
recode BTBMCAL5 (9                = sysmis).
recode BTBMRLY1 (9                = sysmis).
recode BTBMRLY2 (9                = sysmis).
recode BTBMRLY3 (9                = sysmis).
recode BTBMRLY4 (9                = sysmis).
recode BTBMRLY5 (9                = sysmis).
recode BTBMRLY6 (9                = sysmis).
recode BTBMRLY7 (9                = sysmis).
recode BTBMSRC1 (99               = sysmis).
recode BTBMSRC2 (99               = sysmis).
recode BTBMSRC3 (99               = sysmis).
recode BTBMSRC4 (99               = sysmis).
recode BTBMTA   (9                = sysmis).
recode BTBMTAA  (9                = sysmis).
recode BTBMTAB  (9                = sysmis).
recode BTBMTAC  (9                = sysmis).
recode BTBMTA1  (9                = sysmis).
recode BTBMTA1A (9                = sysmis).
recode BTBMTA1B (9                = sysmis).
recode BTBMTA1C (9                = sysmis).
recode BTBMTA2  (9                = sysmis).
recode BTBMTA2A (9                = sysmis).
recode BTBMTA2B (9                = sysmis).
recode BTBMTA2C (9                = sysmis).
recode BTBMTB   (9                = sysmis).
recode BTBMTBA  (9                = sysmis).
recode BTBMTBB  (9                = sysmis).
recode BTBMTBC  (9                = sysmis).
recode BTBMTB1  (9                = sysmis).
recode BTBMTB1A (9                = sysmis).
recode BTBMTB1B (9                = sysmis).
recode BTBMTB1C (9                = sysmis).
recode BTBMTB2  (9                = sysmis).
recode BTBMTB2A (9                = sysmis).
recode BTBMTB2B (9                = sysmis).
recode BTBMTB2C (9                = sysmis).
recode BTBMTB3  (9                = sysmis).
recode BTBMTB3A (9                = sysmis).
recode BTBMTB3B (9                = sysmis).
recode BTBMTB3C (9                = sysmis).
recode BTBMTB4  (9                = sysmis).
recode BTBMTB4A (9                = sysmis).
recode BTBMTB4B (9                = sysmis).
recode BTBMTB4C (9                = sysmis).
recode BTBMTB5  (9                = sysmis).
recode BTBMTB5A (9                = sysmis).
recode BTBMTB5B (9                = sysmis).
recode BTBMTB5C (9                = sysmis).
recode BTBMTB6  (9                = sysmis).
recode BTBMTB6A (9                = sysmis).
recode BTBMTB6B (9                = sysmis).
recode BTBMTB6C (9                = sysmis).
recode BTBMTB7  (9                = sysmis).
recode BTBMTB7A (9                = sysmis).
recode BTBMTB7B (9                = sysmis).
recode BTBMTB7C (9                = sysmis).
recode BTBMTC   (9                = sysmis).
recode BTBMTCA  (9                = sysmis).
recode BTBMTCB  (9                = sysmis).
recode BTBMTCC  (9                = sysmis).
recode BTBMTD   (9                = sysmis).
recode BTBMTDA  (9                = sysmis).
recode BTBMTDB  (9                = sysmis).
recode BTBMTDC  (9                = sysmis).
recode BTBMTE   (9                = sysmis).
recode BTBMTEA  (9                = sysmis).
recode BTBMTEB  (9                = sysmis).
recode BTBMTEC  (9                = sysmis).
recode BTBMTF   (9                = sysmis).
recode BTBMTFA  (9                = sysmis).
recode BTBMTFB  (9                = sysmis).
recode BTBMTFC  (9                = sysmis).
recode BTBMTG   (9                = sysmis).
recode BTBMTGA  (9                = sysmis).
recode BTBMTGB  (9                = sysmis).
recode BTBMTGC  (9                = sysmis).
recode BTBMTH   (9                = sysmis).
recode BTBMTHA  (9                = sysmis).
recode BTBMTHB  (9                = sysmis).
recode BTBMTHC  (9                = sysmis).
recode BTBMTI   (9                = sysmis).
recode BTBMTIA  (9                = sysmis).
recode BTBMTIB  (9                = sysmis).
recode BTBMTIC  (9                = sysmis).
recode BTBMTJ   (9                = sysmis).
recode BTBMTJA  (9                = sysmis).
recode BTBMTJB  (9                = sysmis).
recode BTBMTJC  (9                = sysmis).
recode BTBMTK   (9                = sysmis).
recode BTBMTKA  (9                = sysmis).
recode BTBMTKB  (9                = sysmis).
recode BTBMTKC  (9                = sysmis).
recode BTBMTL   (9                = sysmis).
recode BTBMTLA  (9                = sysmis).
recode BTBMTLB  (9                = sysmis).
recode BTBMTLC  (9                = sysmis).
recode BTBMTM   (9                = sysmis).
recode BTBMTMA  (9                = sysmis).
recode BTBMTMB  (9                = sysmis).
recode BTBMTMC  (9                = sysmis).
recode BTBMTN   (9                = sysmis).
recode BTBMTNA  (9                = sysmis).
recode BTBMTNB  (9                = sysmis).
recode BTBMTNC  (9                = sysmis).
recode BTBMTN1  (9                = sysmis).
recode BTBMTN1A (9                = sysmis).
recode BTBMTN1B (9                = sysmis).
recode BTBMTN1C (9                = sysmis).
recode BTBMTN2  (9                = sysmis).
recode BTBMTN2A (9                = sysmis).
recode BTBMTN2B (9                = sysmis).
recode BTBMTN2C (9                = sysmis).
recode BTBMTO   (9                = sysmis).
recode BTBMTOA  (9                = sysmis).
recode BTBMTOB  (9                = sysmis).
recode BTBMTOC  (9                = sysmis).
recode BTBMTO1  (9                = sysmis).
recode BTBMTO1A (9                = sysmis).
recode BTBMTO1B (9                = sysmis).
recode BTBMTO1C (9                = sysmis).
recode BTBMTO2  (9                = sysmis).
recode BTBMTO2A (9                = sysmis).
recode BTBMTO2B (9                = sysmis).
recode BTBMTO2C (9                = sysmis).
recode BTBMTP   (9                = sysmis).
recode BTBMTPA  (9                = sysmis).
recode BTBMTPB  (9                = sysmis).
recode BTBMTPC  (9                = sysmis).
recode BTBMTQ   (9                = sysmis).
recode BTBMTQA  (9                = sysmis).
recode BTBMTQB  (9                = sysmis).
recode BTBMTQC  (9                = sysmis).
recode BTBMTQ1  (9                = sysmis).
recode BTBMTQ1A (9                = sysmis).
recode BTBMTQ1B (9                = sysmis).
recode BTBMTQ1C (9                = sysmis).
recode BTBMTQ2  (9                = sysmis).
recode BTBMTQ2A (9                = sysmis).
recode BTBMTQ2B (9                = sysmis).
recode BTBMTQ2C (9                = sysmis).
recode BTBMTR   (9                = sysmis).
recode BTBMTRA  (9                = sysmis).
recode BTBMTRB  (9                = sysmis).
recode BTBMTRC  (9                = sysmis).
recode BTBMTS   (9                = sysmis).
recode BTBMTSA  (9                = sysmis).
recode BTBMTSB  (9                = sysmis).
recode BTBMTSC  (9                = sysmis).
recode BTBMTT   (9                = sysmis).
recode BTBMTTA  (9                = sysmis).
recode BTBMTTB  (9                = sysmis).
recode BTBMTTC  (9                = sysmis).
recode BTBMTU   (9                = sysmis).
recode BTBMTUA  (9                = sysmis).
recode BTBMTUB  (9                = sysmis).
recode BTBMTUC  (9                = sysmis).
recode BTBMTV   (9                = sysmis).
recode BTBMTVA  (9                = sysmis).
recode BTBMTVB  (9                = sysmis).
recode BTBMTVC  (9                = sysmis).
recode BTBMCLTM (999              = sysmis).
recode BTBMTO01 (9                = sysmis).
recode BTBMTO02 (9                = sysmis).
recode BTBMTO03 (9                = sysmis).
recode BTBMTO04 (9                = sysmis).
recode BTBMTO05 (9                = sysmis).
recode BTBMTO06 (9                = sysmis).
recode BTBMTO07 (9                = sysmis).
recode BTBMTO08 (9                = sysmis).
recode BTBMTO09 (9                = sysmis).
recode BTBMTO10 (9                = sysmis).
recode BTBMTO11 (9                = sysmis).
recode BTBMTO12 (9                = sysmis).
recode BTBMTO13 (9                = sysmis).
recode BTBMTO14 (9                = sysmis).
recode BTBMTO15 (9                = sysmis).
recode BTBMTO16 (9                = sysmis).
recode BTBMTO17 (9                = sysmis).
recode BTBMTO18 (9                = sysmis).
recode BTBMTO19 (9                = sysmis).
recode BTBMTO20 (9                = sysmis).
recode BTBMTO21 (9                = sysmis).
recode BTBMTO22 (9                = sysmis).
recode BTBMTOP1 (9                = sysmis).
recode BTBMTOP2 (9                = sysmis).
recode BTBMTOP3 (9                = sysmis).
recode BTBMHMW1 (9                = sysmis).
recode BTBMHWT1 (999              = sysmis).
recode BTBMCLCM (9                = sysmis).
recode BTBMOR01 (99               = sysmis).
recode BTBMTM01 (999              = sysmis).
recode BTBMOR02 (99               = sysmis).
recode BTBMTM02 (999              = sysmis).
recode BTBMOR03 (99               = sysmis).
recode BTBMTM03 (999              = sysmis).
recode BTBMOR04 (99               = sysmis).
recode BTBMTM04 (999              = sysmis).
recode BTBMOR05 (99               = sysmis).
recode BTBMTM05 (999              = sysmis).
recode BTBMOR06 (99               = sysmis).
recode BTBMTM06 (999              = sysmis).
recode BTBMOR07 (99               = sysmis).
recode BTBMTM07 (999              = sysmis).
recode BTBMOR08 (99               = sysmis).
recode BTBMTM08 (999              = sysmis).
recode BTBMOR09 (99               = sysmis).
recode BTBMTM09 (999              = sysmis).
recode BTBMOR10 (99               = sysmis).
recode BTBMTM10 (999              = sysmis).
recode BTBMOR11 (99               = sysmis).
recode BTBMTM11 (999              = sysmis).
recode BTBMSGRP (9                = sysmis).
recode BTBMASK1 (9                = sysmis).
recode BTBMASK2 (9                = sysmis).
recode BTBMASK3 (9                = sysmis).
recode BTBMASK4 (9                = sysmis).
recode BTBMASK5 (9                = sysmis).
recode BTBMASK6 (9                = sysmis).
recode BTBMDO1  (9                = sysmis).
recode BTBMDO2  (9                = sysmis).
recode BTBMDO3  (9                = sysmis).
recode BTBMDO4  (9                = sysmis).
recode BTBMLES1 (9                = sysmis).
recode BTBMLES2 (9                = sysmis).
recode BTBMLES3 (9                = sysmis).
recode BTBMLES4 (9                = sysmis).
recode BTBMLES5 (9                = sysmis).
recode BTBMLES6 (9                = sysmis).
recode BTBMHMW2 (9                = sysmis).
recode BTBMHWT2 (99               = sysmis).
recode BTBMWKBK (9                = sysmis).
recode BTBMPROB (9                = sysmis).
recode BTBMREAD (9                = sysmis).
recode BTBMWRIT (9                = sysmis).
recode BTBMDATA (9                = sysmis).
recode BTBMIEXP (9                = sysmis).
recode BTBMGEXP (9                = sysmis).
recode BTBMFIND (9                = sysmis).
recode BTBMORAL (9                = sysmis).
recode BTBMJOUR (9                = sysmis).
recode BTBMWHW1 (9                = sysmis).
recode BTBMWHW2 (9                = sysmis).
recode BTBMWHW3 (9                = sysmis).
recode BTBMWHW4 (9                = sysmis).
recode BTBMWHW5 (9                = sysmis).
recode BTBMWHW6 (9                = sysmis).
recode BTBMWHW7 (9                = sysmis).
recode BTBMWHW8 (9                = sysmis).
recode BTBMWGT1 (9                = sysmis).
recode BTBMWGT2 (9                = sysmis).
recode BTBMWGT3 (9                = sysmis).
recode BTBMWGT4 (9                = sysmis).
recode BTBMWGT5 (9                = sysmis).
recode BTBMWGT6 (9                = sysmis).
recode BTBMWGT7 (9                = sysmis).
recode BTBGASS1 (9                = sysmis).
recode BTBGASS2 (9                = sysmis).
recode BTBGASS3 (9                = sysmis).
recode BTBGASS4 (9                = sysmis).
recode BTBGASS5 (9                = sysmis).
recode BTBGASS6 (9                = sysmis).
recode BTDMTOEN (999              = sysmis).
recode BTDGADMN (9999             = sysmis).
recode BTDGCPLN (9999             = sysmis).
recode BTDGOTHR (9999             = sysmis).
recode BTDGSUBT (9999             = sysmis).
recode BTDGTSKT (9999             = sysmis).
recode BTDGTTIM (9999             = sysmis).
recode BTDMCALC (9                = sysmis).
recode BTDMCPTM (9                = sysmis).
recode BTDMEMH  (9                = sysmis).
recode BTDMERPS (9                = sysmis).
recode BTDMHTM  (9999             = sysmis).
recode BTDMSIZE (9999             = sysmis).
recode BTDMSZ3C (9                = sysmis).
recode BTDMTPTT (9999             = sysmis).
recode BTDMTTIM (9999             = sysmis).
recode BTDMTIME (9                = sysmis).
recode DPCDATE  (999999           = sysmis).


*NOTE: recode "not administered" data to user defined "missing value"
       in some case a zero code might be appropriate for numeric values
       in this case the variable must be recoded correspondingly.

missing value VERSION (98).
missing value IDCNTRY (99998).
missing value IDPOP   (8).
missing value IDSCHOOL(999998).
missing value IDTEACH (99999998).
missing value IDLINK  (98).
missing value IDSUBJCT(8).
missing value BTBGAGE (98 96).
missing value BTBGSEX (8 6).
missing value BTBGEDUC(98 96).
missing value BTBMTEAC(8 6).
missing value BTBMGRPK(8 6).
missing value BTBMGRK (8 6).
missing value BTBMGR1 (8 6).
missing value BTBMGR2 (8 6).
missing value BTBMGR3 (8 6).
missing value BTBMGR4 (8 6).
missing value BTBMGR5 (8 6).
missing value BTBMGR6 (8 6).
missing value BTBMGR7 (8 6).
missing value BTBMGR8 (8 6).
missing value BTBMGR9 (8 6).
missing value BTBMGR10(8 6).
missing value BTBMGR11(8 6).
missing value BTBMGR12(8 6).
missing value BTBMGR13(8 6).
missing value BTBSTEAC(8 6).
missing value BTBSGRPK(8 6).
missing value BTBSGRK (8 6).
missing value BTBSGR1 (8 6).
missing value BTBSGR2 (8 6).
missing value BTBSGR3 (8 6).
missing value BTBSGR4 (8 6).
missing value BTBSGR5 (8 6).
missing value BTBSGR6 (8 6).
missing value BTBSGR7 (8 6).
missing value BTBSGR8 (8 6).
missing value BTBSGR9 (8 6).
missing value BTBSGR10(8 6).
missing value BTBSGR11(8 6).
missing value BTBSGR12(8 6).
missing value BTBSGR13(8 6).
missing value BTBGPTFT(8 6).
missing value BTBGTAUG(98 96).
missing value BTBGGRPK(8 6).
missing value BTBGGRK (8 6).
missing value BTBGGR1 (8 6).
missing value BTBGGR2 (8 6).
missing value BTBGGR3 (8 6).
missing value BTBGGR4 (8 6).
missing value BTBGGR5 (8 6).
missing value BTBGGR6 (8 6).
missing value BTBGGR7 (8 6).
missing value BTBGGR8 (8 6).
missing value BTBGGR9 (8 6).
missing value BTBGGR10(8 6).
missing value BTBGGR11(8 6).
missing value BTBGGR12(8 6).
missing value BTBGGR13(8 6).
missing value BTBMSUB1(98 96).
missing value BTBSSUB2(98 96).
missing value BTBSSUB3(98 96).
missing value BTBSSUB4(98 96).
missing value BTBSSUB5(98 96).
missing value BTBSSUB6(98 96).
missing value BTBSSUB7(98 96).
missing value BTBSSUB8(98 96).
missing value BTBGSUB9(98 96).
missing value BTBGTSK1(98 96).
missing value BTBGTSK2(98 96).
missing value BTBGTSK3(98 96).
missing value BTBGTSK4(98 96).
missing value BTBGTSK5(98 96).
missing value BTBGTSK6(98 96).
missing value BTBGTOTL(98 96).
missing value BTBGACT1(8 6).
missing value BTBGACT2(8 6).
missing value BTBGACT3(8 6).
missing value BTBGACT4(8 6).
missing value BTBGACT5(8 6).
missing value BTBGACT6(8 6).
missing value BTBGACT7(8 6).
missing value BTBGACT8(8 6).
missing value BTBGMEET(98 96).
missing value BTBGINF1(8 6).
missing value BTBGINF2(8 6).
missing value BTBGINF3(8 6).
missing value BTBGINF4(8 6).
missing value BTBMIMP1(8 6).
missing value BTBMIMP2(8 6).
missing value BTBMIMP3(8 6).
missing value BTBMIMP4(8 6).
missing value BTBMIMP5(8 6).
missing value BTBMIMP6(8 6).
missing value BTBMAGR1(8 6).
missing value BTBMAGR2(8 6).
missing value BTBMAGR3(8 6).
missing value BTBGAGR4(8 6).
missing value BTBMAGR5(8 6).
missing value BTBMAGR6(8 6).
missing value BTBMAGR7(8 6).
missing value BTBMAGR8(8 6).
missing value BTBMAGR9(8 6).
missing value BTBMFAM1(8 6).
missing value BTBMFAM2(8 6).
missing value BTBGFAM3(8 6).
missing value BTBGFAM4(8 6).
missing value BTBGFAM5(8 6).
missing value BTBMFAM6(8 6).
missing value BTBMFAM7(8 6).
missing value BTBGCARE(8 6).
missing value BTBGCHNG(8 6).
missing value BTBGSOAP(8 6).
missing value BTBGSTAP(8 6).
missing value BTBGBOOK(8 6).
missing value BTBGRNK1(98 96).
missing value BTBGRNK2(98 96).
missing value BTBGRNK3(98 96).
missing value BTBGRNK4(98 96).
missing value BTBGRNK5(98 96).
missing value BTBGRNK6(98 96).
missing value BTBGRNK7(98 96).
missing value BTBGRNK8(98 96).
missing value BTBGRNK9(98 96).
missing value BTBMBOY (98 96).
missing value BTBMGIRL(98 96).
missing value BTBMACH1(998 996).
missing value BTBMACH2(998 996).
missing value BTBMACH3(998 996).
missing value BTBMTIME(9998 9996).
missing value BTBMTXBK(8 6).
missing value BTBMTXB0(8 6).
missing value BTBMTXB1(8 6).
missing value BTBMTXB2(8 6).
missing value BTBMTXB3(8 6).
missing value BTBMTXB4(8 6).
missing value BTBMTXB5(8 6).
missing value BTBMTXB6(8 6).
missing value BTBMTXB7(8 6).
missing value BTBMTXB8(8 6).
missing value BTBMTXB9(8 6).
missing value BTBMTSNM(98 96).
missing value BTBMTXBS(8 6).
missing value BTBMADTB(98 96).
missing value BTBMLM01(8 6).
missing value BTBMLM02(8 6).
missing value BTBMLM03(8 6).
missing value BTBMLM04(8 6).
missing value BTBMLM05(8 6).
missing value BTBMLM06(8 6).
missing value BTBMLM07(8 6).
missing value BTBMLM08(8 6).
missing value BTBMLM09(8 6).
missing value BTBMLM10(8 6).
missing value BTBMLM11(8 6).
missing value BTBMLM12(8 6).
missing value BTBMLM13(8 6).
missing value BTBMLM14(8 6).
missing value BTBMLM15(8 6).
missing value BTBMLM16(8 6).
missing value BTBMCALC(8 6).
missing value BTBMCAL1(8 6).
missing value BTBMCAL2(8 6).
missing value BTBMCAL3(8 6).
missing value BTBMCAL4(8 6).
missing value BTBMCAL5(8 6).
missing value BTBMRLY1(8 6).
missing value BTBMRLY2(8 6).
missing value BTBMRLY3(8 6).
missing value BTBMRLY4(8 6).
missing value BTBMRLY5(8 6).
missing value BTBMRLY6(8 6).
missing value BTBMRLY7(8 6).
missing value BTBMSRC1(98 96).
missing value BTBMSRC2(98 96).
missing value BTBMSRC3(98 96).
missing value BTBMSRC4(98 96).
missing value BTBMTA  (8 6).
missing value BTBMTAA (8 6).
missing value BTBMTAB (8 6).
missing value BTBMTAC (8 6).
missing value BTBMTA1 (8 6).
missing value BTBMTA1A(8 6).
missing value BTBMTA1B(8 6).
missing value BTBMTA1C(8 6).
missing value BTBMTA2 (8 6).
missing value BTBMTA2A(8 6).
missing value BTBMTA2B(8 6).
missing value BTBMTA2C(8 6).
missing value BTBMTB  (8 6).
missing value BTBMTBA (8 6).
missing value BTBMTBB (8 6).
missing value BTBMTBC (8 6).
missing value BTBMTB1 (8 6).
missing value BTBMTB1A(8 6).
missing value BTBMTB1B(8 6).
missing value BTBMTB1C(8 6).
missing value BTBMTB2 (8 6).
missing value BTBMTB2A(8 6).
missing value BTBMTB2B(8 6).
missing value BTBMTB2C(8 6).
missing value BTBMTB3 (8 6).
missing value BTBMTB3A(8 6).
missing value BTBMTB3B(8 6).
missing value BTBMTB3C(8 6).
missing value BTBMTB4 (8 6).
missing value BTBMTB4A(8 6).
missing value BTBMTB4B(8 6).
missing value BTBMTB4C(8 6).
missing value BTBMTB5 (8 6).
missing value BTBMTB5A(8 6).
missing value BTBMTB5B(8 6).
missing value BTBMTB5C(8 6).
missing value BTBMTB6 (8 6).
missing value BTBMTB6A(8 6).
missing value BTBMTB6B(8 6).
missing value BTBMTB6C(8 6).
missing value BTBMTB7 (8 6).
missing value BTBMTB7A(8 6).
missing value BTBMTB7B(8 6).
missing value BTBMTB7C(8 6).
missing value BTBMTC  (8 6).
missing value BTBMTCA (8 6).
missing value BTBMTCB (8 6).
missing value BTBMTCC (8 6).
missing value BTBMTD  (8 6).
missing value BTBMTDA (8 6).
missing value BTBMTDB (8 6).
missing value BTBMTDC (8 6).
missing value BTBMTE  (8 6).
missing value BTBMTEA (8 6).
missing value BTBMTEB (8 6).
missing value BTBMTEC (8 6).
missing value BTBMTF  (8 6).
missing value BTBMTFA (8 6).
missing value BTBMTFB (8 6).
missing value BTBMTFC (8 6).
missing value BTBMTG  (8 6).
missing value BTBMTGA (8 6).
missing value BTBMTGB (8 6).
missing value BTBMTGC (8 6).
missing value BTBMTH  (8 6).
missing value BTBMTHA (8 6).
missing value BTBMTHB (8 6).
missing value BTBMTHC (8 6).
missing value BTBMTI  (8 6).
missing value BTBMTIA (8 6).
missing value BTBMTIB (8 6).
missing value BTBMTIC (8 6).
missing value BTBMTJ  (8 6).
missing value BTBMTJA (8 6).
missing value BTBMTJB (8 6).
missing value BTBMTJC (8 6).
missing value BTBMTK  (8 6).
missing value BTBMTKA (8 6).
missing value BTBMTKB (8 6).
missing value BTBMTKC (8 6).
missing value BTBMTL  (8 6).
missing value BTBMTLA (8 6).
missing value BTBMTLB (8 6).
missing value BTBMTLC (8 6).
missing value BTBMTM  (8 6).
missing value BTBMTMA (8 6).
missing value BTBMTMB (8 6).
missing value BTBMTMC (8 6).
missing value BTBMTN  (8 6).
missing value BTBMTNA (8 6).
missing value BTBMTNB (8 6).
missing value BTBMTNC (8 6).
missing value BTBMTN1 (8 6).
missing value BTBMTN1A(8 6).
missing value BTBMTN1B(8 6).
missing value BTBMTN1C(8 6).
missing value BTBMTN2 (8 6).
missing value BTBMTN2A(8 6).
missing value BTBMTN2B(8 6).
missing value BTBMTN2C(8 6).
missing value BTBMTO  (8 6).
missing value BTBMTOA (8 6).
missing value BTBMTOB (8 6).
missing value BTBMTOC (8 6).
missing value BTBMTO1 (8 6).
missing value BTBMTO1A(8 6).
missing value BTBMTO1B(8 6).
missing value BTBMTO1C(8 6).
missing value BTBMTO2 (8 6).
missing value BTBMTO2A(8 6).
missing value BTBMTO2B(8 6).
missing value BTBMTO2C(8 6).
missing value BTBMTP  (8 6).
missing value BTBMTPA (8 6).
missing value BTBMTPB (8 6).
missing value BTBMTPC (8 6).
missing value BTBMTQ  (8 6).
missing value BTBMTQA (8 6).
missing value BTBMTQB (8 6).
missing value BTBMTQC (8 6).
missing value BTBMTQ1 (8 6).
missing value BTBMTQ1A(8 6).
missing value BTBMTQ1B(8 6).
missing value BTBMTQ1C(8 6).
missing value BTBMTQ2 (8 6).
missing value BTBMTQ2A(8 6).
missing value BTBMTQ2B(8 6).
missing value BTBMTQ2C(8 6).
missing value BTBMTR  (8 6).
missing value BTBMTRA (8 6).
missing value BTBMTRB (8 6).
missing value BTBMTRC (8 6).
missing value BTBMTS  (8 6).
missing value BTBMTSA (8 6).
missing value BTBMTSB (8 6).
missing value BTBMTSC (8 6).
missing value BTBMTT  (8 6).
missing value BTBMTTA (8 6).
missing value BTBMTTB (8 6).
missing value BTBMTTC (8 6).
missing value BTBMTU  (8 6).
missing value BTBMTUA (8 6).
missing value BTBMTUB (8 6).
missing value BTBMTUC (8 6).
missing value BTBMTV  (8 6).
missing value BTBMTVA (8 6).
missing value BTBMTVB (8 6).
missing value BTBMTVC (8 6).
missing value BTBMCLTM(998 996).
missing value BTBMTO01(8 6).
missing value BTBMTO02(8 6).
missing value BTBMTO03(8 6).
missing value BTBMTO04(8 6).
missing value BTBMTO05(8 6).
missing value BTBMTO06(8 6).
missing value BTBMTO07(8 6).
missing value BTBMTO08(8 6).
missing value BTBMTO09(8 6).
missing value BTBMTO10(8 6).
missing value BTBMTO11(8 6).
missing value BTBMTO12(8 6).
missing value BTBMTO13(8 6).
missing value BTBMTO14(8 6).
missing value BTBMTO15(8 6).
missing value BTBMTO16(8 6).
missing value BTBMTO17(8 6).
missing value BTBMTO18(8 6).
missing value BTBMTO19(8 6).
missing value BTBMTO20(8 6).
missing value BTBMTO21(8 6).
missing value BTBMTO22(8 6).
missing value BTBMTOP1(8 6).
missing value BTBMTOP2(8 6).
missing value BTBMTOP3(8 6).
missing value BTBMHMW1(8 6).
missing value BTBMHWT1(998 996).
missing value BTBMCLCM(8 6).
missing value BTBMOR01(98 96).
missing value BTBMTM01(998 996).
missing value BTBMOR02(98 96).
missing value BTBMTM02(998 996).
missing value BTBMOR03(98 96).
missing value BTBMTM03(998 996).
missing value BTBMOR04(98 96).
missing value BTBMTM04(998 996).
missing value BTBMOR05(98 96).
missing value BTBMTM05(998 996).
missing value BTBMOR06(98 96).
missing value BTBMTM06(998 996).
missing value BTBMOR07(98 96).
missing value BTBMTM07(998 996).
missing value BTBMOR08(98 96).
missing value BTBMTM08(998 996).
missing value BTBMOR09(98 96).
missing value BTBMTM09(998 996).
missing value BTBMOR10(98 96).
missing value BTBMTM10(998 996).
missing value BTBMOR11(98 96).
missing value BTBMTM11(998 996).
missing value BTBMSGRP(8 6).
missing value BTBMASK1(8 6).
missing value BTBMASK2(8 6).
missing value BTBMASK3(8 6).
missing value BTBMASK4(8 6).
missing value BTBMASK5(8 6).
missing value BTBMASK6(8 6).
missing value BTBMDO1 (8 6).
missing value BTBMDO2 (8 6).
missing value BTBMDO3 (8 6).
missing value BTBMDO4 (8 6).
missing value BTBMLES1(8 6).
missing value BTBMLES2(8 6).
missing value BTBMLES3(8 6).
missing value BTBMLES4(8 6).
missing value BTBMLES5(8 6).
missing value BTBMLES6(8 6).
missing value BTBMHMW2(8 6).
missing value BTBMHWT2(98 96).
missing value BTBMWKBK(8 6).
missing value BTBMPROB(8 6).
missing value BTBMREAD(8 6).
missing value BTBMWRIT(8 6).
missing value BTBMDATA(8 6).
missing value BTBMIEXP(8 6).
missing value BTBMGEXP(8 6).
missing value BTBMFIND(8 6).
missing value BTBMORAL(8 6).
missing value BTBMJOUR(8 6).
missing value BTBMWHW1(8 6).
missing value BTBMWHW2(8 6).
missing value BTBMWHW3(8 6).
missing value BTBMWHW4(8 6).
missing value BTBMWHW5(8 6).
missing value BTBMWHW6(8 6).
missing value BTBMWHW7(8 6).
missing value BTBMWHW8(8 6).
missing value BTBMWGT1(8 6).
missing value BTBMWGT2(8 6).
missing value BTBMWGT3(8 6).
missing value BTBMWGT4(8 6).
missing value BTBMWGT5(8 6).
missing value BTBMWGT6(8 6).
missing value BTBMWGT7(8 6).
missing value BTBGASS1(8 6).
missing value BTBGASS2(8 6).
missing value BTBGASS3(8 6).
missing value BTBGASS4(8 6).
missing value BTBGASS5(8 6).
missing value BTBGASS6(8 6).
missing value BTDMTOEN(998 996).
missing value BTDGADMN(9998 9996).
missing value BTDGCPLN(9998 9996).
missing value BTDGOTHR(9998 9996).
missing value BTDGSUBT(9998 9996).
missing value BTDGTSKT(9998 9996).
missing value BTDGTTIM(9998 9996).
missing value BTDMCALC(8 6).
missing value BTDMCPTM(8 6).
missing value BTDMEMH (8 6).
missing value BTDMERPS(8 6).
missing value BTDMHTM (9998 9996).
missing value BTDMSIZE(9998 9996).
missing value BTDMSZ3C(8 6).
missing value BTDMTPTT(9998 9996).
missing value BTDMTTIM(9998 9996).
missing value BTDMTIME(8 6).
missing value DPCDATE (999998).


*NOTE: These statements format the variable
       according to the length and decimal places.

format VERSION  (f2.0).
format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f6.0).
format IDTEACH  (f8.0).
format IDLINK   (f2.0).
format IDSUBJCT (f1.0).
format BTBGAGE  (f2.0).
format BTBGSEX  (f1.0).
format BTBGEDUC (f2.0).
format BTBMTEAC (f1.0).
format BTBMGRPK (f1.0).
format BTBMGRK  (f1.0).
format BTBMGR1  (f1.0).
format BTBMGR2  (f1.0).
format BTBMGR3  (f1.0).
format BTBMGR4  (f1.0).
format BTBMGR5  (f1.0).
format BTBMGR6  (f1.0).
format BTBMGR7  (f1.0).
format BTBMGR8  (f1.0).
format BTBMGR9  (f1.0).
format BTBMGR10 (f1.0).
format BTBMGR11 (f1.0).
format BTBMGR12 (f1.0).
format BTBMGR13 (f1.0).
format BTBSTEAC (f1.0).
format BTBSGRPK (f1.0).
format BTBSGRK  (f1.0).
format BTBSGR1  (f1.0).
format BTBSGR2  (f1.0).
format BTBSGR3  (f1.0).
format BTBSGR4  (f1.0).
format BTBSGR5  (f1.0).
format BTBSGR6  (f1.0).
format BTBSGR7  (f1.0).
format BTBSGR8  (f1.0).
format BTBSGR9  (f1.0).
format BTBSGR10 (f1.0).
format BTBSGR11 (f1.0).
format BTBSGR12 (f1.0).
format BTBSGR13 (f1.0).
format BTBGPTFT (f1.0).
format BTBGTAUG (f2.0).
format BTBGGRPK (f1.0).
format BTBGGRK  (f1.0).
format BTBGGR1  (f1.0).
format BTBGGR2  (f1.0).
format BTBGGR3  (f1.0).
format BTBGGR4  (f1.0).
format BTBGGR5  (f1.0).
format BTBGGR6  (f1.0).
format BTBGGR7  (f1.0).
format BTBGGR8  (f1.0).
format BTBGGR9  (f1.0).
format BTBGGR10 (f1.0).
format BTBGGR11 (f1.0).
format BTBGGR12 (f1.0).
format BTBGGR13 (f1.0).
format BTBMSUB1 (f2.0).
format BTBSSUB2 (f2.0).
format BTBSSUB3 (f2.0).
format BTBSSUB4 (f2.0).
format BTBSSUB5 (f2.0).
format BTBSSUB6 (f2.0).
format BTBSSUB7 (f2.0).
format BTBSSUB8 (f2.0).
format BTBGSUB9 (f2.0).
format BTBGTSK1 (f2.0).
format BTBGTSK2 (f2.0).
format BTBGTSK3 (f2.0).
format BTBGTSK4 (f2.0).
format BTBGTSK5 (f2.0).
format BTBGTSK6 (f2.0).
format BTBGTOTL (f2.0).
format BTBGACT1 (f1.0).
format BTBGACT2 (f1.0).
format BTBGACT3 (f1.0).
format BTBGACT4 (f1.0).
format BTBGACT5 (f1.0).
format BTBGACT6 (f1.0).
format BTBGACT7 (f1.0).
format BTBGACT8 (f1.0).
format BTBGMEET (f2.0).
format BTBGINF1 (f1.0).
format BTBGINF2 (f1.0).
format BTBGINF3 (f1.0).
format BTBGINF4 (f1.0).
format BTBMIMP1 (f1.0).
format BTBMIMP2 (f1.0).
format BTBMIMP3 (f1.0).
format BTBMIMP4 (f1.0).
format BTBMIMP5 (f1.0).
format BTBMIMP6 (f1.0).
format BTBMAGR1 (f1.0).
format BTBMAGR2 (f1.0).
format BTBMAGR3 (f1.0).
format BTBGAGR4 (f1.0).
format BTBMAGR5 (f1.0).
format BTBMAGR6 (f1.0).
format BTBMAGR7 (f1.0).
format BTBMAGR8 (f1.0).
format BTBMAGR9 (f1.0).
format BTBMFAM1 (f1.0).
format BTBMFAM2 (f1.0).
format BTBGFAM3 (f1.0).
format BTBGFAM4 (f1.0).
format BTBGFAM5 (f1.0).
format BTBMFAM6 (f1.0).
format BTBMFAM7 (f1.0).
format BTBGCARE (f1.0).
format BTBGCHNG (f1.0).
format BTBGSOAP (f1.0).
format BTBGSTAP (f1.0).
format BTBGBOOK (f1.0).
format BTBGRNK1 (f2.0).
format BTBGRNK2 (f2.0).
format BTBGRNK3 (f2.0).
format BTBGRNK4 (f2.0).
format BTBGRNK5 (f2.0).
format BTBGRNK6 (f2.0).
format BTBGRNK7 (f2.0).
format BTBGRNK8 (f2.0).
format BTBGRNK9 (f2.0).
format BTBMBOY  (f3.0).
format BTBMGIRL (f3.0).
format BTBMACH1 (f3.0).
format BTBMACH2 (f3.0).
format BTBMACH3 (f3.0).
format BTBMTIME (f4.0).
format BTBMTXBK (f1.0).
format BTBMTXB0 (f1.0).
format BTBMTXB1 (f1.0).
format BTBMTXB2 (f1.0).
format BTBMTXB3 (f1.0).
format BTBMTXB4 (f1.0).
format BTBMTXB5 (f1.0).
format BTBMTXB6 (f1.0).
format BTBMTXB7 (f1.0).
format BTBMTXB8 (f1.0).
format BTBMTXB9 (f1.0).
format BTBMTSNM (f2.0).
format BTBMTXBS (f1.0).
format BTBMADTB (f2.0).
format BTBMLM01 (f1.0).
format BTBMLM02 (f1.0).
format BTBMLM03 (f1.0).
format BTBMLM04 (f1.0).
format BTBMLM05 (f1.0).
format BTBMLM06 (f1.0).
format BTBMLM07 (f1.0).
format BTBMLM08 (f1.0).
format BTBMLM09 (f1.0).
format BTBMLM10 (f1.0).
format BTBMLM11 (f1.0).
format BTBMLM12 (f1.0).
format BTBMLM13 (f1.0).
format BTBMLM14 (f1.0).
format BTBMLM15 (f1.0).
format BTBMLM16 (f1.0).
format BTBMCALC (f1.0).
format BTBMCAL1 (f1.0).
format BTBMCAL2 (f1.0).
format BTBMCAL3 (f1.0).
format BTBMCAL4 (f1.0).
format BTBMCAL5 (f1.0).
format BTBMRLY1 (f1.0).
format BTBMRLY2 (f1.0).
format BTBMRLY3 (f1.0).
format BTBMRLY4 (f1.0).
format BTBMRLY5 (f1.0).
format BTBMRLY6 (f1.0).
format BTBMRLY7 (f1.0).
format BTBMSRC1 (f2.0).
format BTBMSRC2 (f2.0).
format BTBMSRC3 (f2.0).
format BTBMSRC4 (f2.0).
format BTBMTA   (f1.0).
format BTBMTAA  (f1.0).
format BTBMTAB  (f1.0).
format BTBMTAC  (f1.0).
format BTBMTA1  (f1.0).
format BTBMTA1A (f1.0).
format BTBMTA1B (f1.0).
format BTBMTA1C (f1.0).
format BTBMTA2  (f1.0).
format BTBMTA2A (f1.0).
format BTBMTA2B (f1.0).
format BTBMTA2C (f1.0).
format BTBMTB   (f1.0).
format BTBMTBA  (f1.0).
format BTBMTBB  (f1.0).
format BTBMTBC  (f1.0).
format BTBMTB1  (f1.0).
format BTBMTB1A (f1.0).
format BTBMTB1B (f1.0).
format BTBMTB1C (f1.0).
format BTBMTB2  (f1.0).
format BTBMTB2A (f1.0).
format BTBMTB2B (f1.0).
format BTBMTB2C (f1.0).
format BTBMTB3  (f1.0).
format BTBMTB3A (f1.0).
format BTBMTB3B (f1.0).
format BTBMTB3C (f1.0).
format BTBMTB4  (f1.0).
format BTBMTB4A (f1.0).
format BTBMTB4B (f1.0).
format BTBMTB4C (f1.0).
format BTBMTB5  (f1.0).
format BTBMTB5A (f1.0).
format BTBMTB5B (f1.0).
format BTBMTB5C (f1.0).
format BTBMTB6  (f1.0).
format BTBMTB6A (f1.0).
format BTBMTB6B (f1.0).
format BTBMTB6C (f1.0).
format BTBMTB7  (f1.0).
format BTBMTB7A (f1.0).
format BTBMTB7B (f1.0).
format BTBMTB7C (f1.0).
format BTBMTC   (f1.0).
format BTBMTCA  (f1.0).
format BTBMTCB  (f1.0).
format BTBMTCC  (f1.0).
format BTBMTD   (f1.0).
format BTBMTDA  (f1.0).
format BTBMTDB  (f1.0).
format BTBMTDC  (f1.0).
format BTBMTE   (f1.0).
format BTBMTEA  (f1.0).
format BTBMTEB  (f1.0).
format BTBMTEC  (f1.0).
format BTBMTF   (f1.0).
format BTBMTFA  (f1.0).
format BTBMTFB  (f1.0).
format BTBMTFC  (f1.0).
format BTBMTG   (f1.0).
format BTBMTGA  (f1.0).
format BTBMTGB  (f1.0).
format BTBMTGC  (f1.0).
format BTBMTH   (f1.0).
format BTBMTHA  (f1.0).
format BTBMTHB  (f1.0).
format BTBMTHC  (f1.0).
format BTBMTI   (f1.0).
format BTBMTIA  (f1.0).
format BTBMTIB  (f1.0).
format BTBMTIC  (f1.0).
format BTBMTJ   (f1.0).
format BTBMTJA  (f1.0).
format BTBMTJB  (f1.0).
format BTBMTJC  (f1.0).
format BTBMTK   (f1.0).
format BTBMTKA  (f1.0).
format BTBMTKB  (f1.0).
format BTBMTKC  (f1.0).
format BTBMTL   (f1.0).
format BTBMTLA  (f1.0).
format BTBMTLB  (f1.0).
format BTBMTLC  (f1.0).
format BTBMTM   (f1.0).
format BTBMTMA  (f1.0).
format BTBMTMB  (f1.0).
format BTBMTMC  (f1.0).
format BTBMTN   (f1.0).
format BTBMTNA  (f1.0).
format BTBMTNB  (f1.0).
format BTBMTNC  (f1.0).
format BTBMTN1  (f1.0).
format BTBMTN1A (f1.0).
format BTBMTN1B (f1.0).
format BTBMTN1C (f1.0).
format BTBMTN2  (f1.0).
format BTBMTN2A (f1.0).
format BTBMTN2B (f1.0).
format BTBMTN2C (f1.0).
format BTBMTO   (f1.0).
format BTBMTOA  (f1.0).
format BTBMTOB  (f1.0).
format BTBMTOC  (f1.0).
format BTBMTO1  (f1.0).
format BTBMTO1A (f1.0).
format BTBMTO1B (f1.0).
format BTBMTO1C (f1.0).
format BTBMTO2  (f1.0).
format BTBMTO2A (f1.0).
format BTBMTO2B (f1.0).
format BTBMTO2C (f1.0).
format BTBMTP   (f1.0).
format BTBMTPA  (f1.0).
format BTBMTPB  (f1.0).
format BTBMTPC  (f1.0).
format BTBMTQ   (f1.0).
format BTBMTQA  (f1.0).
format BTBMTQB  (f1.0).
format BTBMTQC  (f1.0).
format BTBMTQ1  (f1.0).
format BTBMTQ1A (f1.0).
format BTBMTQ1B (f1.0).
format BTBMTQ1C (f1.0).
format BTBMTQ2  (f1.0).
format BTBMTQ2A (f1.0).
format BTBMTQ2B (f1.0).
format BTBMTQ2C (f1.0).
format BTBMTR   (f1.0).
format BTBMTRA  (f1.0).
format BTBMTRB  (f1.0).
format BTBMTRC  (f1.0).
format BTBMTS   (f1.0).
format BTBMTSA  (f1.0).
format BTBMTSB  (f1.0).
format BTBMTSC  (f1.0).
format BTBMTT   (f1.0).
format BTBMTTA  (f1.0).
format BTBMTTB  (f1.0).
format BTBMTTC  (f1.0).
format BTBMTU   (f1.0).
format BTBMTUA  (f1.0).
format BTBMTUB  (f1.0).
format BTBMTUC  (f1.0).
format BTBMTV   (f1.0).
format BTBMTVA  (f1.0).
format BTBMTVB  (f1.0).
format BTBMTVC  (f1.0).
format BTBMCLTM (f3.0).
format BTBMTO01 (f1.0).
format BTBMTO02 (f1.0).
format BTBMTO03 (f1.0).
format BTBMTO04 (f1.0).
format BTBMTO05 (f1.0).
format BTBMTO06 (f1.0).
format BTBMTO07 (f1.0).
format BTBMTO08 (f1.0).
format BTBMTO09 (f1.0).
format BTBMTO10 (f1.0).
format BTBMTO11 (f1.0).
format BTBMTO12 (f1.0).
format BTBMTO13 (f1.0).
format BTBMTO14 (f1.0).
format BTBMTO15 (f1.0).
format BTBMTO16 (f1.0).
format BTBMTO17 (f1.0).
format BTBMTO18 (f1.0).
format BTBMTO19 (f1.0).
format BTBMTO20 (f1.0).
format BTBMTO21 (f1.0).
format BTBMTO22 (f1.0).
format BTBMTOP1 (f1.0).
format BTBMTOP2 (f1.0).
format BTBMTOP3 (f1.0).
format BTBMHMW1 (f1.0).
format BTBMHWT1 (f3.0).
format BTBMCLCM (f1.0).
format BTBMOR01 (f2.0).
format BTBMTM01 (f3.0).
format BTBMOR02 (f2.0).
format BTBMTM02 (f3.0).
format BTBMOR03 (f2.0).
format BTBMTM03 (f3.0).
format BTBMOR04 (f2.0).
format BTBMTM04 (f3.0).
format BTBMOR05 (f2.0).
format BTBMTM05 (f3.0).
format BTBMOR06 (f2.0).
format BTBMTM06 (f3.0).
format BTBMOR07 (f2.0).
format BTBMTM07 (f3.0).
format BTBMOR08 (f2.0).
format BTBMTM08 (f3.0).
format BTBMOR09 (f2.0).
format BTBMTM09 (f3.0).
format BTBMOR10 (f2.0).
format BTBMTM10 (f3.0).
format BTBMOR11 (f2.0).
format BTBMTM11 (f3.0).
format BTBMSGRP (f1.0).
format BTBMASK1 (f1.0).
format BTBMASK2 (f1.0).
format BTBMASK3 (f1.0).
format BTBMASK4 (f1.0).
format BTBMASK5 (f1.0).
format BTBMASK6 (f1.0).
format BTBMDO1  (f1.0).
format BTBMDO2  (f1.0).
format BTBMDO3  (f1.0).
format BTBMDO4  (f1.0).
format BTBMLES1 (f1.0).
format BTBMLES2 (f1.0).
format BTBMLES3 (f1.0).
format BTBMLES4 (f1.0).
format BTBMLES5 (f1.0).
format BTBMLES6 (f1.0).
format BTBMHMW2 (f1.0).
format BTBMHWT2 (f2.0).
format BTBMWKBK (f1.0).
format BTBMPROB (f1.0).
format BTBMREAD (f1.0).
format BTBMWRIT (f1.0).
format BTBMDATA (f1.0).
format BTBMIEXP (f1.0).
format BTBMGEXP (f1.0).
format BTBMFIND (f1.0).
format BTBMORAL (f1.0).
format BTBMJOUR (f1.0).
format BTBMWHW1 (f1.0).
format BTBMWHW2 (f1.0).
format BTBMWHW3 (f1.0).
format BTBMWHW4 (f1.0).
format BTBMWHW5 (f1.0).
format BTBMWHW6 (f1.0).
format BTBMWHW7 (f1.0).
format BTBMWHW8 (f1.0).
format BTBMWGT1 (f1.0).
format BTBMWGT2 (f1.0).
format BTBMWGT3 (f1.0).
format BTBMWGT4 (f1.0).
format BTBMWGT5 (f1.0).
format BTBMWGT6 (f1.0).
format BTBMWGT7 (f1.0).
format BTBGASS1 (f1.0).
format BTBGASS2 (f1.0).
format BTBGASS3 (f1.0).
format BTBGASS4 (f1.0).
format BTBGASS5 (f1.0).
format BTBGASS6 (f1.0).
format BTDMTOEN (f3.0).
format BTDGADMN (f8.3).
format BTDGCPLN (f8.3).
format BTDGOTHR (f8.3).
format BTDGSUBT (f8.3).
format BTDGTSKT (f8.3).
format BTDGTTIM (f8.3).
format BTDMCALC (f1.0).
format BTDMCPTM (f1.0).
format BTDMEMH  (f1.0).
format BTDMERPS (f1.0).
format BTDMHTM  (f8.3).
format BTDMSIZE (f8.3).
format BTDMSZ3C (f1.0).
format BTDMTPTT (f8.3).
format BTDMTTIM (f8.3).
format BTDMTIME (f1.0).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want copressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata.

!doend
!enddefine

create country =  AUS AUT BFL BFR BGR CAN COL CYP CZE DNK ENG
                  FRA DEU GRC HKG HUN ISL IRN IRL ISR JPN
                  KOR KWT LVA LTU NLD NZL NOR PRT ROM RUS
                  SCO SGP SVK SVN ESP SWE CHE THA USA ITA ZAF.