SET DECIMAL = DOT.

define create (country=!charend('/')).

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,bts,!cty,'m1.dat"').
!let !savdata = !concat('"',!savpath,bts,!cty,'m1.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /VERSION     1-   2     
  IDCNTRY     3-   7     
  IDPOP       8-   8     
  IDSCHOOL    9-  14     
  IDTEACH    15-  22     
  IDLINK     23-  24     
  IDSUBJCT   25-  25     
  BTBGAGE    26-  27     
  BTBGSEX    28-  28     
  BTBGEDUC   29-  30     
  BTBSTEAC   31-  31     
  BTBSGRPK   32-  32     
  BTBSGRK    33-  33     
  BTBSGR1    34-  34     
  BTBSGR2    35-  35     
  BTBSGR3    36-  36     
  BTBSGR4    37-  37     
  BTBSGR5    38-  38     
  BTBSGR6    39-  39     
  BTBSGR7    40-  40     
  BTBSGR8    41-  41     
  BTBSGR9    42-  42     
  BTBSGR10   43-  43     
  BTBSGR11   44-  44     
  BTBSGR12   45-  45     
  BTBSGR13   46-  46     
  BTBMTEAC   47-  47     
  BTBMGRPK   48-  48     
  BTBMGRK    49-  49     
  BTBMGR1    50-  50     
  BTBMGR2    51-  51     
  BTBMGR3    52-  52     
  BTBMGR4    53-  53     
  BTBMGR5    54-  54     
  BTBMGR6    55-  55     
  BTBMGR7    56-  56     
  BTBMGR8    57-  57     
  BTBMGR9    58-  58     
  BTBMGR10   59-  59     
  BTBMGR11   60-  60     
  BTBMGR12   61-  61     
  BTBMGR13   62-  62     
  BTBGPTFT   63-  63     
  BTBGTAUG   64-  65     
  BTBGGRPK   66-  66     
  BTBGGRK    67-  67     
  BTBGGR1    68-  68     
  BTBGGR2    69-  69     
  BTBGGR3    70-  70     
  BTBGGR4    71-  71     
  BTBGGR5    72-  72     
  BTBGGR6    73-  73     
  BTBGGR7    74-  74     
  BTBGGR8    75-  75     
  BTBGGR9    76-  76     
  BTBGGR10   77-  77     
  BTBGGR11   78-  78     
  BTBGGR12   79-  79     
  BTBGGR13   80-  80     
  BTBMSUB1   81-  82     
  BTBSSUB2   83-  84     
  BTBSSUB3   85-  86     
  BTBSSUB4   87-  88     
  BTBSSUB5   89-  90     
  BTBSSUB6   91-  92     
  BTBSSUB7   93-  94     
  BTBSSUB8   95-  96     
  BTBGSUB9   97-  98     
  BTBGTSK1   99- 100     
  BTBGTSK2  101- 102     
  BTBGTSK3  103- 104     
  BTBGTSK4  105- 106     
  BTBGTSK5  107- 108     
  BTBGTSK6  109- 110     
  BTBGTOTL  111- 112     
  BTBGACT1  113- 113     
  BTBGACT2  114- 114     
  BTBGACT3  115- 115     
  BTBGACT4  116- 116     
  BTBGACT5  117- 117     
  BTBGACT6  118- 118     
  BTBGACT7  119- 119     
  BTBGACT8  120- 120     
  BTBGMEET  121- 122     
  BTBGINF1  123- 123     
  BTBGINF2  124- 124     
  BTBGINF3  125- 125     
  BTBGINF4  126- 126     
  BTBSIMP1  127- 127     
  BTBSIMP2  128- 128     
  BTBSIMP3  129- 129     
  BTBSIMP4  130- 130     
  BTBSIMP5  131- 131     
  BTBSIMP6  132- 132     
  BTBSAGR1  133- 133     
  BTBSAGR2  134- 134     
  BTBSAGR3  135- 135     
  BTBSAGR4  136- 136     
  BTBSAGR5  137- 137     
  BTBSAGR6  138- 138     
  BTBSAGR7  139- 139     
  BTBSAGR8  140- 140     
  BTBSAGR9  141- 141     
  BTBSFAM1  142- 142     
  BTBSFAM2  143- 143     
  BTBGFAM3  144- 144     
  BTBGFAM4  145- 145     
  BTBGFAM5  146- 146     
  BTBSFAM6  147- 147     
  BTBSFAM7  148- 148     
  BTBSPRP1  149- 149     
  BTBSPRP2  150- 150     
  BTBSPRP3  151- 151     
  BTBSPRP4  152- 152     
  BTBSPRP5  153- 153     
  BTBSPRP6  154- 154     
  BTBSPRP7  155- 155     
  BTBSPRP8  156- 156     
  BTBSPRP9  157- 157     
  BTBGCARE  158- 158     
  BTBGCHNG  159- 159     
  BTBGSOAP  160- 160     
  BTBGSTAP  161- 161     
  BTBGBOOK  162- 162     
  BTBGRNK1  163- 164     
  BTBGRNK2  165- 166     
  BTBGRNK3  167- 168     
  BTBGRNK4  169- 170     
  BTBGRNK5  171- 172     
  BTBGRNK6  173- 174     
  BTBGRNK7  175- 176     
  BTBGRNK8  177- 178     
  BTBGRNK9  179- 180     
  BTBSBOY   181- 183     
  BTBSGIRL  184- 186     
  BTBSACH1  187- 189     
  BTBSACH2  190- 192     
  BTBSACH3  193- 195     
  BTBSTIME  196- 199     
  BTBSTXBK  200- 200     
  BTBSTXB0  201- 201     
  BTBSTXB1  202- 202     
  BTBSTXB2  203- 203     
  BTBSTXB3  204- 204     
  BTBSTXB4  205- 205     
  BTBSTXB5  206- 206     
  BTBSTXB6  207- 207     
  BTBSTXB7  208- 208     
  BTBSTXB8  209- 209     
  BTBSTXB9  210- 210     
  BTBSTXNM  211- 212     
  BTBSTXBS  213- 213     
  BTBSADTB  214- 215     
  BTBSLM01  216- 216     
  BTBSLM02  217- 217     
  BTBSLM03  218- 218     
  BTBSLM04  219- 219     
  BTBSLM05  220- 220     
  BTBSLM06  221- 221     
  BTBSLM07  222- 222     
  BTBSLM08  223- 223     
  BTBSLM09  224- 224     
  BTBSLM10  225- 225     
  BTBSLM11  226- 226     
  BTBSLM12  227- 227     
  BTBSLM13  228- 228     
  BTBSLM14  229- 229     
  BTBSLM15  230- 230     
  BTBSLM16  231- 231     
  BTBSCALC  232- 232     
  BTBSCAL1  233- 233     
  BTBSCAL2  234- 234     
  BTBSCAL3  235- 235     
  BTBSCAL4  236- 236     
  BTBSCAL5  237- 237     
  BTBSRLY1  238- 238     
  BTBSRLY2  239- 239     
  BTBSRLY3  240- 240     
  BTBSRLY4  241- 241     
  BTBSRLY5  242- 242     
  BTBSRLY6  243- 243     
  BTBSRLY7  244- 244     
  BTBSSRC1  245- 246     
  BTBSSRC2  247- 248     
  BTBSSRC3  249- 250     
  BTBSSRC4  251- 252     
  BTBSTA    253- 253     
  BTBSTAA   254- 254     
  BTBSTAB   255- 255     
  BTBSTAC   256- 256     
  BTBSTA1   257- 257     
  BTBSTA1A  258- 258     
  BTBSTA1B  259- 259     
  BTBSTA1C  260- 260     
  BTBSTA2   261- 261     
  BTBSTA2A  262- 262     
  BTBSTA2B  263- 263     
  BTBSTA2C  264- 264     
  BTBSTA3   265- 265     
  BTBSTA3A  266- 266     
  BTBSTA3B  267- 267     
  BTBSTA3C  268- 268     
  BTBSTA4   269- 269     
  BTBSTA4A  270- 270     
  BTBSTA4B  271- 271     
  BTBSTA4C  272- 272     
  BTBSTA5   273- 273     
  BTBSTA5A  274- 274     
  BTBSTA5B  275- 275     
  BTBSTA5C  276- 276     
  BTBSTA6   277- 277     
  BTBSTA6A  278- 278     
  BTBSTA6B  279- 279     
  BTBSTA6C  280- 280     
  BTBSTB    281- 281     
  BTBSTBA   282- 282     
  BTBSTBB   283- 283     
  BTBSTBC   284- 284     
  BTBSTC    285- 285     
  BTBSTCA   286- 286     
  BTBSTCB   287- 287     
  BTBSTCC   288- 288     
  BTBSTD    289- 289     
  BTBSTDA   290- 290     
  BTBSTDB   291- 291     
  BTBSTDC   292- 292     
  BTBSTD1   293- 293     
  BTBSTD1A  294- 294     
  BTBSTD1B  295- 295     
  BTBSTD1C  296- 296     
  BTBSTD2   297- 297     
  BTBSTD2A  298- 298     
  BTBSTD2B  299- 299     
  BTBSTD2C  300- 300     
  BTBSTD3   301- 301     
  BTBSTD3A  302- 302     
  BTBSTD3B  303- 303     
  BTBSTD3C  304- 304     
  BTBSTD4   305- 305     
  BTBSTD4A  306- 306     
  BTBSTD4B  307- 307     
  BTBSTD4C  308- 308     
  BTBSTE    309- 309     
  BTBSTEA   310- 310     
  BTBSTEB   311- 311     
  BTBSTEC   312- 312     
  BTBSTF    313- 313     
  BTBSTFA   314- 314     
  BTBSTFB   315- 315     
  BTBSTFC   316- 316     
  BTBSTG    317- 317     
  BTBSTGA   318- 318     
  BTBSTGB   319- 319     
  BTBSTGC   320- 320     
  BTBSTH    321- 321     
  BTBSTHA   322- 322     
  BTBSTHB   323- 323     
  BTBSTHC   324- 324     
  BTBSTI    325- 325     
  BTBSTIA   326- 326     
  BTBSTIB   327- 327     
  BTBSTIC   328- 328     
  BTBSTJ    329- 329     
  BTBSTJA   330- 330     
  BTBSTJB   331- 331     
  BTBSTJC   332- 332     
  BTBSTK    333- 333     
  BTBSTKA   334- 334     
  BTBSTKB   335- 335     
  BTBSTKC   336- 336     
  BTBSTL    337- 337     
  BTBSTLA   338- 338     
  BTBSTLB   339- 339     
  BTBSTLC   340- 340     
  BTBSTL1   341- 341     
  BTBSTL1A  342- 342     
  BTBSTL1B  343- 343     
  BTBSTL1C  344- 344     
  BTBSTM    345- 345     
  BTBSTMA   346- 346     
  BTBSTMB   347- 347     
  BTBSTMC   348- 348     
  BTBSTN    349- 349     
  BTBSTNA   350- 350     
  BTBSTNB   351- 351     
  BTBSTNC   352- 352     
  BTBSTO    353- 353     
  BTBSTOA   354- 354     
  BTBSTOB   355- 355     
  BTBSTOC   356- 356     
  BTBSTP    357- 357     
  BTBSTPA   358- 358     
  BTBSTPB   359- 359     
  BTBSTPC   360- 360     
  BTBSTQ    361- 361     
  BTBSTQA   362- 362     
  BTBSTQB   363- 363     
  BTBSTQC   364- 364     
  BTBSTR    365- 365     
  BTBSTRA   366- 366     
  BTBSTRB   367- 367     
  BTBSTRC   368- 368     
  BTBSTS    369- 369     
  BTBSTSA   370- 370     
  BTBSTSB   371- 371     
  BTBSTSC   372- 372     
  BTBSTT    373- 373     
  BTBSTTA   374- 374     
  BTBSTTB   375- 375     
  BTBSTTC   376- 376     
  BTBSTU    377- 377     
  BTBSTUA   378- 378     
  BTBSTUB   379- 379     
  BTBSTUC   380- 380     
  BTBSTV    381- 381     
  BTBSTVA   382- 382     
  BTBSTVB   383- 383     
  BTBSTVC   384- 384     
  BTBSTW1   385- 385     
  BTBSTW1A  386- 386     
  BTBSTW1B  387- 387     
  BTBSTW1C  388- 388     
  BTBSTW2   389- 389     
  BTBSTW2A  390- 390     
  BTBSTW2B  391- 391     
  BTBSTW2C  392- 392     
  BTBSTW3   393- 393     
  BTBSTW3A  394- 394     
  BTBSTW3B  395- 395     
  BTBSTW3C  396- 396     
  BTBSTX1   397- 397     
  BTBSTX1A  398- 398     
  BTBSTX1B  399- 399     
  BTBSTX1C  400- 400     
  BTBSTX2   401- 401     
  BTBSTX2A  402- 402     
  BTBSTX2B  403- 403     
  BTBSTX2C  404- 404     
  BTBSTX3   405- 405     
  BTBSTX3A  406- 406     
  BTBSTX3B  407- 407     
  BTBSTX3C  408- 408     
  BTBSTX4   409- 409     
  BTBSTX4A  410- 410     
  BTBSTX4B  411- 411     
  BTBSTX4C  412- 412     
  BTBSCLTM  413- 415     
  BTBSTO01  416- 416     
  BTBSTO02  417- 417     
  BTBSTO03  418- 418     
  BTBSTO04  419- 419     
  BTBSTO05  420- 420     
  BTBSTO06  421- 421     
  BTBSTO07  422- 422     
  BTBSTO08  423- 423     
  BTBSTO09  424- 424     
  BTBSTO10  425- 425     
  BTBSTO11  426- 426     
  BTBSTO12  427- 427     
  BTBSTO13  428- 428     
  BTBSTO14  429- 429     
  BTBSTO15  430- 430     
  BTBSTO16  431- 431     
  BTBSTO17  432- 432     
  BTBSTO18  433- 433     
  BTBSTO19  434- 434     
  BTBSTO20  435- 435     
  BTBSTO21  436- 436     
  BTBSTO22  437- 437     
  BTBSTOP1  438- 438     
  BTBSTOP2  439- 439     
  BTBSTOP3  440- 440     
  BTBSHMW1  441- 441     
  BTBSHWT1  442- 444     
  BTBSCLCM  445- 445     
  BTBSLAB1  446- 446     
  BTBSLAB2  447- 449     
  BTBSOR01  450- 451     
  BTBSTM01  452- 454     
  BTBSOR02  455- 456     
  BTBSTM02  457- 459     
  BTBSOR03  460- 461     
  BTBSTM03  462- 464     
  BTBSOR04  465- 466     
  BTBSTM04  467- 469     
  BTBSOR05  470- 471     
  BTBSTM05  472- 474     
  BTBSOR06  475- 476     
  BTBSTM06  477- 479     
  BTBSOR07  480- 481     
  BTBSTM07  482- 484     
  BTBSOR08  485- 486     
  BTBSTM08  487- 489     
  BTBSOR09  490- 491     
  BTBSTM09  492- 494     
  BTBSOR10  495- 496     
  BTBSTM10  497- 499     
  BTBSOR11  500- 501     
  BTBSTM11  502- 504     
  BTBSSGRP  505- 505     
  BTBSASK1  506- 506     
  BTBSASK2  507- 507     
  BTBSASK3  508- 508     
  BTBSASK4  509- 509     
  BTBSASK5  510- 510     
  BTBSASK6  511- 511     
  BTBSDO1   512- 512     
  BTBSDO2   513- 513     
  BTBSDO3   514- 514     
  BTBSDO4   515- 515     
  BTBSLES1  516- 516     
  BTBSLES2  517- 517     
  BTBSLES3  518- 518     
  BTBSLES4  519- 519     
  BTBSLES5  520- 520     
  BTBSLES6  521- 521     
  BTBSHMW2  522- 522     
  BTBSHWT2  523- 524     
  BTBSWKBK  525- 525     
  BTBSPROB  526- 526     
  BTBSREAD  527- 527     
  BTBSWRIT  528- 528     
  BTBSDATA  529- 529     
  BTBSIEXP  530- 530     
  BTBSGEXP  531- 531     
  BTBSFIND  532- 532     
  BTBSORAL  533- 533     
  BTBSJOUR  534- 534     
  BTBSWHW1  535- 535     
  BTBSWHW2  536- 536     
  BTBSWHW3  537- 537     
  BTBSWHW4  538- 538     
  BTBSWHW5  539- 539     
  BTBSWHW6  540- 540     
  BTBSWHW7  541- 541     
  BTBSWHW8  542- 542     
  BTBSWGT1  543- 543     
  BTBSWGT2  544- 544     
  BTBSWGT3  545- 545     
  BTBSWGT4  546- 546     
  BTBSWGT5  547- 547     
  BTBSWGT6  548- 548     
  BTBSWGT7  549- 549     
  BTBGASS1  550- 550     
  BTBGASS2  551- 551     
  BTBGASS3  552- 552     
  BTBGASS4  553- 553     
  BTBGASS5  554- 554     
  BTBGASS6  555- 555     
  BTDSTOEN  556- 558     
  BTDGADMN  559- 566 (3)
  BTDGCPLN  567- 574 (3)
  BTDGOTHR  575- 582 (3)
  BTDGSUBT  583- 590 (3)
  BTDGTSKT  591- 598 (3)
  BTDGTTIM  599- 606 (3)
  BTDSCPTS  607- 607     
  BTDSERPS  608- 608     
  BTDSESH   609- 609     
  BTDSHTS   610- 617 (3)
  BTDSSIZE  618- 625 (3)
  BTDSSZ3C  626- 626     
  BTDSTPTT  627- 634 (3)
  BTDSTTIM  635- 642 (3)
  BTDSTIME  643- 643     
  DPCDATE   644- 649     .


*NOTE: Assignment of variable labels.

variable labels   VERSION  "*FILE VERSION*" 
                 /IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDTEACH  "*TEACHER ID*" 
                 /IDLINK   "*TEACHER LINK NUMBER*" 
                 /IDSUBJCT "*SUBJECT ID*" 
                 /BTBGAGE  "GEN\AGE OF TEACHER" 
                 /BTBGSEX  "GEN\SEX OF TEACHER" 
                 /BTBGEDUC "GEN\LEVEL OF EDUCATION COMPLETED" 
                 /BTBSTEAC "SCI\DO NOT TEACH SCIENCE THIS YEAR" 
                 /BTBSGRPK "SCI\GRADE LEVEL\PRE-KINDERGARTEN" 
                 /BTBSGRK  "SCI\GRADE LEVEL\KINDERGARTEN" 
                 /BTBSGR1  "SCI\GRADE LEVEL\GRADE 1" 
                 /BTBSGR2  "SCI\GRADE LEVEL\GRADE 2" 
                 /BTBSGR3  "SCI\GRADE LEVEL\GRADE 3" 
                 /BTBSGR4  "SCI\GRADE LEVEL\GRADE 4" 
                 /BTBSGR5  "SCI\GRADE LEVEL\GRADE 5" 
                 /BTBSGR6  "SCI\GRADE LEVEL\GRADE 6" 
                 /BTBSGR7  "SCI\GRADE LEVEL\GRADE 7" 
                 /BTBSGR8  "SCI\GRADE LEVEL\GRADE 8" 
                 /BTBSGR9  "SCI\GRADE LEVEL\GRADE 9" 
                 /BTBSGR10 "SCI\GRADE LEVEL\GRADE 10" 
                 /BTBSGR11 "SCI\GRADE LEVEL\GRADE 11" 
                 /BTBSGR12 "SCI\GRADE LEVEL\GRADE 12" 
                 /BTBSGR13 "SCI\GRADE LEVEL\GRADE 13" 
                 /BTBMTEAC "MAT\DO NOT TEACH MATHEMATICS THIS YEAR" 
                 /BTBMGRPK "MAT\GRADE LEVEL\PRE-KINDERGARTEN" 
                 /BTBMGRK  "MAT\GRADE LEVEL\KINDERGARTEN" 
                 /BTBMGR1  "MAT\GRADE LEVEL\GRADE 1" 
                 /BTBMGR2  "MAT\GRADE LEVEL\GRADE 2" 
                 /BTBMGR3  "MAT\GRADE LEVEL\GRADE 3" 
                 /BTBMGR4  "MAT\GRADE LEVEL\GRADE 4" 
                 /BTBMGR5  "MAT\GRADE LEVEL\GRADE 5" 
                 /BTBMGR6  "MAT\GRADE LEVEL\GRADE 6" 
                 /BTBMGR7  "MAT\GRADE LEVEL\GRADE 7" 
                 /BTBMGR8  "MAT\GRADE LEVEL\GRADE 8" 
                 /BTBMGR9  "MAT\GRADE LEVEL\GRADE 9" 
                 /BTBMGR10 "MAT\GRADE LEVEL\GRADE 10" 
                 /BTBMGR11 "MAT\GRADE LEVEL\GRADE 11" 
                 /BTBMGR12 "MAT\GRADE LEVEL\GRADE 12" 
                 /BTBMGR13 "MAT\GRADE LEVEL\GRADE 13" 
                 /BTBGPTFT "GEN\TEACH PART-TIME OR FULL-TIME" 
                 /BTBGTAUG "GEN\YEARS BEEN TEACHING" 
                 /BTBGGRPK "GEN\GRADE LEVEL\PRE-KINDERGARTEN" 
                 /BTBGGRK  "GEN\GRADE LEVEL\KINDERGARTEN" 
                 /BTBGGR1  "GEN\GRADE LEVEL\GRADE 1" 
                 /BTBGGR2  "GEN\GRADE LEVEL\GRADE 2" 
                 /BTBGGR3  "GEN\GRADE LEVEL\GRADE 3" 
                 /BTBGGR4  "GEN\GRADE LEVEL\GRADE 4" 
                 /BTBGGR5  "GEN\GRADE LEVEL\GRADE 5" 
                 /BTBGGR6  "GEN\GRADE LEVEL\GRADE 6" 
                 /BTBGGR7  "GEN\GRADE LEVEL\GRADE 7" 
                 /BTBGGR8  "GEN\GRADE LEVEL\GRADE 8" 
                 /BTBGGR9  "GEN\GRADE LEVEL\GRADE 9" 
                 /BTBGGR10 "GEN\GRADE LEVEL\GRADE 10" 
                 /BTBGGR11 "GEN\GRADE LEVEL\GRADE 11" 
                 /BTBGGR12 "GEN\GRADE LEVEL\GRADE 12" 
                 /BTBGGR13 "GEN\GRADE LEVEL\GRADE 13" 
                 /BTBMSUB1 "MAT\SCHEDULED SUBJECTS\MATHEMATICS" 
                 /BTBSSUB2 "SCI\SCHEDULED SUBJECTS\GENERAL SCI" 
                 /BTBSSUB3 "SCI\SCHEDULED SUBJECTS\PHYSICAL SCI" 
                 /BTBSSUB4 "SCI\SCHEDULED SUBJECTS\EARTH SCIENCE" 
                 /BTBSSUB5 "SCI\SCHEDULED SUBJECTS\LIFE SCIENCE" 
                 /BTBSSUB6 "SCI\SCHEDULED SUBJECTS\BIOLOGY" 
                 /BTBSSUB7 "SCI\SCHEDULED SUBJECTS\CHEMISTRY" 
                 /BTBSSUB8 "SCI\SCHEDULED SUBJECTS\PHYSICS" 
                 /BTBGSUB9 "SCI\SCHEDULED SUBJECTS\OTHER" 
                 /BTBGTSK1 "GEN\SCHEDULED TASKS\SUPERVISION" 
                 /BTBGTSK2 "GEN\SCHEDULED TASKS\COUNSELLING" 
                 /BTBGTSK3 "GEN\SCHEDULED TASKS\ADMINISTRATION" 
                 /BTBGTSK4 "GEN\SCHEDULED TASKS\INDIVID PLANNING" 
                 /BTBGTSK5 "GEN\SCHEDULED TASKS\COOP PLANNING" 
                 /BTBGTSK6 "GEN\SCHEDULED TASKS\NON SPECIFIED" 
                 /BTBGTOTL "GEN\SCHEDULED HOURS ALTOGETHER" 
                 /BTBGACT1 "GEN\OUTSIDE SCHL\PREPARE TEST" 
                 /BTBGACT2 "GEN\OUTSIDE SCHL\READ STUDENT WORK" 
                 /BTBGACT3 "GEN\OUTSIDE SCHL\PLAN LESSONS" 
                 /BTBGACT4 "GEN\OUTSIDE SCHL\MEET STUDENTS" 
                 /BTBGACT5 "GEN\OUTSIDE SCHL\MEET PARENTS" 
                 /BTBGACT6 "GEN\OUTSIDE SCHL\PROFESSIONL READING" 
                 /BTBGACT7 "GEN\OUTSIDE SCHL\UPDATE STUD RECORDS" 
                 /BTBGACT8 "GEN\OUTSIDE SCHL\ADMINISTRATVE TASKS" 
                 /BTBGMEET "GEN\MEETING WITH OTHER TEACHERS" 
                 /BTBGINF1 "GEN\INFLUENCE\SUBJECT MATTER" 
                 /BTBGINF2 "GEN\INFLUENCE\SPECIFIC TEXTBOOKS" 
                 /BTBGINF3 "GEN\INFLUENCE\MONEY FOR SUPPLIES" 
                 /BTBGINF4 "GEN\INFLUENCE\KIND OF SUPPLIES" 
                 /BTBSIMP1 "SCI\GD\IMPT\REMEMBER FORMULAS" 
                 /BTBSIMP2 "SCI\GD\IMPT\SEQUENTIAL & PROCEDURAL" 
                 /BTBSIMP3 "SCI\GD\IMPT\UNDERSTAND CONCEPTS" 
                 /BTBSIMP4 "SCI\GD\IMPT\THINK CREATIVELY" 
                 /BTBSIMP5 "SCI\GD\IMPT\HOW USED IN REAL WORLD" 
                 /BTBSIMP6 "SCI\GD\IMPT\SUPPORT SOLUTIONS" 
                 /BTBSAGR1 "SCI\PRIMARILY AN ABSTRACT SUBJECT" 
                 /BTBSAGR2 "SCI\FORMAL REPRESENTATION OF WORLD" 
                 /BTBSAGR3 "SCI\PRACTICAL AND STRUCTURED GUIDE" 
                 /BTBSAGR4 "SCI\NATURAL TALENT FOR SCIENCE" 
                 /BTBSAGR5 "SCI\IMPORTANCE OF SEQNTAL DIRECTIONS" 
                 /BTBSAGR6 "SCI\FOCUSING ON RULES IS A BAD IDEA" 
                 /BTBSAGR7 "SCI\DEBATES IN CLASS HARM LEARNING" 
                 /BTBSAGR8 "SCI\SEE TASK APART FROM REPRESENTATN" 
                 /BTBSAGR9 "SCI\LIKING & UNDERSTANDING STUDENTS" 
                 /BTBSFAM1 "SCI\NATIONAL CURRICULUM GUIDE" 
                 /BTBSFAM2 "SCI\REGIONAL CURRICULUM GUIDE" 
                 /BTBGFAM3 "GEN\SCHOOL CURRICULUM GUIDE" 
                 /BTBGFAM4 "GEN\NATIONAL EXAM SPECIFICATIONS" 
                 /BTBGFAM5 "GEN\REGIONAL EXAM SPECIFICATIONS" 
                 /BTBSFAM6 "SCI\NATIONAL PEDAGOGY GUIDE" 
                 /BTBSFAM7 "SCI\REGIONAL PEDAGOGY GUIDE" 
                 /BTBSPRP1 "SCI\PREPARATION\EARTH'S FEATURES" 
                 /BTBSPRP2 "SCI\PREPARATION\TYPES OF ENERGY ETC" 
                 /BTBSPRP3 "SCI\PREPARATION\LIGHT" 
                 /BTBSPRP4 "SCI\PREPARATION\HUMAN TISSUES" 
                 /BTBSPRP5 "SCI\PREPARATION\HUMAN METABOLISM" 
                 /BTBSPRP6 "SCI\PREPARATION\HUMAN REPRODUCTION" 
                 /BTBSPRP7 "SCI\PREPARATION\HUMAN GENETICS" 
                 /BTBSPRP8 "SCI\PREPARATION\MEASUREMENT" 
                 /BTBSPRP9 "SCI\PREPARATION\ORGANIZING DATA" 
                 /BTBGCARE "GEN\WAS TEACHING FIRST CHOICE" 
                 /BTBGCHNG "GEN\WOULD YOU CHANGE CAREER" 
                 /BTBGSOAP "GEN\IS WORK APPRECIATED BY SOCIETY" 
                 /BTBGSTAP "GEN\IS WORK APPRECIATED BY STUDENTS" 
                 /BTBGBOOK "GEN\NUMBER OF BOOKS IN HOME" 
                 /BTBGRNK1 "GEN\SOCIAL STATUS\ACCOUNTANT" 
                 /BTBGRNK2 "GEN\SOCIAL STATUS\<MEDICAL DOCTOR>" 
                 /BTBGRNK3 "GEN\SOCIAL STATUS\LAWYER" 
                 /BTBGRNK4 "GEN\SOCIAL STATUS\ENGINEER" 
                 /BTBGRNK5 "GEN\SOCIAL STATUS\NURSE" 
                 /BTBGRNK6 "GEN\SOCIAL STATUS\SENIOR" 
                 /BTBGRNK7 "GEN\SOCIAL STATUS\TEACHER PRIMARY" 
                 /BTBGRNK8 "GEN\SOCIAL STATUS\TEACHER SECONDARY" 
                 /BTBGRNK9 "GEN\SOCIAL STATUS\<UNSKILLED WORKER>" 
                 /BTBSBOY  "SCI\CLSS\NUMBER OF BOYS IN CLASS" 
                 /BTBSGIRL "SCI\CLSS\NUMBER OF GIRLS IN CLASS" 
                 /BTBSACH1 "SCI\CLSS\HIGH ACHIEVEMENT LEVELS" 
                 /BTBSACH2 "SCI\CLSS\MIDDLE ACHIEVEMENT LEVELS" 
                 /BTBSACH3 "SCI\CLSS\LOW ACHIEVEMENT LEVELS" 
                 /BTBSTIME "SCI\CLSS\LENGTH OF SCIENCE CLASS" 
                 /BTBSTXBK "SCI\CLSS\USE SCIENCE TEXTBOOK" 
                 /BTBSTXB0 "SCI\CLSS\SCIENCE TEXTBOOK USED A" 
                 /BTBSTXB1 "SCI\CLSS\SCIENCE TEXTBOOK USED B" 
                 /BTBSTXB2 "SCI\CLSS\SCIENCE TEXTBOOK USED C" 
                 /BTBSTXB3 "SCI\CLSS\SCIENCE TEXTBOOK USED D" 
                 /BTBSTXB4 "SCI\CLSS\SCIENCE TEXTBOOK USED E" 
                 /BTBSTXB5 "SCI\CLSS\SCIENCE TEXTBOOK USED F" 
                 /BTBSTXB6 "SCI\CLSS\SCIENCE TEXTBOOK USED G" 
                 /BTBSTXB7 "SCI\CLSS\SCIENCE TEXTBOOK USED H" 
                 /BTBSTXB8 "SCI\CLSS\SCIENCE TEXTBOOK USED I" 
                 /BTBSTXB9 "SCI\CLSS\SCIENCE TEXTBOOK USED J" 
                 /BTBSTXNM "SCI\CLSS\TEXTBOOK NAME ENTERED" 
                 /BTBSTXBS "SCI\CLSS\TEXTBOOK BASED TEACHING" 
                 /BTBSADTB "SCI\CLSS\IN ADDITION TO TEXTBOOK" 
                 /BTBSLM01 "SCI\CLSS\DIFFERENT ACADEMIC ABILITIES" 
                 /BTBSLM02 "SCI\CLSS\WIDE RANGE OF BACKGROUNDS" 
                 /BTBSLM03 "SCT\CLSS\SPECIAL NEEDS" 
                 /BTBSLM04 "SCI\CLSS\UNINTERESTED STUDENTS" 
                 /BTBSLM05 "SCI\CLSS\DISRUPTIVE STUDENTS" 
                 /BTBSLM06 "SCI\CLSS\PARENTS INTRESTD IN PROGRSS" 
                 /BTBSLM07 "SCI\CLSS\PARENTS UNINTRESTD IN PROGR" 
                 /BTBSLM08 "SCI\CLSS\SHORTGE OF COMPUTR HARDWARE" 
                 /BTBSLM09 "SCI\CLSS\SHORTGE OF COMPUTR SOFTWARE" 
                 /BTBSLM10 "SCI\CLSS\SHORTGE OF INSTR EQUIPMENT" 
                 /BTBSLM11 "SCI\CLSS\SHORTGE OF DEMNSTR EQUIPMNT" 
                 /BTBSLM12 "SCI\CLSS\INADEQUATE PHYSICL FACILITS" 
                 /BTBSLM13 "SCI\CLSS\HIGH STUDENT TEACHER RATIO" 
                 /BTBSLM14 "SCI\CLSS\LOW MORALE AMONG STAFF" 
                 /BTBSLM15 "SCI\CLSS\LOW MORALE AMONG STUDENTS" 
                 /BTBSLM16 "SCI\CLSS\THREATS 2 PERS OR STDT SFTY" 
                 /BTBSCALC "SCI\ACCESS TO CALC DURING SCI LESSON" 
                 /BTBSCAL1 "SCI\CALCS FOR CHECKING ANSWERS" 
                 /BTBSCAL2 "SCI\CALCS FOR TESTS AND EXAMS" 
                 /BTBSCAL3 "SCI\CALCS FOR ROUTINE COMPUTATIO" 
                 /BTBSCAL4 "SCI\CALCS FOR COMPLEX PROBLEMS" 
                 /BTBSCAL5 "SCI\CALCS FOR NUMBER CONCEPTS" 
                 /BTBSRLY1 "SCI\RELY ON PREVIOUS LESSONS" 
                 /BTBSRLY2 "SCI\RELY ON SCHOOL PLAN" 
                 /BTBSRLY3 "SCI\RELY ON OTHER TEACHERS" 
                 /BTBSRLY4 "SCI\RELY ON STUDENT TEXTBOOKS" 
                 /BTBSRLY5 "SCI\RELY ON OTHER TEXTBOOK" 
                 /BTBSRLY6 "SCI\RELY ON TEACHER GUIDE" 
                 /BTBSRLY7 "SCI\RELY ON EXT EXAMS OR STND TESTS" 
                 /BTBSSRC1 "SCI\SOURCE\WHICH TOPIC TO TEACH" 
                 /BTBSSRC2 "SCI\SOURCE\HOW TO PRESENT A TOPIC" 
                 /BTBSSRC3 "SCI\SOURCE\CLASS WORK AND HOMEWORK" 
                 /BTBSSRC4 "SCI\SOURCE\ASSESSMENT AND EVALUATN" 
                 /BTBSTA   "SCI\EARTH FEATURES" 
                 /BTBSTAA  "SCI\EARTH FEATURES\TEACH LATER" 
                 /BTBSTAB  "SCI\EARTH FEATURES\NOT TAUGHT NOW" 
                 /BTBSTAC  "SCI\EARTH FEATURES\TAUGHT BEFORE" 
                 /BTBSTA1  "SCI\EARTH LAYERS" 
                 /BTBSTA1A "SCI\EARTH LAYERS\TEACH LATER" 
                 /BTBSTA1B "SCI\EARTH LAYERS\NOT TAUGHT NOW" 
                 /BTBSTA1C "SCI\EARTH LAYERS\TAUGHT BEFORE" 
                 /BTBSTA2  "SCI\LANDFORMS" 
                 /BTBSTA2A "SCI\LANDFORMS\TEACH LATER" 
                 /BTBSTA2B "SCI\LANDFORMS\NOT TAUGHT NOW" 
                 /BTBSTA2C "SCI\LANDFORMS\TAUGHT BEFORE" 
                 /BTBSTA3  "SCI\WATERBODIES" 
                 /BTBSTA3A "SCI\WATERBODIES\TEACH LATER" 
                 /BTBSTA3B "SCI\WATERBODIES\NOT TAUGHT NOW" 
                 /BTBSTA3C "SCI\WATERBODIES\TAUGHT BEFORE" 
                 /BTBSTA4  "SCI\ATMOSPHERE" 
                 /BTBSTA4A "SCI\ATMOSPHERE\TEACH LATER" 
                 /BTBSTA4B "SCI\ATMOSPHERE\NOT TAUGHT NOW" 
                 /BTBSTA4C "SCI\ATMOSPHERE\TAUGHT BEFORE" 
                 /BTBSTA5  "SCI\ROCKS" 
                 /BTBSTA5A "SCI\ROCKS\TEACH LATER" 
                 /BTBSTA5B "SCI\ROCKS\NOT TAUGHT NOW" 
                 /BTBSTA5C "SCI\ROCKS\TAUGHT BEFORE" 
                 /BTBSTA6  "SCI\ICEFORMS" 
                 /BTBSTA6A "SCI\ICEFORMS\TEACH LATER" 
                 /BTBSTA6B "SCI\ICEFORMS\NOT TAUGHT NOW" 
                 /BTBSTA6C "SCI\ICEFORMS\TAUGHT BEFORE" 
                 /BTBSTB   "SCI\EARTH PROCESSES" 
                 /BTBSTBA  "SCI\EARTH PROCESSES\TEACH LATER" 
                 /BTBSTBB  "SCI\EARTH PROCESSES\NOT TAUGHT NOW" 
                 /BTBSTBC  "SCI\EARTH PROCESSES\TAUGHT BEFORE" 
                 /BTBSTC   "SCI\EARTH+UNIVERSE" 
                 /BTBSTCA  "SCI\EARTH+UNIVERSE\TEACH LATER" 
                 /BTBSTCB  "SCI\EARTH+UNIVERSE\NOT TAUGHT NOW" 
                 /BTBSTCC  "SCI\EARTH+UNIVERSE\TAUGHT BEFORE" 
                 /BTBSTD   "SCI\HUMAN BIOLOGY" 
                 /BTBSTDA  "SCI\HUMAN BIOLOGY\TEACH LATER" 
                 /BTBSTDB  "SCI\HUMAN BIOLOGY\NOT TAUGHT NOW" 
                 /BTBSTDC  "SCI\HUMAN BIOLOGY\TAUGHT BEFORE" 
                 /BTBSTD1  "SCI\BODY STRUCTURES" 
                 /BTBSTD1A "SCI\BODY STRUCTURES\TEACH LATER" 
                 /BTBSTD1B "SCI\BODY STRUCTURES\NOT TAUGHT NOW" 
                 /BTBSTD1C "SCI\BODY STRUCTURES\TAUGHT BEFORE" 
                 /BTBSTD2  "SCI\METABOLISM" 
                 /BTBSTD2A "SCI\METABOLISM\TEACH LATER" 
                 /BTBSTD2B "SCI\METABOLISM\NOT TAUGHT NOW" 
                 /BTBSTD2C "SCI\METABOLISM\TAUGHT BEFORE" 
                 /BTBSTD3  "SCI\REPRODUCTION" 
                 /BTBSTD3A "SCI\REPRODUCTION\TEACH LATER" 
                 /BTBSTD3B "SCI\REPRODUCTION\NOT TAUGHT NOW" 
                 /BTBSTD3C "SCI\REPRODUCTION\TAUGHT BEFORE" 
                 /BTBSTD4  "SCI\GENETICS" 
                 /BTBSTD4A "SCI\GENETICS\TEACH LATER" 
                 /BTBSTD4B "SCI\GENETICS\NOT TAUGHT NOW" 
                 /BTBSTD4C "SCI\GENETICS\TAUGHT BEFORE" 
                 /BTBSTE   "SCI\LIVING THINGS" 
                 /BTBSTEA  "SCI\LIVING THINGS\TEACH LATER" 
                 /BTBSTEB  "SCI\LIVING THINGS\NOT TAUGHT NOW" 
                 /BTBSTEC  "SCI\LIVING THINGS\TAUGHT BEFORE" 
                 /BTBSTF   "SCI\LIFE PROCESSES" 
                 /BTBSTFA  "SCI\LIFE PROCESSES\TEACH LATER" 
                 /BTBSTFB  "SCI\LIFE PROCESSES\NOT TAUGHT NOW" 
                 /BTBSTFC  "SCI\LIFE PROCESSES\TAUGHT BEFORE" 
                 /BTBSTG   "SCI\LIFE CYCLES" 
                 /BTBSTGA  "SCI\LIFE CYCLES\TEACH LATER" 
                 /BTBSTGB  "SCI\LIFE CYCLES\NOT TAUGHT NOW" 
                 /BTBSTGC  "SCI\LIFE CYCLES\TAUGHT BEFORE" 
                 /BTBSTH   "SCI\INTERACTION" 
                 /BTBSTHA  "SCI\INTERACTION\TEACH LATER" 
                 /BTBSTHB  "SCI\INTERACTION\NOT TAUGHT NOW" 
                 /BTBSTHC  "SCI\INTERACTION\TAUGHT BEFORE" 
                 /BTBSTI   "SCI\TYPES OF MATTER" 
                 /BTBSTIA  "SCI\TYPES OF MATTER\TEACH LATER" 
                 /BTBSTIB  "SCI\TYPES OF MATTER\NOT TAUGHT NOW" 
                 /BTBSTIC  "SCI\TYPES OF MATTER\TAUGHT BEFORE" 
                 /BTBSTJ   "SCI\MATTER STRUCTURE" 
                 /BTBSTJA  "SCI\MATTER STRUCTURE\TEACH LATER" 
                 /BTBSTJB  "SCI\MATTER STRUCTURE\NOT TAUGHT NOW" 
                 /BTBSTJC  "SCI\MATTER STRUCTURE\TAUGHT BEFORE" 
                 /BTBSTK   "SCI\ENERGY TYPES" 
                 /BTBSTKA  "SCI\ENERGY TYPES\TEACH LATER" 
                 /BTBSTKB  "SCI\ENERGY TYPES\NOT TAUGHT NOW" 
                 /BTBSTKC  "SCI\ENERGY TYPES\TAUGHT BEFORE" 
                 /BTBSTL   "SCI\ENERGY PROCESSES" 
                 /BTBSTLA  "SCI\ENERGY PROCESSES\TEACH LATER" 
                 /BTBSTLB  "SCI\ENERGY PROCESSES\NOT TAUGHT NOW" 
                 /BTBSTLC  "SCI\ENERGY PROCESSES\TAUGHT BEFORE" 
                 /BTBSTL1  "SCI\ENERGY\LIGHT" 
                 /BTBSTL1A "SCI\ENERGY\LIGHT\TEACH LATER" 
                 /BTBSTL1B "SCI\ENERGY\LIGHT\NOT TAUGHT NOW" 
                 /BTBSTL1C "SCI\ENERGY\LIGHT\TAUGHT BEFORE" 
                 /BTBSTM   "SCI\PHYSICAL CHANGES" 
                 /BTBSTMA  "SCI\PHYSICAL CHANGES\TEACH LATER" 
                 /BTBSTMB  "SCI\PHYSICAL CHANGES\NOT TAUGHT NOW" 
                 /BTBSTMC  "SCI\PHYSICAL CHANGES\TAUGHT BEFORE" 
                 /BTBSTN   "SCI\QUANTUM THEORY" 
                 /BTBSTNA  "SCI\QUANTUM THEORY\TEACH LATER" 
                 /BTBSTNB  "SCI\QUANTUM THEORY\NOT TAUGHT NOW" 
                 /BTBSTNC  "SCI\QUANTUM THEORY\TAUGHT BEFORE" 
                 /BTBSTO   "SCI\CHEMICAL CHANGE 1" 
                 /BTBSTOA  "SCI\CHEMICAL CHANGE 1\TEACH LATER" 
                 /BTBSTOB  "SCI\CHEMICAL CHANGE 1\NOT TAUGHT NOW" 
                 /BTBSTOC  "SCI\CHEMICAL CHANGE 1\TAUGHT BEFORE" 
                 /BTBSTP   "SCI\CHEMICAL CHANGE 2" 
                 /BTBSTPA  "SCI\CHEMICAL CHANGE 2\TEACH LATER" 
                 /BTBSTPB  "SCI\CHEMICAL CHANGE 2\NOT TAUGHT NOW" 
                 /BTBSTPC  "SCI\CHEMICAL CHANGE 2\TAUGHT BEFORE" 
                 /BTBSTQ   "SCI\FORCES + MOTIONS" 
                 /BTBSTQA  "SCI\FORCES + MOTIONS\TEACH LATER" 
                 /BTBSTQB  "SCI\FORCES + MOTIONS\NOT TAUGHT NOW" 
                 /BTBSTQC  "SCI\FORCES + MOTIONS\TAUGHT BEFORE" 
                 /BTBSTR   "SCI\RELATIVITY" 
                 /BTBSTRA  "SCI\RELATIVITY\TEACH LATER" 
                 /BTBSTRB  "SCI\RELATIVITY\NOT TAUGHT NOW" 
                 /BTBSTRC  "SCI\RELATIVITY\TAUGHT BEFORE" 
                 /BTBSTS   "SCI\SOCIETY" 
                 /BTBSTSA  "SCI\AND SOCIETY\TEACH LATER" 
                 /BTBSTSB  "SCI\AND SOCIETY\NOT TAUGHT NOW" 
                 /BTBSTSC  "SCI\AND SOCIETY\TAUGHT BEFORE" 
                 /BTBSTT   "SCI\HISTORY OF" 
                 /BTBSTTA  "SCI\HISTORY OF\TEACH LATER" 
                 /BTBSTTB  "SCI\HISTORY OF\NOT TAUGHT NOW" 
                 /BTBSTTC  "SCI\HISTORY OF\TAUGHT BEFORE" 
                 /BTBSTU   "SCI\AND ENVIRONMENT" 
                 /BTBSTUA  "SCI\AND ENVIRONMENT\TEACH LATER" 
                 /BTBSTUB  "SCI\AND ENVIRONMENT\NOT TAUGHT NOW" 
                 /BTBSTUC  "SCI\AND ENVIRONMENT\TAUGHT BEFORE" 
                 /BTBSTV   "SCI\NATURE OF" 
                 /BTBSTVA  "SCI\NATURE OF\TEACH LATER" 
                 /BTBSTVB  "SCI\NATURE OF\NOT TAUGHT NOW" 
                 /BTBSTVC  "SCI\NATURE OF\TAUGHT BEFORE" 
                 /BTBSTW1  "SCI\MEAS\APPARATUS" 
                 /BTBSTW1A "SCI\MEAS\APPARATUS\TEACH LATER" 
                 /BTBSTW1B "SCI\MEAS\APPARATUS\NOT TAUGHT NOW" 
                 /BTBSTW1C "SCI\MEAS\APPARATUS\TAUGHT BEFORE" 
                 /BTBSTW2  "SCI\MEAS\EXPERIMENT" 
                 /BTBSTW2A "SCI\MEAS\EXPERIMENT\TEACH LATER" 
                 /BTBSTW2B "SCI\MEAS\EXPERIMENT\NOT TAUGHT NOW" 
                 /BTBSTW2C "SCI\MEAS\EXPERIMENT\TAUGHT BEFORE" 
                 /BTBSTW3  "SCI\MEAS\DATA" 
                 /BTBSTW3A "SCI\MEAS\DATA\TEACH LATER" 
                 /BTBSTW3B "SCI\MEAS\DATA\NOT TAUGHT NOW" 
                 /BTBSTW3C "SCI\MEAS\DATA\TAUGHT BEFORE" 
                 /BTBSTX1  "SCI\DATA\ORGANIZE" 
                 /BTBSTX1A "SCI\DATA\ORGANIZE\TEACH LATER" 
                 /BTBSTX1B "SCI\DATA\ORGANIZE\NOT TAUGHT NOW" 
                 /BTBSTX1C "SCI\DATA\ORGANIZE\TAUGHT BEFORE" 
                 /BTBSTX2  "SCI\DATA\INTERPRET1" 
                 /BTBSTX2A "SCI\DATA\INTERPRET1\TEACH LATER" 
                 /BTBSTX2B "SCI\DATA\INTERPRET1\NOT TAUGHT NOW" 
                 /BTBSTX2C "SCI\DATA\INTERPRET1\TAUGHT BEFORE" 
                 /BTBSTX3  "SCI\DATA\INTERPRET2" 
                 /BTBSTX3A "SCI\DATA\INTERPRET2\TEACH LATER" 
                 /BTBSTX3B "SCI\DATA\INTERPRET2\NOT TAUGHT NOW" 
                 /BTBSTX3C "SCI\DATA\INTERPRET2\TAUGHT BEFORE" 
                 /BTBSTX4  "SCI\DATA\CONCLUDE" 
                 /BTBSTX4A "SCI\DATA\CONCLUDE\TEACH LATER" 
                 /BTBSTX4B "SCI\DATA\CONCLUDE\NOT TAUGHT NOW" 
                 /BTBSTX4C "SCI\DATA\CONCLUDE\TAUGHT BEFORE" 
                 /BTBSCLTM "SCI\DURATION OF LAST CLASS LESSON" 
                 /BTBSTO01 "SCI\TOPICS\EARTH FEATURES" 
                 /BTBSTO02 "SCI\TOPICS\EARTH PROCESSES" 
                 /BTBSTO03 "SCI\TOPICS\EARTH IN THE UNIVERSE" 
                 /BTBSTO04 "SCI\TOPICS\HUMAN BIOLOGY AND HEALTH" 
                 /BTBSTO05 "SCI\TOPICS\DIVERSITY OF LIFE" 
                 /BTBSTO06 "SCI\TOPICS\LIFE PROCESSES" 
                 /BTBSTO07 "SCI\TOPICS\LIFE CYCLES" 
                 /BTBSTO08 "SCI\TOPICS\INTERACTION OF LIFE" 
                 /BTBSTO09 "SCI\TOPICS\TYPES + PROPS OF MATTER" 
                 /BTBSTO10 "SCI\TOPICS\STRUCTURE OF MATTER" 
                 /BTBSTO11 "SCI\TOPICS\ENERGY TYPES AND SOURCES" 
                 /BTBSTO12 "SCI\TOPICS\ENERGY PROCESSES" 
                 /BTBSTO13 "SCI\TOPICS\PHYSICAL CHANGES" 
                 /BTBSTO14 "SCI\TOPICS\KINETIC + QUANTUM THEORY" 
                 /BTBSTO15 "SCI\TOPICS\GENERAL CHEMICAL CHANGES" 
                 /BTBSTO16 "SCI\TOPICS\SPECIAL CHEMICAL CHANGES" 
                 /BTBSTO17 "SCI\TOPICS\FORCE AND MOTION" 
                 /BTBSTO18 "SCI\TOPICS\RELATIVITY THEORY" 
                 /BTBSTO19 "SCI\TOPICS\SCIENCE AND SOCIETY" 
                 /BTBSTO20 "SCI\TOPICS\HISTORY OF SCIENCE" 
                 /BTBSTO21 "SCI\TOPICS\ENVIRONMENTAL ISSUES" 
                 /BTBSTO22 "SCI\TOPICS\NATURE OF SCIENCE" 
                 /BTBSTOP1 "SCI\LAST LESSON\INTRODUCTION" 
                 /BTBSTOP2 "SCI\LAST LESSON\CONTINUATION" 
                 /BTBSTOP3 "SCI\LAST LESSON\END OF COVERAGE" 
                 /BTBSHMW1 "SCI\LAST LESSON\HOMEWORK" 
                 /BTBSHWT1 "SCI\LAST LESSON\HOMEWORK DURATION" 
                 /BTBSCLCM "SCI\LAST LESSON\WAS COMPUTER USED" 
                 /BTBSLAB1 "SCI\LAST LESSON\LABORATORY" 
                 /BTBSLAB2 "SCI\LAST LESSON\LABORATORY\DURATION" 
                 /BTBSOR01 "SCI\PROCEDURE\ORDER\REVIEW" 
                 /BTBSTM01 "SCI\PROCEDURE\TIME\REVIEW" 
                 /BTBSOR02 "SCI\PROCEDURE\ORDER\QUIZ REVIEW" 
                 /BTBSTM02 "SCI\PROCEDURE\TIME\QUIZ REVIEW" 
                 /BTBSOR03 "SCI\PROCEDURE\ORDER\ORAL RECITATION" 
                 /BTBSTM03 "SCI\PROCEDURE\TIME\ORAL RECITATION" 
                 /BTBSOR04 "SCI\PROCEDURE\ORDER\HOMEWORK REVIEW" 
                 /BTBSTM04 "SCI\PROCEDURE\TIME\HOMEWORK REVIEW" 
                 /BTBSOR05 "SCI\PROCEDURE\ORDER\INTRODUCE TOPIC" 
                 /BTBSTM05 "SCI\PROCEDURE\TIME\INTRODUCE TOPIC" 
                 /BTBSOR06 "SCI\PROCEDURE\ORDER\DEVELOP TOPIC" 
                 /BTBSTM06 "SCI\PROCEDURE\TIME\DEVELOP TOPIC" 
                 /BTBSOR07 "SCI\PROCEDURE\ORDER\GROUP ACTIVITY" 
                 /BTBSTM07 "SCI\PROCEDURE\TIME\GROUP ACTIVITY" 
                 /BTBSOR08 "SCI\PROCEDURE\ORDER\EXERCISES" 
                 /BTBSTM08 "SCI\PROCEDURE\TIME\EXERCISES" 
                 /BTBSOR09 "SCI\PROCEDURE\ORDER\ASSIGN HOMEWORK" 
                 /BTBSTM09 "SCI\PROCEDURE\TIME\ASSIGN HOMEWORK" 
                 /BTBSOR10 "SCI\PROCEDURE\ORDER\DO HOMEWORK" 
                 /BTBSTM10 "SCI\PROCEDURE\TIME\DO HOMEWORK" 
                 /BTBSOR11 "SCI\PROCEDURE\ORDER\LABORATORY" 
                 /BTBSTM11 "SCI\PROCEDURE\TIME\LABORATORY" 
                 /BTBSSGRP "SCI\STUDENT WORK IN SMALL GROUPS" 
                 /BTBSASK1 "SCI\TASKS\EXPLAIN REASONING" 
                 /BTBSASK2 "SCI\TASKS\ANALYZE RELATIONSHIPS" 
                 /BTBSASK3 "SCI\TASKS\WORK ON PROBLEMS" 
                 /BTBSASK4 "SCI\TASKS\USE COMPUTERS" 
                 /BTBSASK5 "SCI\TASKS\WRITE EXPLANATIONS" 
                 /BTBSASK6 "SCI\TASKS\ORGANIZE EVENTS OR OBJECTS" 
                 /BTBSDO1  "SCI\REACTION\CORRECT STUDENT" 
                 /BTBSDO2  "SCI\REACTION\HELP STUDENT" 
                 /BTBSDO3  "SCI\REACTION\OTHER\CORRECT ANSWER" 
                 /BTBSDO4  "SCI\REACTION\OTHER\DISCUSS RESPONSE" 
                 /BTBSLES1 "SCI\INDIVIDUAL WORK\NO ASSISTANCE" 
                 /BTBSLES2 "SCI\INDIVIDUAL WORK\ASSISTANCE" 
                 /BTBSLES3 "SCI\WORK TOGETHER\TEACHER TEACHES" 
                 /BTBSLES4 "SCI\WORK TOGETHER\STUDENTS INTERACT" 
                 /BTBSLES5 "SCI\WORK IN GROUPS\NO ASSISTANCE" 
                 /BTBSLES6 "SCI\WORK IN GROUPS\ASSISTANCE" 
                 /BTBSHMW2 "SCI\HOMEWORK FREQUENCY" 
                 /BTBSHWT2 "SCI\AVERAGE TIME NEEDED FOR HOMEWK" 
                 /BTBSWKBK "SCI\HOMEWORK\WORKSHEETS OR -BOOK" 
                 /BTBSPROB "SCI\HOMEWORK\TEXTBOOK PROBLEMS" 
                 /BTBSREAD "SCI\HOMEWORK\TEXTBOOK READING" 
                 /BTBSWRIT "SCI\HOMEWORK\WRITING ASSIGNMENT" 
                 /BTBSDATA "SCI\HOMEWORK\SMALL INVESTIGATIONS" 
                 /BTBSIEXP "SCI\HOMEWORK\INDIVIDUAL PROJECTS" 
                 /BTBSGEXP "SCI\HOMEWORK\SMALL GROUP PROJECTS" 
                 /BTBSFIND "SCI\HOMEWORK\FIND USES OF CONTENT" 
                 /BTBSORAL "SCI\HOMEWORK\PREPARE ORAL REPORTS" 
                 /BTBSJOUR "SCI\HOMEWORK\KEEP A JOURNAL" 
                 /BTBSWHW1 "SCI\WRITTEN HMWK\RECORD COMPLETION" 
                 /BTBSWHW2 "SCI\WRITTEN HMWK\KEEP ASSIGNMNTS" 
                 /BTBSWHW3 "SCI\WRITTEN HMWK\RETURN ASSIGNMENTS" 
                 /BTBSWHW4 "SCI\WRITTEN HMWK\FEEDBACK TO CLASS" 
                 /BTBSWHW5 "SCI\WRITTEN HMWK\STUDNT CORRECT OWN" 
                 /BTBSWHW6 "SCI\WRITTEN HMWK\STUDNT CORRCT OTHR" 
                 /BTBSWHW7 "SCI\WRITTEN HMWK\BASIS FOR DISCUSSN" 
                 /BTBSWHW8 "SCI\WRITTEN HMWK\GRADE CONTRIBUTION" 
                 /BTBSWGT1 "SCI\ASSMNT WEIGHT\STANDARD TESTS" 
                 /BTBSWGT2 "SCI\ASSMNT WEIGHT\REASONING TESTS" 
                 /BTBSWGT3 "SCI\ASSMNT WEIGHT\MULTIPLE CHOICE" 
                 /BTBSWGT4 "SCI\ASSMNT WEIGHT\HOMEWORK PERFRMNCE" 
                 /BTBSWGT5 "SCI\ASSMNT WEIGHT\PROJECT PERFORMNCE" 
                 /BTBSWGT6 "SCI\ASSMNT WEIGHT\OBSERVATION" 
                 /BTBSWGT7 "SCI\ASSMNT WEIGHT\RESPONSES IN CLASS" 
                 /BTBGASS1 "GEN\FREQUENCY\PROVIDE GRADES" 
                 /BTBGASS2 "GEN\FREQUENCY\PROVIDE FEEDBACK" 
                 /BTBGASS3 "GEN\FREQUENCY\DIAGNOSE PROBLEMS" 
                 /BTBGASS4 "GEN\FREQUENCY\REPORT TO PARENTS" 
                 /BTBGASS5 "GEN\FREQUENCY\ASSIGN DIFFERNT TRACKS" 
                 /BTBGASS6 "GEN\FREQUENCY\PLAN FUTURE LESSONS" 
                 /BTDSTOEN "SCI\NUMBER OF STUDENTS IN CLASS\B+G" 
                 /BTDGADMN "GEN\PERC. OF SCHOOL TIME ADMIN. DUTIES" 
                 /BTDGCPLN "GEN\PERC. OF SCHOOL TIME CURRI. PLANNIN" 
                 /BTDGOTHR "GEN\PERC. OF SCHOOL TIME OTHER ACTIVIT." 
                 /BTDGSUBT "GEN\TOTAL HOURS TEACH. TIME (FROM DPC)" 
                 /BTDGTSKT "GEN\TOTAL HOURS PERF. OTHER TASKS (DPC)" 
                 /BTDGTTIM "GEN\PERC. OF SCHOOL TIME TEACH. ANYTHING" 
                 /BTDSCPTS "SCI\INDEX OF CONFIDENCE TEACH SCIENCE" 
                 /BTDSERPS "SCI\INDEX:EMPHASIS ON PROB.SOLVING" 
                 /BTDSESH  "SCI\INDEX:EMPHASIS ON SCIENCE HOMEWORK" 
                 /BTDSHTS  "SCI\HRS/WK TEACHING SCIENCE" 
                 /BTDSSIZE "SCI\AVERAGE CLASS SIZE" 
                 /BTDSSZ3C "SCI\SCIENCE CLASS SIZE IN 3 CATEGORIES" 
                 /BTDSTPTT "SCI\PERC. SCI TOPICS PREPARED TO TEACH" 
                 /BTDSTTIM "SCI\PERC. OF SCHOOL TIME TEACH. SCIENCE" 
                 /BTDSTIME "SCI\CLSS\LENGTH OF SCIENCE CLASS" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "population 1"
                       2  "population 2"
                       3  "population 3"
                       /
            IDSUBJCT   1  "mathematics"
                       2  "science"
                       3  "mathematics and science"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGAGE    1  "under 25"
                       2  "25-29"
                       3  "30-39"
                       4  "40-49"
                       5  "50-59"
                       6  "60 or more"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBGSEX    1  "female"
                       2  "male"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGEDUC   1  "training w/o completing sec"
                       2  "sec only"
                       3  "sec + 1 or 2 year training"
                       4  "sec + 3 or 4 year training"
                       5  "BA + no training"
                       6  "BA + training"
                       7  "MA + no training"
                       8  "MA + training"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBSTEAC   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGRPK   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGRK    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR1    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR2    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR3    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR4    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR5    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR6    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR7    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR8    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR9    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGR13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTEAC   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGRPK   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGRK    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR1    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR2    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR3    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR4    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR5    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR6    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR7    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR8    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR9    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMGR13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGPTFT   1  "part-time"
                       2  "full-time"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGRPK   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGRK    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR1    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR2    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR3    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR4    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR5    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR6    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR7    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR8    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR9    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGGR13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT1   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT2   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT3   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT4   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT5   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT6   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT7   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT8   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGMEET   1  "never"
                       2  "once or twice a year"
                       3  "every other month"
                       4  "once a month"
                       5  "once a week"
                       6  "two or three times a week"
                       7  "almost every day"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBGINF1   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF2   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF3   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF4   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP1   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP2   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP3   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP4   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP5   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP6   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR1   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR2   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR3   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR4   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR5   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR6   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR7   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR8   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR9   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFAM1   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFAM2   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM3   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM4   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM5   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFAM6   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFAM7   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSPRP1   1  "not well prepared"
                       2  "somewhat prepared"
                       3  "sufficiently prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSPRP2   1  "not well prepared"
                       2  "somewhat prepared"
                       3  "sufficiently prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSPRP3   1  "not well prepared"
                       2  "somewhat prepared"
                       3  "sufficiently prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSPRP4   1  "not well prepared"
                       2  "somewhat prepared"
                       3  "sufficiently prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSPRP5   1  "not well prepared"
                       2  "somewhat prepared"
                       3  "sufficiently prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSPRP6   1  "not well prepared"
                       2  "somewhat prepared"
                       3  "sufficiently prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSPRP7   1  "not well prepared"
                       2  "somewhat prepared"
                       3  "sufficiently prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSPRP8   1  "not well prepared"
                       2  "somewhat prepared"
                       3  "sufficiently prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSPRP9   1  "not well prepared"
                       2  "somewhat prepared"
                       3  "sufficiently prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGCARE   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGCHNG   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGSOAP   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGSTAP   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGBOOK   1  "none or very few(0-10)"
                       2  "enough to fill a shelf(11-25)"
                       3  "enough to fill a bookcase(26-100)"
                       4  "enough to fill 2 bookcases(101-200)"
                       5  "enough to fill 3 or more bookcases(>200)"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXBK   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXB0   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXB1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXB2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXB3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXB4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXB5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXB6   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXB7   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXB8   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXB9   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXBS   1  "0 - 25%"
                       2  "26 - 50%"
                       3  "51 - 75%"
                       4  "76 - 100%"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSADTB   1  "other published textbooks"
                       2  "published resources"
                       3  "curriculum guides"
                       4  "reference materials"
                       5  "teacher made activities"
                       6  "tch.s' personal resources"
                       7  "other tch.s' resources"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBSLM01   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM02   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM03   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM04   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM05   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM06   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM07   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM08   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM09   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM10   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM11   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM12   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM13   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM14   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM15   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM16   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSCALC   1  "almost all"
                       2  "about three quarters"
                       3  "about half"
                       4  "about one quarter"
                       5  "none"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSCAL1   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSCAL2   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSCAL3   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSCAL4   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSCAL5   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSRLY1   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSRLY2   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSRLY3   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSRLY4   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSRLY5   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSRLY6   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSRLY7   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSSRC1   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national exam specifications>"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBSSRC2   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national exam specifications>"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBSSRC3   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national exam specifications>"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBSSRC4   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national exam specifications>"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBSTA     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTAA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTAB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTAC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA1    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA1A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA1B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA1C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA2    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA2A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA2B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA2C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA3    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA3A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA3B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA3C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA4    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA4A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA4B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA4C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA5    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA5A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA5B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA5C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA6    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA6A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA6B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTA6C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTB     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTBA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTBB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTBC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTC     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTCA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTCB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTCC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTDA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTDB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTDC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD1    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD1A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD1B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD1C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD2    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD2A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD2B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD2C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD3    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD3A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD3B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD3C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD4    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD4A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD4B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTD4C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTE     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTEA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTEB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTEC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTF     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTFA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTFB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTFC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTG     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTGA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTGB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTGC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTH     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTHA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTHB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTHC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTI     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTIA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTIB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTIC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTJ     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTJA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTJB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTJC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTK     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTKA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTKB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTKC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTL     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTLA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTLB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTLC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTL1    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTL1A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTL1B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTL1C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTM     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTMA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTMB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTMC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTN     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTNA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTNB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTNC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTOA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTOB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTOC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTP     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTPA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTPB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTPC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTQ     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTQA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTQB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTQC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTR     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTRA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTRB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTRC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTS     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTSA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTSB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTSC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTT     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTTA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTTB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTTC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTU     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTUA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTUB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTUC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTV     1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTVA    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTVB    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTVC    1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW1    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW1A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW1B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW1C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW2    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW2A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW2B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW2C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW3    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW3A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW3B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTW3C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX1    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX1A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX1B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX1C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX2    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX2A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX2B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX2C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX3    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX3A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX3B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX3C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX4    1  "1-5"
                       2  "6-10"
                       3  "11-15"
                       4  ">15"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX4A   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX4B   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTX4C   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO01   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO02   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO03   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO04   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO05   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO06   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO07   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO08   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO09   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO14   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO15   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO16   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO17   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO18   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO19   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO20   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO21   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTO22   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTOP1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTOP2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTOP3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSHMW1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSCLCM   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLAB1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSSGRP   1  "none of the time"
                       2  "some of the time"
                       3  "all of the time"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK1   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK2   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK3   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK4   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK5   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK6   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSDO1    1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSDO2    1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSDO3    1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSDO4    1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES1   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES2   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES3   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES4   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES5   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES6   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSHMW2   1  "never"
                       2  "less than once a week"
                       3  "once or twice a week"
                       4  "3 or 4 times a week"
                       5  "every day"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSHWT2   1  "I do not assign homework"
                       2  "less than 15 minutes"
                       3  "15-30 minutes"
                       4  "31-60 minutes"
                       5  "61-90 minutes"
                       6  "more than 90 minutes"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBSWKBK   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSPROB   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSREAD   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWRIT   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSDATA   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIEXP   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSGEXP   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFIND   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSORAL   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSJOUR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWHW1   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWHW2   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWHW3   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWHW4   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWHW5   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWHW6   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWHW7   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWHW8   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       5  "I do not assign homework"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT1   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT2   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT3   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT4   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT5   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT6   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT7   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS1   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS2   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS3   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS4   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS5   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS6   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTDSCPTS   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSERPS   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSESH    1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSSZ3C   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSTIME   1  "<2hrs."
                       2  "2.0-3.5 hrs."
                       3  "3.5-5.0hrs."
                       4  ">5hrs."
                       9  "omitted"
                       8  "not admin."
                       /
.


*NOTE: The "omitted code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode VERSION  (99               = sysmis).
recode IDCNTRY  (99999            = sysmis).
recode IDPOP    (9                = sysmis).
recode IDSCHOOL (999999           = sysmis).
recode IDTEACH  (99999999         = sysmis).
recode IDLINK   (99               = sysmis).
recode IDSUBJCT (9                = sysmis).
recode BTBGAGE  (99               = sysmis).
recode BTBGSEX  (9                = sysmis).
recode BTBGEDUC (99               = sysmis).
recode BTBSTEAC (9                = sysmis).
recode BTBSGRPK (9                = sysmis).
recode BTBSGRK  (9                = sysmis).
recode BTBSGR1  (9                = sysmis).
recode BTBSGR2  (9                = sysmis).
recode BTBSGR3  (9                = sysmis).
recode BTBSGR4  (9                = sysmis).
recode BTBSGR5  (9                = sysmis).
recode BTBSGR6  (9                = sysmis).
recode BTBSGR7  (9                = sysmis).
recode BTBSGR8  (9                = sysmis).
recode BTBSGR9  (9                = sysmis).
recode BTBSGR10 (9                = sysmis).
recode BTBSGR11 (9                = sysmis).
recode BTBSGR12 (9                = sysmis).
recode BTBSGR13 (9                = sysmis).
recode BTBMTEAC (9                = sysmis).
recode BTBMGRPK (9                = sysmis).
recode BTBMGRK  (9                = sysmis).
recode BTBMGR1  (9                = sysmis).
recode BTBMGR2  (9                = sysmis).
recode BTBMGR3  (9                = sysmis).
recode BTBMGR4  (9                = sysmis).
recode BTBMGR5  (9                = sysmis).
recode BTBMGR6  (9                = sysmis).
recode BTBMGR7  (9                = sysmis).
recode BTBMGR8  (9                = sysmis).
recode BTBMGR9  (9                = sysmis).
recode BTBMGR10 (9                = sysmis).
recode BTBMGR11 (9                = sysmis).
recode BTBMGR12 (9                = sysmis).
recode BTBMGR13 (9                = sysmis).
recode BTBGPTFT (9                = sysmis).
recode BTBGTAUG (99               = sysmis).
recode BTBGGRPK (9                = sysmis).
recode BTBGGRK  (9                = sysmis).
recode BTBGGR1  (9                = sysmis).
recode BTBGGR2  (9                = sysmis).
recode BTBGGR3  (9                = sysmis).
recode BTBGGR4  (9                = sysmis).
recode BTBGGR5  (9                = sysmis).
recode BTBGGR6  (9                = sysmis).
recode BTBGGR7  (9                = sysmis).
recode BTBGGR8  (9                = sysmis).
recode BTBGGR9  (9                = sysmis).
recode BTBGGR10 (9                = sysmis).
recode BTBGGR11 (9                = sysmis).
recode BTBGGR12 (9                = sysmis).
recode BTBGGR13 (9                = sysmis).
recode BTBMSUB1 (99               = sysmis).
recode BTBSSUB2 (99               = sysmis).
recode BTBSSUB3 (99               = sysmis).
recode BTBSSUB4 (99               = sysmis).
recode BTBSSUB5 (99               = sysmis).
recode BTBSSUB6 (99               = sysmis).
recode BTBSSUB7 (99               = sysmis).
recode BTBSSUB8 (99               = sysmis).
recode BTBGSUB9 (99               = sysmis).
recode BTBGTSK1 (99               = sysmis).
recode BTBGTSK2 (99               = sysmis).
recode BTBGTSK3 (99               = sysmis).
recode BTBGTSK4 (99               = sysmis).
recode BTBGTSK5 (99               = sysmis).
recode BTBGTSK6 (99               = sysmis).
recode BTBGTOTL (99               = sysmis).
recode BTBGACT1 (9                = sysmis).
recode BTBGACT2 (9                = sysmis).
recode BTBGACT3 (9                = sysmis).
recode BTBGACT4 (9                = sysmis).
recode BTBGACT5 (9                = sysmis).
recode BTBGACT6 (9                = sysmis).
recode BTBGACT7 (9                = sysmis).
recode BTBGACT8 (9                = sysmis).
recode BTBGMEET (99               = sysmis).
recode BTBGINF1 (9                = sysmis).
recode BTBGINF2 (9                = sysmis).
recode BTBGINF3 (9                = sysmis).
recode BTBGINF4 (9                = sysmis).
recode BTBSIMP1 (9                = sysmis).
recode BTBSIMP2 (9                = sysmis).
recode BTBSIMP3 (9                = sysmis).
recode BTBSIMP4 (9                = sysmis).
recode BTBSIMP5 (9                = sysmis).
recode BTBSIMP6 (9                = sysmis).
recode BTBSAGR1 (9                = sysmis).
recode BTBSAGR2 (9                = sysmis).
recode BTBSAGR3 (9                = sysmis).
recode BTBSAGR4 (9                = sysmis).
recode BTBSAGR5 (9                = sysmis).
recode BTBSAGR6 (9                = sysmis).
recode BTBSAGR7 (9                = sysmis).
recode BTBSAGR8 (9                = sysmis).
recode BTBSAGR9 (9                = sysmis).
recode BTBSFAM1 (9                = sysmis).
recode BTBSFAM2 (9                = sysmis).
recode BTBGFAM3 (9                = sysmis).
recode BTBGFAM4 (9                = sysmis).
recode BTBGFAM5 (9                = sysmis).
recode BTBSFAM6 (9                = sysmis).
recode BTBSFAM7 (9                = sysmis).
recode BTBSPRP1 (9                = sysmis).
recode BTBSPRP2 (9                = sysmis).
recode BTBSPRP3 (9                = sysmis).
recode BTBSPRP4 (9                = sysmis).
recode BTBSPRP5 (9                = sysmis).
recode BTBSPRP6 (9                = sysmis).
recode BTBSPRP7 (9                = sysmis).
recode BTBSPRP8 (9                = sysmis).
recode BTBSPRP9 (9                = sysmis).
recode BTBGCARE (9                = sysmis).
recode BTBGCHNG (9                = sysmis).
recode BTBGSOAP (9                = sysmis).
recode BTBGSTAP (9                = sysmis).
recode BTBGBOOK (9                = sysmis).
recode BTBGRNK1 (99               = sysmis).
recode BTBGRNK2 (99               = sysmis).
recode BTBGRNK3 (99               = sysmis).
recode BTBGRNK4 (99               = sysmis).
recode BTBGRNK5 (99               = sysmis).
recode BTBGRNK6 (99               = sysmis).
recode BTBGRNK7 (99               = sysmis).
recode BTBGRNK8 (99               = sysmis).
recode BTBGRNK9 (99               = sysmis).
recode BTBSBOY  (999              = sysmis).
recode BTBSGIRL (999              = sysmis).
recode BTBSACH1 (999              = sysmis).
recode BTBSACH2 (999              = sysmis).
recode BTBSACH3 (999              = sysmis).
recode BTBSTIME (9999             = sysmis).
recode BTBSTXBK (9                = sysmis).
recode BTBSTXB0 (9                = sysmis).
recode BTBSTXB1 (9                = sysmis).
recode BTBSTXB2 (9                = sysmis).
recode BTBSTXB3 (9                = sysmis).
recode BTBSTXB4 (9                = sysmis).
recode BTBSTXB5 (9                = sysmis).
recode BTBSTXB6 (9                = sysmis).
recode BTBSTXB7 (9                = sysmis).
recode BTBSTXB8 (9                = sysmis).
recode BTBSTXB9 (9                = sysmis).
recode BTBSTXNM (99               = sysmis).
recode BTBSTXBS (9                = sysmis).
recode BTBSADTB (99               = sysmis).
recode BTBSLM01 (9                = sysmis).
recode BTBSLM02 (9                = sysmis).
recode BTBSLM03 (9                = sysmis).
recode BTBSLM04 (9                = sysmis).
recode BTBSLM05 (9                = sysmis).
recode BTBSLM06 (9                = sysmis).
recode BTBSLM07 (9                = sysmis).
recode BTBSLM08 (9                = sysmis).
recode BTBSLM09 (9                = sysmis).
recode BTBSLM10 (9                = sysmis).
recode BTBSLM11 (9                = sysmis).
recode BTBSLM12 (9                = sysmis).
recode BTBSLM13 (9                = sysmis).
recode BTBSLM14 (9                = sysmis).
recode BTBSLM15 (9                = sysmis).
recode BTBSLM16 (9                = sysmis).
recode BTBSCALC (9                = sysmis).
recode BTBSCAL1 (9                = sysmis).
recode BTBSCAL2 (9                = sysmis).
recode BTBSCAL3 (9                = sysmis).
recode BTBSCAL4 (9                = sysmis).
recode BTBSCAL5 (9                = sysmis).
recode BTBSRLY1 (9                = sysmis).
recode BTBSRLY2 (9                = sysmis).
recode BTBSRLY3 (9                = sysmis).
recode BTBSRLY4 (9                = sysmis).
recode BTBSRLY5 (9                = sysmis).
recode BTBSRLY6 (9                = sysmis).
recode BTBSRLY7 (9                = sysmis).
recode BTBSSRC1 (99               = sysmis).
recode BTBSSRC2 (99               = sysmis).
recode BTBSSRC3 (99               = sysmis).
recode BTBSSRC4 (99               = sysmis).
recode BTBSTA   (9                = sysmis).
recode BTBSTAA  (9                = sysmis).
recode BTBSTAB  (9                = sysmis).
recode BTBSTAC  (9                = sysmis).
recode BTBSTA1  (9                = sysmis).
recode BTBSTA1A (9                = sysmis).
recode BTBSTA1B (9                = sysmis).
recode BTBSTA1C (9                = sysmis).
recode BTBSTA2  (9                = sysmis).
recode BTBSTA2A (9                = sysmis).
recode BTBSTA2B (9                = sysmis).
recode BTBSTA2C (9                = sysmis).
recode BTBSTA3  (9                = sysmis).
recode BTBSTA3A (9                = sysmis).
recode BTBSTA3B (9                = sysmis).
recode BTBSTA3C (9                = sysmis).
recode BTBSTA4  (9                = sysmis).
recode BTBSTA4A (9                = sysmis).
recode BTBSTA4B (9                = sysmis).
recode BTBSTA4C (9                = sysmis).
recode BTBSTA5  (9                = sysmis).
recode BTBSTA5A (9                = sysmis).
recode BTBSTA5B (9                = sysmis).
recode BTBSTA5C (9                = sysmis).
recode BTBSTA6  (9                = sysmis).
recode BTBSTA6A (9                = sysmis).
recode BTBSTA6B (9                = sysmis).
recode BTBSTA6C (9                = sysmis).
recode BTBSTB   (9                = sysmis).
recode BTBSTBA  (9                = sysmis).
recode BTBSTBB  (9                = sysmis).
recode BTBSTBC  (9                = sysmis).
recode BTBSTC   (9                = sysmis).
recode BTBSTCA  (9                = sysmis).
recode BTBSTCB  (9                = sysmis).
recode BTBSTCC  (9                = sysmis).
recode BTBSTD   (9                = sysmis).
recode BTBSTDA  (9                = sysmis).
recode BTBSTDB  (9                = sysmis).
recode BTBSTDC  (9                = sysmis).
recode BTBSTD1  (9                = sysmis).
recode BTBSTD1A (9                = sysmis).
recode BTBSTD1B (9                = sysmis).
recode BTBSTD1C (9                = sysmis).
recode BTBSTD2  (9                = sysmis).
recode BTBSTD2A (9                = sysmis).
recode BTBSTD2B (9                = sysmis).
recode BTBSTD2C (9                = sysmis).
recode BTBSTD3  (9                = sysmis).
recode BTBSTD3A (9                = sysmis).
recode BTBSTD3B (9                = sysmis).
recode BTBSTD3C (9                = sysmis).
recode BTBSTD4  (9                = sysmis).
recode BTBSTD4A (9                = sysmis).
recode BTBSTD4B (9                = sysmis).
recode BTBSTD4C (9                = sysmis).
recode BTBSTE   (9                = sysmis).
recode BTBSTEA  (9                = sysmis).
recode BTBSTEB  (9                = sysmis).
recode BTBSTEC  (9                = sysmis).
recode BTBSTF   (9                = sysmis).
recode BTBSTFA  (9                = sysmis).
recode BTBSTFB  (9                = sysmis).
recode BTBSTFC  (9                = sysmis).
recode BTBSTG   (9                = sysmis).
recode BTBSTGA  (9                = sysmis).
recode BTBSTGB  (9                = sysmis).
recode BTBSTGC  (9                = sysmis).
recode BTBSTH   (9                = sysmis).
recode BTBSTHA  (9                = sysmis).
recode BTBSTHB  (9                = sysmis).
recode BTBSTHC  (9                = sysmis).
recode BTBSTI   (9                = sysmis).
recode BTBSTIA  (9                = sysmis).
recode BTBSTIB  (9                = sysmis).
recode BTBSTIC  (9                = sysmis).
recode BTBSTJ   (9                = sysmis).
recode BTBSTJA  (9                = sysmis).
recode BTBSTJB  (9                = sysmis).
recode BTBSTJC  (9                = sysmis).
recode BTBSTK   (9                = sysmis).
recode BTBSTKA  (9                = sysmis).
recode BTBSTKB  (9                = sysmis).
recode BTBSTKC  (9                = sysmis).
recode BTBSTL   (9                = sysmis).
recode BTBSTLA  (9                = sysmis).
recode BTBSTLB  (9                = sysmis).
recode BTBSTLC  (9                = sysmis).
recode BTBSTL1  (9                = sysmis).
recode BTBSTL1A (9                = sysmis).
recode BTBSTL1B (9                = sysmis).
recode BTBSTL1C (9                = sysmis).
recode BTBSTM   (9                = sysmis).
recode BTBSTMA  (9                = sysmis).
recode BTBSTMB  (9                = sysmis).
recode BTBSTMC  (9                = sysmis).
recode BTBSTN   (9                = sysmis).
recode BTBSTNA  (9                = sysmis).
recode BTBSTNB  (9                = sysmis).
recode BTBSTNC  (9                = sysmis).
recode BTBSTO   (9                = sysmis).
recode BTBSTOA  (9                = sysmis).
recode BTBSTOB  (9                = sysmis).
recode BTBSTOC  (9                = sysmis).
recode BTBSTP   (9                = sysmis).
recode BTBSTPA  (9                = sysmis).
recode BTBSTPB  (9                = sysmis).
recode BTBSTPC  (9                = sysmis).
recode BTBSTQ   (9                = sysmis).
recode BTBSTQA  (9                = sysmis).
recode BTBSTQB  (9                = sysmis).
recode BTBSTQC  (9                = sysmis).
recode BTBSTR   (9                = sysmis).
recode BTBSTRA  (9                = sysmis).
recode BTBSTRB  (9                = sysmis).
recode BTBSTRC  (9                = sysmis).
recode BTBSTS   (9                = sysmis).
recode BTBSTSA  (9                = sysmis).
recode BTBSTSB  (9                = sysmis).
recode BTBSTSC  (9                = sysmis).
recode BTBSTT   (9                = sysmis).
recode BTBSTTA  (9                = sysmis).
recode BTBSTTB  (9                = sysmis).
recode BTBSTTC  (9                = sysmis).
recode BTBSTU   (9                = sysmis).
recode BTBSTUA  (9                = sysmis).
recode BTBSTUB  (9                = sysmis).
recode BTBSTUC  (9                = sysmis).
recode BTBSTV   (9                = sysmis).
recode BTBSTVA  (9                = sysmis).
recode BTBSTVB  (9                = sysmis).
recode BTBSTVC  (9                = sysmis).
recode BTBSTW1  (9                = sysmis).
recode BTBSTW1A (9                = sysmis).
recode BTBSTW1B (9                = sysmis).
recode BTBSTW1C (9                = sysmis).
recode BTBSTW2  (9                = sysmis).
recode BTBSTW2A (9                = sysmis).
recode BTBSTW2B (9                = sysmis).
recode BTBSTW2C (9                = sysmis).
recode BTBSTW3  (9                = sysmis).
recode BTBSTW3A (9                = sysmis).
recode BTBSTW3B (9                = sysmis).
recode BTBSTW3C (9                = sysmis).
recode BTBSTX1  (9                = sysmis).
recode BTBSTX1A (9                = sysmis).
recode BTBSTX1B (9                = sysmis).
recode BTBSTX1C (9                = sysmis).
recode BTBSTX2  (9                = sysmis).
recode BTBSTX2A (9                = sysmis).
recode BTBSTX2B (9                = sysmis).
recode BTBSTX2C (9                = sysmis).
recode BTBSTX3  (9                = sysmis).
recode BTBSTX3A (9                = sysmis).
recode BTBSTX3B (9                = sysmis).
recode BTBSTX3C (9                = sysmis).
recode BTBSTX4  (9                = sysmis).
recode BTBSTX4A (9                = sysmis).
recode BTBSTX4B (9                = sysmis).
recode BTBSTX4C (9                = sysmis).
recode BTBSCLTM (999              = sysmis).
recode BTBSTO01 (9                = sysmis).
recode BTBSTO02 (9                = sysmis).
recode BTBSTO03 (9                = sysmis).
recode BTBSTO04 (9                = sysmis).
recode BTBSTO05 (9                = sysmis).
recode BTBSTO06 (9                = sysmis).
recode BTBSTO07 (9                = sysmis).
recode BTBSTO08 (9                = sysmis).
recode BTBSTO09 (9                = sysmis).
recode BTBSTO10 (9                = sysmis).
recode BTBSTO11 (9                = sysmis).
recode BTBSTO12 (9                = sysmis).
recode BTBSTO13 (9                = sysmis).
recode BTBSTO14 (9                = sysmis).
recode BTBSTO15 (9                = sysmis).
recode BTBSTO16 (9                = sysmis).
recode BTBSTO17 (9                = sysmis).
recode BTBSTO18 (9                = sysmis).
recode BTBSTO19 (9                = sysmis).
recode BTBSTO20 (9                = sysmis).
recode BTBSTO21 (9                = sysmis).
recode BTBSTO22 (9                = sysmis).
recode BTBSTOP1 (9                = sysmis).
recode BTBSTOP2 (9                = sysmis).
recode BTBSTOP3 (9                = sysmis).
recode BTBSHMW1 (9                = sysmis).
recode BTBSHWT1 (999              = sysmis).
recode BTBSCLCM (9                = sysmis).
recode BTBSLAB1 (9                = sysmis).
recode BTBSLAB2 (999              = sysmis).
recode BTBSOR01 (99               = sysmis).
recode BTBSTM01 (999              = sysmis).
recode BTBSOR02 (99               = sysmis).
recode BTBSTM02 (999              = sysmis).
recode BTBSOR03 (99               = sysmis).
recode BTBSTM03 (999              = sysmis).
recode BTBSOR04 (99               = sysmis).
recode BTBSTM04 (999              = sysmis).
recode BTBSOR05 (99               = sysmis).
recode BTBSTM05 (999              = sysmis).
recode BTBSOR06 (99               = sysmis).
recode BTBSTM06 (999              = sysmis).
recode BTBSOR07 (99               = sysmis).
recode BTBSTM07 (999              = sysmis).
recode BTBSOR08 (99               = sysmis).
recode BTBSTM08 (999              = sysmis).
recode BTBSOR09 (99               = sysmis).
recode BTBSTM09 (999              = sysmis).
recode BTBSOR10 (99               = sysmis).
recode BTBSTM10 (999              = sysmis).
recode BTBSOR11 (99               = sysmis).
recode BTBSTM11 (999              = sysmis).
recode BTBSSGRP (9                = sysmis).
recode BTBSASK1 (9                = sysmis).
recode BTBSASK2 (9                = sysmis).
recode BTBSASK3 (9                = sysmis).
recode BTBSASK4 (9                = sysmis).
recode BTBSASK5 (9                = sysmis).
recode BTBSASK6 (9                = sysmis).
recode BTBSDO1  (9                = sysmis).
recode BTBSDO2  (9                = sysmis).
recode BTBSDO3  (9                = sysmis).
recode BTBSDO4  (9                = sysmis).
recode BTBSLES1 (9                = sysmis).
recode BTBSLES2 (9                = sysmis).
recode BTBSLES3 (9                = sysmis).
recode BTBSLES4 (9                = sysmis).
recode BTBSLES5 (9                = sysmis).
recode BTBSLES6 (9                = sysmis).
recode BTBSHMW2 (9                = sysmis).
recode BTBSHWT2 (99               = sysmis).
recode BTBSWKBK (9                = sysmis).
recode BTBSPROB (9                = sysmis).
recode BTBSREAD (9                = sysmis).
recode BTBSWRIT (9                = sysmis).
recode BTBSDATA (9                = sysmis).
recode BTBSIEXP (9                = sysmis).
recode BTBSGEXP (9                = sysmis).
recode BTBSFIND (9                = sysmis).
recode BTBSORAL (9                = sysmis).
recode BTBSJOUR (9                = sysmis).
recode BTBSWHW1 (9                = sysmis).
recode BTBSWHW2 (9                = sysmis).
recode BTBSWHW3 (9                = sysmis).
recode BTBSWHW4 (9                = sysmis).
recode BTBSWHW5 (9                = sysmis).
recode BTBSWHW6 (9                = sysmis).
recode BTBSWHW7 (9                = sysmis).
recode BTBSWHW8 (9                = sysmis).
recode BTBSWGT1 (9                = sysmis).
recode BTBSWGT2 (9                = sysmis).
recode BTBSWGT3 (9                = sysmis).
recode BTBSWGT4 (9                = sysmis).
recode BTBSWGT5 (9                = sysmis).
recode BTBSWGT6 (9                = sysmis).
recode BTBSWGT7 (9                = sysmis).
recode BTBGASS1 (9                = sysmis).
recode BTBGASS2 (9                = sysmis).
recode BTBGASS3 (9                = sysmis).
recode BTBGASS4 (9                = sysmis).
recode BTBGASS5 (9                = sysmis).
recode BTBGASS6 (9                = sysmis).
recode BTDSTOEN (999              = sysmis).
recode BTDGADMN (9999             = sysmis).
recode BTDGCPLN (9999             = sysmis).
recode BTDGOTHR (9999             = sysmis).
recode BTDGSUBT (9999             = sysmis).
recode BTDGTSKT (9999             = sysmis).
recode BTDGTTIM (9999             = sysmis).
recode BTDSCPTS (9                = sysmis).
recode BTDSERPS (9                = sysmis).
recode BTDSESH  (9                = sysmis).
recode BTDSHTS  (9999             = sysmis).
recode BTDSSIZE (9999             = sysmis).
recode BTDSSZ3C (9                = sysmis).
recode BTDSTPTT (9999             = sysmis).
recode BTDSTTIM (9999             = sysmis).
recode BTDSTIME (9                = sysmis).
recode DPCDATE  (999999           = sysmis).


*NOTE: recode "not administered" data to user defined "missing value"
       in some case a zero code might be appropriate for numeric values
       in this case the variable must be recoded correspondingly.

missing value VERSION (98).
missing value IDCNTRY (99998).
missing value IDPOP   (8).
missing value IDSCHOOL(999998).
missing value IDTEACH (99999998).
missing value IDLINK  (98).
missing value IDSUBJCT(8).
missing value BTBGAGE (98 96).
missing value BTBGSEX (8 6).
missing value BTBGEDUC(98 96).
missing value BTBSTEAC(8 6).
missing value BTBSGRPK(8 6).
missing value BTBSGRK (8 6).
missing value BTBSGR1 (8 6).
missing value BTBSGR2 (8 6).
missing value BTBSGR3 (8 6).
missing value BTBSGR4 (8 6).
missing value BTBSGR5 (8 6).
missing value BTBSGR6 (8 6).
missing value BTBSGR7 (8 6).
missing value BTBSGR8 (8 6).
missing value BTBSGR9 (8 6).
missing value BTBSGR10(8 6).
missing value BTBSGR11(8 6).
missing value BTBSGR12(8 6).
missing value BTBSGR13(8 6).
missing value BTBMTEAC(8 6).
missing value BTBMGRPK(8 6).
missing value BTBMGRK (8 6).
missing value BTBMGR1 (8 6).
missing value BTBMGR2 (8 6).
missing value BTBMGR3 (8 6).
missing value BTBMGR4 (8 6).
missing value BTBMGR5 (8 6).
missing value BTBMGR6 (8 6).
missing value BTBMGR7 (8 6).
missing value BTBMGR8 (8 6).
missing value BTBMGR9 (8 6).
missing value BTBMGR10(8 6).
missing value BTBMGR11(8 6).
missing value BTBMGR12(8 6).
missing value BTBMGR13(8 6).
missing value BTBGPTFT(8 6).
missing value BTBGTAUG(98 96).
missing value BTBGGRPK(8 6).
missing value BTBGGRK (8 6).
missing value BTBGGR1 (8 6).
missing value BTBGGR2 (8 6).
missing value BTBGGR3 (8 6).
missing value BTBGGR4 (8 6).
missing value BTBGGR5 (8 6).
missing value BTBGGR6 (8 6).
missing value BTBGGR7 (8 6).
missing value BTBGGR8 (8 6).
missing value BTBGGR9 (8 6).
missing value BTBGGR10(8 6).
missing value BTBGGR11(8 6).
missing value BTBGGR12(8 6).
missing value BTBGGR13(8 6).
missing value BTBMSUB1(98 96).
missing value BTBSSUB2(98 96).
missing value BTBSSUB3(98 96).
missing value BTBSSUB4(98 96).
missing value BTBSSUB5(98 96).
missing value BTBSSUB6(98 96).
missing value BTBSSUB7(98 96).
missing value BTBSSUB8(98 96).
missing value BTBGSUB9(98 96).
missing value BTBGTSK1(98 96).
missing value BTBGTSK2(98 96).
missing value BTBGTSK3(98 96).
missing value BTBGTSK4(98 96).
missing value BTBGTSK5(98 96).
missing value BTBGTSK6(98 96).
missing value BTBGTOTL(98 96).
missing value BTBGACT1(8 6).
missing value BTBGACT2(8 6).
missing value BTBGACT3(8 6).
missing value BTBGACT4(8 6).
missing value BTBGACT5(8 6).
missing value BTBGACT6(8 6).
missing value BTBGACT7(8 6).
missing value BTBGACT8(8 6).
missing value BTBGMEET(98 96).
missing value BTBGINF1(8 6).
missing value BTBGINF2(8 6).
missing value BTBGINF3(8 6).
missing value BTBGINF4(8 6).
missing value BTBSIMP1(8 6).
missing value BTBSIMP2(8 6).
missing value BTBSIMP3(8 6).
missing value BTBSIMP4(8 6).
missing value BTBSIMP5(8 6).
missing value BTBSIMP6(8 6).
missing value BTBSAGR1(8 6).
missing value BTBSAGR2(8 6).
missing value BTBSAGR3(8 6).
missing value BTBSAGR4(8 6).
missing value BTBSAGR5(8 6).
missing value BTBSAGR6(8 6).
missing value BTBSAGR7(8 6).
missing value BTBSAGR8(8 6).
missing value BTBSAGR9(8 6).
missing value BTBSFAM1(8 6).
missing value BTBSFAM2(8 6).
missing value BTBGFAM3(8 6).
missing value BTBGFAM4(8 6).
missing value BTBGFAM5(8 6).
missing value BTBSFAM6(8 6).
missing value BTBSFAM7(8 6).
missing value BTBSPRP1(8 6).
missing value BTBSPRP2(8 6).
missing value BTBSPRP3(8 6).
missing value BTBSPRP4(8 6).
missing value BTBSPRP5(8 6).
missing value BTBSPRP6(8 6).
missing value BTBSPRP7(8 6).
missing value BTBSPRP8(8 6).
missing value BTBSPRP9(8 6).
missing value BTBGCARE(8 6).
missing value BTBGCHNG(8 6).
missing value BTBGSOAP(8 6).
missing value BTBGSTAP(8 6).
missing value BTBGBOOK(8 6).
missing value BTBGRNK1(98 96).
missing value BTBGRNK2(98 96).
missing value BTBGRNK3(98 96).
missing value BTBGRNK4(98 96).
missing value BTBGRNK5(98 96).
missing value BTBGRNK6(98 96).
missing value BTBGRNK7(98 96).
missing value BTBGRNK8(98 96).
missing value BTBGRNK9(98 96).
missing value BTBSBOY (998 996).
missing value BTBSGIRL(998 996).
missing value BTBSACH1(998 996).
missing value BTBSACH2(998 996).
missing value BTBSACH3(998 996).
missing value BTBSTIME(9998 9996).
missing value BTBSTXBK(8 6).
missing value BTBSTXB0(8 6).
missing value BTBSTXB1(8 6).
missing value BTBSTXB2(8 6).
missing value BTBSTXB3(8 6).
missing value BTBSTXB4(8 6).
missing value BTBSTXB5(8 6).
missing value BTBSTXB6(8 6).
missing value BTBSTXB7(8 6).
missing value BTBSTXB8(8 6).
missing value BTBSTXB9(8 6).
missing value BTBSTXNM(98 96).
missing value BTBSTXBS(8 6).
missing value BTBSADTB(98 96).
missing value BTBSLM01(8 6).
missing value BTBSLM02(8 6).
missing value BTBSLM03(8 6).
missing value BTBSLM04(8 6).
missing value BTBSLM05(8 6).
missing value BTBSLM06(8 6).
missing value BTBSLM07(8 6).
missing value BTBSLM08(8 6).
missing value BTBSLM09(8 6).
missing value BTBSLM10(8 6).
missing value BTBSLM11(8 6).
missing value BTBSLM12(8 6).
missing value BTBSLM13(8 6).
missing value BTBSLM14(8 6).
missing value BTBSLM15(8 6).
missing value BTBSLM16(8 6).
missing value BTBSCALC(8 6).
missing value BTBSCAL1(8 6).
missing value BTBSCAL2(8 6).
missing value BTBSCAL3(8 6).
missing value BTBSCAL4(8 6).
missing value BTBSCAL5(8 6).
missing value BTBSRLY1(8 6).
missing value BTBSRLY2(8 6).
missing value BTBSRLY3(8 6).
missing value BTBSRLY4(8 6).
missing value BTBSRLY5(8 6).
missing value BTBSRLY6(8 6).
missing value BTBSRLY7(8 6).
missing value BTBSSRC1(98 96).
missing value BTBSSRC2(98 96).
missing value BTBSSRC3(98 96).
missing value BTBSSRC4(98 96).
missing value BTBSTA  (8 6).
missing value BTBSTAA (8 6).
missing value BTBSTAB (8 6).
missing value BTBSTAC (8 6).
missing value BTBSTA1 (8 6).
missing value BTBSTA1A(8 6).
missing value BTBSTA1B(8 6).
missing value BTBSTA1C(8 6).
missing value BTBSTA2 (8 6).
missing value BTBSTA2A(8 6).
missing value BTBSTA2B(8 6).
missing value BTBSTA2C(8 6).
missing value BTBSTA3 (8 6).
missing value BTBSTA3A(8 6).
missing value BTBSTA3B(8 6).
missing value BTBSTA3C(8 6).
missing value BTBSTA4 (8 6).
missing value BTBSTA4A(8 6).
missing value BTBSTA4B(8 6).
missing value BTBSTA4C(8 6).
missing value BTBSTA5 (8 6).
missing value BTBSTA5A(8 6).
missing value BTBSTA5B(8 6).
missing value BTBSTA5C(8 6).
missing value BTBSTA6 (8 6).
missing value BTBSTA6A(8 6).
missing value BTBSTA6B(8 6).
missing value BTBSTA6C(8 6).
missing value BTBSTB  (8 6).
missing value BTBSTBA (8 6).
missing value BTBSTBB (8 6).
missing value BTBSTBC (8 6).
missing value BTBSTC  (8 6).
missing value BTBSTCA (8 6).
missing value BTBSTCB (8 6).
missing value BTBSTCC (8 6).
missing value BTBSTD  (8 6).
missing value BTBSTDA (8 6).
missing value BTBSTDB (8 6).
missing value BTBSTDC (8 6).
missing value BTBSTD1 (8 6).
missing value BTBSTD1A(8 6).
missing value BTBSTD1B(8 6).
missing value BTBSTD1C(8 6).
missing value BTBSTD2 (8 6).
missing value BTBSTD2A(8 6).
missing value BTBSTD2B(8 6).
missing value BTBSTD2C(8 6).
missing value BTBSTD3 (8 6).
missing value BTBSTD3A(8 6).
missing value BTBSTD3B(8 6).
missing value BTBSTD3C(8 6).
missing value BTBSTD4 (8 6).
missing value BTBSTD4A(8 6).
missing value BTBSTD4B(8 6).
missing value BTBSTD4C(8 6).
missing value BTBSTE  (8 6).
missing value BTBSTEA (8 6).
missing value BTBSTEB (8 6).
missing value BTBSTEC (8 6).
missing value BTBSTF  (8 6).
missing value BTBSTFA (8 6).
missing value BTBSTFB (8 6).
missing value BTBSTFC (8 6).
missing value BTBSTG  (8 6).
missing value BTBSTGA (8 6).
missing value BTBSTGB (8 6).
missing value BTBSTGC (8 6).
missing value BTBSTH  (8 6).
missing value BTBSTHA (8 6).
missing value BTBSTHB (8 6).
missing value BTBSTHC (8 6).
missing value BTBSTI  (8 6).
missing value BTBSTIA (8 6).
missing value BTBSTIB (8 6).
missing value BTBSTIC (8 6).
missing value BTBSTJ  (8 6).
missing value BTBSTJA (8 6).
missing value BTBSTJB (8 6).
missing value BTBSTJC (8 6).
missing value BTBSTK  (8 6).
missing value BTBSTKA (8 6).
missing value BTBSTKB (8 6).
missing value BTBSTKC (8 6).
missing value BTBSTL  (8 6).
missing value BTBSTLA (8 6).
missing value BTBSTLB (8 6).
missing value BTBSTLC (8 6).
missing value BTBSTL1 (8 6).
missing value BTBSTL1A(8 6).
missing value BTBSTL1B(8 6).
missing value BTBSTL1C(8 6).
missing value BTBSTM  (8 6).
missing value BTBSTMA (8 6).
missing value BTBSTMB (8 6).
missing value BTBSTMC (8 6).
missing value BTBSTN  (8 6).
missing value BTBSTNA (8 6).
missing value BTBSTNB (8 6).
missing value BTBSTNC (8 6).
missing value BTBSTO  (8 6).
missing value BTBSTOA (8 6).
missing value BTBSTOB (8 6).
missing value BTBSTOC (8 6).
missing value BTBSTP  (8 6).
missing value BTBSTPA (8 6).
missing value BTBSTPB (8 6).
missing value BTBSTPC (8 6).
missing value BTBSTQ  (8 6).
missing value BTBSTQA (8 6).
missing value BTBSTQB (8 6).
missing value BTBSTQC (8 6).
missing value BTBSTR  (8 6).
missing value BTBSTRA (8 6).
missing value BTBSTRB (8 6).
missing value BTBSTRC (8 6).
missing value BTBSTS  (8 6).
missing value BTBSTSA (8 6).
missing value BTBSTSB (8 6).
missing value BTBSTSC (8 6).
missing value BTBSTT  (8 6).
missing value BTBSTTA (8 6).
missing value BTBSTTB (8 6).
missing value BTBSTTC (8 6).
missing value BTBSTU  (8 6).
missing value BTBSTUA (8 6).
missing value BTBSTUB (8 6).
missing value BTBSTUC (8 6).
missing value BTBSTV  (8 6).
missing value BTBSTVA (8 6).
missing value BTBSTVB (8 6).
missing value BTBSTVC (8 6).
missing value BTBSTW1 (8 6).
missing value BTBSTW1A(8 6).
missing value BTBSTW1B(8 6).
missing value BTBSTW1C(8 6).
missing value BTBSTW2 (8 6).
missing value BTBSTW2A(8 6).
missing value BTBSTW2B(8 6).
missing value BTBSTW2C(8 6).
missing value BTBSTW3 (8 6).
missing value BTBSTW3A(8 6).
missing value BTBSTW3B(8 6).
missing value BTBSTW3C(8 6).
missing value BTBSTX1 (8 6).
missing value BTBSTX1A(8 6).
missing value BTBSTX1B(8 6).
missing value BTBSTX1C(8 6).
missing value BTBSTX2 (8 6).
missing value BTBSTX2A(8 6).
missing value BTBSTX2B(8 6).
missing value BTBSTX2C(8 6).
missing value BTBSTX3 (8 6).
missing value BTBSTX3A(8 6).
missing value BTBSTX3B(8 6).
missing value BTBSTX3C(8 6).
missing value BTBSTX4 (8 6).
missing value BTBSTX4A(8 6).
missing value BTBSTX4B(8 6).
missing value BTBSTX4C(8 6).
missing value BTBSCLTM(998 996).
missing value BTBSTO01(8 6).
missing value BTBSTO02(8 6).
missing value BTBSTO03(8 6).
missing value BTBSTO04(8 6).
missing value BTBSTO05(8 6).
missing value BTBSTO06(8 6).
missing value BTBSTO07(8 6).
missing value BTBSTO08(8 6).
missing value BTBSTO09(8 6).
missing value BTBSTO10(8 6).
missing value BTBSTO11(8 6).
missing value BTBSTO12(8 6).
missing value BTBSTO13(8 6).
missing value BTBSTO14(8 6).
missing value BTBSTO15(8 6).
missing value BTBSTO16(8 6).
missing value BTBSTO17(8 6).
missing value BTBSTO18(8 6).
missing value BTBSTO19(8 6).
missing value BTBSTO20(8 6).
missing value BTBSTO21(8 6).
missing value BTBSTO22(8 6).
missing value BTBSTOP1(8 6).
missing value BTBSTOP2(8 6).
missing value BTBSTOP3(8 6).
missing value BTBSHMW1(8 6).
missing value BTBSHWT1(998 996).
missing value BTBSCLCM(8 6).
missing value BTBSLAB1(8 6).
missing value BTBSLAB2(998 996).
missing value BTBSOR01(98 96).
missing value BTBSTM01(998 996).
missing value BTBSOR02(98 96).
missing value BTBSTM02(998 996).
missing value BTBSOR03(98 96).
missing value BTBSTM03(998 996).
missing value BTBSOR04(98 96).
missing value BTBSTM04(998 996).
missing value BTBSOR05(98 96).
missing value BTBSTM05(998 996).
missing value BTBSOR06(98 96).
missing value BTBSTM06(998 996).
missing value BTBSOR07(98 96).
missing value BTBSTM07(998 996).
missing value BTBSOR08(98 96).
missing value BTBSTM08(998 996).
missing value BTBSOR09(98 96).
missing value BTBSTM09(998 996).
missing value BTBSOR10(98 96).
missing value BTBSTM10(998 996).
missing value BTBSOR11(98 96).
missing value BTBSTM11(998 996).
missing value BTBSSGRP(8 6).
missing value BTBSASK1(8 6).
missing value BTBSASK2(8 6).
missing value BTBSASK3(8 6).
missing value BTBSASK4(8 6).
missing value BTBSASK5(8 6).
missing value BTBSASK6(8 6).
missing value BTBSDO1 (8 6).
missing value BTBSDO2 (8 6).
missing value BTBSDO3 (8 6).
missing value BTBSDO4 (8 6).
missing value BTBSLES1(8 6).
missing value BTBSLES2(8 6).
missing value BTBSLES3(8 6).
missing value BTBSLES4(8 6).
missing value BTBSLES5(8 6).
missing value BTBSLES6(8 6).
missing value BTBSHMW2(8 6).
missing value BTBSHWT2(98 96).
missing value BTBSWKBK(8 6).
missing value BTBSPROB(8 6).
missing value BTBSREAD(8 6).
missing value BTBSWRIT(8 6).
missing value BTBSDATA(8 6).
missing value BTBSIEXP(8 6).
missing value BTBSGEXP(8 6).
missing value BTBSFIND(8 6).
missing value BTBSORAL(8 6).
missing value BTBSJOUR(8 6).
missing value BTBSWHW1(8 6).
missing value BTBSWHW2(8 6).
missing value BTBSWHW3(8 6).
missing value BTBSWHW4(8 6).
missing value BTBSWHW5(8 6).
missing value BTBSWHW6(8 6).
missing value BTBSWHW7(8 6).
missing value BTBSWHW8(8 6).
missing value BTBSWGT1(8 6).
missing value BTBSWGT2(8 6).
missing value BTBSWGT3(8 6).
missing value BTBSWGT4(8 6).
missing value BTBSWGT5(8 6).
missing value BTBSWGT6(8 6).
missing value BTBSWGT7(8 6).
missing value BTBGASS1(8 6).
missing value BTBGASS2(8 6).
missing value BTBGASS3(8 6).
missing value BTBGASS4(8 6).
missing value BTBGASS5(8 6).
missing value BTBGASS6(8 6).
missing value BTDSTOEN(998 996).
missing value BTDGADMN(9998 9996).
missing value BTDGCPLN(9998 9996).
missing value BTDGOTHR(9998 9996).
missing value BTDGSUBT(9998 9996).
missing value BTDGTSKT(9998 9996).
missing value BTDGTTIM(9998 9996).
missing value BTDSCPTS(8 6).
missing value BTDSERPS(8 6).
missing value BTDSESH (8 6).
missing value BTDSHTS (9998 9996).
missing value BTDSSIZE(9998 9996).
missing value BTDSSZ3C(8 6).
missing value BTDSTPTT(9998 9996).
missing value BTDSTTIM(9998 9996).
missing value BTDSTIME(8 6).
missing value DPCDATE (999998).


*NOTE: These statements format the variable
       according to the length and decimal places.

format VERSION  (f2.0).
format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f6.0).
format IDTEACH  (f8.0).
format IDLINK   (f2.0).
format IDSUBJCT (f1.0).
format BTBGAGE  (f2.0).
format BTBGSEX  (f1.0).
format BTBGEDUC (f2.0).
format BTBSTEAC (f1.0).
format BTBSGRPK (f1.0).
format BTBSGRK  (f1.0).
format BTBSGR1  (f1.0).
format BTBSGR2  (f1.0).
format BTBSGR3  (f1.0).
format BTBSGR4  (f1.0).
format BTBSGR5  (f1.0).
format BTBSGR6  (f1.0).
format BTBSGR7  (f1.0).
format BTBSGR8  (f1.0).
format BTBSGR9  (f1.0).
format BTBSGR10 (f1.0).
format BTBSGR11 (f1.0).
format BTBSGR12 (f1.0).
format BTBSGR13 (f1.0).
format BTBMTEAC (f1.0).
format BTBMGRPK (f1.0).
format BTBMGRK  (f1.0).
format BTBMGR1  (f1.0).
format BTBMGR2  (f1.0).
format BTBMGR3  (f1.0).
format BTBMGR4  (f1.0).
format BTBMGR5  (f1.0).
format BTBMGR6  (f1.0).
format BTBMGR7  (f1.0).
format BTBMGR8  (f1.0).
format BTBMGR9  (f1.0).
format BTBMGR10 (f1.0).
format BTBMGR11 (f1.0).
format BTBMGR12 (f1.0).
format BTBMGR13 (f1.0).
format BTBGPTFT (f1.0).
format BTBGTAUG (f2.0).
format BTBGGRPK (f1.0).
format BTBGGRK  (f1.0).
format BTBGGR1  (f1.0).
format BTBGGR2  (f1.0).
format BTBGGR3  (f1.0).
format BTBGGR4  (f1.0).
format BTBGGR5  (f1.0).
format BTBGGR6  (f1.0).
format BTBGGR7  (f1.0).
format BTBGGR8  (f1.0).
format BTBGGR9  (f1.0).
format BTBGGR10 (f1.0).
format BTBGGR11 (f1.0).
format BTBGGR12 (f1.0).
format BTBGGR13 (f1.0).
format BTBMSUB1 (f2.0).
format BTBSSUB2 (f2.0).
format BTBSSUB3 (f2.0).
format BTBSSUB4 (f2.0).
format BTBSSUB5 (f2.0).
format BTBSSUB6 (f2.0).
format BTBSSUB7 (f2.0).
format BTBSSUB8 (f2.0).
format BTBGSUB9 (f2.0).
format BTBGTSK1 (f2.0).
format BTBGTSK2 (f2.0).
format BTBGTSK3 (f2.0).
format BTBGTSK4 (f2.0).
format BTBGTSK5 (f2.0).
format BTBGTSK6 (f2.0).
format BTBGTOTL (f2.0).
format BTBGACT1 (f1.0).
format BTBGACT2 (f1.0).
format BTBGACT3 (f1.0).
format BTBGACT4 (f1.0).
format BTBGACT5 (f1.0).
format BTBGACT6 (f1.0).
format BTBGACT7 (f1.0).
format BTBGACT8 (f1.0).
format BTBGMEET (f2.0).
format BTBGINF1 (f1.0).
format BTBGINF2 (f1.0).
format BTBGINF3 (f1.0).
format BTBGINF4 (f1.0).
format BTBSIMP1 (f1.0).
format BTBSIMP2 (f1.0).
format BTBSIMP3 (f1.0).
format BTBSIMP4 (f1.0).
format BTBSIMP5 (f1.0).
format BTBSIMP6 (f1.0).
format BTBSAGR1 (f1.0).
format BTBSAGR2 (f1.0).
format BTBSAGR3 (f1.0).
format BTBSAGR4 (f1.0).
format BTBSAGR5 (f1.0).
format BTBSAGR6 (f1.0).
format BTBSAGR7 (f1.0).
format BTBSAGR8 (f1.0).
format BTBSAGR9 (f1.0).
format BTBSFAM1 (f1.0).
format BTBSFAM2 (f1.0).
format BTBGFAM3 (f1.0).
format BTBGFAM4 (f1.0).
format BTBGFAM5 (f1.0).
format BTBSFAM6 (f1.0).
format BTBSFAM7 (f1.0).
format BTBSPRP1 (f1.0).
format BTBSPRP2 (f1.0).
format BTBSPRP3 (f1.0).
format BTBSPRP4 (f1.0).
format BTBSPRP5 (f1.0).
format BTBSPRP6 (f1.0).
format BTBSPRP7 (f1.0).
format BTBSPRP8 (f1.0).
format BTBSPRP9 (f1.0).
format BTBGCARE (f1.0).
format BTBGCHNG (f1.0).
format BTBGSOAP (f1.0).
format BTBGSTAP (f1.0).
format BTBGBOOK (f1.0).
format BTBGRNK1 (f2.0).
format BTBGRNK2 (f2.0).
format BTBGRNK3 (f2.0).
format BTBGRNK4 (f2.0).
format BTBGRNK5 (f2.0).
format BTBGRNK6 (f2.0).
format BTBGRNK7 (f2.0).
format BTBGRNK8 (f2.0).
format BTBGRNK9 (f2.0).
format BTBSBOY  (f3.0).
format BTBSGIRL (f3.0).
format BTBSACH1 (f3.0).
format BTBSACH2 (f3.0).
format BTBSACH3 (f3.0).
format BTBSTIME (f4.0).
format BTBSTXBK (f1.0).
format BTBSTXB0 (f1.0).
format BTBSTXB1 (f1.0).
format BTBSTXB2 (f1.0).
format BTBSTXB3 (f1.0).
format BTBSTXB4 (f1.0).
format BTBSTXB5 (f1.0).
format BTBSTXB6 (f1.0).
format BTBSTXB7 (f1.0).
format BTBSTXB8 (f1.0).
format BTBSTXB9 (f1.0).
format BTBSTXNM (f2.0).
format BTBSTXBS (f1.0).
format BTBSADTB (f2.0).
format BTBSLM01 (f1.0).
format BTBSLM02 (f1.0).
format BTBSLM03 (f1.0).
format BTBSLM04 (f1.0).
format BTBSLM05 (f1.0).
format BTBSLM06 (f1.0).
format BTBSLM07 (f1.0).
format BTBSLM08 (f1.0).
format BTBSLM09 (f1.0).
format BTBSLM10 (f1.0).
format BTBSLM11 (f1.0).
format BTBSLM12 (f1.0).
format BTBSLM13 (f1.0).
format BTBSLM14 (f1.0).
format BTBSLM15 (f1.0).
format BTBSLM16 (f1.0).
format BTBSCALC (f1.0).
format BTBSCAL1 (f1.0).
format BTBSCAL2 (f1.0).
format BTBSCAL3 (f1.0).
format BTBSCAL4 (f1.0).
format BTBSCAL5 (f1.0).
format BTBSRLY1 (f1.0).
format BTBSRLY2 (f1.0).
format BTBSRLY3 (f1.0).
format BTBSRLY4 (f1.0).
format BTBSRLY5 (f1.0).
format BTBSRLY6 (f1.0).
format BTBSRLY7 (f1.0).
format BTBSSRC1 (f2.0).
format BTBSSRC2 (f2.0).
format BTBSSRC3 (f2.0).
format BTBSSRC4 (f2.0).
format BTBSTA   (f1.0).
format BTBSTAA  (f1.0).
format BTBSTAB  (f1.0).
format BTBSTAC  (f1.0).
format BTBSTA1  (f1.0).
format BTBSTA1A (f1.0).
format BTBSTA1B (f1.0).
format BTBSTA1C (f1.0).
format BTBSTA2  (f1.0).
format BTBSTA2A (f1.0).
format BTBSTA2B (f1.0).
format BTBSTA2C (f1.0).
format BTBSTA3  (f1.0).
format BTBSTA3A (f1.0).
format BTBSTA3B (f1.0).
format BTBSTA3C (f1.0).
format BTBSTA4  (f1.0).
format BTBSTA4A (f1.0).
format BTBSTA4B (f1.0).
format BTBSTA4C (f1.0).
format BTBSTA5  (f1.0).
format BTBSTA5A (f1.0).
format BTBSTA5B (f1.0).
format BTBSTA5C (f1.0).
format BTBSTA6  (f1.0).
format BTBSTA6A (f1.0).
format BTBSTA6B (f1.0).
format BTBSTA6C (f1.0).
format BTBSTB   (f1.0).
format BTBSTBA  (f1.0).
format BTBSTBB  (f1.0).
format BTBSTBC  (f1.0).
format BTBSTC   (f1.0).
format BTBSTCA  (f1.0).
format BTBSTCB  (f1.0).
format BTBSTCC  (f1.0).
format BTBSTD   (f1.0).
format BTBSTDA  (f1.0).
format BTBSTDB  (f1.0).
format BTBSTDC  (f1.0).
format BTBSTD1  (f1.0).
format BTBSTD1A (f1.0).
format BTBSTD1B (f1.0).
format BTBSTD1C (f1.0).
format BTBSTD2  (f1.0).
format BTBSTD2A (f1.0).
format BTBSTD2B (f1.0).
format BTBSTD2C (f1.0).
format BTBSTD3  (f1.0).
format BTBSTD3A (f1.0).
format BTBSTD3B (f1.0).
format BTBSTD3C (f1.0).
format BTBSTD4  (f1.0).
format BTBSTD4A (f1.0).
format BTBSTD4B (f1.0).
format BTBSTD4C (f1.0).
format BTBSTE   (f1.0).
format BTBSTEA  (f1.0).
format BTBSTEB  (f1.0).
format BTBSTEC  (f1.0).
format BTBSTF   (f1.0).
format BTBSTFA  (f1.0).
format BTBSTFB  (f1.0).
format BTBSTFC  (f1.0).
format BTBSTG   (f1.0).
format BTBSTGA  (f1.0).
format BTBSTGB  (f1.0).
format BTBSTGC  (f1.0).
format BTBSTH   (f1.0).
format BTBSTHA  (f1.0).
format BTBSTHB  (f1.0).
format BTBSTHC  (f1.0).
format BTBSTI   (f1.0).
format BTBSTIA  (f1.0).
format BTBSTIB  (f1.0).
format BTBSTIC  (f1.0).
format BTBSTJ   (f1.0).
format BTBSTJA  (f1.0).
format BTBSTJB  (f1.0).
format BTBSTJC  (f1.0).
format BTBSTK   (f1.0).
format BTBSTKA  (f1.0).
format BTBSTKB  (f1.0).
format BTBSTKC  (f1.0).
format BTBSTL   (f1.0).
format BTBSTLA  (f1.0).
format BTBSTLB  (f1.0).
format BTBSTLC  (f1.0).
format BTBSTL1  (f1.0).
format BTBSTL1A (f1.0).
format BTBSTL1B (f1.0).
format BTBSTL1C (f1.0).
format BTBSTM   (f1.0).
format BTBSTMA  (f1.0).
format BTBSTMB  (f1.0).
format BTBSTMC  (f1.0).
format BTBSTN   (f1.0).
format BTBSTNA  (f1.0).
format BTBSTNB  (f1.0).
format BTBSTNC  (f1.0).
format BTBSTO   (f1.0).
format BTBSTOA  (f1.0).
format BTBSTOB  (f1.0).
format BTBSTOC  (f1.0).
format BTBSTP   (f1.0).
format BTBSTPA  (f1.0).
format BTBSTPB  (f1.0).
format BTBSTPC  (f1.0).
format BTBSTQ   (f1.0).
format BTBSTQA  (f1.0).
format BTBSTQB  (f1.0).
format BTBSTQC  (f1.0).
format BTBSTR   (f1.0).
format BTBSTRA  (f1.0).
format BTBSTRB  (f1.0).
format BTBSTRC  (f1.0).
format BTBSTS   (f1.0).
format BTBSTSA  (f1.0).
format BTBSTSB  (f1.0).
format BTBSTSC  (f1.0).
format BTBSTT   (f1.0).
format BTBSTTA  (f1.0).
format BTBSTTB  (f1.0).
format BTBSTTC  (f1.0).
format BTBSTU   (f1.0).
format BTBSTUA  (f1.0).
format BTBSTUB  (f1.0).
format BTBSTUC  (f1.0).
format BTBSTV   (f1.0).
format BTBSTVA  (f1.0).
format BTBSTVB  (f1.0).
format BTBSTVC  (f1.0).
format BTBSTW1  (f1.0).
format BTBSTW1A (f1.0).
format BTBSTW1B (f1.0).
format BTBSTW1C (f1.0).
format BTBSTW2  (f1.0).
format BTBSTW2A (f1.0).
format BTBSTW2B (f1.0).
format BTBSTW2C (f1.0).
format BTBSTW3  (f1.0).
format BTBSTW3A (f1.0).
format BTBSTW3B (f1.0).
format BTBSTW3C (f1.0).
format BTBSTX1  (f1.0).
format BTBSTX1A (f1.0).
format BTBSTX1B (f1.0).
format BTBSTX1C (f1.0).
format BTBSTX2  (f1.0).
format BTBSTX2A (f1.0).
format BTBSTX2B (f1.0).
format BTBSTX2C (f1.0).
format BTBSTX3  (f1.0).
format BTBSTX3A (f1.0).
format BTBSTX3B (f1.0).
format BTBSTX3C (f1.0).
format BTBSTX4  (f1.0).
format BTBSTX4A (f1.0).
format BTBSTX4B (f1.0).
format BTBSTX4C (f1.0).
format BTBSCLTM (f3.0).
format BTBSTO01 (f1.0).
format BTBSTO02 (f1.0).
format BTBSTO03 (f1.0).
format BTBSTO04 (f1.0).
format BTBSTO05 (f1.0).
format BTBSTO06 (f1.0).
format BTBSTO07 (f1.0).
format BTBSTO08 (f1.0).
format BTBSTO09 (f1.0).
format BTBSTO10 (f1.0).
format BTBSTO11 (f1.0).
format BTBSTO12 (f1.0).
format BTBSTO13 (f1.0).
format BTBSTO14 (f1.0).
format BTBSTO15 (f1.0).
format BTBSTO16 (f1.0).
format BTBSTO17 (f1.0).
format BTBSTO18 (f1.0).
format BTBSTO19 (f1.0).
format BTBSTO20 (f1.0).
format BTBSTO21 (f1.0).
format BTBSTO22 (f1.0).
format BTBSTOP1 (f1.0).
format BTBSTOP2 (f1.0).
format BTBSTOP3 (f1.0).
format BTBSHMW1 (f1.0).
format BTBSHWT1 (f3.0).
format BTBSCLCM (f1.0).
format BTBSLAB1 (f1.0).
format BTBSLAB2 (f3.0).
format BTBSOR01 (f2.0).
format BTBSTM01 (f3.0).
format BTBSOR02 (f2.0).
format BTBSTM02 (f3.0).
format BTBSOR03 (f2.0).
format BTBSTM03 (f3.0).
format BTBSOR04 (f2.0).
format BTBSTM04 (f3.0).
format BTBSOR05 (f2.0).
format BTBSTM05 (f3.0).
format BTBSOR06 (f2.0).
format BTBSTM06 (f3.0).
format BTBSOR07 (f2.0).
format BTBSTM07 (f3.0).
format BTBSOR08 (f2.0).
format BTBSTM08 (f3.0).
format BTBSOR09 (f2.0).
format BTBSTM09 (f3.0).
format BTBSOR10 (f2.0).
format BTBSTM10 (f3.0).
format BTBSOR11 (f2.0).
format BTBSTM11 (f3.0).
format BTBSSGRP (f1.0).
format BTBSASK1 (f1.0).
format BTBSASK2 (f1.0).
format BTBSASK3 (f1.0).
format BTBSASK4 (f1.0).
format BTBSASK5 (f1.0).
format BTBSASK6 (f1.0).
format BTBSDO1  (f1.0).
format BTBSDO2  (f1.0).
format BTBSDO3  (f1.0).
format BTBSDO4  (f1.0).
format BTBSLES1 (f1.0).
format BTBSLES2 (f1.0).
format BTBSLES3 (f1.0).
format BTBSLES4 (f1.0).
format BTBSLES5 (f1.0).
format BTBSLES6 (f1.0).
format BTBSHMW2 (f1.0).
format BTBSHWT2 (f2.0).
format BTBSWKBK (f1.0).
format BTBSPROB (f1.0).
format BTBSREAD (f1.0).
format BTBSWRIT (f1.0).
format BTBSDATA (f1.0).
format BTBSIEXP (f1.0).
format BTBSGEXP (f1.0).
format BTBSFIND (f1.0).
format BTBSORAL (f1.0).
format BTBSJOUR (f1.0).
format BTBSWHW1 (f1.0).
format BTBSWHW2 (f1.0).
format BTBSWHW3 (f1.0).
format BTBSWHW4 (f1.0).
format BTBSWHW5 (f1.0).
format BTBSWHW6 (f1.0).
format BTBSWHW7 (f1.0).
format BTBSWHW8 (f1.0).
format BTBSWGT1 (f1.0).
format BTBSWGT2 (f1.0).
format BTBSWGT3 (f1.0).
format BTBSWGT4 (f1.0).
format BTBSWGT5 (f1.0).
format BTBSWGT6 (f1.0).
format BTBSWGT7 (f1.0).
format BTBGASS1 (f1.0).
format BTBGASS2 (f1.0).
format BTBGASS3 (f1.0).
format BTBGASS4 (f1.0).
format BTBGASS5 (f1.0).
format BTBGASS6 (f1.0).
format BTDSTOEN (f3.0).
format BTDGADMN (f8.3).
format BTDGCPLN (f8.3).
format BTDGOTHR (f8.3).
format BTDGSUBT (f8.3).
format BTDGTSKT (f8.3).
format BTDGTTIM (f8.3).
format BTDSCPTS (f1.0).
format BTDSERPS (f1.0).
format BTDSESH  (f1.0).
format BTDSHTS  (f8.3).
format BTDSSIZE (f8.3).
format BTDSSZ3C (f1.0).
format BTDSTPTT (f8.3).
format BTDSTTIM (f8.3).
format BTDSTIME (f1.0).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want copressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata.

!doend
!enddefine

create country =  AUS AUT BFL BFR BGR CAN COL CYP CZE DNK ENG
                  FRA DEU GRC HKG HUN ISL IRN IRL ISR JPN
                  KOR KWT LVA LTU NLD NZL NOR PRT ROM RUS
                  SCO SGP SVK SVN ESP SWE CHE THA USA ITA ZAF.