SET DECIMAL = DOT.

define create (country=!charend('/')).

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,bts,!cty,'m2.dat"').
!let !savdata = !concat('"',!savpath,bts,!cty,'m2.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /VERSION     1-   2     
  IDCNTRY     3-   7     
  IDSUBJCT    8-   8     
  IDPOP       9-   9     
  IDSCHOOL   10-  15     
  IDTEACH    16-  23     
  IDLINK     24-  25     
  ITCOURSE   26-  27     
  BTBGAGE    28-  28     
  BTBGSEX    29-  29     
  BTBGTAUG   30-  31     
  BTBGTOTL   32-  33     
  BTBMSUB1   34-  35     
  BTBSSUB2   36-  37     
  BTBSSUB3   38-  39     
  BTBSSUB4   40-  41     
  BTBSSUB5   42-  43     
  BTBSSUB6   44-  45     
  BTBSSUB7   46-  47     
  BTBSSUB8   48-  49     
  BTBGSUB9   50-  51     
  BTBGTSK1   52-  53     
  BTBGTSK2   54-  55     
  BTBGTSK3   56-  57     
  BTBGTSK4   58-  59     
  BTBGTSK5   60-  61     
  BTBGTSK6   62-  63     
  BTBGTSK7   64-  65     
  BTBGACT1   66-  66     
  BTBGACT2   67-  67     
  BTBGACT3   68-  68     
  BTBGACT4   69-  69     
  BTBGACT5   70-  70     
  BTBGACT6   71-  71     
  BTBGACT7   72-  72     
  BTBGACT8   73-  73     
  BTBGACT9   74-  74     
  BTBGALTO   75-  76     
  BTBGMEET   77-  77     
  BTBGINF1   78-  78     
  BTBGINF2   79-  79     
  BTBGINF3   80-  80     
  BTBGINF4   81-  81     
  BTBSIMP1   82-  82     
  BTBSIMP2   83-  83     
  BTBSIMP3   84-  84     
  BTBSIMP4   85-  85     
  BTBSIMP5   86-  86     
  BTBSIMP6   87-  87     
  BTBSAGR1   88-  88     
  BTBSAGR2   89-  89     
  BTBSAGR3   90-  90     
  BTBSAGR4   91-  91     
  BTBSAGR5   92-  92     
  BTBSAGR6   93-  93     
  BTBSAGR7   94-  94     
  BTBSAGR8   95-  95     
  BTBSAGR9   96-  96     
  BTBSFAM1   97-  97     
  BTBSFAM2   98-  98     
  BTBGFAM3   99-  99     
  BTBGFAM4  100- 100     
  BTBGFAM5  101- 101     
  BTBSFAM6  102- 102     
  BTBSFAM7  103- 103     
  BTBSFP01  104- 104     
  BTBSFP02  105- 105     
  BTBSFP03  106- 106     
  BTBSFP04  107- 107     
  BTBSFP05  108- 108     
  BTBSFP06  109- 109     
  BTBSFP07  110- 110     
  BTBSFP08  111- 111     
  BTBSFP09  112- 112     
  BTBSFP10  113- 113     
  BTBGEDUC  114- 114     
  BTBGTRAC  115- 115     
  BTBGYETR  116- 117     
  BTBGPRTR  118- 118     
  BTBGCMAS  119- 119     
  BTBGCMA1  120- 120     
  BTBGCMA2  121- 121     
  BTBGCMA3  122- 122     
  BTBGCMA4  123- 123     
  BTBGCMA5  124- 124     
  BTBGCMA6  125- 125     
  BTBGCMA7  126- 126     
  BTBGCMA8  127- 127     
  BTBGMMAS  128- 128     
  BTBGMMA1  129- 129     
  BTBGMMA2  130- 130     
  BTBGMMA3  131- 131     
  BTBGMMA4  132- 132     
  BTBGMMA5  133- 133     
  BTBGMMA6  134- 134     
  BTBGMMA7  135- 135     
  BTBGMMA8  136- 136     
  BTBGCARE  137- 137     
  BTBGCHNG  138- 138     
  BTBGSOAP  139- 139     
  BTBGSTAP  140- 140     
  BTBGBOOK  141- 141     
  BTBSBOY   142- 144     
  BTBSGIRL  145- 147     
  BTDSTOEN  148- 150     
  BTBSSMEC  151- 151     
  BTBSTIME  152- 155     
  BTBSTXBK  156- 156     
  BTBSTXBR  157- 157     
  BTBSCUDL  158- 158     
  BTBSWECP  159- 159     
  BTBSCAL1  160- 160     
  BTBSCAL2  161- 161     
  BTBSCAL3  162- 162     
  BTBSCAL4  163- 163     
  BTBSCAL5  164- 164     
  BTBSCOM1  165- 165     
  BTBSCOM2  166- 166     
  BTBSINT1  167- 167     
  BTBSINT2  168- 168     
  BTBSSRC1  169- 169     
  BTBSSRC2  170- 170     
  BTBSSRC3  171- 171     
  BTBSSRC4  172- 172     
  BTBSASK1  173- 173     
  BTBSASK2  174- 174     
  BTBSASK3  175- 175     
  BTBSASK4  176- 176     
  BTBSASK5  177- 177     
  BTBSASK6  178- 178     
  BTBSASK7  179- 179     
  BTBSLES1  180- 180     
  BTBSLES2  181- 181     
  BTBSLES3  182- 182     
  BTBSLES4  183- 183     
  BTBSLES5  184- 184     
  BTBSLES6  185- 185     
  BTBSAC01  186- 188     
  BTBSAC02  189- 191     
  BTBSAC03  192- 194     
  BTBSAC04  195- 197     
  BTBSAC05  198- 200     
  BTBSAC06  201- 203     
  BTBSAC07  204- 206     
  BTBSAC08  207- 209     
  BTBSAC09  210- 212     
  BTBSAC10  213- 215     
  BTBSTB01  216- 216     
  BTBSTT01  217- 217     
  BTBSNT01  218- 218     
  BTBSTB02  219- 219     
  BTBSTT02  220- 220     
  BTBSNT02  221- 221     
  BTBSTB03  222- 222     
  BTBSTT03  223- 223     
  BTBSNT03  224- 224     
  BTBSTB04  225- 225     
  BTBSTT04  226- 226     
  BTBSNT04  227- 227     
  BTBSTB05  228- 228     
  BTBSTT05  229- 229     
  BTBSNT05  230- 230     
  BTBSTB06  231- 231     
  BTBSTT06  232- 232     
  BTBSNT06  233- 233     
  BTBSTB07  234- 234     
  BTBSTT07  235- 235     
  BTBSNT07  236- 236     
  BTBSTB08  237- 237     
  BTBSTT08  238- 238     
  BTBSNT08  239- 239     
  BTBSTB09  240- 240     
  BTBSTT09  241- 241     
  BTBSNT09  242- 242     
  BTBSTB10  243- 243     
  BTBSTT10  244- 244     
  BTBSNT10  245- 245     
  BTBSTB11  246- 246     
  BTBSTT11  247- 247     
  BTBSNT11  248- 248     
  BTBSTB12  249- 249     
  BTBSTT12  250- 250     
  BTBSNT12  251- 251     
  BTBSTB13  252- 252     
  BTBSTT13  253- 253     
  BTBSNT13  254- 254     
  BTBSTB14  255- 255     
  BTBSTT14  256- 256     
  BTBSNT14  257- 257     
  BTBSTB15  258- 258     
  BTBSTT15  259- 259     
  BTBSNT15  260- 260     
  BTBSTB16  261- 261     
  BTBSTT16  262- 262     
  BTBSNT16  263- 263     
  BTBSTB17  264- 264     
  BTBSTT17  265- 265     
  BTBSNT17  266- 266     
  BTBSTB18  267- 267     
  BTBSTT18  268- 268     
  BTBSNT18  269- 269     
  BTBSTB19  270- 270     
  BTBSTT19  271- 271     
  BTBSNT19  272- 272     
  BTBSTB20  273- 273     
  BTBSTT20  274- 274     
  BTBSNT20  275- 275     
  BTBSTB21  276- 276     
  BTBSTT21  277- 277     
  BTBSNT21  278- 278     
  BTBSTB22  279- 279     
  BTBSTT22  280- 280     
  BTBSNT22  281- 281     
  BTBSTB23  282- 282     
  BTBSTT23  283- 283     
  BTBSNT23  284- 284     
  BTBSTB24  285- 285     
  BTBSTT24  286- 286     
  BTBSNT24  287- 287     
  BTBSTB25  288- 288     
  BTBSTT25  289- 289     
  BTBSNT25  290- 290     
  BTBSTB26  291- 291     
  BTBSTT26  292- 292     
  BTBSNT26  293- 293     
  BTBSTB27  294- 294     
  BTBSTT27  295- 295     
  BTBSNT27  296- 296     
  BTBSTB28  297- 297     
  BTBSTT28  298- 298     
  BTBSNT28  299- 299     
  BTBSTB29  300- 300     
  BTBSTT29  301- 301     
  BTBSNT29  302- 302     
  BTBSTB30  303- 303     
  BTBSTT30  304- 304     
  BTBSNT30  305- 305     
  BTBSTB31  306- 306     
  BTBSTT31  307- 307     
  BTBSNT31  308- 308     
  BTBSLM01  309- 309     
  BTBSLM02  310- 310     
  BTBSLM03  311- 311     
  BTBSLM04  312- 312     
  BTBSLM05  313- 313     
  BTBSLM06  314- 314     
  BTBSLM07  315- 315     
  BTBSLM08  316- 316     
  BTBSLM09  317- 317     
  BTBSLM10  318- 318     
  BTBSLM11  319- 319     
  BTBSLM12  320- 320     
  BTBSLM13  321- 321     
  BTBSLM14  322- 322     
  BTBSLM15  323- 323     
  BTBSLM16  324- 324     
  BTBSHMW2  325- 325     
  BTBSHWMA  326- 326     
  BTBSWKBR  327- 327     
  BTBSPROR  328- 328     
  BTBSREAR  329- 329     
  BTBSWRIR  330- 330     
  BTBSDATR  331- 331     
  BTBSIEXR  332- 332     
  BTBSGEXR  333- 333     
  BTBSFINR  334- 334     
  BTBSORAR  335- 335     
  BTBSJORR  336- 336     
  BTBSWHNA  337- 337     
  BTBSWHR1  338- 338     
  BTBSWHR2  339- 339     
  BTBSWHR3  340- 340     
  BTBSWHR4  341- 341     
  BTBSWHR5  342- 342     
  BTBSWHR6  343- 343     
  BTBSWHR7  344- 344     
  BTBSWHR8  345- 345     
  BTBSWGT1  346- 346     
  BTBSWGT2  347- 347     
  BTBSWGT3  348- 348     
  BTBSWGT4  349- 349     
  BTBSWGT5  350- 350     
  BTBSWGT6  351- 351     
  BTBSWGT7  352- 352     
  BTBGASS1  353- 353     
  BTBGASS2  354- 354     
  BTBGASS3  355- 355     
  BTBGASS4  356- 356     
  BTBGASS5  357- 357     
  BTBGASS6  358- 358     
  BTDGSUBT  359- 366 (3)
  BTDGTSKT  367- 374 (3)
  BTDSSGRD  375- 375     
  BTDSSQUA  376- 376     
  BTDSEGRD  377- 377     
  BTDSEQUA  378- 378     
  BTDSBGRD  379- 379     
  BTDSBQUA  380- 380     
  BTDSPGRD  381- 381     
  BTDSPQUA  382- 382     
  BTDSCGRD  383- 383     
  BTDSCQUA  384- 384     
  BTDSCPTS  385- 385     
  BTDSTPTT  386- 393 (3)
  BTDSSIZE  394- 401 (3)
  BTDSSZ3C  402- 402     
  BTDSERPS  403- 403     
  BTDSHTS   404- 411 (3)
  BTDSTIME  412- 412     
  BTDSESH   413- 413     
  BTDSHWK   414- 415     
  BTDSHWK2  416- 416     
  BTDGTTIM  417- 424 (3)
  BTDSTTIM  425- 432 (3)
  BTDGCPLN  433- 440 (3)
  BTDGADMN  441- 448 (3)
  BTDGOTHR  449- 456 (3)
  BTDGSMJ1  457- 457     
  BTDGSMJ2  458- 458     
  BTDGSMJ3  459- 459     
  BTDGSMJ4  460- 460     
  BTDGSMJ5  461- 461     
  BTDGSMJ6  462- 462     
  BTDGSMJ7  463- 463     
  DPCDATE   464- 469     .


*NOTE: Assignment of variable labels.

variable labels   VERSION  "*VERSION NUMBER*" 
                 /IDCNTRY  "*COUNTRY ID*" 
                 /IDSUBJCT "*SUBJECT ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDTEACH  "*TEACHER ID*" 
                 /IDLINK   "*TEACHER LINK NUMBER*" 
                 /ITCOURSE "*NAME OF COURSE*" 
                 /BTBGAGE  "GEN\AGE OF TEACHER" 
                 /BTBGSEX  "GEN\SEX OF TEACHER" 
                 /BTBGTAUG "GEN\YEARS BEEN TEACHING" 
                 /BTBGTOTL "GEN\SCHEDULED HOURS ALTOGETHER" 
                 /BTBMSUB1 "MAT\SCHEDULED SUBJECTS\MATHEMATICS" 
                 /BTBSSUB2 "SCI\SCHEDULED SUBJECTS\GENERAL SCI" 
                 /BTBSSUB3 "SCI\SCHEDULED SUBJECTS\PHYSICAL SCI" 
                 /BTBSSUB4 "SCI\SCHEDULED SUBJECTS\EARTH SCIENCE" 
                 /BTBSSUB5 "SCI\SCHEDULED SUBJECTS\LIFE SCIENCE" 
                 /BTBSSUB6 "SCI\SCHEDULED SUBJECTS\BIOLOGY" 
                 /BTBSSUB7 "SCI\SCHEDULED SUBJECTS\CHEMISTRY" 
                 /BTBSSUB8 "SCI\SCHEDULED SUBJECTS\PHYSICS" 
                 /BTBGSUB9 "GEN\SCHEDULED SUBJECTS\OTHER" 
                 /BTBGTSK1 "GEN\SCHEDULED TASKS\SUPERVISION" 
                 /BTBGTSK2 "GEN\SCHEDULED TASKS\COUNSELLING" 
                 /BTBGTSK3 "GEN\SCHEDULED TASKS\ADMINISTRATION" 
                 /BTBGTSK4 "GEN\SCHEDULED TASKS\INDIVID PLANNING" 
                 /BTBGTSK5 "GEN\SCHEDULED TASKS\COOP PLANNING" 
                 /BTBGTSK6 "GEN\SCHEDULED TASKS\NON SPECIFIED" 
                 /BTBGTSK7 "GEN\SCHEDULED TASKS\OTHER" 
                 /BTBGACT1 "GEN\OUTSIDE SCHL\PREPARE TEST" 
                 /BTBGACT2 "GEN\OUTSIDE SCHL\READ STUDENT WORK" 
                 /BTBGACT3 "GEN\OUTSIDE SCHL\PLAN LESSONS" 
                 /BTBGACT4 "GEN\OUTSIDE SCHL\MEET STUDENTS" 
                 /BTBGACT5 "GEN\OUTSIDE SCHL\MEET PARENTS" 
                 /BTBGACT6 "GEN\OUTSIDE SCHL\PROFESSIONL READING" 
                 /BTBGACT7 "GEN\OUTSIDE SCHL\UPDATE STUD RECORDS" 
                 /BTBGACT8 "GEN\OUTSIDE SCHL\ADMINISTRATVE TASKS" 
                 /BTBGACT9 "GEN\OUTSIDE SCHL\OTHER" 
                 /BTBGALTO "GEN\TEACHING ACTIVITIES ALTOGETHER" 
                 /BTBGMEET "GEN\MEETING WITH OTHER TEACHERS" 
                 /BTBGINF1 "GEN\INFLUENCE\SUBJECT MATTER" 
                 /BTBGINF2 "GEN\INFLUENCE\SPECIFIC TEXTBOOKS" 
                 /BTBGINF3 "GEN\INFLUENCE\MONEY FOR SUPPLIES" 
                 /BTBGINF4 "GEN\INFLUENCE\KIND OF SUPPLIES" 
                 /BTBSIMP1 "SCI\GD\IMPT\REMEMBER FORMULAS" 
                 /BTBSIMP2 "SCI\GD\IMPT\SEQUENTIAL AND PROCEDURAL" 
                 /BTBSIMP3 "SCI\GD\IMPT\UNDERSTAND CONCEPTS" 
                 /BTBSIMP4 "SCI\GD\IMPT\THINK CREATIVELY" 
                 /BTBSIMP5 "SCI\GD\IMPT\HOW USED IN REAL WORLD" 
                 /BTBSIMP6 "SCI\GD\IMPT\SUPPORT SOLUTIONS" 
                 /BTBSAGR1 "SCI\PRIMARILY AN ABSTRACT SUBJECT" 
                 /BTBSAGR2 "SCI\FORMAL REPRESENTATION OF WORLD" 
                 /BTBSAGR3 "SCI\PRACTICAL AND STRUCTURED GUIDE" 
                 /BTBSAGR4 "SCI\NATURAL TALENT FOR SCIENCE" 
                 /BTBSAGR5 "SCI\IMPORTANCE OF SEQNTAL DIRECTIONS" 
                 /BTBSAGR6 "SCI\FOCUSING ON RULES IS A BAD IDEA" 
                 /BTBSAGR7 "SCI\DEBATES IN CLASS HARM LEARNING" 
                 /BTBSAGR8 "SCI\SEE TASK APART FROM REPRESENTATN" 
                 /BTBSAGR9 "SCI\LIKING AND UNDERSTANDING STUDENTS" 
                 /BTBSFAM1 "SCI\NATIONAL CURRICULUM GUIDE" 
                 /BTBSFAM2 "SCI\REGIONAL CURRICULUM GUIDE" 
                 /BTBGFAM3 "GEN\SCHOOL CURRICULUM GUIDE" 
                 /BTBGFAM4 "GEN\NATIONAL EXAM SPECIFICATIONS" 
                 /BTBGFAM5 "GEN\REGIONAL EXAM SPECIFICATIONS" 
                 /BTBSFAM6 "SCI\NATIONAL PEDAGOGY GUIDE" 
                 /BTBSFAM7 "SCI\REGIONAL PEDAGOGY GUIDE" 
                 /BTBSFP01 "SCI\PREP\EARTH SCI: FEATURE,..." 
                 /BTBSFP02 "SCI\PREP\EARTH SCI: SOLAR SYST, UNIVERSE" 
                 /BTBSFP03 "SCI\PREP\BIOLOGY: HUMAN SYSTEMS" 
                 /BTBSFP04 "SCI\PREP\BIOLOGY: PLNT AND ANIMAL LIFE" 
                 /BTBSFP05 "SCI\PREP\CHEM: CLASSIFICATION, STRUCTURE" 
                 /BTBSFP06 "SCI\PREP\CHEM: REACTIVITY, TRANSFORMATNS" 
                 /BTBSFP07 "SCI\PREP\PHYS: TYPES + SOURCES OF ENERGY" 
                 /BTBSFP08 "SCI\PREP\PHYSICS: LIGHT" 
                 /BTBSFP09 "SCI\PREP\ENVIRONMENTAL + RESOURCE ISSUES" 
                 /BTBSFP10 "SCI\PREP\SCIENTIFIC METHODS,..." 
                 /BTBGEDUC "GEN\LEVEL OF EDUCATION COMPLETED" 
                 /BTBGTRAC "GEN\TEACHER TRAINING CERTIFICATE" 
                 /BTBGYETR "GEN\YEARS PRE SERVICE TRAINING" 
                 /BTBGPRTR "GEN\BEGIN SECONDARY SCHOOL" 
                 /BTBGCMAS "GEN\HAVE BA" 
                 /BTBGCMA1 "GEN\MAIN STUDY FOR BA\MATHEMATICS" 
                 /BTBGCMA2 "GEN\MAIN STUDY FOR BA\BIOLOGY" 
                 /BTBGCMA3 "GEN\MAIN STUDY FOR BA\PHYSICS" 
                 /BTBGCMA4 "GEN\MAIN STUDY FOR BA\CHEMISTRY" 
                 /BTBGCMA5 "GEN\MAIN STUDY FOR BA\EDUCATION" 
                 /BTBGCMA6 "GEN\MAIN STUDY FOR BA\MATH EDUCATION" 
                 /BTBGCMA7 "GEN\MAIN STUDY FOR BA\SCIENCE EDUCATION" 
                 /BTBGCMA8 "GEN\MAIN STUDY FOR BA\OTHER" 
                 /BTBGMMAS "GEN\HAVE MASTERS DEGREE" 
                 /BTBGMMA1 "GEN\MAIN STUDY FOR MA\MATHEMATICS" 
                 /BTBGMMA2 "GEN\MAIN STUDY FOR MA\BIOLOGY" 
                 /BTBGMMA3 "GEN\MAIN STUDY FOR MA\PHYSICS" 
                 /BTBGMMA4 "GEN\MAIN STUDY FOR MA\CHEMISTRY" 
                 /BTBGMMA5 "GEN\MAIN STUDY FOR MA\EDUCATION" 
                 /BTBGMMA6 "GEN\MAIN STUDY FOR MA\MATH EDUCATION" 
                 /BTBGMMA7 "GEN\MAIN STUDY FOR MA\SCIENCE EDUCATION" 
                 /BTBGMMA8 "GEN\MAIN STUDY FOR MA\OTHER" 
                 /BTBGCARE "GEN\WAS TEACHING FIRST CHOICE" 
                 /BTBGCHNG "GEN\WOULD YOU CHANGE CARREER" 
                 /BTBGSOAP "GEN\IS WORK APPRECIATED BY SOCIETY" 
                 /BTBGSTAP "GEN\IS WORK APPRECIATED BY STUDENTS" 
                 /BTBGBOOK "GEN\NUMBER OF BOOKS IN HOME" 
                 /BTBSBOY  "SCI\CLSS\NUMBER OF BOYS IN CLASS" 
                 /BTBSGIRL "SCI\CLSS\NUMBER OF GIRLS IN CLASS" 
                 /BTDSTOEN "SCI\CLSS\NUMBER OF STUDENTS IN CLASS" 
                 /BTBSSMEC "SCI\CLSS\SUBJECT MATTER EMPHASIS" 
                 /BTBSTIME "SCI\CLSS\LENGTH OF SCIENCE CLASS" 
                 /BTBSTXBK "SCI\CLSS\USE TEXTBOOK" 
                 /BTBSTXBR "SCI\CLSS\TEXTBOOK BASED TEACHING" 
                 /BTBSCUDL "SCI\USE CALCULATORS DURING LESSONS" 
                 /BTBSWECP "SCI\EXTENT CALCULATORS PERMITTED" 
                 /BTBSCAL1 "SCI\CALCS FOR CHECKING ANSWERS" 
                 /BTBSCAL2 "SCI\CALCS FOR TESTS AND EXAMS" 
                 /BTBSCAL3 "SCI\CALCS FOR ROUTINE COMPUTATIO" 
                 /BTBSCAL4 "SCI\CALCS FOR COMPLEX PROBLEMS" 
                 /BTBSCAL5 "SCI\CALCS FOR NUMBER CONCEPTS" 
                 /BTBSCOM1 "SCI\COMPUTERS\IN CLASSROOMS" 
                 /BTBSCOM2 "SCI\COMPUTERS\IN OTHER ROOMS" 
                 /BTBSINT1 "SCI\COMPUTERS\ACCESS INTERNET" 
                 /BTBSINT2 "SCI\COMPUTERS\USE INTERNET" 
                 /BTBSSRC1 "SCI\SOURCE\WHICH TOPIC TO TEACH" 
                 /BTBSSRC2 "SCI\SOURCE\HOW TO PRESENT A TOPIC" 
                 /BTBSSRC3 "SCI\SOURCE\CLASS WORK AND HOMEWORK" 
                 /BTBSSRC4 "SCI\SOURCE\ASSESSMENT AND EVALUATN" 
                 /BTBSASK1 "SCI\TASKS\EXPLAIN REASONING" 
                 /BTBSASK2 "SCI\TASKS\ANALYZE RELATIONSHIPS" 
                 /BTBSASK3 "SCI\TASKS\WORK ON PROBLEMS" 
                 /BTBSASK4 "SCI\TASKS\USE COMPUTERS" 
                 /BTBSASK5 "SCI\TASKS\WRITE EXPLANATIONS" 
                 /BTBSASK6 "SCI\TASKS\ORGANIZE EVENTS OF OBJECTS" 
                 /BTBSASK7 "SCI\TASKS\USE GRAPHING CALCULATORS" 
                 /BTBSLES1 "SCI\INDIVIDUAL WORK\NO ASSISTANCE" 
                 /BTBSLES2 "SCI\INDIVIDUAL WORK\ASSISTANCE" 
                 /BTBSLES3 "SCI\WORK TOGETHER\TEACHER TEACHES" 
                 /BTBSLES4 "SCI\WORK TOGETHER\STUDENTS INTERACT" 
                 /BTBSLES5 "SCI\WORK IN GROUPS\NO ASSISTANCE" 
                 /BTBSLES6 "SCI\WORK IN GROUPS\ASSISTANCE" 
                 /BTBSAC01 "SCI\PERCENTAGE SPENT\ADMINISTRATIVE" 
                 /BTBSAC02 "SCI\PERCENTAGE SPENT\HOMEWORK REVIEW" 
                 /BTBSAC03 "SCI\PERCENTAGE SPENT\LECTURE STYLE" 
                 /BTBSAC04 "SCI\PERCENTAGE SPENT\GUIDED PRACTICE" 
                 /BTBSAC05 "SCI\PERCENTAGE SPENT\RE-TEACHING" 
                 /BTBSAC06 "SCI\PERCENTAGE SPENT\STUDENT PRACTICE" 
                 /BTBSAC07 "SCI\PERCENTAGE SPENT\TEST AND QUIZZES" 
                 /BTBSAC08 "SCI\PERCENTAGE SPENT\TEACHER DEMOS" 
                 /BTBSAC09 "SCI\PERCENTAGE SPENT\STUDENT EXPERIMENTS" 
                 /BTBSAC10 "SCI\PERCENTAGE SPENT\OTHER" 
                 /BTBSTB01 "SCI\EARTH\PHYSICAL FEATURES\BEFORE" 
                 /BTBSTT01 "SCI\EARTH\PHYSICAL FEATURES\THIS YEAR" 
                 /BTBSNT01 "SCI\EARTH\PHYSICAL FEATURES\NOT KNOW" 
                 /BTBSTB02 "SCI\EARTH\ATMOSPHERE\BEFORE" 
                 /BTBSTT02 "SCI\EARTH\ATMOSPHERE\THIS YEAR" 
                 /BTBSNT02 "SCI\EARTH\ATMOSPHERE\NOT KNOW" 
                 /BTBSTB03 "SCI\EARTH\PROCESSES+HISTORY\BEFORE" 
                 /BTBSTT03 "SCI\EARTH\PROCESSES+HISTORY\THIS YEAR" 
                 /BTBSNT03 "SCI\EARTH\PROCESSES+HISTORY\NOT KNOW" 
                 /BTBSTB04 "SCI\EARTH\IN SOLAR SYSTEM\BEFORE" 
                 /BTBSTT04 "SCI\EARTH\IN SOLAR SYSTEM\THIS YEAR" 
                 /BTBSNT04 "SCI\EARTH\IN SOLAR SYSTEM\NOT KNOW" 
                 /BTBSTB05 "SCI\BIO\BODY: ORGANS+SYSTEMS\BEFORE" 
                 /BTBSTT05 "SCI\BIO\BODY: ORGANS+SYSTEMS\THIS YEAR" 
                 /BTBSNT05 "SCI\BIO\BODY: ORGANS+SYSTEMS\NOT KNOW" 
                 /BTBSTB06 "SCI\BIO\BODILY PROCESSES\BEFORE" 
                 /BTBSTT06 "SCI\BIO\BODILY PROCESSES\THIS YEAR" 
                 /BTBSNT06 "SCI\BIO\BODILY PROCESSES\NOT KNOW" 
                 /BTBSTB07 "SCI\BIO\NUTRITION, HEALTH.\BEFORE" 
                 /BTBSTT07 "SCI\BIO\NUTRITION, HEALTH.\THIS YEAR" 
                 /BTBSNT07 "SCI\BIO\NUTRITION, HEALTH.\NOT KNOW" 
                 /BTBSTB08 "SCI\BIO\PLANT+ANIMAL LIFE\BEFORE" 
                 /BTBSTT08 "SCI\BIO\PLANT+ANIMAL LIFE\THIS YEAR" 
                 /BTBSNT08 "SCI\BIO\PLANT+ANIMAL LIFE\NOT KNOW" 
                 /BTBSTB09 "SCI\BIO\INTERACTIONS OF LIVING\BEFORE" 
                 /BTBSTT09 "SCI\BIO\INTERACTIONS OF LIVING\THIS YEAR" 
                 /BTBSNT09 "SCI\BIO\INTERACTIONS OF LIVING\NOT KNOW" 
                 /BTBSTB10 "SCI\BIO\REPRODUCTION.\BEFORE" 
                 /BTBSTT10 "SCI\BIO\REPRODUCTION.\THIS YEAR" 
                 /BTBSNT10 "SCI\BIO\REPRODUCTION.\NOT KNOW" 
                 /BTBSTB11 "SCI\CHEM\CLASSIFICATION MATTER\BEFORE" 
                 /BTBSTT11 "SCI\CHEM\CLASSIFICATION MATTER\THIS YEAR" 
                 /BTBSNT11 "SCI\CHEM\CLASSIFICATION MATTER\NOT KNOW" 
                 /BTBSTB12 "SCI\CHEM\STRUCTURE MATTER\BEFORE" 
                 /BTBSTT12 "SCI\CHEM\STRUCTURE MATTER\THIS YEAR" 
                 /BTBSNT12 "SCI\CHEM\STRUCTURE MATTER\NOT KNOW" 
                 /BTBSTB13 "SCI\CHEM\REACTIVITY+TRANSFORM.\BEFORE" 
                 /BTBSTT13 "SCI\CHEM\REACTIVITY+TRANSFORM.\THIS YEAR" 
                 /BTBSNT13 "SCI\CHEM\REACTIVITY+TRANSFORM.\NOT KNOW" 
                 /BTBSTB14 "SCI\CHEM\ENERGY.\BEFORE" 
                 /BTBSTT14 "SCI\CHEM\ENERGY.\THIS YEAR" 
                 /BTBSNT14 "SCI\CHEM\ENERGY.\NOT KNOW" 
                 /BTBSTB15 "SCI\PHYS\PROPERTIES OF MATTER\BEFORE" 
                 /BTBSTT15 "SCI\PHYS\PROPERTIES OF MATTERTHIS YEAR" 
                 /BTBSNT15 "SCI\PHYS\PROPERTIES OF MATTER\NOT KNOW" 
                 /BTBSTB16 "SCI\PHYS\SUBATOMIC PARTICLES\BEFORE" 
                 /BTBSTT16 "SCI\PHYS\SUBATOMIC PARTICLES\THIS YEAR" 
                 /BTBSNT16 "SCI\PHYS\SUBATOMIC PARTICLES\NOT KNOW" 
                 /BTBSTB17 "SCI\PHYS\ENERGY TYPES.\BEFORE" 
                 /BTBSTT17 "SCI\PHYS\ENERGY TYPES.\THIS YEAR" 
                 /BTBSNT17 "SCI\PHYS\ENERGY TYPES.\NOT KNOW" 
                 /BTBSTB18 "SCI\PHYS\HEAT AND TEMP.\BEFORE" 
                 /BTBSTT18 "SCI\PHYS\HEAT AND TEMP.\THIS YEAR" 
                 /BTBSNT18 "SCI\PHYS\HEAT AND TEMP.\NOT KNOW" 
                 /BTBSTB19 "SCI\PHYS\WAVE, SOUND, VIBRATN\BEFORE" 
                 /BTBSTT19 "SCI\PHYS\WAVE, SOUND, VIBRATN\THIS YEAR" 
                 /BTBSNT19 "SCI\PHYS\WAVE, SOUND, VIBRATN\NOT KNOW" 
                 /BTBSTB20 "SCI\PHYS\LIGHT\BEFORE" 
                 /BTBSTT20 "SCI\PHYS\LIGHT\THIS YEAR" 
                 /BTBSNT20 "SCI\PHYS\LIGHT\NOT KNOW" 
                 /BTBSTB21 "SCI\PHYS\ELECTRICITY+MAGNET.\BEFORE" 
                 /BTBSTT21 "SCI\PHYS\ELECTRICITY+MAGNET.\THIS YEAR" 
                 /BTBSNT21 "SCI\PHYS\ELECTRICITY+MAGNET.\NOT KNOW" 
                 /BTBSTB22 "SCI\PHYS\FORCES AND MOTION\BEFORE" 
                 /BTBSTT22 "SCI\PHYS\FORCES AND MOTION\THIS YEAR" 
                 /BTBSNT22 "SCI\PHYS\FORCES AND MOTION\NOT KNOW" 
                 /BTBSTB23 "SCI\ENVRNMT\POLLUTION\BEFORE" 
                 /BTBSTT23 "SCI\ENVRNMT\POLLUTION\THIS YEAR" 
                 /BTBSNT23 "SCI\ENVRNMT\POLLUTION\NOT KNOW" 
                 /BTBSTB24 "SCI\ENVRNMT\CONSERVATN\BEFORE" 
                 /BTBSTT24 "SCI\ENVRNMT\CONSERVATN\THIS YEAR" 
                 /BTBSNT24 "SCI\ENVRNMT\CONSERVATN\NOT KNOW" 
                 /BTBSTB25 "SCI\ENVRMNT\FOOD.\BEFORE" 
                 /BTBSTT25 "SCI\ENVRMNT\FOOD.\THIS YEAR" 
                 /BTBSNT25 "SCI\ENVRMNT\FOOD.\NOT KNOW" 
                 /BTBSTB26 "SCI\INQUIRY\SCIENTIFIC METHOD\BEFORE" 
                 /BTBSTT26 "SCI\INQUIRY\SCIENTIFIC METHOD\THIS YEAR" 
                 /BTBSNT26 "SCI\INQUIRY\SCIENTIFIC METHOD\NOT KNOW" 
                 /BTBSTB27 "SCI\INQUIRY\EXPER. DESIGN\BEFORE" 
                 /BTBSTT27 "SCI\INQUIRY\EXPER. DESIGN\THIS YEAR" 
                 /BTBSNT27 "SCI\INQUIRY\EXPER. DESIGN\NOT KNOW" 
                 /BTBSTB28 "SCI\INQUIRY\MEASUREMENTS\BEFORE" 
                 /BTBSTT28 "SCI\INQUIRY\MEASUREMENTS\THIS YEAR" 
                 /BTBSNT28 "SCI\INQUIRY\MEASUREMENTS\NOT KNOW" 
                 /BTBSTB29 "SCI\INQUIRY\SC APPARATUS\BEFORE" 
                 /BTBSTT29 "SCI\INQUIRY\SC APPARATUS\THIS YEAR" 
                 /BTBSNT29 "SCI\INQUIRY\SC APPARATUS\NOT KNOW" 
                 /BTBSTB30 "SCI\INQUIRY\GATHER,... DATA\BEFORE" 
                 /BTBSTT30 "SCI\INQUIRY\GATHER,... DATA\THIS YEAR" 
                 /BTBSNT30 "SCI\INQUIRY\GATHER,... DATA\NOT KNOW" 
                 /BTBSTB31 "SCI\INQUIRY\DESCRIBE DATA\BEFORE" 
                 /BTBSTT31 "SCI\INQUIRY\DESCRIBE DATA\THIS YEAR" 
                 /BTBSNT31 "SCI\INQUIRY\DESCRIBE DATA\NOT KNOW" 
                 /BTBSLM01 "SCI\CLSS\DIFFERENT ACADEMIC ABILITIES" 
                 /BTBSLM02 "SCI\CLSS\WIDE RANGE OF BACKGROUNDS" 
                 /BTBSLM03 "SCT\CLSS\SPECIAL NEEDS" 
                 /BTBSLM04 "SCI\CLSS\UNINTERESTED STUDENTS" 
                 /BTBSLM05 "SCI\CLSS\DISRUPTIVE STUDENTS" 
                 /BTBSLM06 "SCI\CLSS\PARENTS INTRESTD IN PROGRSS" 
                 /BTBSLM07 "SCI\CLSS\PARENTS UNINTRESTD IN PROGR" 
                 /BTBSLM08 "SCI\CLSS\SHORTGE OF COMPUTR HARDWARE" 
                 /BTBSLM09 "SCI\CLSS\SHORTGE OF COMPUTR SOFTWARE" 
                 /BTBSLM10 "SCI\CLSS\SHORTGE OF INSTR EQUIPMENT" 
                 /BTBSLM11 "SCI\CLSS\SHORTGE OF DEMNSTR EQUIPMNT" 
                 /BTBSLM12 "SCI\CLSS\INADEQUATE PHYSICL FACILITS" 
                 /BTBSLM13 "SCI\CLSS\HIGH STUDENT TEACHER RATIO" 
                 /BTBSLM14 "SCI\CLSS\LOW MORAL AMONG STAFF" 
                 /BTBSLM15 "SCI\CLSS\LOW MORAL AMONG STUDENTS" 
                 /BTBSLM16 "SCI\CLSS\THREATS 2 PERS OR STDT SFTY" 
                 /BTBSHMW2 "SCI\HOMEWORK FREQUENCY" 
                 /BTBSHWMA "SCI\AVERAGE TIME NEEDED FOR HOMEWORK" 
                 /BTBSWKBR "SCI\HOMEWORK\WORKSHEETS OR -BOOK" 
                 /BTBSPROR "SCI\HOMEWORK\TEXTBOOK PROBLEMS" 
                 /BTBSREAR "SCI\HOMEWORK\TEXTBOOK READING" 
                 /BTBSWRIR "SCI\HOMEWORK\WRITING ASSIGNMENT" 
                 /BTBSDATR "SCI\HOMEWORK\SMALL INVESTIGATIONS" 
                 /BTBSIEXR "SCI\HOMEWORK\INDIVIDUAL PROJECTS" 
                 /BTBSGEXR "SCI\HOMEWORK\SMALL GROUP PROJECTS" 
                 /BTBSFINR "SCI\HOMEWORK\FIND USES OF CONTENT" 
                 /BTBSORAR "SCI\HOMEWORK\PREPARE ORAL REPORTS" 
                 /BTBSJORR "SCI\HOMEWORK\KEEP A JOURNAL" 
                 /BTBSWHNA "SCI\WRITTEN HMWK\DO NOT ASSIGN" 
                 /BTBSWHR1 "SCI\WRITTEN HMWK\RECORD COMPLETION" 
                 /BTBSWHR2 "SCI\WRITTEN HMWK\KEEP ASSIGNMENTS" 
                 /BTBSWHR3 "SCI\WRITTEN HMWK\RETURN ASSIGNMENTS" 
                 /BTBSWHR4 "SCI\WRITTEN HMWK\FEEDBACK TO CLASS" 
                 /BTBSWHR5 "SCI\WRITTEN HMWK\STUDENTS CORRECT OWN" 
                 /BTBSWHR6 "SCI\WRITTEN HMWK\STUDENTS CORRECT OTHER" 
                 /BTBSWHR7 "SCI\WRITTEN HMWK\BASIS FOR DISCUSSION" 
                 /BTBSWHR8 "SCI\WRITTEN HMWK\GRADE CONTRIBUTION" 
                 /BTBSWGT1 "SCI\ASSMNT WEIGHT\STANDARD TESTS" 
                 /BTBSWGT2 "SCI\ASSMNT WEIGHT\REASONING TESTS" 
                 /BTBSWGT3 "SCI\ASSMNT WEIGHT\MULTIPLE CHOICE" 
                 /BTBSWGT4 "SCI\ASSMNT WEIGHT\HOMEWORK PERFRMNCE" 
                 /BTBSWGT5 "SCI\ASSMNT WEIGHT\PROJECT PERFORMNCE" 
                 /BTBSWGT6 "SCI\ASSMNT WEIGHT\OBSERVATION" 
                 /BTBSWGT7 "SCI\ASSMNT WEIGHT\RESPONSES IN CLASS" 
                 /BTBGASS1 "GEN\FREQUENCY\PROVIDE GRADES" 
                 /BTBGASS2 "GEN\FREQUENCY\PROVIDE FEEDBACK" 
                 /BTBGASS3 "GEN\FREQUENCY\DIAGNOSE PROBLEMS" 
                 /BTBGASS4 "GEN\FREQUENCY\REPORT TO PARENTS" 
                 /BTBGASS5 "GEN\FREQUENCY\ASSIGN DIFFERNT TRACKS" 
                 /BTBGASS6 "GEN\FREQUENCY\PLAN FUTURE LESSONS" 
                 /BTDGSUBT "GEN\TOTAL HOURS TEACH. TIME (FROM DPC)" 
                 /BTDGTSKT "GEN\TOTAL HOURS PERF. OTHER TASKS (DPC)" 
                 /BTDSSGRD "SCI\HAVE BA OR MASTERS IN GENERAL SCI" 
                 /BTDSSQUA "SCI\QUALIFICATION TO TEACH GENERAL SCI" 
                 /BTDSEGRD "SCI\HAVE BA OR MASTERS IN EARTH SCI" 
                 /BTDSEQUA "SCI\QUALIFICATION TO TEACH EARTH SCI" 
                 /BTDSBGRD "SCI\HAVE BA OR MASTERS IN BIOLOGY" 
                 /BTDSBQUA "SCI\QUALIFICATION TO TEACH BIOLOGY" 
                 /BTDSPGRD "SCI\HAVE BA OR MASTERS IN PHYS/PHYS SCI" 
                 /BTDSPQUA "SCI\QUAL. TO TEACH PHYS/PHYS SCI" 
                 /BTDSCGRD "SCI\HAVE BA OR MASTERS IN CHEMISTRY" 
                 /BTDSCQUA "SCI\QUALIFICATION TO TEACH CHEMISTRY" 
                 /BTDSCPTS "SCI\INDEX OF CONFIDENCE TEACH SCIENCE" 
                 /BTDSTPTT "SCI\PERC. SCI TOPICS PREPARED TO TEACH" 
                 /BTDSSIZE "SCI\AVERAGE CLASS SIZE" 
                 /BTDSSZ3C "SCI\SCIENCE CLASS SIZE IN 3 CATEGORIES" 
                 /BTDSERPS "SCI\INDEX:EMPHASIS ON PROB.SOLVING" 
                 /BTDSHTS  "SCI\HRS/WK TEACHING SCIENCE" 
                 /BTDSTIME "SCI\CLSS\LENGTH OF SCIENCE CLASS" 
                 /BTDSESH  "SCI\INDEX:EMPHASIS ON SCIENCE HOMEWORK" 
                 /BTDSHWK  "SCI\AMOUNT OF SCIENCE HOMEWORK" 
                 /BTDSHWK2 "SCI\HOMEWORK BASED ON PROJ. AND INVEST." 
                 /BTDGTTIM "GEN\PERC. OF SCHOOL TIME TEACH. ANYTHING" 
                 /BTDSTTIM "SCI\PERC. OF SCHOOL TIME TEACH. SCIENCE" 
                 /BTDGCPLN "GEN\PERC. OF SCHOOL TIME CURRI. PLANNIN" 
                 /BTDGADMN "GEN\PERC. OF SCHOOL TIME ADMIN. DUTIES" 
                 /BTDGOTHR "GEN\PERC. OF SCHOOL TIME OTHER ACTIVIT." 
                 /BTDGSMJ1 "SCI\MAJOR AREA OF STUDY BIOLOGY" 
                 /BTDGSMJ2 "SCI\MAJOR AREA OF STUDY PHYSICS" 
                 /BTDGSMJ3 "SCI\MAJOR AREA OF STUDY CHEMISTRY" 
                 /BTDGSMJ4 "SCI\MAJOR AREA OF STUDY SCIENCE EDUC" 
                 /BTDGSMJ5 "SCI\MAJOR AREA OF STUDY MATHEMATICS" 
                 /BTDGSMJ6 "SCI\MAJOR AREA OF STUDY EDUCATION" 
                 /BTDGSMJ7 "SCI\MAJOR AREA OF STUDY OTHER" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDSUBJCT   1  "mathematics"
                       2  "science"
                       3  "mathematics and science"
                       9  "omitted"
                       8  "not admin."
                       /
            IDPOP      1  "TIMSS Pop 1"
                       2  "TIMSS Pop 2"
                       3  " TIMSS Pop 3"
                       /
            ITCOURSE   1  "MATHEMATICS"
                       2  "PHYSICS"
                       3  "BIOLOGY"
                       4  "CHEMISTRY"
                       5  "EARTH SCIENCE"
                       6  "INTEGRATED SCIENCE"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBGAGE    1  "under 25"
                       2  "25-29"
                       3  "30-39"
                       4  "40-49"
                       5  "50-59"
                       6  "60 or more"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGSEX    1  "female"
                       2  "male"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT1   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT2   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT3   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT4   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT5   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT6   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT7   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT8   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT9   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGMEET   1  "never"
                       2  "once or twice a year"
                       3  "every other month"
                       4  "once a month"
                       5  "once a week"
                       6  "two or three times a week"
                       7  "almost every day"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF1   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF2   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF3   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF4   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP1   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP2   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP3   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP4   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP5   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSIMP6   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR1   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR2   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR3   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR4   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR5   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR6   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR7   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR8   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSAGR9   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFAM1   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFAM2   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM3   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM4   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM5   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFAM6   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFAM7   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFP01   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFP02   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFP03   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFP04   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFP05   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFP06   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFP07   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFP08   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFP09   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSFP10   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGEDUC   1  "did not complete secondary school"
                       2  "secondary only"
                       3  "BA or equivalent"
                       4  "MA/PHD"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGTRAC   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGPRTR   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGCMAS   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGCMA1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA6   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA7   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA8   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMAS   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGMMA1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA6   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  " not appl."
                       /
            BTBGMMA7   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  " not appl."
                       /
            BTBGMMA8   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCARE   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGCHNG   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGSOAP   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGSTAP   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGBOOK   1  "none or very few(0-10)"
                       2  "enough to fill a shelf(11-25)"
                       3  "enough to fill a bookcase(26-100)"
                       4  "enough to fill 2 bookcases(101-200)"
                       5  "enough fill three or more bookcase (>200)"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSSMEC   1  "general/integrated science"
                       2  "earth science"
                       3  "biology"
                       4  "chemistry"
                       5  "physics"
                       6  "physical science (chemistry/physics)"
                       7  "other, please specify"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXBK   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTXBR   1  "0-25%"
                       2  "26-50%"
                       3  "51-75%"
                       4  "76-100%"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSCUDL   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWECP   1  "unrestricted use"
                       2  "restricted use"
                       3  "calculators are not permitted"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSCAL1   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSCAL2   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSCAL3   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSCAL4   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSCAL5   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSCOM1   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSCOM2   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSINT1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSINT2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSSRC1   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national examin. Specific.>"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSSRC2   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national examin. Specific.>"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSSRC3   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national examin. Specific.>"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSSRC4   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national examin. Specific.>"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK1   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK2   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK3   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK4   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK5   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK6   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSASK7   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES1   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES2   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES3   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES4   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES5   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLES6   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSTB01   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT01   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT01   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB02   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT02   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT02   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB03   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT03   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT03   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB04   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT04   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT04   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB05   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT05   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT05   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB06   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT06   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT06   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB07   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT07   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT07   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB08   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT08   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT08   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB09   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT09   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT09   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB10   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT10   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT10   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB11   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT11   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT11   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB12   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT12   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT12   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB13   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT13   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT13   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB14   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT14   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT14   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB15   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT15   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT15   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB16   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT16   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT16   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB17   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT17   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT17   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB18   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT18   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT18   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB19   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT19   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT19   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB20   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT20   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT20   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB21   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT21   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT21   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB22   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT22   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT22   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB23   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT23   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT23   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB24   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT24   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT24   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB25   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT25   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT25   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB26   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT26   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT26   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB27   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT27   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT27   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB28   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT28   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT28   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB29   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT29   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT29   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB30   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT30   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT30   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTB31   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSTT31   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSNT31   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBSLM01   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM02   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM03   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM04   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM05   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM06   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM07   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM08   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM09   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM10   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM11   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM12   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM13   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM14   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM15   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSLM16   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSHMW2   1  "never"
                       2  "less than once a week"
                       3  "once or twice a week"
                       4  "3 or 4 times a week"
                       5  "every day"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSHWMA   1  "less than 15 minutes"
                       2  "15-30 minutes"
                       3  "31-60 minutes"
                       4  "61-90 minutes"
                       5  "more than 90 minutes"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSWKBR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSPROR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSREAR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSWRIR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSDATR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSIEXR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSGEXR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSFINR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSORAR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSJORR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSWHNA   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWHR1   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSWHR2   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSWHR3   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSWHR4   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSWHR5   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSWHR6   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSWHR7   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSWHR8   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBSWGT1   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT2   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT3   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT4   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT5   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT6   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBSWGT7   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS1   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS2   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS3   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS4   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS5   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS6   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTDSSGRD   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSSQUA   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSEGRD   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSEQUA   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSBGRD   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSBQUA   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSPGRD   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSPQUA   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSCGRD   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSCQUA   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSCPTS   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSSZ3C   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSERPS   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSTIME   1  "less than 2 hours"
                       2  "2 to less than 3.5 hours"
                       3  "3.5 to less than 5 hours"
                       4  "5 hours and more"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSESH    1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDSHWK    1  "never"
                       2  "< once/wk, >30 mins"
                       3  "< once/wk, <30 mins"
                       4  "1-2/wk, >30 mins"
                       5  "1-2/wk, <30 mins"
                       6  "3 or more times/wk, >30 mins"
                       7  " 3 or more times/wk, <30 mins"
                      99  "omitted"
                      98  "not admin"
                      96  "not appl"
                       /
            BTDSHWK2   1  "sometimes or always"
                       2  "never or rarely"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGSMJ1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGSMJ2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGSMJ3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGSMJ4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGSMJ5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGSMJ6   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGSMJ7   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
.


*NOTE: The "omitted code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode VERSION  (99               = sysmis).
recode IDCNTRY  (99999            = sysmis).
recode IDSUBJCT (9                = sysmis).
recode IDPOP    (9                = sysmis).
recode IDSCHOOL (999999           = sysmis).
recode IDTEACH  (99999999         = sysmis).
recode IDLINK   (99               = sysmis).
recode ITCOURSE (99               = sysmis).
recode BTBGAGE  (9                = sysmis).
recode BTBGSEX  (9                = sysmis).
recode BTBGTAUG (99               = sysmis).
recode BTBGTOTL (99               = sysmis).
recode BTBMSUB1 (99               = sysmis).
recode BTBSSUB2 (99               = sysmis).
recode BTBSSUB3 (99               = sysmis).
recode BTBSSUB4 (99               = sysmis).
recode BTBSSUB5 (99               = sysmis).
recode BTBSSUB6 (99               = sysmis).
recode BTBSSUB7 (99               = sysmis).
recode BTBSSUB8 (99               = sysmis).
recode BTBGSUB9 (99               = sysmis).
recode BTBGTSK1 (99               = sysmis).
recode BTBGTSK2 (99               = sysmis).
recode BTBGTSK3 (99               = sysmis).
recode BTBGTSK4 (99               = sysmis).
recode BTBGTSK5 (99               = sysmis).
recode BTBGTSK6 (99               = sysmis).
recode BTBGTSK7 (99               = sysmis).
recode BTBGACT1 (9                = sysmis).
recode BTBGACT2 (9                = sysmis).
recode BTBGACT3 (9                = sysmis).
recode BTBGACT4 (9                = sysmis).
recode BTBGACT5 (9                = sysmis).
recode BTBGACT6 (9                = sysmis).
recode BTBGACT7 (9                = sysmis).
recode BTBGACT8 (9                = sysmis).
recode BTBGACT9 (9                = sysmis).
recode BTBGALTO (99               = sysmis).
recode BTBGMEET (9                = sysmis).
recode BTBGINF1 (9                = sysmis).
recode BTBGINF2 (9                = sysmis).
recode BTBGINF3 (9                = sysmis).
recode BTBGINF4 (9                = sysmis).
recode BTBSIMP1 (9                = sysmis).
recode BTBSIMP2 (9                = sysmis).
recode BTBSIMP3 (9                = sysmis).
recode BTBSIMP4 (9                = sysmis).
recode BTBSIMP5 (9                = sysmis).
recode BTBSIMP6 (9                = sysmis).
recode BTBSAGR1 (9                = sysmis).
recode BTBSAGR2 (9                = sysmis).
recode BTBSAGR3 (9                = sysmis).
recode BTBSAGR4 (9                = sysmis).
recode BTBSAGR5 (9                = sysmis).
recode BTBSAGR6 (9                = sysmis).
recode BTBSAGR7 (9                = sysmis).
recode BTBSAGR8 (9                = sysmis).
recode BTBSAGR9 (9                = sysmis).
recode BTBSFAM1 (9                = sysmis).
recode BTBSFAM2 (9                = sysmis).
recode BTBGFAM3 (9                = sysmis).
recode BTBGFAM4 (9                = sysmis).
recode BTBGFAM5 (9                = sysmis).
recode BTBSFAM6 (9                = sysmis).
recode BTBSFAM7 (9                = sysmis).
recode BTBSFP01 (9                = sysmis).
recode BTBSFP02 (9                = sysmis).
recode BTBSFP03 (9                = sysmis).
recode BTBSFP04 (9                = sysmis).
recode BTBSFP05 (9                = sysmis).
recode BTBSFP06 (9                = sysmis).
recode BTBSFP07 (9                = sysmis).
recode BTBSFP08 (9                = sysmis).
recode BTBSFP09 (9                = sysmis).
recode BTBSFP10 (9                = sysmis).
recode BTBGEDUC (9                = sysmis).
recode BTBGTRAC (9                = sysmis).
recode BTBGYETR (99               = sysmis).
recode BTBGPRTR (9                = sysmis).
recode BTBGCMAS (9                = sysmis).
recode BTBGCMA1 (9                = sysmis).
recode BTBGCMA2 (9                = sysmis).
recode BTBGCMA3 (9                = sysmis).
recode BTBGCMA4 (9                = sysmis).
recode BTBGCMA5 (9                = sysmis).
recode BTBGCMA6 (9                = sysmis).
recode BTBGCMA7 (9                = sysmis).
recode BTBGCMA8 (9                = sysmis).
recode BTBGMMAS (9                = sysmis).
recode BTBGMMA1 (9                = sysmis).
recode BTBGMMA2 (9                = sysmis).
recode BTBGMMA3 (9                = sysmis).
recode BTBGMMA4 (9                = sysmis).
recode BTBGMMA5 (9                = sysmis).
recode BTBGMMA6 (9                = sysmis).
recode BTBGMMA7 (9                = sysmis).
recode BTBGMMA8 (9                = sysmis).
recode BTBGCARE (9                = sysmis).
recode BTBGCHNG (9                = sysmis).
recode BTBGSOAP (9                = sysmis).
recode BTBGSTAP (9                = sysmis).
recode BTBGBOOK (9                = sysmis).
recode BTBSBOY  (999              = sysmis).
recode BTBSGIRL (999              = sysmis).
recode BTDSTOEN (999              = sysmis).
recode BTBSSMEC (9                = sysmis).
recode BTBSTIME (9999             = sysmis).
recode BTBSTXBK (9                = sysmis).
recode BTBSTXBR (9                = sysmis).
recode BTBSCUDL (9                = sysmis).
recode BTBSWECP (9                = sysmis).
recode BTBSCAL1 (9                = sysmis).
recode BTBSCAL2 (9                = sysmis).
recode BTBSCAL3 (9                = sysmis).
recode BTBSCAL4 (9                = sysmis).
recode BTBSCAL5 (9                = sysmis).
recode BTBSCOM1 (9                = sysmis).
recode BTBSCOM2 (9                = sysmis).
recode BTBSINT1 (9                = sysmis).
recode BTBSINT2 (9                = sysmis).
recode BTBSSRC1 (9                = sysmis).
recode BTBSSRC2 (9                = sysmis).
recode BTBSSRC3 (9                = sysmis).
recode BTBSSRC4 (9                = sysmis).
recode BTBSASK1 (9                = sysmis).
recode BTBSASK2 (9                = sysmis).
recode BTBSASK3 (9                = sysmis).
recode BTBSASK4 (9                = sysmis).
recode BTBSASK5 (9                = sysmis).
recode BTBSASK6 (9                = sysmis).
recode BTBSASK7 (9                = sysmis).
recode BTBSLES1 (9                = sysmis).
recode BTBSLES2 (9                = sysmis).
recode BTBSLES3 (9                = sysmis).
recode BTBSLES4 (9                = sysmis).
recode BTBSLES5 (9                = sysmis).
recode BTBSLES6 (9                = sysmis).
recode BTBSAC01 (999              = sysmis).
recode BTBSAC02 (999              = sysmis).
recode BTBSAC03 (999              = sysmis).
recode BTBSAC04 (999              = sysmis).
recode BTBSAC05 (999              = sysmis).
recode BTBSAC06 (999              = sysmis).
recode BTBSAC07 (999              = sysmis).
recode BTBSAC08 (999              = sysmis).
recode BTBSAC09 (999              = sysmis).
recode BTBSAC10 (999              = sysmis).
recode BTBSTB01 (9                = sysmis).
recode BTBSTT01 (9                = sysmis).
recode BTBSNT01 (9                = sysmis).
recode BTBSTB02 (9                = sysmis).
recode BTBSTT02 (9                = sysmis).
recode BTBSNT02 (9                = sysmis).
recode BTBSTB03 (9                = sysmis).
recode BTBSTT03 (9                = sysmis).
recode BTBSNT03 (9                = sysmis).
recode BTBSTB04 (9                = sysmis).
recode BTBSTT04 (9                = sysmis).
recode BTBSNT04 (9                = sysmis).
recode BTBSTB05 (9                = sysmis).
recode BTBSTT05 (9                = sysmis).
recode BTBSNT05 (9                = sysmis).
recode BTBSTB06 (9                = sysmis).
recode BTBSTT06 (9                = sysmis).
recode BTBSNT06 (9                = sysmis).
recode BTBSTB07 (9                = sysmis).
recode BTBSTT07 (9                = sysmis).
recode BTBSNT07 (9                = sysmis).
recode BTBSTB08 (9                = sysmis).
recode BTBSTT08 (9                = sysmis).
recode BTBSNT08 (9                = sysmis).
recode BTBSTB09 (9                = sysmis).
recode BTBSTT09 (9                = sysmis).
recode BTBSNT09 (9                = sysmis).
recode BTBSTB10 (9                = sysmis).
recode BTBSTT10 (9                = sysmis).
recode BTBSNT10 (9                = sysmis).
recode BTBSTB11 (9                = sysmis).
recode BTBSTT11 (9                = sysmis).
recode BTBSNT11 (9                = sysmis).
recode BTBSTB12 (9                = sysmis).
recode BTBSTT12 (9                = sysmis).
recode BTBSNT12 (9                = sysmis).
recode BTBSTB13 (9                = sysmis).
recode BTBSTT13 (9                = sysmis).
recode BTBSNT13 (9                = sysmis).
recode BTBSTB14 (9                = sysmis).
recode BTBSTT14 (9                = sysmis).
recode BTBSNT14 (9                = sysmis).
recode BTBSTB15 (9                = sysmis).
recode BTBSTT15 (9                = sysmis).
recode BTBSNT15 (9                = sysmis).
recode BTBSTB16 (9                = sysmis).
recode BTBSTT16 (9                = sysmis).
recode BTBSNT16 (9                = sysmis).
recode BTBSTB17 (9                = sysmis).
recode BTBSTT17 (9                = sysmis).
recode BTBSNT17 (9                = sysmis).
recode BTBSTB18 (9                = sysmis).
recode BTBSTT18 (9                = sysmis).
recode BTBSNT18 (9                = sysmis).
recode BTBSTB19 (9                = sysmis).
recode BTBSTT19 (9                = sysmis).
recode BTBSNT19 (9                = sysmis).
recode BTBSTB20 (9                = sysmis).
recode BTBSTT20 (9                = sysmis).
recode BTBSNT20 (9                = sysmis).
recode BTBSTB21 (9                = sysmis).
recode BTBSTT21 (9                = sysmis).
recode BTBSNT21 (9                = sysmis).
recode BTBSTB22 (9                = sysmis).
recode BTBSTT22 (9                = sysmis).
recode BTBSNT22 (9                = sysmis).
recode BTBSTB23 (9                = sysmis).
recode BTBSTT23 (9                = sysmis).
recode BTBSNT23 (9                = sysmis).
recode BTBSTB24 (9                = sysmis).
recode BTBSTT24 (9                = sysmis).
recode BTBSNT24 (9                = sysmis).
recode BTBSTB25 (9                = sysmis).
recode BTBSTT25 (9                = sysmis).
recode BTBSNT25 (9                = sysmis).
recode BTBSTB26 (9                = sysmis).
recode BTBSTT26 (9                = sysmis).
recode BTBSNT26 (9                = sysmis).
recode BTBSTB27 (9                = sysmis).
recode BTBSTT27 (9                = sysmis).
recode BTBSNT27 (9                = sysmis).
recode BTBSTB28 (9                = sysmis).
recode BTBSTT28 (9                = sysmis).
recode BTBSNT28 (9                = sysmis).
recode BTBSTB29 (9                = sysmis).
recode BTBSTT29 (9                = sysmis).
recode BTBSNT29 (9                = sysmis).
recode BTBSTB30 (9                = sysmis).
recode BTBSTT30 (9                = sysmis).
recode BTBSNT30 (9                = sysmis).
recode BTBSTB31 (9                = sysmis).
recode BTBSTT31 (9                = sysmis).
recode BTBSNT31 (9                = sysmis).
recode BTBSLM01 (9                = sysmis).
recode BTBSLM02 (9                = sysmis).
recode BTBSLM03 (9                = sysmis).
recode BTBSLM04 (9                = sysmis).
recode BTBSLM05 (9                = sysmis).
recode BTBSLM06 (9                = sysmis).
recode BTBSLM07 (9                = sysmis).
recode BTBSLM08 (9                = sysmis).
recode BTBSLM09 (9                = sysmis).
recode BTBSLM10 (9                = sysmis).
recode BTBSLM11 (9                = sysmis).
recode BTBSLM12 (9                = sysmis).
recode BTBSLM13 (9                = sysmis).
recode BTBSLM14 (9                = sysmis).
recode BTBSLM15 (9                = sysmis).
recode BTBSLM16 (9                = sysmis).
recode BTBSHMW2 (9                = sysmis).
recode BTBSHWMA (9                = sysmis).
recode BTBSWKBR (9                = sysmis).
recode BTBSPROR (9                = sysmis).
recode BTBSREAR (9                = sysmis).
recode BTBSWRIR (9                = sysmis).
recode BTBSDATR (9                = sysmis).
recode BTBSIEXR (9                = sysmis).
recode BTBSGEXR (9                = sysmis).
recode BTBSFINR (9                = sysmis).
recode BTBSORAR (9                = sysmis).
recode BTBSJORR (9                = sysmis).
recode BTBSWHNA (9                = sysmis).
recode BTBSWHR1 (9                = sysmis).
recode BTBSWHR2 (9                = sysmis).
recode BTBSWHR3 (9                = sysmis).
recode BTBSWHR4 (9                = sysmis).
recode BTBSWHR5 (9                = sysmis).
recode BTBSWHR6 (9                = sysmis).
recode BTBSWHR7 (9                = sysmis).
recode BTBSWHR8 (9                = sysmis).
recode BTBSWGT1 (9                = sysmis).
recode BTBSWGT2 (9                = sysmis).
recode BTBSWGT3 (9                = sysmis).
recode BTBSWGT4 (9                = sysmis).
recode BTBSWGT5 (9                = sysmis).
recode BTBSWGT6 (9                = sysmis).
recode BTBSWGT7 (9                = sysmis).
recode BTBGASS1 (9                = sysmis).
recode BTBGASS2 (9                = sysmis).
recode BTBGASS3 (9                = sysmis).
recode BTBGASS4 (9                = sysmis).
recode BTBGASS5 (9                = sysmis).
recode BTBGASS6 (9                = sysmis).
recode BTDGSUBT (9999             = sysmis).
recode BTDGTSKT (9999             = sysmis).
recode BTDSSGRD (9                = sysmis).
recode BTDSSQUA (9                = sysmis).
recode BTDSEGRD (9                = sysmis).
recode BTDSEQUA (9                = sysmis).
recode BTDSBGRD (9                = sysmis).
recode BTDSBQUA (9                = sysmis).
recode BTDSPGRD (9                = sysmis).
recode BTDSPQUA (9                = sysmis).
recode BTDSCGRD (9                = sysmis).
recode BTDSCQUA (9                = sysmis).
recode BTDSCPTS (9                = sysmis).
recode BTDSTPTT (9999             = sysmis).
recode BTDSSIZE (9999             = sysmis).
recode BTDSSZ3C (9                = sysmis).
recode BTDSERPS (9                = sysmis).
recode BTDSHTS  (9999             = sysmis).
recode BTDSTIME (9                = sysmis).
recode BTDSESH  (9                = sysmis).
recode BTDSHWK  (99               = sysmis).
recode BTDSHWK2 (9                = sysmis).
recode BTDGTTIM (9999             = sysmis).
recode BTDSTTIM (9999             = sysmis).
recode BTDGCPLN (9999             = sysmis).
recode BTDGADMN (9999             = sysmis).
recode BTDGOTHR (9999             = sysmis).
recode BTDGSMJ1 (9                = sysmis).
recode BTDGSMJ2 (9                = sysmis).
recode BTDGSMJ3 (9                = sysmis).
recode BTDGSMJ4 (9                = sysmis).
recode BTDGSMJ5 (9                = sysmis).
recode BTDGSMJ6 (9                = sysmis).
recode BTDGSMJ7 (9                = sysmis).


*NOTE: recode "not administered" data to user defined "missing value"
       in some case a zero code might be appropriate for numeric values
       in this case the variable must be recoded correspondingly.

missing value VERSION (98).
missing value IDCNTRY (99998).
missing value IDSUBJCT(8).
missing value IDPOP   (8).
missing value IDSCHOOL(999998).
missing value IDTEACH (99999998).
missing value IDLINK  (98).
missing value ITCOURSE(98).
missing value BTBGAGE (8).
missing value BTBGSEX (8 6).
missing value BTBGTAUG(98 96).
missing value BTBGTOTL(98 96).
missing value BTBMSUB1(98 96).
missing value BTBSSUB2(98 96).
missing value BTBSSUB3(98 96).
missing value BTBSSUB4(98 96).
missing value BTBSSUB5(98 96).
missing value BTBSSUB6(98 96).
missing value BTBSSUB7(98 96).
missing value BTBSSUB8(98 96).
missing value BTBGSUB9(98 96).
missing value BTBGTSK1(98 96).
missing value BTBGTSK2(98 96).
missing value BTBGTSK3(98 96).
missing value BTBGTSK4(98 96).
missing value BTBGTSK5(98 96).
missing value BTBGTSK6(98 96).
missing value BTBGTSK7(98 96).
missing value BTBGACT1(8 6).
missing value BTBGACT2(8 6).
missing value BTBGACT3(8 6).
missing value BTBGACT4(8 6).
missing value BTBGACT5(8 6).
missing value BTBGACT6(8 6).
missing value BTBGACT7(8 6).
missing value BTBGACT8(8 6).
missing value BTBGACT9(8 6).
missing value BTBGALTO(98 96).
missing value BTBGMEET(8).
missing value BTBGINF1(8 6).
missing value BTBGINF2(8 6).
missing value BTBGINF3(8 6).
missing value BTBGINF4(8 6).
missing value BTBSIMP1(8 6).
missing value BTBSIMP2(8 6).
missing value BTBSIMP3(8 6).
missing value BTBSIMP4(8 6).
missing value BTBSIMP5(8 6).
missing value BTBSIMP6(8 6).
missing value BTBSAGR1(8 6).
missing value BTBSAGR2(8 6).
missing value BTBSAGR3(8 6).
missing value BTBSAGR4(8 6).
missing value BTBSAGR5(8 6).
missing value BTBSAGR6(8 6).
missing value BTBSAGR7(8 6).
missing value BTBSAGR8(8 6).
missing value BTBSAGR9(8 6).
missing value BTBSFAM1(8 6).
missing value BTBSFAM2(8 6).
missing value BTBGFAM3(8 6).
missing value BTBGFAM4(8 6).
missing value BTBGFAM5(8 6).
missing value BTBSFAM6(8 6).
missing value BTBSFAM7(8 6).
missing value BTBSFP01(8 6).
missing value BTBSFP02(8 6).
missing value BTBSFP03(8 6).
missing value BTBSFP04(8 6).
missing value BTBSFP05(8 6).
missing value BTBSFP06(8 6).
missing value BTBSFP07(8 6).
missing value BTBSFP08(8 6).
missing value BTBSFP09(8 6).
missing value BTBSFP10(8 6).
missing value BTBGEDUC(8 6).
missing value BTBGTRAC(8 6).
missing value BTBGYETR(98 96).
missing value BTBGPRTR(8 6).
missing value BTBGCMAS(8 6).
missing value BTBGCMA1(8 6).
missing value BTBGCMA2(8 6).
missing value BTBGCMA3(8 6).
missing value BTBGCMA4(8 6).
missing value BTBGCMA5(8 6).
missing value BTBGCMA6(8 6).
missing value BTBGCMA7(8 6).
missing value BTBGCMA8(8 6).
missing value BTBGMMAS(8 6).
missing value BTBGMMA1(8 6).
missing value BTBGMMA2(8 6).
missing value BTBGMMA3(8 6).
missing value BTBGMMA4(8 6).
missing value BTBGMMA5(8 6).
missing value BTBGMMA6(8 6).
missing value BTBGMMA7(8 6).
missing value BTBGMMA8(8 6).
missing value BTBGCARE(8 6).
missing value BTBGCHNG(8 6).
missing value BTBGSOAP(8 6).
missing value BTBGSTAP(8 6).
missing value BTBGBOOK(8 6).
missing value BTBSBOY (998 996).
missing value BTBSGIRL(998 996).
missing value BTDSTOEN(998 996).
missing value BTBSSMEC(8).
missing value BTBSTIME(9998 9996).
missing value BTBSTXBK(8 6).
missing value BTBSTXBR(8 6).
missing value BTBSCUDL(8 6).
missing value BTBSWECP(8 6).
missing value BTBSCAL1(8 6).
missing value BTBSCAL2(8 6).
missing value BTBSCAL3(8 6).
missing value BTBSCAL4(8 6).
missing value BTBSCAL5(8 6).
missing value BTBSCOM1(8 6).
missing value BTBSCOM2(8 6).
missing value BTBSINT1(8 6).
missing value BTBSINT2(8 6).
missing value BTBSSRC1(8).
missing value BTBSSRC2(8).
missing value BTBSSRC3(8).
missing value BTBSSRC4(8).
missing value BTBSASK1(8 6).
missing value BTBSASK2(8 6).
missing value BTBSASK3(8 6).
missing value BTBSASK4(8 6).
missing value BTBSASK5(8 6).
missing value BTBSASK6(8 6).
missing value BTBSASK7(8 6).
missing value BTBSLES1(8 6).
missing value BTBSLES2(8 6).
missing value BTBSLES3(8 6).
missing value BTBSLES4(8 6).
missing value BTBSLES5(8 6).
missing value BTBSLES6(8 6).
missing value BTBSAC01(998 996).
missing value BTBSAC02(998 996).
missing value BTBSAC03(998 996).
missing value BTBSAC04(998 996).
missing value BTBSAC05(998 996).
missing value BTBSAC06(998 996).
missing value BTBSAC07(998 996).
missing value BTBSAC08(998 996).
missing value BTBSAC09(998 996).
missing value BTBSAC10(998 996).
missing value BTBSTB01(8 6).
missing value BTBSTT01(8 6).
missing value BTBSNT01(8 6).
missing value BTBSTB02(8 6).
missing value BTBSTT02(8 6).
missing value BTBSNT02(8 6).
missing value BTBSTB03(8 6).
missing value BTBSTT03(8 6).
missing value BTBSNT03(8 6).
missing value BTBSTB04(8 6).
missing value BTBSTT04(8 6).
missing value BTBSNT04(8 6).
missing value BTBSTB05(8 6).
missing value BTBSTT05(8 6).
missing value BTBSNT05(8 6).
missing value BTBSTB06(8 6).
missing value BTBSTT06(8 6).
missing value BTBSNT06(8 6).
missing value BTBSTB07(8 6).
missing value BTBSTT07(8 6).
missing value BTBSNT07(8 6).
missing value BTBSTB08(8 6).
missing value BTBSTT08(8 6).
missing value BTBSNT08(8 6).
missing value BTBSTB09(8 6).
missing value BTBSTT09(8 6).
missing value BTBSNT09(8 6).
missing value BTBSTB10(8 6).
missing value BTBSTT10(8 6).
missing value BTBSNT10(8 6).
missing value BTBSTB11(8 6).
missing value BTBSTT11(8 6).
missing value BTBSNT11(8 6).
missing value BTBSTB12(8 6).
missing value BTBSTT12(8 6).
missing value BTBSNT12(8 6).
missing value BTBSTB13(8 6).
missing value BTBSTT13(8 6).
missing value BTBSNT13(8 6).
missing value BTBSTB14(8 6).
missing value BTBSTT14(8 6).
missing value BTBSNT14(8 6).
missing value BTBSTB15(8 6).
missing value BTBSTT15(8 6).
missing value BTBSNT15(8 6).
missing value BTBSTB16(8 6).
missing value BTBSTT16(8 6).
missing value BTBSNT16(8 6).
missing value BTBSTB17(8 6).
missing value BTBSTT17(8 6).
missing value BTBSNT17(8 6).
missing value BTBSTB18(8 6).
missing value BTBSTT18(8 6).
missing value BTBSNT18(8 6).
missing value BTBSTB19(8 6).
missing value BTBSTT19(8 6).
missing value BTBSNT19(8 6).
missing value BTBSTB20(8 6).
missing value BTBSTT20(8 6).
missing value BTBSNT20(8 6).
missing value BTBSTB21(8 6).
missing value BTBSTT21(8 6).
missing value BTBSNT21(8 6).
missing value BTBSTB22(8 6).
missing value BTBSTT22(8 6).
missing value BTBSNT22(8 6).
missing value BTBSTB23(8 6).
missing value BTBSTT23(8 6).
missing value BTBSNT23(8 6).
missing value BTBSTB24(8 6).
missing value BTBSTT24(8 6).
missing value BTBSNT24(8 6).
missing value BTBSTB25(8 6).
missing value BTBSTT25(8 6).
missing value BTBSNT25(8 6).
missing value BTBSTB26(8 6).
missing value BTBSTT26(8 6).
missing value BTBSNT26(8 6).
missing value BTBSTB27(8 6).
missing value BTBSTT27(8 6).
missing value BTBSNT27(8 6).
missing value BTBSTB28(8 6).
missing value BTBSTT28(8 6).
missing value BTBSNT28(8 6).
missing value BTBSTB29(8 6).
missing value BTBSTT29(8 6).
missing value BTBSNT29(8 6).
missing value BTBSTB30(8 6).
missing value BTBSTT30(8 6).
missing value BTBSNT30(8 6).
missing value BTBSTB31(8 6).
missing value BTBSTT31(8 6).
missing value BTBSNT31(8 6).
missing value BTBSLM01(8 6).
missing value BTBSLM02(8 6).
missing value BTBSLM03(8 6).
missing value BTBSLM04(8 6).
missing value BTBSLM05(8 6).
missing value BTBSLM06(8 6).
missing value BTBSLM07(8 6).
missing value BTBSLM08(8 6).
missing value BTBSLM09(8 6).
missing value BTBSLM10(8 6).
missing value BTBSLM11(8 6).
missing value BTBSLM12(8 6).
missing value BTBSLM13(8 6).
missing value BTBSLM14(8 6).
missing value BTBSLM15(8 6).
missing value BTBSLM16(8 6).
missing value BTBSHMW2(8 6).
missing value BTBSHWMA(8 6).
missing value BTBSWKBR(8 6).
missing value BTBSPROR(8 6).
missing value BTBSREAR(8 6).
missing value BTBSWRIR(8 6).
missing value BTBSDATR(8 6).
missing value BTBSIEXR(8 6).
missing value BTBSGEXR(8 6).
missing value BTBSFINR(8 6).
missing value BTBSORAR(8 6).
missing value BTBSJORR(8 6).
missing value BTBSWHNA(8 6).
missing value BTBSWHR1(8 6).
missing value BTBSWHR2(8 6).
missing value BTBSWHR3(8 6).
missing value BTBSWHR4(8 6).
missing value BTBSWHR5(8 6).
missing value BTBSWHR6(8 6).
missing value BTBSWHR7(8 6).
missing value BTBSWHR8(8 6).
missing value BTBSWGT1(8 6).
missing value BTBSWGT2(8 6).
missing value BTBSWGT3(8 6).
missing value BTBSWGT4(8 6).
missing value BTBSWGT5(8 6).
missing value BTBSWGT6(8 6).
missing value BTBSWGT7(8 6).
missing value BTBGASS1(8 6).
missing value BTBGASS2(8 6).
missing value BTBGASS3(8 6).
missing value BTBGASS4(8 6).
missing value BTBGASS5(8 6).
missing value BTBGASS6(8 6).
missing value BTDGSUBT(9998 9996).
missing value BTDGTSKT(9998 9996).
missing value BTDSSGRD(8 6).
missing value BTDSSQUA(8 6).
missing value BTDSEGRD(8 6).
missing value BTDSEQUA(8 6).
missing value BTDSBGRD(8 6).
missing value BTDSBQUA(8 6).
missing value BTDSPGRD(8 6).
missing value BTDSPQUA(8 6).
missing value BTDSCGRD(8 6).
missing value BTDSCQUA(8 6).
missing value BTDSCPTS(8 6).
missing value BTDSTPTT(9998 9996).
missing value BTDSSIZE(9998 9996).
missing value BTDSSZ3C(8 6).
missing value BTDSERPS(8 6).
missing value BTDSHTS (9998 9996).
missing value BTDSTIME(8 6).
missing value BTDSESH (8 6).
missing value BTDSHWK (98 96).
missing value BTDSHWK2(8 6).
missing value BTDGTTIM(9998 9996).
missing value BTDSTTIM(9998 9996).
missing value BTDGCPLN(9998 9996).
missing value BTDGADMN(9998 9996).
missing value BTDGOTHR(9998 9996).
missing value BTDGSMJ1(8 6).
missing value BTDGSMJ2(8 6).
missing value BTDGSMJ3(8 6).
missing value BTDGSMJ4(8 6).
missing value BTDGSMJ5(8 6).
missing value BTDGSMJ6(8 6).
missing value BTDGSMJ7(8 6).


*NOTE: These statements format the variable
       according to the length and decimal places.

format VERSION  (f2.0).
format IDCNTRY  (f5.0).
format IDSUBJCT (f1.0).
format IDPOP    (f1.0).
format IDSCHOOL (f6.0).
format IDTEACH  (f8.0).
format IDLINK   (f2.0).
format ITCOURSE (f2.0).
format BTBGAGE  (f1.0).
format BTBGSEX  (f1.0).
format BTBGTAUG (f2.0).
format BTBGTOTL (f2.0).
format BTBMSUB1 (f2.0).
format BTBSSUB2 (f2.0).
format BTBSSUB3 (f2.0).
format BTBSSUB4 (f2.0).
format BTBSSUB5 (f2.0).
format BTBSSUB6 (f2.0).
format BTBSSUB7 (f2.0).
format BTBSSUB8 (f2.0).
format BTBGSUB9 (f2.0).
format BTBGTSK1 (f2.0).
format BTBGTSK2 (f2.0).
format BTBGTSK3 (f2.0).
format BTBGTSK4 (f2.0).
format BTBGTSK5 (f2.0).
format BTBGTSK6 (f2.0).
format BTBGTSK7 (f2.0).
format BTBGACT1 (f1.0).
format BTBGACT2 (f1.0).
format BTBGACT3 (f1.0).
format BTBGACT4 (f1.0).
format BTBGACT5 (f1.0).
format BTBGACT6 (f1.0).
format BTBGACT7 (f1.0).
format BTBGACT8 (f1.0).
format BTBGACT9 (f1.0).
format BTBGALTO (f2.0).
format BTBGMEET (f1.0).
format BTBGINF1 (f1.0).
format BTBGINF2 (f1.0).
format BTBGINF3 (f1.0).
format BTBGINF4 (f1.0).
format BTBSIMP1 (f1.0).
format BTBSIMP2 (f1.0).
format BTBSIMP3 (f1.0).
format BTBSIMP4 (f1.0).
format BTBSIMP5 (f1.0).
format BTBSIMP6 (f1.0).
format BTBSAGR1 (f1.0).
format BTBSAGR2 (f1.0).
format BTBSAGR3 (f1.0).
format BTBSAGR4 (f1.0).
format BTBSAGR5 (f1.0).
format BTBSAGR6 (f1.0).
format BTBSAGR7 (f1.0).
format BTBSAGR8 (f1.0).
format BTBSAGR9 (f1.0).
format BTBSFAM1 (f1.0).
format BTBSFAM2 (f1.0).
format BTBGFAM3 (f1.0).
format BTBGFAM4 (f1.0).
format BTBGFAM5 (f1.0).
format BTBSFAM6 (f1.0).
format BTBSFAM7 (f1.0).
format BTBSFP01 (f1.0).
format BTBSFP02 (f1.0).
format BTBSFP03 (f1.0).
format BTBSFP04 (f1.0).
format BTBSFP05 (f1.0).
format BTBSFP06 (f1.0).
format BTBSFP07 (f1.0).
format BTBSFP08 (f1.0).
format BTBSFP09 (f1.0).
format BTBSFP10 (f1.0).
format BTBGEDUC (f1.0).
format BTBGTRAC (f1.0).
format BTBGYETR (f2.0).
format BTBGPRTR (f1.0).
format BTBGCMAS (f1.0).
format BTBGCMA1 (f1.0).
format BTBGCMA2 (f1.0).
format BTBGCMA3 (f1.0).
format BTBGCMA4 (f1.0).
format BTBGCMA5 (f1.0).
format BTBGCMA6 (f1.0).
format BTBGCMA7 (f1.0).
format BTBGCMA8 (f1.0).
format BTBGMMAS (f1.0).
format BTBGMMA1 (f1.0).
format BTBGMMA2 (f1.0).
format BTBGMMA3 (f1.0).
format BTBGMMA4 (f1.0).
format BTBGMMA5 (f1.0).
format BTBGMMA6 (f1.0).
format BTBGMMA7 (f1.0).
format BTBGMMA8 (f1.0).
format BTBGCARE (f1.0).
format BTBGCHNG (f1.0).
format BTBGSOAP (f1.0).
format BTBGSTAP (f1.0).
format BTBGBOOK (f1.0).
format BTBSBOY  (f3.0).
format BTBSGIRL (f3.0).
format BTDSTOEN (f3.0).
format BTBSSMEC (f1.0).
format BTBSTIME (f4.0).
format BTBSTXBK (f1.0).
format BTBSTXBR (f1.0).
format BTBSCUDL (f1.0).
format BTBSWECP (f1.0).
format BTBSCAL1 (f1.0).
format BTBSCAL2 (f1.0).
format BTBSCAL3 (f1.0).
format BTBSCAL4 (f1.0).
format BTBSCAL5 (f1.0).
format BTBSCOM1 (f1.0).
format BTBSCOM2 (f1.0).
format BTBSINT1 (f1.0).
format BTBSINT2 (f1.0).
format BTBSSRC1 (f1.0).
format BTBSSRC2 (f1.0).
format BTBSSRC3 (f1.0).
format BTBSSRC4 (f1.0).
format BTBSASK1 (f1.0).
format BTBSASK2 (f1.0).
format BTBSASK3 (f1.0).
format BTBSASK4 (f1.0).
format BTBSASK5 (f1.0).
format BTBSASK6 (f1.0).
format BTBSASK7 (f1.0).
format BTBSLES1 (f1.0).
format BTBSLES2 (f1.0).
format BTBSLES3 (f1.0).
format BTBSLES4 (f1.0).
format BTBSLES5 (f1.0).
format BTBSLES6 (f1.0).
format BTBSAC01 (f3.0).
format BTBSAC02 (f3.0).
format BTBSAC03 (f3.0).
format BTBSAC04 (f3.0).
format BTBSAC05 (f3.0).
format BTBSAC06 (f3.0).
format BTBSAC07 (f3.0).
format BTBSAC08 (f3.0).
format BTBSAC09 (f3.0).
format BTBSAC10 (f3.0).
format BTBSTB01 (f1.0).
format BTBSTT01 (f1.0).
format BTBSNT01 (f1.0).
format BTBSTB02 (f1.0).
format BTBSTT02 (f1.0).
format BTBSNT02 (f1.0).
format BTBSTB03 (f1.0).
format BTBSTT03 (f1.0).
format BTBSNT03 (f1.0).
format BTBSTB04 (f1.0).
format BTBSTT04 (f1.0).
format BTBSNT04 (f1.0).
format BTBSTB05 (f1.0).
format BTBSTT05 (f1.0).
format BTBSNT05 (f1.0).
format BTBSTB06 (f1.0).
format BTBSTT06 (f1.0).
format BTBSNT06 (f1.0).
format BTBSTB07 (f1.0).
format BTBSTT07 (f1.0).
format BTBSNT07 (f1.0).
format BTBSTB08 (f1.0).
format BTBSTT08 (f1.0).
format BTBSNT08 (f1.0).
format BTBSTB09 (f1.0).
format BTBSTT09 (f1.0).
format BTBSNT09 (f1.0).
format BTBSTB10 (f1.0).
format BTBSTT10 (f1.0).
format BTBSNT10 (f1.0).
format BTBSTB11 (f1.0).
format BTBSTT11 (f1.0).
format BTBSNT11 (f1.0).
format BTBSTB12 (f1.0).
format BTBSTT12 (f1.0).
format BTBSNT12 (f1.0).
format BTBSTB13 (f1.0).
format BTBSTT13 (f1.0).
format BTBSNT13 (f1.0).
format BTBSTB14 (f1.0).
format BTBSTT14 (f1.0).
format BTBSNT14 (f1.0).
format BTBSTB15 (f1.0).
format BTBSTT15 (f1.0).
format BTBSNT15 (f1.0).
format BTBSTB16 (f1.0).
format BTBSTT16 (f1.0).
format BTBSNT16 (f1.0).
format BTBSTB17 (f1.0).
format BTBSTT17 (f1.0).
format BTBSNT17 (f1.0).
format BTBSTB18 (f1.0).
format BTBSTT18 (f1.0).
format BTBSNT18 (f1.0).
format BTBSTB19 (f1.0).
format BTBSTT19 (f1.0).
format BTBSNT19 (f1.0).
format BTBSTB20 (f1.0).
format BTBSTT20 (f1.0).
format BTBSNT20 (f1.0).
format BTBSTB21 (f1.0).
format BTBSTT21 (f1.0).
format BTBSNT21 (f1.0).
format BTBSTB22 (f1.0).
format BTBSTT22 (f1.0).
format BTBSNT22 (f1.0).
format BTBSTB23 (f1.0).
format BTBSTT23 (f1.0).
format BTBSNT23 (f1.0).
format BTBSTB24 (f1.0).
format BTBSTT24 (f1.0).
format BTBSNT24 (f1.0).
format BTBSTB25 (f1.0).
format BTBSTT25 (f1.0).
format BTBSNT25 (f1.0).
format BTBSTB26 (f1.0).
format BTBSTT26 (f1.0).
format BTBSNT26 (f1.0).
format BTBSTB27 (f1.0).
format BTBSTT27 (f1.0).
format BTBSNT27 (f1.0).
format BTBSTB28 (f1.0).
format BTBSTT28 (f1.0).
format BTBSNT28 (f1.0).
format BTBSTB29 (f1.0).
format BTBSTT29 (f1.0).
format BTBSNT29 (f1.0).
format BTBSTB30 (f1.0).
format BTBSTT30 (f1.0).
format BTBSNT30 (f1.0).
format BTBSTB31 (f1.0).
format BTBSTT31 (f1.0).
format BTBSNT31 (f1.0).
format BTBSLM01 (f1.0).
format BTBSLM02 (f1.0).
format BTBSLM03 (f1.0).
format BTBSLM04 (f1.0).
format BTBSLM05 (f1.0).
format BTBSLM06 (f1.0).
format BTBSLM07 (f1.0).
format BTBSLM08 (f1.0).
format BTBSLM09 (f1.0).
format BTBSLM10 (f1.0).
format BTBSLM11 (f1.0).
format BTBSLM12 (f1.0).
format BTBSLM13 (f1.0).
format BTBSLM14 (f1.0).
format BTBSLM15 (f1.0).
format BTBSLM16 (f1.0).
format BTBSHMW2 (f1.0).
format BTBSHWMA (f1.0).
format BTBSWKBR (f1.0).
format BTBSPROR (f1.0).
format BTBSREAR (f1.0).
format BTBSWRIR (f1.0).
format BTBSDATR (f1.0).
format BTBSIEXR (f1.0).
format BTBSGEXR (f1.0).
format BTBSFINR (f1.0).
format BTBSORAR (f1.0).
format BTBSJORR (f1.0).
format BTBSWHNA (f1.0).
format BTBSWHR1 (f1.0).
format BTBSWHR2 (f1.0).
format BTBSWHR3 (f1.0).
format BTBSWHR4 (f1.0).
format BTBSWHR5 (f1.0).
format BTBSWHR6 (f1.0).
format BTBSWHR7 (f1.0).
format BTBSWHR8 (f1.0).
format BTBSWGT1 (f1.0).
format BTBSWGT2 (f1.0).
format BTBSWGT3 (f1.0).
format BTBSWGT4 (f1.0).
format BTBSWGT5 (f1.0).
format BTBSWGT6 (f1.0).
format BTBSWGT7 (f1.0).
format BTBGASS1 (f1.0).
format BTBGASS2 (f1.0).
format BTBGASS3 (f1.0).
format BTBGASS4 (f1.0).
format BTBGASS5 (f1.0).
format BTBGASS6 (f1.0).
format BTDGSUBT (f8.3).
format BTDGTSKT (f8.3).
format BTDSSGRD (f1.0).
format BTDSSQUA (f1.0).
format BTDSEGRD (f1.0).
format BTDSEQUA (f1.0).
format BTDSBGRD (f1.0).
format BTDSBQUA (f1.0).
format BTDSPGRD (f1.0).
format BTDSPQUA (f1.0).
format BTDSCGRD (f1.0).
format BTDSCQUA (f1.0).
format BTDSCPTS (f1.0).
format BTDSTPTT (f8.3).
format BTDSSIZE (f8.3).
format BTDSSZ3C (f1.0).
format BTDSERPS (f1.0).
format BTDSHTS  (f8.3).
format BTDSTIME (f1.0).
format BTDSESH  (f1.0).
format BTDSHWK  (f2.0).
format BTDSHWK2 (f1.0).
format BTDGTTIM (f8.3).
format BTDSTTIM (f8.3).
format BTDGCPLN (f8.3).
format BTDGADMN (f8.3).
format BTDGOTHR (f8.3).
format BTDGSMJ1 (f1.0).
format BTDGSMJ2 (f1.0).
format BTDGSMJ3 (f1.0).
format BTDGSMJ4 (f1.0).
format BTDGSMJ5 (f1.0).
format BTDGSMJ6 (f1.0).
format BTDGSMJ7 (f1.0).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want copressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata.

!doend
!enddefine

create country = AUS BFL BGR CAN CZE CYP FIN ENG HKG HUN
                 IDN IRN ISR ITA JOR JPN KOR LTU LVA MDA
                 MKD MYS NLD NZL PHL ROM RUS SGP SVN THA
                 TUN TWN USA ZAF CHL SVK MAR TUR.