get file = "d:\timss\data\bm2\bsgallm2.sav"
   / keep=idcntry idstud intms99 idgrader jkrep jkzone totwgt
          bsdgstdt.

select if not(missing(bsdgstdt)) and intms99=1 and idgrader = 2.

value labels
 idcntry
   036 'AUSTRALIA         '   956 'BELGIUM (Flemish) '   100 'BULGARIA          '
   124 'CANADA            '   152 'CHILE             '   196 'CYPRUS            '
   203 'CZECH REP.        '   926 'ENGLAND           '   246 'FINLAND           '
   344 'HONG KONG         '   348 'HUNGARY           '   360 'INDONESIA         '
   364 'IRAN, ISLAMIC REP.'   376 'ISRAEL            '   380 'ITALY             '
   400 'JORDAN            '   392 'JAPAN             '   410 'KOREA, REP. OF    '
   440 'LITHUANIA         '   428 'LATVIA            '   504 'MOROCCO           '
   498 'MOLDOVA, REP. OF  '   807 'MACEDONIA, REP. OF'   458 'MALAYSIA          '
   528 'NETHERLANDS       '   554 'NEW ZEALAND       '   608 'PHILIPPINES       '
   642 'ROMANIA           '   643 'RUSSIAN FEDERATION'   702 'SINGAPORE         '
   703 'SLOVAK REP.       '   705 'SLOVENIA          '   764 'THAILAND          '
   788 'TUNISIA           '   792 'TURKEY            '   158 'CHINESE TAIPEI    '
   840 'UNITED STATES     '   710 'SOUTH AFRICA      ' .

save outfile = student.

* Now use the macro to get the results.
include " d:\timss\programs\jackgen.sps".

jackgen
      infile = student          /
      cvar   = idcntry          /
      dvar   = bsdgstdt         /
      njkz   = 75               /
      jkz    = jkzone           /
      jkr    = jkrep            /
      wgt    = totwgt    .

sort cases by idcntry .

print format n (f6.0) totwgt (f10.0) mnx mnx_se pct pct_se (f6.2).

report format=list automatic
 / var   = n totwgt mnx mnx_se pct pct_se
 / break = idcntry .
