libname bm2 "d:\timss\data\bm2";

%include "d:\UserGuide\Programs\jackpv.sas";

data student;
 set bm2.bsgallm2;
  where bsbgbook in(1,2,3,4,5) and intms99 = 1 and idgrader = 2;

* Define the format for the variables used;
proc format library=work;
 value books 1 = "None or very few (0-10)"
             2 = "For 1 shelf (11-25)"
             3 = "For 1 bookcase (26-100)"
             4 = "For 2 bookcases (101-200)"
             5 = "For 3 or more bookcases (>200)";

 value country
 036= 'AUSTRALIA         '   956= 'BELGIUM (Flemish) '   100= 'BULGARIA          '
 124= 'CANADA            '   152= 'CHILE             '   196= 'CYPRUS            '
 203= 'CZECH REP.        '   926= 'ENGLAND           '   246= 'FINLAND           '
 344= 'HONG KONG         '   348= 'HUNGARY           '   360= 'INDONESIA         '
 364= 'IRAN, ISLAMIC REP.'   376= 'ISRAEL            '   380= 'ITALY             '
 400= 'JORDAN            '   392= 'JAPAN             '   410= 'KOREA, REP. OF    '
 440= 'LITHUANIA         '   428= 'LATVIA            '   504= 'MOROCCO           '
 498= 'MOLDOVA, REP. OF  '   807= 'MACEDONIA, REP. OF'   458= 'MALAYSIA          '
 528= 'NETHERLANDS       '   554= 'NEW ZEALAND       '   608= 'PHILIPPINES       '
 642= 'ROMANIA           '   643= 'RUSSIAN FEDERATION'   702= 'SINGAPORE         '
 703= 'SLOVAK REP.       '   705= 'SLOVENIA          '   764= 'THAILAND          '
 788= 'TUNISIA           '   792= 'TURKEY            '   158= 'CHINESE TAIPEI    '
 840= 'UNITED STATES     '   710= 'SOUTH AFRICA      ';

%jackpv (totwgt , jkzone, jkrep, 75, idcntry bsbgbook, bsssci0, 5, student);

proc print data=final noobs;
     by idcntry ;
     var bsbgbook N totwgt mnpv mnpv_se pct pct_se;
     format idcntry country. bsbgbook books.
            N 6.0 totwgt 10.0 mnpv mnpv_se pct pct_se 6.2;

run;
