SET DECIMAL = DOT.

define create (country=!charend('/')).

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,bcg,!cty,'m2.dat"').
!let !savdata = !concat('"',!savpath,bcg,!cty,'m2.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /VERSION     1-   2     
  IDCNTRY     3-   7     
  IDPOP       8-   8     
  IDSCHOOL    9-  14     
  BCBGCOMM   15-  15     
  BCBGFTE1   16-  19 (1)
  BCBGFTE2   20-  23 (1)
  BCBGFTE3   24-  27 (1)
  BCBGFTE4   28-  32 (1)
  BCBGFTE5   33-  37 (1)
  BCBGFTE6   38-  42 (1)
  BCBGFTE7   43-  47 (1)
  BCBGFTE8   48-  52 (1)
  BCBGFTTE   53-  55     
  BCBGPTTE   56-  58     
  BCBGTE5Y   59-  61     
  BCBMTSA1   62-  62     
  BCBSTSA2   63-  63     
  BCBSTSA3   64-  64     
  BCBSTSA4   65-  65     
  BCBSTSA5   66-  66     
  BCBSTSA6   67-  67     
  BCBGCOL1   68-  68     
  BCBGCOL2   69-  69     
  BCBGCOL3   70-  70     
  BCBGAC01   71-  73     
  BCBGAC02   74-  76     
  BCBGAC03   77-  79     
  BCBGAC04   80-  82     
  BCBGAC05   83-  85     
  BCBGAC06   86-  88     
  BCBGAC07   89-  91     
  BCBGAC08   92-  94     
  BCBGAC09   95-  97     
  BCBGAC10   98- 100     
  BCBGAC11  101- 103     
  BCBGAC12  104- 106     
  BCBGAC13  107- 109     
  BCBGAC14  110- 112     
  BCBGRP01  113- 113     
  BCBGRP02  114- 114     
  BCBGRP03  115- 115     
  BCBGRP04  116- 116     
  BCBGRP05  117- 117     
  BCBGRP06  118- 118     
  BCBGRP07  119- 119     
  BCBGRP08  120- 120     
  BCBGRP09  121- 121     
  BCBGRP10  122- 122     
  BCBGRP11  123- 123     
  BCBGRP12  124- 124     
  BCBGRP13  125- 125     
  BCBGRP14  126- 126     
  BCBGIF01  127- 127     
  BCBGIF02  128- 128     
  BCBGIF03  129- 129     
  BCBGIF04  130- 130     
  BCBGIF05  131- 131     
  BCBGIF06  132- 132     
  BCBGIF07  133- 133     
  BCBGIF08  134- 134     
  BCBGIF09  135- 135     
  BCBGIF10  136- 136     
  BCBGIF11  137- 137     
  BCBGIF12  138- 138     
  BCBGIF13  139- 139     
  BCBGIF14  140- 140     
  BCBGIF15  141- 141     
  BCBMCURR  142- 142     
  BCBSCURR  143- 143     
  BCBMDVLP  144- 144     
  BCBSDVLP  145- 145     
  BCBGST01  146- 146     
  BCBGST02  147- 147     
  BCBGST03  148- 148     
  BCBGST04  149- 149     
  BCBGST05  150- 150     
  BCBGST06  151- 151     
  BCBMST07  152- 152     
  BCBMST08  153- 153     
  BCBMST09  154- 154     
  BCBMST10  155- 155     
  BCBMST11  156- 156     
  BCBSST12  157- 157     
  BCBSST13  158- 158     
  BCBSST14  159- 159     
  BCBSST15  160- 160     
  BCBSST16  161- 161     
  BCBSST17  162- 162     
  BCBSST18  163- 163     
  BCBSST19  164- 164     
  BCBSST20  165- 165     
  BCBSST21  166- 166     
  BCBSST22  167- 167     
  BCBSST23  168- 168     
  BCBGBENR  169- 173     
  BCBGGENR  174- 178     
  BCBGABST  179- 181     
  BCBGENDY  182- 184     
  BCBGTNSF  185- 187     
  BCBGUBER  188- 191     
  BCBGUGER  192- 195     
  BCBGUBRT  196- 198     
  BCBGUGRT  199- 201     
  BCBGUSIZ  202- 204     
  BCBGUMGR  205- 207     
  BCBGCMP1  208- 210     
  BCBGCMP2  211- 213     
  BCBGCMP3  214- 216     
  BCBGIACC  217- 217     
  BCBGACPL  218- 218     
  BCBGACYE  219- 222     
  BCBGNAC2  223- 223     
  BCBGNAC3  224- 224     
  BCBGWBI1  225- 225     
  BCBGWBI2  226- 226     
  BCBGWBI3  227- 227     
  BCBGWBI4  228- 228     
  BCBGWBI5  229- 229     
  BCBGUF01  230- 230     
  BCBGUS01  231- 231     
  BCBGUF02  232- 232     
  BCBGUS02  233- 233     
  BCBGUF03  234- 234     
  BCBGUS03  235- 235     
  BCBGUF04  236- 236     
  BCBGUS04  237- 237     
  BCBGUF05  238- 238     
  BCBGUS05  239- 239     
  BCBGUF06  240- 240     
  BCBGUS06  241- 241     
  BCBGUF07  242- 242     
  BCBGUS07  243- 243     
  BCBGUF08  244- 244     
  BCBGUS08  245- 245     
  BCBGUF09  246- 246     
  BCBGUS09  247- 247     
  BCBGUF10  248- 248     
  BCBGUS10  249- 249     
  BCBGUF11  250- 250     
  BCBGUS11  251- 251     
  BCBGUF12  252- 252     
  BCBGUS12  253- 253     
  BCBGUF13  254- 254     
  BCBGUS13  255- 255     
  BCBGUF14  256- 256     
  BCBGUS14  257- 257     
  BCBGUF15  258- 258     
  BCBGUS15  259- 259     
  BCBGUF16  260- 260     
  BCBGUS16  261- 261     
  BCBGUF17  262- 262     
  BCBGUS17  263- 263     
  BCBGUF18  264- 264     
  BCBGUS18  265- 265     
  BCBGUDYY  266- 268     
  BCBGUFLW  269- 269     
  BCBGUHFW  270- 270     
  BCBGUTHW  271- 272     
  BCBGUIHW  273- 274     
  BCBGDIVI  275- 275     
  BCBGUPDW  276- 277     
  BCBGUTMP  278- 280     
  BCBMODF1  281- 281     
  BCBMODF2  282- 282     
  BCBMODF3  283- 283     
  BCBMODF4  284- 284     
  BCBMODF5  285- 285     
  BCBMUC3   286- 287     
  BCBMUFC1  288- 288     
  BCBMUFC2  289- 289     
  BCBMUFC3  290- 290     
  BCBMUFC4  291- 291     
  BCBMUFC5  292- 292     
  BCBMUFC6  293- 293     
  BCBMUFC7  294- 294     
  BCBMUFC8  295- 295     
  BCBSODF1  296- 296     
  BCBSODF2  297- 297     
  BCBSODF3  298- 298     
  BCBSODF4  299- 299     
  BCBSODF5  300- 300     
  BCBSUC3   301- 302     
  BCBSUFC1  303- 303     
  BCBSUFC2  304- 304     
  BCBSUFC3  305- 305     
  BCBSUFC4  306- 306     
  BCBSUFC5  307- 307     
  BCBSUFC6  308- 308     
  BCBSUFC7  309- 309     
  BCBSUFC8  310- 310     
  BCBGBS01  311- 311     
  BCBGBS02  312- 312     
  BCBGBS03  313- 313     
  BCBGBS04  314- 314     
  BCBGBS05  315- 315     
  BCBGBS06  316- 316     
  BCBGBS07  317- 317     
  BCBGBS08  318- 318     
  BCBGBS09  319- 319     
  BCBGBS10  320- 320     
  BCBGBS11  321- 321     
  BCBGBS12  322- 322     
  BCBGBS13  323- 323     
  BCBGEP01  324- 324     
  BCBGEP02  325- 325     
  BCBGEP03  326- 326     
  BCBGEP04  327- 327     
  BCBGEP05  328- 328     
  BCBGEP06  329- 329     
  BCBGEP07  330- 330     
  BCBGEP08  331- 331     
  BCBGEP09  332- 332     
  BCBGEP10  333- 333     
  BCDGUTER  334- 338 (1)
  BCDGUTRT  339- 342 (1)
  BCDGAAIT  343- 348 (1)
  BCDGAYTS  349- 354 (1)
  BCDGPHSI  355- 359 (1)
  BCDGTENR  360- 364     
  BCDGSTRA  365- 369 (1)
  BCDMASR   370- 370     
  BCDGSA    371- 371     
  BCDGSSE   372- 372     
  BCDGCMRC  373- 373     
  BCDGINT   374- 374     
  BCDGINST  375- 382 (3)
  BCDGCMUN  383- 390 (3)
  BCDGADMN  391- 398 (3)
  BCDGTEAC  399- 406 (3)
  BCDMMOIN  407- 407     
  BCDGVOL   408- 408     
  BCDGSERV  409- 409     
  BCDSASR   410- 410     
  BCDSMOIN  411- 411     
  CSYSTEM   412- 414     
  WGTFAC1   415- 421 (2)
  WGTADJ1   422- 427 (3)
  SCHWGT    428- 435 (3)
  STOTWGTU  436- 443 (2)
  JKCZONE   444- 445     
  JKCREP    446- 446     
  DPCDATE   447- 452     .


*NOTE: Assignment of variable labels.

variable labels   VERSION  "*VERSION NUMBER*" 
                 /IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /BCBGCOMM "GEN\TYPE OF COMMUNITY" 
                 /BCBGFTE1 "GEN\STAFF\PRINCIPALS" 
                 /BCBGFTE2 "GEN\STAFF\ASSISTANT PRINCIPALS" 
                 /BCBGFTE3 "GEN\STAFF\DEPARTMENT HEADS" 
                 /BCBGFTE4 "GEN\STAFF\CLASSROOM TEACHERS" 
                 /BCBGFTE5 "GEN\STAFF\TEACHER AIDES" 
                 /BCBGFTE6 "GEN\STAFF\LABORATORY TECHNICIANS" 
                 /BCBGFTE7 "GEN\STAFF\LEARNING SPECIALISTS" 
                 /BCBGFTE8 "GEN\STAFF\OTHER PROFESSIONAL STAFF" 
                 /BCBGFTTE "GEN\NUMBER OF FULL-TIME TEACHERS" 
                 /BCBGPTTE "GEN\NUMBER OF PART-TIME TEACHERS" 
                 /BCBGTE5Y "GEN\TEACHER AT SCHOOL FOR 5+ YEARS" 
                 /BCBMTSA1 "MAT\TIME STUDENTS STAY WITH TEACHER MATH" 
                 /BCBSTSA2 "SCI\TIME STUDENTS STAY WITH TEACHER SCI" 
                 /BCBSTSA3 "SCI\TIME STUDENTS STAY WITH TEACHER BIO" 
                 /BCBSTSA4 "SCI\TIME STUDENTS STAY WITH TEACHER CHEM" 
                 /BCBSTSA5 "SCI\TIME STUDENTS STAY WITH TEACHER EART" 
                 /BCBSTSA6 "SCI\TIME STUDENTS STAY WITH TEACHER PHYS" 
                 /BCBGCOL1 "GEN\COOPERATION\OFFICIAL POLICY" 
                 /BCBGCOL2 "GEN\COOPERATION\ENCOURAGED" 
                 /BCBGCOL3 "GEN\COOPERATION\REGULAR MEETINGS" 
                 /BCBGAC01 "GEN\PRINCIPAL\HIRE TEACHERS" 
                 /BCBGAC02 "GEN\PRINCIPAL\REPRESENT\COMMUNITY" 
                 /BCBGAC03 "GEN\PRINCIPAL\REPRESENT\OFFCL MEETNG" 
                 /BCBGAC04 "GEN\PRINCIPAL\INTERNAL ADMINISTRATN" 
                 /BCBGAC05 "GEN\PRINCIPAL\TEACHING + PREPARATION" 
                 /BCBGAC06 "GEN\PRINCIPAL\DEMONSTRATION LESSON" 
                 /BCBGAC07 "GEN\PRINCIPAL\DISCUSS WITH TEACHERS" 
                 /BCBGAC08 "GEN\PRINCIPAL\CURRICULUM REVISION" 
                 /BCBGAC09 "GEN\PRINCIPAL\TALK WITH PARENTS" 
                 /BCBGAC10 "GEN\PRINCIPAL\COUNSELING STUDENTS" 
                 /BCBGAC11 "GEN\PRINCIPAL\RESPONDING TO REQUESTS" 
                 /BCBGAC12 "GEN\PRINCIPAL\TRAIN TEACHERS" 
                 /BCBGAC13 "GEN\PRINCIPAL\PROFESSIONAL DEVELPMNT" 
                 /BCBGAC14 "GEN\PRINCIPAL\OTHER ACTIVITIES" 
                 /BCBGRP01 "GEN\RESPONSIBLE\HIRE TEACHERS" 
                 /BCBGRP02 "GEN\RESPONSIBLE\DISCIPLINARY POLICY" 
                 /BCBGRP03 "GEN\RESPONSIBLE\GRADING POLICY" 
                 /BCBGRP04 "GEN\RESPONSIBLE\SCHOOL BUDGET" 
                 /BCBGRP05 "GEN\RESPONSIBLE\PURCHASE SUPPLIES" 
                 /BCBGRP06 "GEN\RESPONSIBLE\PLACE STUDENTS" 
                 /BCBGRP07 "GEN\RESPONSIBLE\ASSIGN TEACHERS" 
                 /BCBGRP08 "GEN\RESPONSIBLE\DETERMINE TEXBOOKS" 
                 /BCBGRP09 "GEN\RESPONSIBLE\HOMEWORK POLICY" 
                 /BCBGRP10 "GEN\RESPONSIBLE\TEACHER SALARIES" 
                 /BCBGRP11 "GEN\RESPONSIBLE\COMMUNITY RELATIONS" 
                 /BCBGRP12 "GEN\RESPONSIBLE\STUDENTS' FAMILIES" 
                 /BCBGRP13 "GEN\RESPONSIBLE\COURSE CONTENT" 
                 /BCBGRP14 "GEN\RESPONSIBLE\COURSE OFFERINGS" 
                 /BCBGIF01 "GEN\INFLUENCE\NATIONAL COUNCIL" 
                 /BCBGIF02 "GEN\INFLUENCE\NATIONAL ASSOCIATION" 
                 /BCBGIF03 "GEN\INFLUENCE\EDUCATIONAL REGION" 
                 /BCBGIF04 "GEN\INFLUENCE\SCHOOL GOVERNING BOARD" 
                 /BCBGIF05 "GEN\INFLUENCE\PRINCIPAL OR HEAD" 
                 /BCBGIF06 "GEN\INFLUENCE\SCHOOL TEACHERS" 
                 /BCBGIF07 "GEN\INFLUENCE\SUBJECT TEACHERS" 
                 /BCBGIF08 "GEN\INFLUENCE\TEACHER INDIVIDUALLY" 
                 /BCBGIF09 "GEN\INFLUENCE\PARENTS" 
                 /BCBGIF10 "GEN\INFLUENCE\STUDENTS" 
                 /BCBGIF11 "GEN\INFLUENCE\RELIGIOUS GROUPS" 
                 /BCBGIF12 "GEN\INFLUENCE\BUSINESS COMMUNITY" 
                 /BCBGIF13 "GEN\INFLUENCE\TEXTBOOK PUBLISHERS" 
                 /BCBGIF14 "GEN\INFLUENCE\EXTERNAL EXAMS" 
                 /BCBGIF15 "GEN\INFLUENCE\TEACHER UNIONS" 
                 /BCBMCURR "MAT\OWN SCHOOL CURRICULUM CONTENT" 
                 /BCBSCURR "SCI\OWN SCHOOL CURRICULUM CONTENT" 
                 /BCBMDVLP "MAT\DEVELOPED INSTRUCTIONAL ACTIVITIES" 
                 /BCBSDVLP "SCI\DEVELOPED INSTRUCTIONAL ACTIVITIES" 
                 /BCBGST01 "GEN\SHORTAGE\INSTRUCTIONAL MATERIALS" 
                 /BCBGST02 "GEN\SHORTAGE\BUDGET FOR SUPPLIES" 
                 /BCBGST03 "GEN\SHORTAGE\SCHOOL BUILDINGS" 
                 /BCBGST04 "GEN\SHORTAGE\HEATING AND LIGHTING" 
                 /BCBGST05 "GEN\SHORTAGE\INSTRUCTIONAL SPACE" 
                 /BCBGST06 "GEN\SHORTAGE\HANDICAPPED FACILITIES" 
                 /BCBMST07 "MAT\SHORTAGE\COMPUTER HARDWARE" 
                 /BCBMST08 "MAT\SHORTAGE\COMPUTER SOFTWARE" 
                 /BCBMST09 "MAT\SHORTAGE\CALCULATORS" 
                 /BCBMST10 "MAT\SHORTAGE\LIBRARY MATERIALS" 
                 /BCBMST11 "MAT\SHORTAGE\AUDIO-VISUAL RESOURCES" 
                 /BCBSST12 "SCI\SHORTAGE\LABORATORY EQUIPMENT" 
                 /BCBSST13 "SCI\SHORTAGE\COMPUTER HARDWARE" 
                 /BCBSST14 "SCI\SHORTAGE\COMPUTER SOFTWARE" 
                 /BCBSST15 "SCI\SHORTAGE\CALCULATORS" 
                 /BCBSST16 "SCI\SHORTAGE\LIBRARY MATERIALS" 
                 /BCBSST17 "SCI\SHORTAGE\AUDIO-VISUAL RESOURCES" 
                 /BCBSST18 "MAT\SHORTAGE\TEACHERS QUALIFIED MATH" 
                 /BCBSST19 "SCI\SHORTAGE\TEACHERS QUALIFIED SCI" 
                 /BCBSST20 "SCI\SHORTAGE\TEACHERS QUALIFIED BIO" 
                 /BCBSST21 "SCI\SHORTAGE\TEACHERS QUALIFIED CHEM" 
                 /BCBSST22 "SCI\SHORTAGE\TEACHERS QUALIFIED EARTH" 
                 /BCBSST23 "SCI\SHORTAGE\TEACHERS QUALIFIED PHYSICS" 
                 /BCBGBENR "GEN\TOTAL SCHOOL ENROLLMENT\BOYS" 
                 /BCBGGENR "GEN\TOTAL SCHOOL\ENROLLMENT\GIRLS" 
                 /BCBGABST "GEN\STUDENT\PERC ABSENT" 
                 /BCBGENDY "GEN\STUDENT\PERC FINISHING SCHOOL YEAR" 
                 /BCBGTNSF "GEN\STUDENT\PERC TRANSFERRING INTO SCHL" 
                 /BCBGUBER "GEN\U-GRADE\ENROLLMENT\BOYS" 
                 /BCBGUGER "GEN\U-GRADE\ENROLLMENT\GIRLS" 
                 /BCBGUBRT "GEN\U-GRADE\REPEATING GRADE\BOYS" 
                 /BCBGUGRT "GEN\U-GRADE\REPEATING GRADE\GIRLS" 
                 /BCBGUSIZ "GEN\U-GRADE\AVERAGE CLASS SIZE" 
                 /BCBGUMGR "GEN\U-GRADE\# IN MULTI-GRADE CLASSRM" 
                 /BCBGCMP1 "GEN\COMPUTERS\STUDENT\INSTRUCTIONAL" 
                 /BCBGCMP2 "GEN\COMPUTERS\TEACHER\INSTRUCTION" 
                 /BCBGCMP3 "GEN\COMPUTERS\AVAILABLE" 
                 /BCBGIACC "GEN\SCHOOL ACCESS TO INTERNET" 
                 /BCBGACPL "GEN\SCHOOL PLANNING INTERNET ACCESS" 
                 /BCBGACYE "GEN\EXPECT SCHOOL INTERNET ACCESS" 
                 /BCBGNAC2 "GEN\PERCENT COMPUTERS ACCESS TO E-MAIL" 
                 /BCBGNAC3 "GEN\PERCENT COMPUTERS ACCESS TO WWW" 
                 /BCBGWBI1 "GEN\AVAILABLE ON WWW\INFO ABOUT SCHOOL" 
                 /BCBGWBI2 "GEN\AVAILABLE ON WWW\MATH CURRICULUM" 
                 /BCBGWBI3 "GEN\AVAILABLE ON WWW\SCIENCE CURRICULUM" 
                 /BCBGWBI4 "GEN\AVAILABLE ON WWW\MATH ACTIVITIES" 
                 /BCBGWBI5 "GEN\AVAILABLE ON WWW\SCIENCE ACTIVITIES" 
                 /BCBGUF01 "GEN\BEHAVIOR\ARRIVE LATE AT SCHOOL" 
                 /BCBGUS01 "GEN\BEHAVIOR\SEV ARRIVE LATE AT SCHOOL" 
                 /BCBGUF02 "GEN\BEHAVIOR\ABSENTEEISM" 
                 /BCBGUS02 "GEN\BEHAVIOUR\SEV ABSENTEEISM" 
                 /BCBGUF03 "GEN\BEHAVIOR\SKIPPING CLASS" 
                 /BCBGUS03 "GEN\BEHAVIOR\SEV SKIPPING CLASS" 
                 /BCBGUF04 "GEN\BEHAVIOR\VIOLATING DRESS CODE" 
                 /BCBGUS04 "GEN\BEHAVIOR\SEV VIOLATING DRESS CODE" 
                 /BCBGUF05 "GEN\BEHAVIOR\CLASSROOM DISTURBANCE" 
                 /BCBGUS05 "GEN\BEHAVIOR\SEV CLASSROOM DISTURBANCE" 
                 /BCBGUF06 "GEN\BEHAVIOR\CHEATING" 
                 /BCBGUS06 "GEN\BEHAVIOR\SEV CHEATING" 
                 /BCBGUF07 "GEN\BEHAVIOR\PROFANITY" 
                 /BCBGUS07 "GEN\BEHAVIOR\SEV PROFANITY" 
                 /BCBGUF08 "GEN\BEHAVIOR\VANDALISM" 
                 /BCBGUS08 "GEN\BEHAVIOR\SEV VANDALISM" 
                 /BCBGUF09 "GEN\BEHAVIOR\THEFT" 
                 /BCBGUS09 "GEN\BEHAVIOR\SEV THEFT" 
                 /BCBGUF10 "GEN\BEHAVIOR\INTIMIDATION OF STUDNTS" 
                 /BCBGUS10 "GEN\BEHAVIOR\SEV INTIMIDATION OF STUDNTS" 
                 /BCBGUF11 "GEN\BEHAVIOR\INJURY TO STUDENTS" 
                 /BCBGUS11 "GEN\BEHAVIOR\SEV INJURY TO STUDENTS" 
                 /BCBGUF12 "GEN\BEHAVIOR\INTIMIDATION OF TEACHRS" 
                 /BCBGUS12 "GEN\BEHAVIOR\SEV INTIMIDATN OF TEACHRS" 
                 /BCBGUF13 "GEN\BEHAVIOR\INJURY TO TEACHERS" 
                 /BCBGUS13 "GEN\BEHAVIOR\SEV INJURY TO TEACHERS" 
                 /BCBGUF14 "GEN\BEHAVIOR\TOBACCO USE" 
                 /BCBGUS14 "GEN\BEHAVIOR\SEV TOBACCO USE" 
                 /BCBGUF15 "GEN\BEHAVIOR\ALCOHOL USE" 
                 /BCBGUS15 "GEN\BEHAVIOR\SEV ALCOHOL USE" 
                 /BCBGUF16 "GEN\BEHAVIOR\ILLEGAL DRUG USE" 
                 /BCBGUS16 "GEN\BEHAVIOR\SEV ILLEGAL DRUG USE" 
                 /BCBGUF17 "GEN\BEHAVIOR\WEAPON USE" 
                 /BCBGUS17 "GEN\BEHAVIOR\SEV WEAPON USE" 
                 /BCBGUF18 "GEN\BEHAVIOR\INAPPROPRIATE SEXUAL" 
                 /BCBGUS18 "GEN\BEHAVIOR\SEV INAPPROPRIATE SEXUAL" 
                 /BCBGUDYY "GEN\U-GRADE\DAYS PER YEAR" 
                 /BCBGUFLW "GEN\U-GRADE\FULL DAYS PER WEEK" 
                 /BCBGUHFW "GEN\U-GRADE\HALF DAYS PER WEEK" 
                 /BCBGUTHW "GEN\U-GRADE\# TOTAL HOURS PER WEEK" 
                 /BCBGUIHW "GEN\U-GRADE\# INSTR HOURS PER WEEK" 
                 /BCBGDIVI "GEN\DIVISION INTO INSTR HOURS" 
                 /BCBGUPDW "GEN\U-GRADE\INST PERIODS PER WEEK" 
                 /BCBGUTMP "GEN\U-GRADE\DURATION OF INSTR PERIOD" 
                 /BCBMODF1 "MAT\ORGANIZE DIFFERENTLY\DIFFERENT LEVEL" 
                 /BCBMODF2 "MAT\ORGANIZE DIFFERENTLY\ABILITY" 
                 /BCBMODF3 "MAT\ORGANIZE DIFFERENTLY\ENRICHEMENT" 
                 /BCBMODF4 "MAT\ORGANIZE DIFFERENTLY\REMEDIAL" 
                 /BCBMODF5 "MAT\ORGANIZE DIFFERENTLY\DIFF. CONTENT" 
                 /BCBMUC3  "MAT\U-GRADE\COURSES AVAILABLE" 
                 /BCBMUFC1 "MAT\U-GRADE\ACADEMIC PERFORMANCE" 
                 /BCBMUFC2 "MAT\U-GRADE\STANDARDIZED TEST" 
                 /BCBMUFC3 "MAT\U-GRADE\ENTRANCE EXAMINATION" 
                 /BCBMUFC4 "MAT\U-GRADE\ORAL EXAMINATION" 
                 /BCBMUFC5 "MAT\U-GRADE\TEACHER RECOMMENDATIONS" 
                 /BCBMUFC6 "MAT\U-GRADE\PARENTAL WISHES" 
                 /BCBMUFC7 "MAT\U-GRADE\STUDENT'S OWN WISHES" 
                 /BCBMUFC8 "MAT\U-GRADE\CURRICULAR REQUIREMENTS" 
                 /BCBSODF1 "SCI\ORGANIZE DIFFERENTLY\DIFFERENT LEVEL" 
                 /BCBSODF2 "SCI\ORGANIZE DIFFERENTLY\ABILITY" 
                 /BCBSODF3 "SCI\ORGANIZE DIFFERENTLY\ENRICHMENT" 
                 /BCBSODF4 "SCI\ORGANIZE DIFFERENTLY\REMEDIAL" 
                 /BCBSODF5 "SCI\ORGANIZE DIFFERENTLY\DIFF. CONTENT" 
                 /BCBSUC3  "SCI\U-GRADE\COURSES AVAILABLE" 
                 /BCBSUFC1 "SCI\U-GRADE\ACADEMIC PERFORMANCE" 
                 /BCBSUFC2 "SCI\U-GRADE\STANDARDIZED TEST" 
                 /BCBSUFC3 "SCI\U-GRADE\ENTRANCE EXAMINATION" 
                 /BCBSUFC4 "SCI\U-GRADE\ORAL EXAMINATION" 
                 /BCBSUFC5 "SCI\U-GRADE\TEACHER RECOMMENDATIONS" 
                 /BCBSUFC6 "SCI\U-GRADE\PARENTAL WISHES" 
                 /BCBSUFC7 "SCI\U-GRADE\STUDENT'S OWN WISHES" 
                 /BCBSUFC8 "SCI\U-GRADE\CURRICULAR REQUIREMENTS" 
                 /BCBGBS01 "GEN\ADMITTNC\RESIDENCE IN AREA" 
                 /BCBGBS02 "GEN\ADMITTNC\ACADEMIC PERFORMANCE" 
                 /BCBGBS03 "GEN\ADMITTNC\INTERVIEW WITH STUDENT" 
                 /BCBGBS04 "GEN\ADMITTNC\INTERVIEW WITH PARENTS" 
                 /BCBGBS05 "GEN\ADMITTNC\FAMLY MEMBERS AT SCHOOL" 
                 /BCBGBS06 "GEN\ADMITTNC\DATE OF APPLICATION" 
                 /BCBGBS07 "GEN\ADMITTNC\TEACHER RECOMMENDATION" 
                 /BCBGBS08 "GEN\ADMITTNC\FROM PARTICULAR SCHOOL" 
                 /BCBGBS09 "GEN\ADMITTNC\FORMER STUDENT'S CHILD" 
                 /BCBGBS10 "GEN\ADMITTNC\STANDARDIZED TEST" 
                 /BCBGBS11 "GEN\ADMITTNC\ENTRANCE EXAMINATION" 
                 /BCBGBS12 "GEN\ADMITTNC\ORAL EXAMINATION" 
                 /BCBGBS13 "GEN\ADMITTNC\OTHER" 
                 /BCBGEP01 "GEN\EXPECT PARENTS\NOTIFY PROBLEMS" 
                 /BCBGEP02 "GEN\EXPECT PARENTS\TEACHER AIDES" 
                 /BCBGEP03 "GEN\EXPECT PARENTS\RAISE FOUNDS" 
                 /BCBGEP04 "GEN\EXPECT PARENTS\VOLUNTEER SC PROJECTS" 
                 /BCBGEP05 "GEN\EXPECT PARENTS\HOMEWORK COMPLETE" 
                 /BCBGEP06 "GEN\EXPECT PARENTS\ASSISTANCE ON TRIPS" 
                 /BCBGEP07 "GEN\EXPECT PARENTS\PREPARE LUNCHBOX" 
                 /BCBGEP08 "GEN\EXPECT PARENTS\MONITOR BEHAVIOUR" 
                 /BCBGEP09 "GEN\EXPECT PARENTS\SELECT SC PERSONNEL" 
                 /BCBGEP10 "GEN\EXPECT PARENTS\REVIEW SC FINANCES" 
                 /BCDGUTER "GEN\U-GRADE\ENROLLMENT" 
                 /BCDGUTRT "GEN\U-GRADE\REPEATING GRADE\STUDEN" 
                 /BCDGAAIT "GEN\YEARLY INSTRUCTIONAL TIME IN HRS" 
                 /BCDGAYTS "GEN\YEARLY TOTAL TIME IN SCHOOL IN HRS" 
                 /BCDGPHSI "GEN\PERCENT OF HRS SPENT ON INSTRUCTION" 
                 /BCDGTENR "GEN\TOTAL ENROLLMENT" 
                 /BCDGSTRA "GEN\STUDENT/TEACHER RATIO" 
                 /BCDMASR  "MAT\AVAILABILITY OF SCH. RES. FOR MATH" 
                 /BCDGSA   "GEN\SCHOOL ATTENDANCE" 
                 /BCDGSSE  "GEN\SAFE SCHOOL ENVIRONMENT" 
                 /BCDGCMRC "GEN\AVAILABILITY OF COMPUTERS IN CAT." 
                 /BCDGINT  "GEN\ACCESS TO INTERNET" 
                 /BCDGINST "GEN\HRS. ON INSTRUCTION LEADERSHIP" 
                 /BCDGCMUN "GEN\HRS. ON COMMUNICATING W/PARE./STU." 
                 /BCDGADMN "GEN\HRS. ON ADMINISTRATIVE WORK" 
                 /BCDGTEAC "GEN\HRS. ON TEACHING" 
                 /BCDMMOIN "MAT\METHODS OF INSTRUCTION" 
                 /BCDGVOL  "GEN\EXPECT PARENTS AS VOLUNTEER..." 
                 /BCDGSERV "GEN\EXPECT PARENTS SERVE ON COMMITTEES" 
                 /BCDSASR  "SCI\AVAILABILITY OF SCH. RES. FOR SCI" 
                 /BCDSMOIN "SCI\METHODS OF INSTRUCTION" 
                 /CSYSTEM  "*SYSTEM ID SCHOOL FILE*" 
                 /WGTFAC1  "*1ST STAGE WEIGHT (SCHOOL WEIGHT)*" 
                 /WGTADJ1  "*ADJUSTMENT FACTOR 1 (SCHOOL WEIGHT)*" 
                 /SCHWGT   "*SCHOOL LEVEL WEIGHT*" 
                 /STOTWGTU "*SUM OF STUDENT WEIGHTS - UPPER GRADE*" 
                 /JKCZONE  "*ZONE CODE*" 
                 /JKCREP   "*REPLICATE CODE*" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "TIMSS Pop 1"
                       2  "TIMSS Pop 2"
                       3  " TIMSS Pop 3"
                       /
            BCBGCOMM   1  "a geographically isolated area"
                       2  "village or rural (farm) area"
                       3  "one on the outskirts of a town/city"
                       4  "one close to the center of a town/city"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMTSA1   1  "one school year or less"
                       2  "two school years or less"
                       3  "three school years or less"
                       4  "four or more school years"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSTSA2   1  "one school year or less"
                       2  "two school years or less"
                       3  "three school years or less"
                       4  "four or more school years"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSTSA3   1  "one school year or less"
                       2  "two school years or less"
                       3  "three school years or less"
                       4  "four or more school years"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSTSA4   1  "one school year or less"
                       2  "two school years or less"
                       3  "three school years or less"
                       4  "four or more school years"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSTSA5   1  "one school year or less"
                       2  "two school years or less"
                       3  "three school years or less"
                       4  "four or more school years"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSTSA6   1  "one school year or less"
                       2  "two school years or less"
                       3  "three school years or less"
                       4  "four or more school years"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGCOL1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGCOL2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGCOL3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP01   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP02   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP03   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP04   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin"
                       /
            BCBGRP05   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP06   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin"
                       /
            BCBGRP07   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP08   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP09   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP10   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP11   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP12   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP13   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGRP14   1  "not a school responsibility"
                       2  "<school's governing board>"
                       3  "principal"
                       4  "department head"
                       5  "teachers"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF01   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF02   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF03   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF04   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF05   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF06   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF07   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF08   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF09   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF10   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF11   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF12   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF13   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF14   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIF15   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMCURR   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSCURR   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMDVLP   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSDVLP   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST01   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST02   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST03   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST04   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST05   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGST06   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMST07   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMST08   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMST09   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMST10   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMST11   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST12   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST13   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST14   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST15   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST16   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST17   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST18   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST19   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST20   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST21   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST22   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSST23   1  "none"
                       2  "a little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGIACC   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGACPL   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BCBGNAC2   1  "None"
                       2  "1 to 25%"
                       3  "26 to 50%"
                       4  "51 to 75%"
                       5  "76 to 100%"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BCBGNAC3   1  "None"
                       2  "1 to 25%"
                       3  "26 to 50%"
                       4  "51 to 75%"
                       5  "76 to 100%"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BCBGWBI1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BCBGWBI2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BCBGWBI3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BCBGWBI4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BCBGWBI5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BCBGUF01   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS01   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF02   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS02   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF03   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS03   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF04   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS04   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF05   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS05   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF06   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS06   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF07   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS07   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF08   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS08   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF09   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS09   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF10   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS10   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF11   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS11   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF12   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS12   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF13   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS13   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF14   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS14   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF15   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS15   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF16   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS16   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF17   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS17   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUF18   1  "never"
                       2  "rarely"
                       3  "monthly"
                       4  "weekly"
                       5  "daily"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGUS18   1  "not a problem"
                       2  "minor problem"
                       3  "serious problem"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGDIVI   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMODF1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMODF2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMODF3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMODF4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMODF5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC1   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC2   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC3   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC4   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC5   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC6   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC7   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBMUFC8   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSODF1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSODF2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSODF3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSODF4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSODF5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBSUFC1   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                      99  "omitted"
                      98  "not admin."
                       /
            BCBSUFC2   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                      99  "omitted"
                      98  "not admin."
                       /
            BCBSUFC3   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                      99  "omitted"
                      98  "not admin."
                       /
            BCBSUFC4   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                      99  "omitted"
                      98  "not admin."
                       /
            BCBSUFC5   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                      99  "omitted"
                      98  "not admin."
                       /
            BCBSUFC6   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                      99  "omitted"
                      98  "not admin."
                       /
            BCBSUFC7   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                      99  "omitted"
                      98  "not admin."
                       /
            BCBSUFC8   1  "not important"
                       2  "somewhat important"
                       3  "moderately important"
                       4  "very important"
                       5  "not applicable"
                      99  "omitted"
                      98  "not admin."
                       /
            BCBGBS01   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS02   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS03   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS04   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS05   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS06   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS07   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS08   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS09   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGBS13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGEP01   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGEP02   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGEP03   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGEP04   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGEP05   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGEP06   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGEP07   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGEP08   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGEP09   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCBGEP10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BCDMASR    1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BCDGSA     1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BCDGSSE    1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BCDGCMRC   1  "less than 15 students per computer"
                       2  "15 to 30 students per computer"
                       3  "31 to 50 students per computer"
                       4  "more than 50 students per computer"
                       5  "no computers"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BCDGINT    1  "access to world wide web"
                       2  "access to email only"
                       3  "planning internet access by 2000"
                       4  "none and no plans for access to internet"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BCDMMOIN   1  "some method of instruction is used"
                       2  "no method of instruction is used"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BCDGVOL    1  "expect parents to volunteer"
                       2  "do not expect parents to volunteer"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BCDGSERV   1  "expect parents to serve on commit."
                       2  "do not expect parents to serve on commit."
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BCDSASR    1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BCDSMOIN   1  "some method of instruction is used"
                       2  "no method of instruction is used"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            JKCREP     0  "zero weight"
                       1  "double weight"
                       /
.


*NOTE: The "omitted code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode IDCNTRY  (99999            = sysmis).
recode IDPOP    (9                = sysmis).
recode IDSCHOOL (999999           = sysmis).
recode BCBGCOMM (9                = sysmis).
recode BCBGFTE1 (99               = sysmis).
recode BCBGFTE2 (99               = sysmis).
recode BCBGFTE3 (99               = sysmis).
recode BCBGFTE4 (999              = sysmis).
recode BCBGFTE5 (999              = sysmis).
recode BCBGFTE6 (999              = sysmis).
recode BCBGFTE7 (999              = sysmis).
recode BCBGFTE8 (999              = sysmis).
recode BCBGFTTE (999              = sysmis).
recode BCBGPTTE (999              = sysmis).
recode BCBGTE5Y (999              = sysmis).
recode BCBMTSA1 (9                = sysmis).
recode BCBSTSA2 (9                = sysmis).
recode BCBSTSA3 (9                = sysmis).
recode BCBSTSA4 (9                = sysmis).
recode BCBSTSA5 (9                = sysmis).
recode BCBSTSA6 (9                = sysmis).
recode BCBGCOL1 (9                = sysmis).
recode BCBGCOL2 (9                = sysmis).
recode BCBGCOL3 (9                = sysmis).
recode BCBGAC01 (999              = sysmis).
recode BCBGAC02 (999              = sysmis).
recode BCBGAC03 (999              = sysmis).
recode BCBGAC04 (999              = sysmis).
recode BCBGAC05 (999              = sysmis).
recode BCBGAC06 (999              = sysmis).
recode BCBGAC07 (999              = sysmis).
recode BCBGAC08 (999              = sysmis).
recode BCBGAC09 (999              = sysmis).
recode BCBGAC10 (999              = sysmis).
recode BCBGAC11 (999              = sysmis).
recode BCBGAC12 (999              = sysmis).
recode BCBGAC13 (999              = sysmis).
recode BCBGAC14 (999              = sysmis).
recode BCBGRP01 (9                = sysmis).
recode BCBGRP02 (9                = sysmis).
recode BCBGRP03 (9                = sysmis).
recode BCBGRP04 (9                = sysmis).
recode BCBGRP05 (9                = sysmis).
recode BCBGRP06 (9                = sysmis).
recode BCBGRP07 (9                = sysmis).
recode BCBGRP08 (9                = sysmis).
recode BCBGRP09 (9                = sysmis).
recode BCBGRP10 (9                = sysmis).
recode BCBGRP11 (9                = sysmis).
recode BCBGRP12 (9                = sysmis).
recode BCBGRP13 (9                = sysmis).
recode BCBGRP14 (9                = sysmis).
recode BCBGIF01 (9                = sysmis).
recode BCBGIF02 (9                = sysmis).
recode BCBGIF03 (9                = sysmis).
recode BCBGIF04 (9                = sysmis).
recode BCBGIF05 (9                = sysmis).
recode BCBGIF06 (9                = sysmis).
recode BCBGIF07 (9                = sysmis).
recode BCBGIF08 (9                = sysmis).
recode BCBGIF09 (9                = sysmis).
recode BCBGIF10 (9                = sysmis).
recode BCBGIF11 (9                = sysmis).
recode BCBGIF12 (9                = sysmis).
recode BCBGIF13 (9                = sysmis).
recode BCBGIF14 (9                = sysmis).
recode BCBGIF15 (9                = sysmis).
recode BCBMCURR (9                = sysmis).
recode BCBSCURR (9                = sysmis).
recode BCBMDVLP (9                = sysmis).
recode BCBSDVLP (9                = sysmis).
recode BCBGST01 (9                = sysmis).
recode BCBGST02 (9                = sysmis).
recode BCBGST03 (9                = sysmis).
recode BCBGST04 (9                = sysmis).
recode BCBGST05 (9                = sysmis).
recode BCBGST06 (9                = sysmis).
recode BCBMST07 (9                = sysmis).
recode BCBMST08 (9                = sysmis).
recode BCBMST09 (9                = sysmis).
recode BCBMST10 (9                = sysmis).
recode BCBMST11 (9                = sysmis).
recode BCBSST12 (9                = sysmis).
recode BCBSST13 (9                = sysmis).
recode BCBSST14 (9                = sysmis).
recode BCBSST15 (9                = sysmis).
recode BCBSST16 (9                = sysmis).
recode BCBSST17 (9                = sysmis).
recode BCBSST18 (9                = sysmis).
recode BCBSST19 (9                = sysmis).
recode BCBSST20 (9                = sysmis).
recode BCBSST21 (9                = sysmis).
recode BCBSST22 (9                = sysmis).
recode BCBSST23 (9                = sysmis).
recode BCBGBENR (99999            = sysmis).
recode BCBGGENR (99999            = sysmis).
recode BCBGABST (999              = sysmis).
recode BCBGENDY (999              = sysmis).
recode BCBGTNSF (999              = sysmis).
recode BCBGUBER (9999             = sysmis).
recode BCBGUGER (9999             = sysmis).
recode BCBGUBRT (999              = sysmis).
recode BCBGUGRT (999              = sysmis).
recode BCBGUSIZ (999              = sysmis).
recode BCBGUMGR (999              = sysmis).
recode BCBGCMP1 (999              = sysmis).
recode BCBGCMP2 (999              = sysmis).
recode BCBGCMP3 (999              = sysmis).
recode BCBGIACC (9                = sysmis).
recode BCBGACPL (9                = sysmis).
recode BCBGACYE (9999             = sysmis).
recode BCBGNAC2 (9                = sysmis).
recode BCBGNAC3 (9                = sysmis).
recode BCBGWBI1 (9                = sysmis).
recode BCBGWBI2 (9                = sysmis).
recode BCBGWBI3 (9                = sysmis).
recode BCBGWBI4 (9                = sysmis).
recode BCBGWBI5 (9                = sysmis).
recode BCBGUF01 (9                = sysmis).
recode BCBGUS01 (9                = sysmis).
recode BCBGUF02 (9                = sysmis).
recode BCBGUS02 (9                = sysmis).
recode BCBGUF03 (9                = sysmis).
recode BCBGUS03 (9                = sysmis).
recode BCBGUF04 (9                = sysmis).
recode BCBGUS04 (9                = sysmis).
recode BCBGUF05 (9                = sysmis).
recode BCBGUS05 (9                = sysmis).
recode BCBGUF06 (9                = sysmis).
recode BCBGUS06 (9                = sysmis).
recode BCBGUF07 (9                = sysmis).
recode BCBGUS07 (9                = sysmis).
recode BCBGUF08 (9                = sysmis).
recode BCBGUS08 (9                = sysmis).
recode BCBGUF09 (9                = sysmis).
recode BCBGUS09 (9                = sysmis).
recode BCBGUF10 (9                = sysmis).
recode BCBGUS10 (9                = sysmis).
recode BCBGUF11 (9                = sysmis).
recode BCBGUS11 (9                = sysmis).
recode BCBGUF12 (9                = sysmis).
recode BCBGUS12 (9                = sysmis).
recode BCBGUF13 (9                = sysmis).
recode BCBGUS13 (9                = sysmis).
recode BCBGUF14 (9                = sysmis).
recode BCBGUS14 (9                = sysmis).
recode BCBGUF15 (9                = sysmis).
recode BCBGUS15 (9                = sysmis).
recode BCBGUF16 (9                = sysmis).
recode BCBGUS16 (9                = sysmis).
recode BCBGUF17 (9                = sysmis).
recode BCBGUS17 (9                = sysmis).
recode BCBGUF18 (9                = sysmis).
recode BCBGUS18 (9                = sysmis).
recode BCBGUDYY (999              = sysmis).
recode BCBGUFLW (9                = sysmis).
recode BCBGUHFW (9                = sysmis).
recode BCBGUTHW (99               = sysmis).
recode BCBGUIHW (99               = sysmis).
recode BCBGDIVI (9                = sysmis).
recode BCBGUPDW (99               = sysmis).
recode BCBGUTMP (999              = sysmis).
recode BCBMODF1 (9                = sysmis).
recode BCBMODF2 (9                = sysmis).
recode BCBMODF3 (9                = sysmis).
recode BCBMODF4 (9                = sysmis).
recode BCBMODF5 (9                = sysmis).
recode BCBMUC3  (99               = sysmis).
recode BCBMUFC1 (9                = sysmis).
recode BCBMUFC2 (9                = sysmis).
recode BCBMUFC3 (9                = sysmis).
recode BCBMUFC4 (9                = sysmis).
recode BCBMUFC5 (9                = sysmis).
recode BCBMUFC6 (9                = sysmis).
recode BCBMUFC7 (9                = sysmis).
recode BCBMUFC8 (9                = sysmis).
recode BCBSODF1 (9                = sysmis).
recode BCBSODF2 (9                = sysmis).
recode BCBSODF3 (9                = sysmis).
recode BCBSODF4 (9                = sysmis).
recode BCBSODF5 (9                = sysmis).
recode BCBSUC3  (99               = sysmis).
recode BCBSUFC1 (9                = sysmis).
recode BCBSUFC2 (9                = sysmis).
recode BCBSUFC3 (9                = sysmis).
recode BCBSUFC4 (9                = sysmis).
recode BCBSUFC5 (9                = sysmis).
recode BCBSUFC6 (9                = sysmis).
recode BCBSUFC7 (9                = sysmis).
recode BCBSUFC8 (9                = sysmis).
recode BCBGBS01 (9                = sysmis).
recode BCBGBS02 (9                = sysmis).
recode BCBGBS03 (9                = sysmis).
recode BCBGBS04 (9                = sysmis).
recode BCBGBS05 (9                = sysmis).
recode BCBGBS06 (9                = sysmis).
recode BCBGBS07 (9                = sysmis).
recode BCBGBS08 (9                = sysmis).
recode BCBGBS09 (9                = sysmis).
recode BCBGBS10 (9                = sysmis).
recode BCBGBS11 (9                = sysmis).
recode BCBGBS12 (9                = sysmis).
recode BCBGBS13 (9                = sysmis).
recode BCBGEP01 (9                = sysmis).
recode BCBGEP02 (9                = sysmis).
recode BCBGEP03 (9                = sysmis).
recode BCBGEP04 (9                = sysmis).
recode BCBGEP05 (9                = sysmis).
recode BCBGEP06 (9                = sysmis).
recode BCBGEP07 (9                = sysmis).
recode BCBGEP08 (9                = sysmis).
recode BCBGEP09 (9                = sysmis).
recode BCBGEP10 (9                = sysmis).
recode BCDGUTER (999              = sysmis).
recode BCDGUTRT (99               = sysmis).
recode BCDGAAIT (9999             = sysmis).
recode BCDGAYTS (9999             = sysmis).
recode BCDGPHSI (999              = sysmis).
recode BCDGTENR (99999            = sysmis).
recode BCDGSTRA (999              = sysmis).
recode BCDMASR  (9                = sysmis).
recode BCDGSA   (9                = sysmis).
recode BCDGSSE  (9                = sysmis).
recode BCDGCMRC (9                = sysmis).
recode BCDGINT  (9                = sysmis).
recode BCDGINST (9999             = sysmis).
recode BCDGCMUN (9999             = sysmis).
recode BCDGADMN (9999             = sysmis).
recode BCDGTEAC (9999             = sysmis).
recode BCDMMOIN (9                = sysmis).
recode BCDGVOL  (9                = sysmis).
recode BCDGSERV (9                = sysmis).
recode BCDSASR  (9                = sysmis).
recode BCDSMOIN (9                = sysmis).
recode CSYSTEM  (999              = sysmis).
recode WGTFAC1  (9999             = sysmis).
recode WGTADJ1  (99               = sysmis).
recode SCHWGT   (9999             = sysmis).
recode STOTWGTU (99999            = sysmis).
recode JKCZONE  (99               = sysmis).
recode JKCREP   (9                = sysmis).
recode DPCDATE  (999999           = sysmis).


*NOTE: recode "not administered" data to user defined "missing value"
       in some case a zero code might be appropriate for numeric values
       in this case the variable must be recoded correspondingly.

missing value IDCNTRY (99998).
missing value IDPOP   (8).
missing value IDSCHOOL(999998).
missing value BCBGCOMM(8).
missing value BCBGFTE1(98).
missing value BCBGFTE2(98).
missing value BCBGFTE3(98).
missing value BCBGFTE4(998).
missing value BCBGFTE5(998).
missing value BCBGFTE6(998).
missing value BCBGFTE7(998).
missing value BCBGFTE8(998).
missing value BCBGFTTE(998).
missing value BCBGPTTE(998).
missing value BCBGTE5Y(998).
missing value BCBMTSA1(8).
missing value BCBSTSA2(8).
missing value BCBSTSA3(8).
missing value BCBSTSA4(8).
missing value BCBSTSA5(8).
missing value BCBSTSA6(8).
missing value BCBGCOL1(8).
missing value BCBGCOL2(8).
missing value BCBGCOL3(8).
missing value BCBGAC01(998).
missing value BCBGAC02(998).
missing value BCBGAC03(998).
missing value BCBGAC04(998).
missing value BCBGAC05(998).
missing value BCBGAC06(998).
missing value BCBGAC07(998).
missing value BCBGAC08(998).
missing value BCBGAC09(998).
missing value BCBGAC10(998).
missing value BCBGAC11(998).
missing value BCBGAC12(998).
missing value BCBGAC13(998).
missing value BCBGAC14(998).
missing value BCBGRP01(8).
missing value BCBGRP02(8).
missing value BCBGRP03(8).
missing value BCBGRP04(8).
missing value BCBGRP05(8).
missing value BCBGRP06(8).
missing value BCBGRP07(8).
missing value BCBGRP08(8).
missing value BCBGRP09(8).
missing value BCBGRP10(8).
missing value BCBGRP11(8).
missing value BCBGRP12(8).
missing value BCBGRP13(8).
missing value BCBGRP14(8).
missing value BCBGIF01(8).
missing value BCBGIF02(8).
missing value BCBGIF03(8).
missing value BCBGIF04(8).
missing value BCBGIF05(8).
missing value BCBGIF06(8).
missing value BCBGIF07(8).
missing value BCBGIF08(8).
missing value BCBGIF09(8).
missing value BCBGIF10(8).
missing value BCBGIF11(8).
missing value BCBGIF12(8).
missing value BCBGIF13(8).
missing value BCBGIF14(8).
missing value BCBGIF15(8).
missing value BCBMCURR(8).
missing value BCBSCURR(8).
missing value BCBMDVLP(8).
missing value BCBSDVLP(8).
missing value BCBGST01(8).
missing value BCBGST02(8).
missing value BCBGST03(8).
missing value BCBGST04(8).
missing value BCBGST05(8).
missing value BCBGST06(8).
missing value BCBMST07(8).
missing value BCBMST08(8).
missing value BCBMST09(8).
missing value BCBMST10(8).
missing value BCBMST11(8).
missing value BCBSST12(8).
missing value BCBSST13(8).
missing value BCBSST14(8).
missing value BCBSST15(8).
missing value BCBSST16(8).
missing value BCBSST17(8).
missing value BCBSST18(8).
missing value BCBSST19(8).
missing value BCBSST20(8).
missing value BCBSST21(8).
missing value BCBSST22(8).
missing value BCBSST23(8).
missing value BCBGBENR(99998).
missing value BCBGGENR(99998).
missing value BCBGABST(998).
missing value BCBGENDY(998).
missing value BCBGTNSF(998).
missing value BCBGUBER(9998).
missing value BCBGUGER(9998).
missing value BCBGUBRT(998).
missing value BCBGUGRT(998).
missing value BCBGUSIZ(998).
missing value BCBGUMGR(998).
missing value BCBGCMP1(998).
missing value BCBGCMP2(998).
missing value BCBGCMP3(998).
missing value BCBGIACC(8).
missing value BCBGACPL(8 6).
missing value BCBGACYE(9998 9996).
missing value BCBGNAC2(8 6).
missing value BCBGNAC3(8 6).
missing value BCBGWBI1(8 6).
missing value BCBGWBI2(8 6).
missing value BCBGWBI3(8 6).
missing value BCBGWBI4(8 6).
missing value BCBGWBI5(8 6).
missing value BCBGUF01(8).
missing value BCBGUS01(8).
missing value BCBGUF02(8).
missing value BCBGUS02(8).
missing value BCBGUF03(8).
missing value BCBGUS03(8).
missing value BCBGUF04(8).
missing value BCBGUS04(8).
missing value BCBGUF05(8).
missing value BCBGUS05(8).
missing value BCBGUF06(8).
missing value BCBGUS06(8).
missing value BCBGUF07(8).
missing value BCBGUS07(8).
missing value BCBGUF08(8).
missing value BCBGUS08(8).
missing value BCBGUF09(8).
missing value BCBGUS09(8).
missing value BCBGUF10(8).
missing value BCBGUS10(8).
missing value BCBGUF11(8).
missing value BCBGUS11(8).
missing value BCBGUF12(8).
missing value BCBGUS12(8).
missing value BCBGUF13(8).
missing value BCBGUS13(8).
missing value BCBGUF14(8).
missing value BCBGUS14(8).
missing value BCBGUF15(8).
missing value BCBGUS15(8).
missing value BCBGUF16(8).
missing value BCBGUS16(8).
missing value BCBGUF17(8).
missing value BCBGUS17(8).
missing value BCBGUF18(8).
missing value BCBGUS18(8).
missing value BCBGUDYY(998).
missing value BCBGUFLW(8).
missing value BCBGUHFW(8).
missing value BCBGUTHW(98).
missing value BCBGUIHW(98).
missing value BCBGDIVI(8).
missing value BCBGUPDW(98 96).
missing value BCBGUTMP(998 996).
missing value BCBMODF1(8).
missing value BCBMODF2(8).
missing value BCBMODF3(8).
missing value BCBMODF4(8).
missing value BCBMODF5(8).
missing value BCBMUC3 (98 96).
missing value BCBMUFC1(8).
missing value BCBMUFC2(8).
missing value BCBMUFC3(8).
missing value BCBMUFC4(8).
missing value BCBMUFC5(8).
missing value BCBMUFC6(8).
missing value BCBMUFC7(8).
missing value BCBMUFC8(8).
missing value BCBSODF1(8).
missing value BCBSODF2(8).
missing value BCBSODF3(8).
missing value BCBSODF4(8).
missing value BCBSODF5(8).
missing value BCBSUC3 (98 96).
missing value BCBSUFC1(8).
missing value BCBSUFC2(8).
missing value BCBSUFC3(8).
missing value BCBSUFC4(8).
missing value BCBSUFC5(8).
missing value BCBSUFC6(8).
missing value BCBSUFC7(8).
missing value BCBSUFC8(8).
missing value BCBGBS01(8).
missing value BCBGBS02(8).
missing value BCBGBS03(8).
missing value BCBGBS04(8).
missing value BCBGBS05(8).
missing value BCBGBS06(8).
missing value BCBGBS07(8).
missing value BCBGBS08(8).
missing value BCBGBS09(8).
missing value BCBGBS10(8).
missing value BCBGBS11(8).
missing value BCBGBS12(8).
missing value BCBGBS13(8).
missing value BCBGEP01(8).
missing value BCBGEP02(8).
missing value BCBGEP03(8).
missing value BCBGEP04(8).
missing value BCBGEP05(8).
missing value BCBGEP06(8).
missing value BCBGEP07(8).
missing value BCBGEP08(8).
missing value BCBGEP09(8).
missing value BCBGEP10(8).
missing value BCDGUTER(998).
missing value BCDGUTRT(98).
missing value BCDGAAIT(9998 9996).
missing value BCDGAYTS(9998 9996).
missing value BCDGPHSI(998 996).
missing value BCDGTENR(99998 99996).
missing value BCDGSTRA(998 996).
missing value BCDMASR (8 6).
missing value BCDGSA  (8 6).
missing value BCDGSSE (8 6).
missing value BCDGCMRC(8 6).
missing value BCDGINT (8 6).
missing value BCDGINST(9998 9996).
missing value BCDGCMUN(9998 9996).
missing value BCDGADMN(9998 9996).
missing value BCDGTEAC(9998 9996).
missing value BCDMMOIN(8 6).
missing value BCDGVOL (8 6).
missing value BCDGSERV(8 6).
missing value BCDSASR (8 6).
missing value BCDSMOIN(8 6).
missing value CSYSTEM (998).
missing value WGTFAC1 (9998).
missing value WGTADJ1 (98).
missing value SCHWGT  (9998).
missing value STOTWGTU(99998).
missing value JKCZONE (98).
missing value JKCREP  (8).
missing value DPCDATE (999998).


*NOTE: These statements format the variable
       according to the length and decimal places.

format VERSION  (f2.0).
format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f6.0).
format BCBGCOMM (f1.0).
format BCBGFTE1 (f4.1).
format BCBGFTE2 (f4.1).
format BCBGFTE3 (f4.1).
format BCBGFTE4 (f5.1).
format BCBGFTE5 (f5.1).
format BCBGFTE6 (f5.1).
format BCBGFTE7 (f5.1).
format BCBGFTE8 (f5.1).
format BCBGFTTE (f3.0).
format BCBGPTTE (f3.0).
format BCBGTE5Y (f3.0).
format BCBMTSA1 (f1.0).
format BCBSTSA2 (f1.0).
format BCBSTSA3 (f1.0).
format BCBSTSA4 (f1.0).
format BCBSTSA5 (f1.0).
format BCBSTSA6 (f1.0).
format BCBGCOL1 (f1.0).
format BCBGCOL2 (f1.0).
format BCBGCOL3 (f1.0).
format BCBGAC01 (f3.0).
format BCBGAC02 (f3.0).
format BCBGAC03 (f3.0).
format BCBGAC04 (f3.0).
format BCBGAC05 (f3.0).
format BCBGAC06 (f3.0).
format BCBGAC07 (f3.0).
format BCBGAC08 (f3.0).
format BCBGAC09 (f3.0).
format BCBGAC10 (f3.0).
format BCBGAC11 (f3.0).
format BCBGAC12 (f3.0).
format BCBGAC13 (f3.0).
format BCBGAC14 (f3.0).
format BCBGRP01 (f1.0).
format BCBGRP02 (f1.0).
format BCBGRP03 (f1.0).
format BCBGRP04 (f1.0).
format BCBGRP05 (f1.0).
format BCBGRP06 (f1.0).
format BCBGRP07 (f1.0).
format BCBGRP08 (f1.0).
format BCBGRP09 (f1.0).
format BCBGRP10 (f1.0).
format BCBGRP11 (f1.0).
format BCBGRP12 (f1.0).
format BCBGRP13 (f1.0).
format BCBGRP14 (f1.0).
format BCBGIF01 (f1.0).
format BCBGIF02 (f1.0).
format BCBGIF03 (f1.0).
format BCBGIF04 (f1.0).
format BCBGIF05 (f1.0).
format BCBGIF06 (f1.0).
format BCBGIF07 (f1.0).
format BCBGIF08 (f1.0).
format BCBGIF09 (f1.0).
format BCBGIF10 (f1.0).
format BCBGIF11 (f1.0).
format BCBGIF12 (f1.0).
format BCBGIF13 (f1.0).
format BCBGIF14 (f1.0).
format BCBGIF15 (f1.0).
format BCBMCURR (f1.0).
format BCBSCURR (f1.0).
format BCBMDVLP (f1.0).
format BCBSDVLP (f1.0).
format BCBGST01 (f1.0).
format BCBGST02 (f1.0).
format BCBGST03 (f1.0).
format BCBGST04 (f1.0).
format BCBGST05 (f1.0).
format BCBGST06 (f1.0).
format BCBMST07 (f1.0).
format BCBMST08 (f1.0).
format BCBMST09 (f1.0).
format BCBMST10 (f1.0).
format BCBMST11 (f1.0).
format BCBSST12 (f1.0).
format BCBSST13 (f1.0).
format BCBSST14 (f1.0).
format BCBSST15 (f1.0).
format BCBSST16 (f1.0).
format BCBSST17 (f1.0).
format BCBSST18 (f1.0).
format BCBSST19 (f1.0).
format BCBSST20 (f1.0).
format BCBSST21 (f1.0).
format BCBSST22 (f1.0).
format BCBSST23 (f1.0).
format BCBGBENR (f5.0).
format BCBGGENR (f5.0).
format BCBGABST (f3.0).
format BCBGENDY (f3.0).
format BCBGTNSF (f3.0).
format BCBGUBER (f4.0).
format BCBGUGER (f4.0).
format BCBGUBRT (f3.0).
format BCBGUGRT (f3.0).
format BCBGUSIZ (f3.0).
format BCBGUMGR (f3.0).
format BCBGCMP1 (f3.0).
format BCBGCMP2 (f3.0).
format BCBGCMP3 (f3.0).
format BCBGIACC (f1.0).
format BCBGACPL (f1.0).
format BCBGACYE (f4.0).
format BCBGNAC2 (f1.0).
format BCBGNAC3 (f1.0).
format BCBGWBI1 (f1.0).
format BCBGWBI2 (f1.0).
format BCBGWBI3 (f1.0).
format BCBGWBI4 (f1.0).
format BCBGWBI5 (f1.0).
format BCBGUF01 (f1.0).
format BCBGUS01 (f1.0).
format BCBGUF02 (f1.0).
format BCBGUS02 (f1.0).
format BCBGUF03 (f1.0).
format BCBGUS03 (f1.0).
format BCBGUF04 (f1.0).
format BCBGUS04 (f1.0).
format BCBGUF05 (f1.0).
format BCBGUS05 (f1.0).
format BCBGUF06 (f1.0).
format BCBGUS06 (f1.0).
format BCBGUF07 (f1.0).
format BCBGUS07 (f1.0).
format BCBGUF08 (f1.0).
format BCBGUS08 (f1.0).
format BCBGUF09 (f1.0).
format BCBGUS09 (f1.0).
format BCBGUF10 (f1.0).
format BCBGUS10 (f1.0).
format BCBGUF11 (f1.0).
format BCBGUS11 (f1.0).
format BCBGUF12 (f1.0).
format BCBGUS12 (f1.0).
format BCBGUF13 (f1.0).
format BCBGUS13 (f1.0).
format BCBGUF14 (f1.0).
format BCBGUS14 (f1.0).
format BCBGUF15 (f1.0).
format BCBGUS15 (f1.0).
format BCBGUF16 (f1.0).
format BCBGUS16 (f1.0).
format BCBGUF17 (f1.0).
format BCBGUS17 (f1.0).
format BCBGUF18 (f1.0).
format BCBGUS18 (f1.0).
format BCBGUDYY (f3.0).
format BCBGUFLW (f1.0).
format BCBGUHFW (f1.0).
format BCBGUTHW (f2.0).
format BCBGUIHW (f2.0).
format BCBGDIVI (f1.0).
format BCBGUPDW (f2.0).
format BCBGUTMP (f3.0).
format BCBMODF1 (f1.0).
format BCBMODF2 (f1.0).
format BCBMODF3 (f1.0).
format BCBMODF4 (f1.0).
format BCBMODF5 (f1.0).
format BCBMUC3  (f2.0).
format BCBMUFC1 (f1.0).
format BCBMUFC2 (f1.0).
format BCBMUFC3 (f1.0).
format BCBMUFC4 (f1.0).
format BCBMUFC5 (f1.0).
format BCBMUFC6 (f1.0).
format BCBMUFC7 (f1.0).
format BCBMUFC8 (f1.0).
format BCBSODF1 (f1.0).
format BCBSODF2 (f1.0).
format BCBSODF3 (f1.0).
format BCBSODF4 (f1.0).
format BCBSODF5 (f1.0).
format BCBSUC3  (f2.0).
format BCBSUFC1 (f1.0).
format BCBSUFC2 (f1.0).
format BCBSUFC3 (f1.0).
format BCBSUFC4 (f1.0).
format BCBSUFC5 (f1.0).
format BCBSUFC6 (f1.0).
format BCBSUFC7 (f1.0).
format BCBSUFC8 (f1.0).
format BCBGBS01 (f1.0).
format BCBGBS02 (f1.0).
format BCBGBS03 (f1.0).
format BCBGBS04 (f1.0).
format BCBGBS05 (f1.0).
format BCBGBS06 (f1.0).
format BCBGBS07 (f1.0).
format BCBGBS08 (f1.0).
format BCBGBS09 (f1.0).
format BCBGBS10 (f1.0).
format BCBGBS11 (f1.0).
format BCBGBS12 (f1.0).
format BCBGBS13 (f1.0).
format BCBGEP01 (f1.0).
format BCBGEP02 (f1.0).
format BCBGEP03 (f1.0).
format BCBGEP04 (f1.0).
format BCBGEP05 (f1.0).
format BCBGEP06 (f1.0).
format BCBGEP07 (f1.0).
format BCBGEP08 (f1.0).
format BCBGEP09 (f1.0).
format BCBGEP10 (f1.0).
format BCDGUTER (f5.1).
format BCDGUTRT (f4.1).
format BCDGAAIT (f6.1).
format BCDGAYTS (f6.1).
format BCDGPHSI (f5.1).
format BCDGTENR (f5.0).
format BCDGSTRA (f5.1).
format BCDMASR  (f1.0).
format BCDGSA   (f1.0).
format BCDGSSE  (f1.0).
format BCDGCMRC (f1.0).
format BCDGINT  (f1.0).
format BCDGINST (f8.3).
format BCDGCMUN (f8.3).
format BCDGADMN (f8.3).
format BCDGTEAC (f8.3).
format BCDMMOIN (f1.0).
format BCDGVOL  (f1.0).
format BCDGSERV (f1.0).
format BCDSASR  (f1.0).
format BCDSMOIN (f1.0).
format CSYSTEM  (f3.0).
format WGTFAC1  (f7.2).
format WGTADJ1  (f6.3).
format SCHWGT   (f8.3).
format STOTWGTU (f8.2).
format JKCZONE  (f2.0).
format JKCREP   (f1.0).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want copressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata.

!doend
!enddefine

create country = AUS BFL BGR CAN CZE CYP FIN ENG HKG HUN
                 IDN IRN ISR ITA JOR JPN KOR LTU LVA MDA
                 MKD MYS NLD NZL PHL ROM RUS SGP SVN THA
                 TUN TWN USA ZAF CHL SVK MAR TUR.