SET DECIMAL = DOT.

define create (country=!charend('/')).

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,bsg,!cty,'m1.dat"').
!let !savdata = !concat('"',!savpath,bsg,!cty,'m1.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /VERSION     1-   2     
  IDCNTRY     3-   7     
  IDPOP       8-   8     
  IDSCHOOL    9-  14     
  IDCLASS    15-  22     
  IDSTUD     23-  32     
  IDGRADE    33-  34     
  IDBOOK     35-  35     
  ITEXCLUD   36-  36     
  ITBIRTHM   37-  38     
  ITBIRTHY   39-  40     
  ITSEX      41-  41     
  ITLANG     42-  44     
  ITDATEM    45-  46     
  ITDATEY    47-  50     
  IDGRADER   51-  51     
  ILRELIAB   52-  52     
  ITPART     53-  53     
  BSBGBIRD   54-  55     
  BSBGBIRM   56-  57     
  BSBGBIRY   58-  59     
  BSBGSEX    60-  60     
  BSBGBRN1   61-  61     
  BSBGBRN2   62-  63     
  BSBGLANG   64-  64     
  BSBMEXTR   65-  65     
  BSBSEXTR   66-  66     
  BSBGCLUB   67-  67     
  BSBGPAID   68-  68     
  BSBGDAY1   69-  69     
  BSBGDAY2   70-  70     
  BSBGDAY3   71-  71     
  BSBGDAY4   72-  72     
  BSBGDAY5   73-  73     
  BSBGDAY6   74-  74     
  BSBMDAY7   75-  75     
  BSBSDAY8   76-  76     
  BSBGDAY9   77-  77     
  BSBGADU1   78-  78     
  BSBGADU2   79-  79     
  BSBGADU3   80-  80     
  BSBGADU4   81-  81     
  BSBGADU5   82-  82     
  BSBGADU6   83-  83     
  BSBGADU7   84-  84     
  BSBGADU8   85-  85     
  BSBGADU9   86-  86     
  BSBGHOME   87-  88     
  BSBGEDUM   89-  90     
  BSBGEDUF   91-  92     
  BSBGEDUS   93-  94     
  BSBGBRNM   95-  95     
  BSBGBRNF   96-  96     
  BSBGBOOK   97-  97     
  BSBGPS01   98-  98     
  BSBGPS02   99-  99     
  BSBGPS03  100- 100     
  BSBGPS04  101- 101     
  BSBGPS05  102- 102     
  BSBGPS06  103- 103     
  BSBGPS07  104- 104     
  BSBGPS08  105- 105     
  BSBGPS09  106- 106     
  BSBGPS10  107- 107     
  BSBGPS11  108- 108     
  BSBGPS12  109- 109     
  BSBGPS13  110- 110     
  BSBGPS14  111- 111     
  BSBGPS15  112- 112     
  BSBGPS16  113- 113     
  BSBSMIP1  114- 114     
  BSBMMIP2  115- 115     
  BSBGMIP3  116- 116     
  BSBGMIP4  117- 117     
  BSBGMIP5  118- 118     
  BSBGMIP6  119- 119     
  BSBMCLS1  120- 120     
  BSBMCLS2  121- 121     
  BSBMCLS3  122- 122     
  BSBSFIP1  123- 123     
  BSBMFIP2  124- 124     
  BSBGFIP3  125- 125     
  BSBGFIP4  126- 126     
  BSBGFIP5  127- 127     
  BSBGFIP6  128- 128     
  BSBSSIP1  129- 129     
  BSBMSIP2  130- 130     
  BSBGSIP3  131- 131     
  BSBGSIP4  132- 132     
  BSBGSIP5  133- 133     
  BSBGSIP6  134- 134     
  BSBMGOOD  135- 135     
  BSBSGOOD  136- 136     
  BSBGSSKP  137- 137     
  BSBGSSTL  138- 138     
  BSBGSHRT  139- 139     
  BSBGFSKP  140- 140     
  BSBGFSTL  141- 141     
  BSBGFHRT  142- 142     
  BSBMDOW1  143- 143     
  BSBMDOW2  144- 144     
  BSBMDOW3  145- 145     
  BSBMDOW4  146- 146     
  BSBSDOW1  147- 147     
  BSBSDOW2  148- 148     
  BSBSDOW3  149- 149     
  BSBSDOW4  150- 150     
  BSBMLIKE  151- 151     
  BSBSLIKE  152- 152     
  BSBMCMLK  153- 153     
  BSBSCMLK  154- 154     
  BSBMENJY  155- 155     
  BSBMBORE  156- 156     
  BSBMEASY  157- 157     
  BSBMLIFE  158- 158     
  BSBMWORK  159- 159     
  BSBMJOB   160- 160     
  BSBMPRNT  161- 161     
  BSBMSCHL  162- 162     
  BSBMSELF  163- 163     
  BSBMPROB  164- 164     
  BSBMNOTE  165- 165     
  BSBMTEST  166- 166     
  BSBMWSHT  167- 167     
  BSBMPROJ  168- 168     
  BSBMCALC  169- 169     
  BSBMCOMP  170- 170     
  BSBMSGRP  171- 171     
  BSBMEVLF  172- 172     
  BSBMHWGV  173- 173     
  BSBMHWCL  174- 174     
  BSBMHWTC  175- 175     
  BSBMHWFC  176- 176     
  BSBMHWDS  177- 177     
  BSBMRULE  178- 178     
  BSBMPRAC  179- 179     
  BSBMSMGP  180- 180     
  BSBMASK   181- 181     
  BSBMTXBK  182- 182     
  BSBMEG    183- 183     
  BSBGENV1  184- 184     
  BSBGENV2  185- 185     
  BSBGENV3  186- 186     
  BSBGENV4  187- 187     
  BSBGENV5  188- 188     
  BSBGENV6  189- 189     
  BSBGWORR  190- 191     
  BSBSENJY  192- 192     
  BSBSBORE  193- 193     
  BSBSEASY  194- 194     
  BSBSLIFE  195- 195     
  BSBSWORK  196- 196     
  BSBSJOB   197- 197     
  BSBSPRNT  198- 198     
  BSBSSCHL  199- 199     
  BSBSSELF  200- 200     
  BSBSCARE  201- 201     
  BSBSPROB  202- 202     
  BSBSNOTE  203- 203     
  BSBSTEST  204- 204     
  BSBSPROJ  205- 205     
  BSBSWSHT  206- 206     
  BSBSCALC  207- 207     
  BSBSCOMP  208- 208     
  BSBSEVLF  209- 209     
  BSBSSGRP  210- 210     
  BSBSHWGV  211- 211     
  BSBSHWCL  212- 212     
  BSBSHWTC  213- 213     
  BSBSHWFC  214- 214     
  BSBSHWDS  215- 215     
  BSBSDEMO  216- 216     
  BSBSEXPR  217- 217     
  BSBSRULE  218- 218     
  BSBSPRAC  219- 219     
  BSBSSMGP  220- 220     
  BSBSASK   221- 221     
  BSBSTXBK  222- 222     
  BSBSEG    223- 223     
  BSBBGOOD  224- 224     
  BSBEGOOD  225- 225     
  BSBYGOOD  226- 226     
  BSBBLIKE  227- 227     
  BSBELIKE  228- 228     
  BSBYLIKE  229- 229     
  BSBBSTDY  230- 230     
  BSBCSTDY  231- 231     
  BSBESTDY  232- 232     
  BSBPSTDY  233- 233     
  BSBBENJY  234- 234     
  BSBBBORE  235- 235     
  BSBBEASY  236- 236     
  BSBBLIFE  237- 237     
  BSBBWORK  238- 238     
  BSBBJOB   239- 239     
  BSBBPRNT  240- 240     
  BSBBSCHL  241- 241     
  BSBBSELF  242- 242     
  BSBBPROB  243- 243     
  BSBBNOTE  244- 244     
  BSBBTEST  245- 245     
  BSBBPROJ  246- 246     
  BSBBWSHT  247- 247     
  BSBBCALC  248- 248     
  BSBBCOMP  249- 249     
  BSBBEVLF  250- 250     
  BSBBSGRP  251- 251     
  BSBBHWGV  252- 252     
  BSBBHWCL  253- 253     
  BSBBHWTC  254- 254     
  BSBBHWFC  255- 255     
  BSBBHWDS  256- 256     
  BSBBDEMO  257- 257     
  BSBBEXPR  258- 258     
  BSBBRULE  259- 259     
  BSBBPRAC  260- 260     
  BSBBSMGP  261- 261     
  BSBBASK   262- 262     
  BSBBTXBK  263- 263     
  BSBBEG    264- 264     
  BSBCENJY  265- 265     
  BSBCBORE  266- 266     
  BSBCEASY  267- 267     
  BSBCLIFE  268- 268     
  BSBCWORK  269- 269     
  BSBCJOB   270- 270     
  BSBCPRNT  271- 271     
  BSBCSCHL  272- 272     
  BSBCSELF  273- 273     
  BSBCPROB  274- 274     
  BSBCNOTE  275- 275     
  BSBCTEST  276- 276     
  BSBCPROJ  277- 277     
  BSBCWSHT  278- 278     
  BSBCCALC  279- 279     
  BSBCCOMP  280- 280     
  BSBCEVLF  281- 281     
  BSBCSGRP  282- 282     
  BSBCHWGV  283- 283     
  BSBCHWCL  284- 284     
  BSBCHWTC  285- 285     
  BSBCHWFC  286- 286     
  BSBCHWDS  287- 287     
  BSBCDEMO  288- 288     
  BSBCEXPR  289- 289     
  BSBCRULE  290- 290     
  BSBCPRAC  291- 291     
  BSBCSMGP  292- 292     
  BSBCASK   293- 293     
  BSBCTXBK  294- 294     
  BSBCEG    295- 295     
  BSBEENJY  296- 296     
  BSBEBORE  297- 297     
  BSBEEASY  298- 298     
  BSBELIFE  299- 299     
  BSBEWORK  300- 300     
  BSBEJOB   301- 301     
  BSBEPRNT  302- 302     
  BSBESCHL  303- 303     
  BSBESELF  304- 304     
  BSBEPROB  305- 305     
  BSBENOTE  306- 306     
  BSBETEST  307- 307     
  BSBEPROJ  308- 308     
  BSBEWSHT  309- 309     
  BSBECALC  310- 310     
  BSBECOMP  311- 311     
  BSBEEVLF  312- 312     
  BSBESGRP  313- 313     
  BSBEHWGV  314- 314     
  BSBEHWCL  315- 315     
  BSBEHWTC  316- 316     
  BSBEHWFC  317- 317     
  BSBEHWDS  318- 318     
  BSBEDEMO  319- 319     
  BSBEEXPR  320- 320     
  BSBERULE  321- 321     
  BSBEPRAC  322- 322     
  BSBESMGP  323- 323     
  BSBEASK   324- 324     
  BSBETXBK  325- 325     
  BSBEEG    326- 326     
  BSBPENJY  327- 327     
  BSBPBORE  328- 328     
  BSBPEASY  329- 329     
  BSBPLIFE  330- 330     
  BSBPWORK  331- 331     
  BSBPJOB   332- 332     
  BSBPPRNT  333- 333     
  BSBPSCHL  334- 334     
  BSBPSELF  335- 335     
  BSBPPROB  336- 336     
  BSBPNOTE  337- 337     
  BSBPTEST  338- 338     
  BSBPPROJ  339- 339     
  BSBPWSHT  340- 340     
  BSBPCALC  341- 341     
  BSBPCOMP  342- 342     
  BSBPEVLF  343- 343     
  BSBPSGRP  344- 344     
  BSBPHWGV  345- 345     
  BSBPHWCL  346- 346     
  BSBPHWTC  347- 347     
  BSBPHWFC  348- 348     
  BSBPHWDS  349- 349     
  BSBPDEMO  350- 350     
  BSBPEXPR  351- 351     
  BSBPRULE  352- 352     
  BSBPPRAC  353- 353     
  BSBPSMGP  354- 354     
  BSBPASK   355- 355     
  BSBPTXBK  356- 356     
  BSBPEG    357- 357     
  BSBGACT1  358- 358     
  BSBGACT2  359- 359     
  BSBGACT3  360- 360     
  BSBGACT4  361- 361     
  BSBGACT5  362- 362     
  BSBGNEWS  363- 363     
  BSBGOPER  364- 364     
  BSBGNATR  365- 365     
  BSBGPOPU  366- 366     
  BSBGSPRT  367- 367     
  BSBGVIDE  368- 368     
  BSBGCRTN  369- 369     
  BSBGCMDY  370- 370     
  BSDAGE    371- 374 (1)
  BSDGPSA   375- 375     
  BSDGEDUP  376- 376     
  BSDMDAY7  377- 379 (1)
  BSDSDAY8  380- 382 (1)
  BSDGDAY9  383- 385 (1)
  BSDGSTDT  386- 390 (2)
  BSDEPATS  391- 391     
  BSDMPATM  392- 392     
  BSDPPATS  393- 393     
  BSDSPATS  394- 394     
  BSDBPATS  395- 395     
  BSDCPATS  396- 396     
  BSDGHERI  397- 397     
  BSDGOSTI  398- 398     
  BSDGSALL  399- 399     
  TOTWGT    400- 412 (6)
  HOUWGT    413- 425 (6)
  SENWGT    426- 438 (6)
  WGTFAC1   439- 451 (6)
  WGTADJ1   452- 464 (6)
  WGTFAC2   465- 477 (6)
  WGTFAC3   478- 490 (6)
  WGTADJ3   491- 503 (6)
  JKZONE    504- 505     
  JKREP     506- 506     
  BSMSTDR   507- 511 (2)
  BSMNRSC   512- 516 (1)
  BSMSCPT   517- 518     
  BSSSTDR   519- 523 (2)
  BSSNRSC   524- 528 (1)
  BSSSCPT   529- 530     
  INTMS95   531- 531     
  BSMMAT01  532- 537 (2)
  BSMMAT02  538- 543 (2)
  BSMMAT03  544- 549 (2)
  BSMMAT04  550- 555 (2)
  BSMMAT05  556- 561 (2)
  BSSSCI01  562- 567 (2)
  BSSSCI02  568- 573 (2)
  BSSSCI03  574- 579 (2)
  BSSSCI04  580- 585 (2)
  BSSSCI05  586- 591 (2)
  BSMALG01  592- 597 (2)
  BSMALG02  598- 603 (2)
  BSMALG03  604- 609 (2)
  BSMALG04  610- 615 (2)
  BSMALG05  616- 621 (2)
  BSMDAP01  622- 627 (2)
  BSMDAP02  628- 633 (2)
  BSMDAP03  634- 639 (2)
  BSMDAP04  640- 645 (2)
  BSMDAP05  646- 651 (2)
  BSMFNS01  652- 657 (2)
  BSMFNS02  658- 663 (2)
  BSMFNS03  664- 669 (2)
  BSMFNS04  670- 675 (2)
  BSMFNS05  676- 681 (2)
  BSMGEO01  682- 687 (2)
  BSMGEO02  688- 693 (2)
  BSMGEO03  694- 699 (2)
  BSMGEO04  700- 705 (2)
  BSMGEO05  706- 711 (2)
  BSMMEA01  712- 717 (2)
  BSMMEA02  718- 723 (2)
  BSMMEA03  724- 729 (2)
  BSMMEA04  730- 735 (2)
  BSMMEA05  736- 741 (2)
  BSSCHE01  742- 747 (2)
  BSSCHE02  748- 753 (2)
  BSSCHE03  754- 759 (2)
  BSSCHE04  760- 765 (2)
  BSSCHE05  766- 771 (2)
  BSSEAS01  772- 777 (2)
  BSSEAS02  778- 783 (2)
  BSSEAS03  784- 789 (2)
  BSSEAS04  790- 795 (2)
  BSSEAS05  796- 801 (2)
  BSSLIS01  802- 807 (2)
  BSSLIS02  808- 813 (2)
  BSSLIS03  814- 819 (2)
  BSSLIS04  820- 825 (2)
  BSSLIS05  826- 831 (2)
  BSSPHY01  832- 837 (2)
  BSSPHY02  838- 843 (2)
  BSSPHY03  844- 849 (2)
  BSSPHY04  850- 855 (2)
  BSSPHY05  856- 861 (2)
  DPCDATE   862- 867     .


*NOTE: Assignment of variable labels.

variable labels   VERSION  "*FILE VERSION*" 
                 /IDCNTRY  "*COUNTRY ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDCLASS  "*CLASS ID*" 
                 /IDSTUD   "*STUDENT ID*" 
                 /IDGRADE  "*GRADE*" 
                 /IDBOOK   "*BOOKLET ID*" 
                 /ITEXCLUD "*INDICATOR FOR EXCLUDED STUDENTS*" 
                 /ITBIRTHM "*STUDENT'S DATE OF BIRTH\MONTH*" 
                 /ITBIRTHY "*STUDENT'S DATE OF BIRTH\YEAR*" 
                 /ITSEX    "*STUDENT'S SEX*" 
                 /ITLANG   "*LANGUAGE OF TESTING*" 
                 /ITDATEM  "*DATE OF TESTING/MONTH*" 
                 /ITDATEY  "*DATE OF TESTING/YEAR*" 
                 /IDGRADER "*GRADE*" 
                 /ILRELIAB "*RELIABILITY CODING STATUS*" 
                 /ITPART   "*PARTICIPATION STATUS/ACHIEVEMENT SESS.*" 
                 /BSBGBIRD "GEN\DATE OF BIRTH\DAY" 
                 /BSBGBIRM "GEN\DATE OF BIRTH\MONTH" 
                 /BSBGBIRY "GEN\DATE OF BIRTH\YEAR" 
                 /BSBGSEX  "GEN\STUDENT'S SEX" 
                 /BSBGBRN1 "GEN\BORN IN COUNTRY" 
                 /BSBGBRN2 "GEN\BORN IN COUNTRY\AGE" 
                 /BSBGLANG "GEN\SPEAK LANGUAGE OF TEST AT HOME" 
                 /BSBMEXTR "MAT\OUTSIDE SCHL\EXTRA LESSONS" 
                 /BSBSEXTR "SCI\OUTSIDE SCHL\EXTRA LESSONS" 
                 /BSBGCLUB "GEN\OUTSIDE SCHL\CLUBS PARTICIPATION" 
                 /BSBGPAID "GEN\OUTSIDE SCHL\WORK AT PAID JOB" 
                 /BSBGDAY1 "GEN\OUTSIDE SCHL\WATCH TY OR VIDEOS" 
                 /BSBGDAY2 "GEN\OUTSIDE SCHL\PLAY COMPUTER GAMES" 
                 /BSBGDAY3 "GEN\OUTSIDE SCHL\PLAY WITH FRIENDS" 
                 /BSBGDAY4 "GEN\OUTSIDE SCHL\DOING JOBS AT HOME" 
                 /BSBGDAY5 "GEN\OUTSIDE SCHL\PLAYING SPORTS" 
                 /BSBGDAY6 "GEN\OUTSIDE SCHL\READING A BOOK" 
                 /BSBMDAY7 "MAT\OUTSIDE SCHL\STUDYING MATH" 
                 /BSBSDAY8 "SCI\OUTSIDE SCHL\STUDYING SCIENCE" 
                 /BSBGDAY9 "GEN\OUTSIDE SCHL\STUDYING OTHER SUBJ" 
                 /BSBGADU1 "GEN\STUDENT LIVES WITH\MOTHER" 
                 /BSBGADU2 "GEN\STUDENT LIVES WITH\FATHER" 
                 /BSBGADU3 "GEN\STUDENT LIVES WITH\BROTHER(S)" 
                 /BSBGADU4 "GEN\STUDENT LIVES WITH\SISTER(S)" 
                 /BSBGADU5 "GEN\STUDENT LIVES WITH\STEPMOTHER" 
                 /BSBGADU6 "GEN\STUDENT LIVES WITH\STEPFATHER" 
                 /BSBGADU7 "GEN\STUDENT LIVES WITH\GRANDPRNT(S)" 
                 /BSBGADU8 "GEN\STUDENT LIVES WITH\RELATIVE(S)" 
                 /BSBGADU9 "GEN\STUDENT LIVES WITH\OTHER(S)" 
                 /BSBGHOME "GEN\# OF PEOPLE LIVING IN HOME" 
                 /BSBGEDUM "GEN\HIGHEST EDUC LEVEL\MOTHER" 
                 /BSBGEDUF "GEN\HIGHEST EDUC LEVEL\FATHER" 
                 /BSBGEDUS "GEN\HIGHEST EDUC LEVEL\SELF" 
                 /BSBGBRNM "GEN\BORN IN COUNTRY\MOTHER" 
                 /BSBGBRNF "GEN\BORN IN COUNTRY\FATHER" 
                 /BSBGBOOK "GEN\# OF BOOKS IN STUDENT'S HOME" 
                 /BSBGPS01 "GEN\HOME POSSESS\CALCULATOR" 
                 /BSBGPS02 "GEN\HOME POSSESS\COMPUTER" 
                 /BSBGPS03 "GEN\HOME POSSESS\STUDY DESK" 
                 /BSBGPS04 "GEN\HOME POSSESS\DICTIONARY" 
                 /BSBGPS05 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS06 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS07 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS08 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS09 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS10 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS11 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS12 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS13 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS14 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS15 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBGPS16 "GEN\HOME POSSESS\<COUNTRY SPECIFIC>" 
                 /BSBSMIP1 "SCI\MOTHER IMPT\DO WELL IN SCIENCE" 
                 /BSBMMIP2 "MAT\MOTHER IMPT\DO WELL IN MATH" 
                 /BSBGMIP3 "GEN\MOTHER IMPT\DO WELL IN LANGUAGE" 
                 /BSBGMIP4 "GEN\MOTHER IMPT\GOOD IN SPORTS" 
                 /BSBGMIP5 "GEN\MOTHER IMPT\HAVE TIME FOR FUN" 
                 /BSBGMIP6 "GEN\MOTHER IMPT\HIGH ACHIEVE CLASS" 
                 /BSBMCLS1 "MAT\STUDENTS NEGLECT SCHOOL WORK" 
                 /BSBMCLS2 "MAT\STUDENTS ORDERLY & QUIET" 
                 /BSBMCLS3 "MAT\STUDENTS DO EXACTLY AS TOLD" 
                 /BSBSFIP1 "SCI\FRIENDS IMPT\DO WELL IN SCIENCE" 
                 /BSBMFIP2 "MAT\FRIENDS IMPT\DO WELL IN MATH" 
                 /BSBGFIP3 "GEN\FRIENDS IMPT\DO WELL IN LANGUAGE" 
                 /BSBGFIP4 "GEN\FRIENDS IMPT\HAVE TIME FOR FUN" 
                 /BSBGFIP5 "GEN\FRIENDS IMPT\GOOD IN SPORTS" 
                 /BSBGFIP6 "GEN\FRIENDS IMPT\HIGH ACHIEVE CLASS" 
                 /BSBSSIP1 "SCI\SELF IMPT\DO WELL IN SCIENCE" 
                 /BSBMSIP2 "MAT\SELF IMPT\DO WELL IN MATH" 
                 /BSBGSIP3 "GEN\SELF IMPT\DO WELL IN LANGUAGE" 
                 /BSBGSIP4 "GEN\SELF IMPT\HAVE TIME FOR FUN" 
                 /BSBGSIP5 "GEN\SELF IMPT\GOOD IN SPORTS" 
                 /BSBGSIP6 "GEN\SELF IMPT\HIGH ACHIEVE CLASS" 
                 /BSBMGOOD "MAT\USUALLY DO WELL IN MATH" 
                 /BSBSGOOD "SCI\USUALLY DO WELL IN SCIENCE" 
                 /BSBGSSKP "GEN\STUDENT SKIPPED A CLASS" 
                 /BSBGSSTL "GEN\STUDENT HAD SOMETHING STOLEN" 
                 /BSBGSHRT "GEN\STUDENT THOUGHT MIGHT GET HURT" 
                 /BSBGFSKP "GEN\FRIEND SKIPPED A CLASS" 
                 /BSBGFSTL "GEN\FRIEND HAD SOMETHING STOLEN" 
                 /BSBGFHRT "GEN\FRIEND THOUGHT MIGHT GET HURT" 
                 /BSBMDOW1 "MAT\DO WELL\NATURAL TALENT" 
                 /BSBMDOW2 "MAT\DO WELL\GOOD LUCK" 
                 /BSBMDOW3 "MAT\DO WELL\HARD WORK STUDYING" 
                 /BSBMDOW4 "MAT\DO WELL\MEMORIZE NOTES" 
                 /BSBSDOW1 "SCI\DO WELL\NATURAL TALENT" 
                 /BSBSDOW2 "SCI\DO WELL\GOOD LUCK" 
                 /BSBSDOW3 "SCI\DO WELL\HARD WORK STUDYING" 
                 /BSBSDOW4 "SCI\DO WELL\MEMORIZE NOTES" 
                 /BSBMLIKE "MAT\LIKE MATHEMATICS" 
                 /BSBSLIKE "SCI\LIKE SCIENCE" 
                 /BSBMCMLK "MAT\LIKE COMPUTERS\MATH CLASS" 
                 /BSBSCMLK "SCI\LIKE COMPUTERS\SCIENCE CLASS" 
                 /BSBMENJY "MAT\THINK\ENJOY LEARNING MATH" 
                 /BSBMBORE "MAT\THINK\MATH IS BORING" 
                 /BSBMEASY "MAT\THINK\MATH IS AN EASY SUBJECT" 
                 /BSBMLIFE "MAT\THINK\MATH IS IMPORTANT IN LIFE" 
                 /BSBMWORK "MAT\THINK\LIKE JOB INVOLVING MATH" 
                 /BSBMJOB  "MAT\DO WELL\TO GET DESIRED JOB" 
                 /BSBMPRNT "MAT\DO WELL\TO PLEASE PARENTS" 
                 /BSBMSCHL "MAT\DO WELL\TO ENTER DESIRED SCHOOL" 
                 /BSBMSELF "MAT\DO WELL\TO PLEASE SELF" 
                 /BSBMPROB "MAT\TEACHER SHOW HOW TO DO PROBLEMS" 
                 /BSBMNOTE "MAT\COPY NOTES FROM THE BOARD" 
                 /BSBMTEST "MAT\HAVE A QUIZ OR TEST" 
                 /BSBMWSHT "MAT\WORK FROM WORKSHEETS ON OWR OWN" 
                 /BSBMPROJ "MAT\WORK ON PROJECTS" 
                 /BSBMCALC "MAT\USE CALCULATORS" 
                 /BSBMCOMP "MAT\USE COMPUTERS" 
                 /BSBMSGRP "MAT\WORK IN PAIRS OR SMALL GROUPS" 
                 /BSBMEVLF "MAT\SOLVE WITH EVERYDAY LIFE THINGS" 
                 /BSBMHWGV "MAT\TEACHER GIVES HOMEWORK" 
                 /BSBMHWCL "MAT\BEGIN HOMEWORK IN CLASS" 
                 /BSBMHWTC "MAT\TEACHER CHECKS HOMEWORK" 
                 /BSBMHWFC "MAT\CHECK EACH OTHER'S HOMEWORK" 
                 /BSBMHWDS "MAT\DISCUSS COMPLETED HOMEWORK" 
                 /BSBMRULE "MAT\NEW TOPIC\TEACHER EXPLAINS RULES" 
                 /BSBMPRAC "MAT\NEW TOPIC\DISCUSS PRACTICAL PROB" 
                 /BSBMSMGP "MAT\NEW TOPIC\WORK IN SMALL GROUPS" 
                 /BSBMASK  "MAT\NEW TOPIC\ASK WHAT STUDENTS KNOW" 
                 /BSBMTXBK "MAT\NEW TOPIC\LOOK AT TEXTBOOK" 
                 /BSBMEG   "MAT\NEW TOPIC\SOLVE RELATED EXAMPLE" 
                 /BSBGENV1 "GEN\AIR POLLUTION" 
                 /BSBGENV2 "GEN\WATER POLLUTION" 
                 /BSBGENV3 "GEN\DESTRUCTION OF FORESTS" 
                 /BSBGENV4 "GEN\ENDANGERED SPECIES" 
                 /BSBGENV5 "GEN\DAMAGE TO OZONE LAYER" 
                 /BSBGENV6 "GEN\PROBLEMS FR NUCLEAR POWER PLANTS" 
                 /BSBGWORR "GEN\MOST CONCERNED ENVIR. PROBLEM" 
                 /BSBSENJY "SCI\THINK\ENJOY LEARNING SCIENCE" 
                 /BSBSBORE "SCI\THINK\SCIENCE IS BORING" 
                 /BSBSEASY "SCI\THINK\SCIENCE IS AN EASY SUBJECT" 
                 /BSBSLIFE "SCI\THINK\SCIENCE IS IMPORT IN LIFE" 
                 /BSBSWORK "SCI\THINK\LIKE JOB INVOLVING SCIENCE" 
                 /BSBSJOB  "SCI\DO WELL\TO GET DESIRED JOB" 
                 /BSBSPRNT "SCI\DO WELL\TO PLEASE PARENTS" 
                 /BSBSSCHL "SCI\DO WELL\TO ENTER DESIRED SCHOOL" 
                 /BSBSSELF "SCI\DO WELL\TO PLEASE SELF" 
                 /BSBSCARE "SCI\CHOICE OF CAREER IN SCIENCE" 
                 /BSBSPROB "SCI\TEACHER SHOW HOW TO DO PROBLEMS" 
                 /BSBSNOTE "SCI\COPY NOTES FROM THE BOARD" 
                 /BSBSTEST "SCI\HAVE A QUIZ OR TEST" 
                 /BSBSPROJ "SCI\WORK ON PROJECTS" 
                 /BSBSWSHT "SCI\WORK FROM WORKSHEETS ON OWR OWN" 
                 /BSBSCALC "SCI\USE CALCULATORS" 
                 /BSBSCOMP "SCI\USE COMPUTERS" 
                 /BSBSEVLF "SCI\SOLVE WITH EVERYDAY LIFE THINGS" 
                 /BSBSSGRP "SCI\WORK IN PAIRS OR SMALL GROUPS" 
                 /BSBSHWGV "SCI\TEACHER GIVES HOMEWORK" 
                 /BSBSHWCL "SCI\BEGIN HOMEWORK IN CLASS" 
                 /BSBSHWTC "SCI\TEACHER CHECKS HOMEWORK" 
                 /BSBSHWFC "SCI\CHECK EACH OTHER'S HOMEWORK" 
                 /BSBSHWDS "SCI\DISCUSS COMPLETED HOMEWORK" 
                 /BSBSDEMO "SCI\TEACHER GIVES DEMONSTRATION" 
                 /BSBSEXPR "SCI\STUDENTS DO EXPERIMENT IN CLASS" 
                 /BSBSRULE "SCI\NEW TOPIC\TEACHER EXPLAINS RULES" 
                 /BSBSPRAC "SCI\NEW TOPIC\DISCUSS PRACTICAL PROB" 
                 /BSBSSMGP "SCI\NEW TOPIC\WORK IN SMALL GROUPS" 
                 /BSBSASK  "SCI\NEW TOPIC\ASK WHAT STUDENTS KNOW" 
                 /BSBSTXBK "SCI\NEW TOPIC\LOOK AT TEXTBOOK" 
                 /BSBSEG   "SCI\SOLVE EXAMPLE RELATED TO PROBLEM" 
                 /BSBBGOOD "BIO\USUALLY DO WELL IN BIOLOGY" 
                 /BSBEGOOD "EAR\USUALLY DO WELL IN EARTH SCI" 
                 /BSBYGOOD "PHY\USUALLY DO WELL IN PHYSICAL SCI" 
                 /BSBBLIKE "BIO\LIKE BIOLOGICAL SCIENCE" 
                 /BSBELIKE "EAR\LIKE EARTH SCIENCE" 
                 /BSBYLIKE "PHY\LIKE\PHYSICAL SCIENCE" 
                 /BSBBSTDY "SCI\STUDYING THIS YEAR\BIOLOGY" 
                 /BSBCSTDY "SCI\STUDYING THIS YEAR\CHEMISTRY" 
                 /BSBESTDY "SCI\STUDYING THIS YEAR\EARTH SCIENCE" 
                 /BSBPSTDY "SCI\STUDYING THIS YEAR\PHYSICS" 
                 /BSBBENJY "BIO\THINK\ENJOY LEARNING BIOLOGY" 
                 /BSBBBORE "BIO\THINK\BIOLOGY IS BORING" 
                 /BSBBEASY "BIO\THINK\BIOLOGY IS AN EASY SUBJECT" 
                 /BSBBLIFE "BIO\THINK\BIOLOGY IS IMPORT IN LIFE" 
                 /BSBBWORK "BIO\THINK\LIKE JOB INVOLVING BIOLOGY" 
                 /BSBBJOB  "BIO\DO WELL\TO GET DESIRED JOB" 
                 /BSBBPRNT "BIO\DO WELL\TO PLEASE PARENTS" 
                 /BSBBSCHL "BIO\DO WELL\TO ENTER DESIRED SCHOOL" 
                 /BSBBSELF "BIO\DO WELL\TO PLEASE SELF" 
                 /BSBBPROB "BIO\TEACHER SHOW HOW TO DO PROBLEMS" 
                 /BSBBNOTE "BIO\COPY NOTES FROM THE BOARD" 
                 /BSBBTEST "BIO\HAVE A QUIZ OR TEST" 
                 /BSBBPROJ "BIO\WORK ON PROJECTS" 
                 /BSBBWSHT "BIO\WORK FROM WORKSHEETS ON OWR OWN" 
                 /BSBBCALC "BIO\USE CALCULATORS" 
                 /BSBBCOMP "BIO\USE COMPUTERS" 
                 /BSBBEVLF "BIO\SOLVE WITH EVERYDAY LIFE THINGS" 
                 /BSBBSGRP "BIO\WORK IN PAIRS OR SMALL GROUPS" 
                 /BSBBHWGV "BIO\TEACHER GIVES HOMEWORK" 
                 /BSBBHWCL "BIO\BEGIN HOMEWORK IN CLASS" 
                 /BSBBHWTC "BIO\TEACHER CHECKS HOMEWORK" 
                 /BSBBHWFC "BIO\CHECK EACH OTHER'S HOMEWORK" 
                 /BSBBHWDS "BIO\DISCUSS COMPLETED HOMEWORK" 
                 /BSBBDEMO "BIO\TEACHER GIVES DEMONSTRATION" 
                 /BSBBEXPR "BIO\STUDENTS DO EXPERIMENT IN CLASS" 
                 /BSBBRULE "BIO\NEW TOPIC\TEACHER EXPLAINS RULES" 
                 /BSBBPRAC "BIO\NEW TOPIC\DISCUSS PRACTICAL PROB" 
                 /BSBBSMGP "BIO\NEW TOPIC\WORK IN SMALL GROUPS" 
                 /BSBBASK  "BIO\NEW TOPIC\ASK WHAT STUDENTS KNOW" 
                 /BSBBTXBK "BIO\NEW TOPIC\LOOK AT TEXTBOOK" 
                 /BSBBEG   "BIO\NEW TOPIC\SOLVE RELATED EXAMPLE" 
                 /BSBCENJY "CHE\THINK\ENJOY LEARNING CHEMISTRY" 
                 /BSBCBORE "CHE\THINK\CHEMISTRY IS BORING" 
                 /BSBCEASY "CHE\THINK\CHEM IS AN EASY SUBJECT" 
                 /BSBCLIFE "CHE\THINK\CHEM IS IMPORT IN LIFE" 
                 /BSBCWORK "CHE\THINK\LIKE JOB INVOLVING CHEM" 
                 /BSBCJOB  "CHE\DO WELL\TO GET DESIRED JOB" 
                 /BSBCPRNT "CHE\DO WELL\TO PLEASE PARENTS" 
                 /BSBCSCHL "CHE\DO WELL\TO ENTER DESIRED SCHOOL" 
                 /BSBCSELF "CHE\DO WELL\TO PLEASE SELF" 
                 /BSBCPROB "CHE\TEACHER SHOW HOW TO DO PROBLEMS" 
                 /BSBCNOTE "CHE\COPY NOTES FROM THE BOARD" 
                 /BSBCTEST "CHE\HAVE A QUIZ OR TEST" 
                 /BSBCPROJ "CHE\WORK ON PROJECTS" 
                 /BSBCWSHT "CHE\WORK FROM WORKSHEETS ON OWR OWN" 
                 /BSBCCALC "CHE\USE CALCULATORS" 
                 /BSBCCOMP "CHE\USE COMPUTERS" 
                 /BSBCEVLF "CHE\SOLVE WITH EVERYDAY LIFE THINGS" 
                 /BSBCSGRP "CHE\WORK IN PAIRS OR SMALL GROUPS" 
                 /BSBCHWGV "CHE\TEACHER GIVES HOMEWORK" 
                 /BSBCHWCL "CHE\BEGIN HOMEWORK IN CLASS" 
                 /BSBCHWTC "CHE\TEACHER CHECKS HOMEWORK" 
                 /BSBCHWFC "CHE\CHECK EACH OTHER'S HOMEWORK" 
                 /BSBCHWDS "CHE\DISCUSS COMPLETED HOMEWORK" 
                 /BSBCDEMO "CHE\TEACHER GIVES DEMONSTRATION" 
                 /BSBCEXPR "CHE\STUDENTS DO EXPERIMENT IN CLASS" 
                 /BSBCRULE "CHE\NEW TOPIC\TEACHER EXPLAINS RULES" 
                 /BSBCPRAC "CHE\NEW TOPIC\DISCUSS PRACTICAL PROB" 
                 /BSBCSMGP "CHE\NEW TOPIC\WORK IN SMALL GROUPS" 
                 /BSBCASK  "CHE\NEW TOPIC\ASK WHAT STUDENTS KNOW" 
                 /BSBCTXBK "CHE\NEW TOPIC\LOOK AT TEXTBOOK" 
                 /BSBCEG   "CHE\NEW TOPIC\SOLVE RELATED EXAMPLE" 
                 /BSBEENJY "EAR\THINK\ENJOY LEARNING EARTH SCI" 
                 /BSBEBORE "EAR\THINK\EARTH SCI IS BORING" 
                 /BSBEEASY "EAR\THINK\EARTH SCI EASY SUBJECT" 
                 /BSBELIFE "EAR\THINK\EARTH SCI IMPORT IN LIFE" 
                 /BSBEWORK "EAR\THINK\JOB INVOLVING EARTH SCI" 
                 /BSBEJOB  "EAR\DO WELL\TO GET DESIRED JOB" 
                 /BSBEPRNT "EAR\DO WELL\TO PLEASE PARENTS" 
                 /BSBESCHL "EAR\DO WELL\TO ENTER DESIRED SCHOOL" 
                 /BSBESELF "EAR\DO WELL\TO PLEASE SELF" 
                 /BSBEPROB "EAR\TEACHER SHOW HOW TO DO PROBLEMS" 
                 /BSBENOTE "EAR\COPY NOTES FROM THE BOARD" 
                 /BSBETEST "EAR\HAVE A QUIZ OR TEST" 
                 /BSBEPROJ "EAR\WORK ON PROJECTS" 
                 /BSBEWSHT "EAR\WORK FROM WORKSHEETS ON OWR OWN" 
                 /BSBECALC "EAR\USE CALCULATORS" 
                 /BSBECOMP "EAR\USE COMPUTERS" 
                 /BSBEEVLF "EAR\SOLVE WITH EVERYDAY LIFE THINGS" 
                 /BSBESGRP "EAR\WORK IN PAIRS OR SMALL GROUPS" 
                 /BSBEHWGV "EAR\TEACHER GIVES HOMEWORK" 
                 /BSBEHWCL "EAR\BEGIN HOMEWORK IN CLASS" 
                 /BSBEHWTC "EAR\TEACHER CHECKS HOMEWORK" 
                 /BSBEHWFC "EAR\CHECK EACH OTHER'S HOMEWORK" 
                 /BSBEHWDS "EAR\DISCUSS COMPLETED HOMEWORK" 
                 /BSBEDEMO "EAR\TEACHER GIVES DEMONSTRATION" 
                 /BSBEEXPR "EAR\STUDENTS DO EXPERIMENT IN CLASS" 
                 /BSBERULE "EAR\NEW TOPIC\TEACHER EXPLAINS RULES" 
                 /BSBEPRAC "EAR\NEW TOPIC\DISCUSS PRACTICAL PROB" 
                 /BSBESMGP "EAR\NEW TOPIC\WORK IN SMALL GROUPS" 
                 /BSBEASK  "EAR\NEW TOPIC\ASK WHAT STUDENTS KNOW" 
                 /BSBETXBK "EAR\NEW TOPIC\LOOK AT TEXTBOOK" 
                 /BSBEEG   "EAR\NEW TOPIC\SOLVE RELATED EXAMPLE" 
                 /BSBPENJY "PHY\THINK\ENJOY LEARNING PHYSICS" 
                 /BSBPBORE "PHY\THINK\PHYSICS IS BORING" 
                 /BSBPEASY "PHY\THINK\PHYSICS IS EASY SUBJECT" 
                 /BSBPLIFE "PHY\THINK\PHYSICS IMPORT IN LIFE" 
                 /BSBPWORK "PHY\THINK\JOB INVOLVING PHYSICS" 
                 /BSBPJOB  "PHY\DO WELL\TO GET DESIRED JOB" 
                 /BSBPPRNT "PHY\DO WELL\TO PLEASE PARENTS" 
                 /BSBPSCHL "PHY\DO WELL\TO ENTER DESIRED SCHOOL" 
                 /BSBPSELF "PHY\DO WELL\TO PLEASE SELF" 
                 /BSBPPROB "PHY\TEACHER SHOW HOW TO DO PROBLEMS" 
                 /BSBPNOTE "PHY\COPY NOTES FROM THE BOARD" 
                 /BSBPTEST "PHY\HAVE A QUIZ OR TEST" 
                 /BSBPPROJ "PHY\WORK ON PROJECTS" 
                 /BSBPWSHT "PHY\WORK FROM WORKSHEETS ON OWR OWN" 
                 /BSBPCALC "PHY\USE CALCULATORS" 
                 /BSBPCOMP "PHY\USE COMPUTERS" 
                 /BSBPEVLF "PHY\SOLVE WITH EVERYDAY LIFE THINGS" 
                 /BSBPSGRP "PHY\WORK IN PAIRS OR SMALL GROUPS" 
                 /BSBPHWGV "PHY\TEACHER GIVES HOMEWORK" 
                 /BSBPHWCL "PHY\BEGIN HOMEWORK IN CLASS" 
                 /BSBPHWTC "PHY\TEACHER CHECKS HOMEWORK" 
                 /BSBPHWFC "PHY\CHECK EACH OTHER'S HOMEWORK" 
                 /BSBPHWDS "PHY\DISCUSS COMPLETED HOMEWORK" 
                 /BSBPDEMO "PHY\TEACHER GIVES DEMONSTRATION" 
                 /BSBPEXPR "PHY\STUDENTS DO EXPERIMENT IN CLASS" 
                 /BSBPRULE "PHY\NEW TOPIC\TEACHER EXPLAINS RULES" 
                 /BSBPPRAC "PHY\NEW TOPIC\DISCUSS PRACTICAL PROB" 
                 /BSBPSMGP "PHY\NEW TOPIC\WORK IN SMALL GROUPS" 
                 /BSBPASK  "PHY\NEW TOPIC\ASK WHAT STUDENTS KNOW" 
                 /BSBPTXBK "PHY\NEW TOPIC\LOOK AT TEXTBOOK" 
                 /BSBPEG   "PHY\NEW TOPIC\SOLVE RELATED EXAMPLE" 
                 /BSBGACT1 "GEN\READ A BOOK" 
                 /BSBGACT2 "GEN\VISIT A MUSEUM" 
                 /BSBGACT3 "GEN\ATTEND A CONCERT" 
                 /BSBGACT4 "GEN\GO TO THE THEATRE" 
                 /BSBGACT5 "GEN\GO TO THE MOVIES" 
                 /BSBGNEWS "GEN\WATCH NEWS OR DOCUMENTATIES" 
                 /BSBGOPER "GEN\WATCH OPERA,BALLET,CLASS. MUSIC" 
                 /BSBGNATR "GEN\WATCH NATURE,WILDLIFE,HISTORY" 
                 /BSBGPOPU "GEN\WATCH POPULAR MUSIC" 
                 /BSBGSPRT "GEN\WATCH SPORTS" 
                 /BSBGVIDE "GEN\WATCH VIDEO GAMES" 
                 /BSBGCRTN "GEN\WATCH CARTOONS" 
                 /BSBGCMDY "GEN\WATCH COMEDY,ADVENTURE,SUSPENSE" 
                 /BSDAGE   "GEN\STUDENT'S AGE" 
                 /BSDGPSA  "GEN\HOME\POSSESS ALL\COMPUTER\DESK\DICTI" 
                 /BSDGEDUP "GEN\HIGHEST EDUC LEVEL\PARENTS" 
                 /BSDMDAY7 "GEN\OUTSIDE SCHL\STUDYING MATH" 
                 /BSDSDAY8 "GEN\OUTSIDE SCHL\STUDYING SCIENCE" 
                 /BSDGDAY9 "GEN\OUTSIDE SCHL\STUDYING OTHER SUBJ" 
                 /BSDGSTDT "GEN\DAILY HOURS SPENT STUDYING" 
                 /BSDEPATS "SCI\POSITIVE ATTITUDE\TOWARD EARTH SCIEN" 
                 /BSDMPATM "MAT\POSITIVE ATTITUDE\TOWARD MATHEMATICS" 
                 /BSDPPATS "SCI\POSITIVE ATTITUDE\TOWARD PHYSICS" 
                 /BSDSPATS "SCI\POSITIVE ATTITUDE\TOWARD SCIENCE" 
                 /BSDBPATS "SCI\POSITIVE ATTITUDE\TOWARD BIOLOGY" 
                 /BSDCPATS "SCI\POSITIVE ATTITUDE\TOWARD CHEMISTRY" 
                 /BSDGHERI "GEN\INDEX OF HOME EDUCATIONAL RESOURCES" 
                 /BSDGOSTI "GEN\OUT-OF-SCHOOL STUDY TIME" 
                 /BSDGSALL "GEN\OUTSIDE SCHL\STUDY ALL 3 FIELDS" 
                 /TOTWGT   "*STUDENT WEIGHT*" 
                 /HOUWGT   "*HOUSE WEIGHT*" 
                 /SENWGT   "*SENATE WEIGHT*" 
                 /WGTFAC1  "*WEIGHTING FACTOR I (SCHOOL)*" 
                 /WGTADJ1  "*WEIGHTING ADJUSTMENT I (SCHOOL)*" 
                 /WGTFAC2  "*WEIGHTING FACTOR II (CLASS)*" 
                 /WGTFAC3  "*WEIGHTING FACTOR III (STUDENT)*" 
                 /WGTADJ3  "*WEIGHTING ADJUSTMENT III (STUDENT)*" 
                 /JKZONE   "*ZONE CODE*" 
                 /JKREP    "*REPLICATE CODE*" 
                 /BSMSTDR  "*STANDARDIZED MATH RAW SCORE*" 
                 /BSMNRSC  "*NATIONAL MATH RASCH SCORE*" 
                 /BSMSCPT  "*# OF SCORE POINTS IN MATH ITEMS*" 
                 /BSSSTDR  "*STANDARDIZED SCIENCE RAW SCORE*" 
                 /BSSNRSC  "*NATIONAL SCIENCE RASCH SCORE*" 
                 /BSSSCPT  "*# OF SCORE POINTS IN SCIENCE ITEMS*" 
                 /INTMS95  "*IN 1995 ASSESSMENT POPULATION*" 
                 /BSMMAT01 "*1ST PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT02 "*2ND PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT03 "*3RD PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT04 "*4TH PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSMMAT05 "*5TH PLAUSIBLE VALUE MATHEMATICS*" 
                 /BSSSCI01 "*1ST PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI02 "*2ND PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI03 "*3RD PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI04 "*4TH PLAUSIBLE VALUE SCIENCE*" 
                 /BSSSCI05 "*5TH PLAUSIBLE VALUE SCIENCE*" 
                 /BSMALG01 "*1ST PV ALGEBRA*" 
                 /BSMALG02 "*2ND PV ALGEBRA*" 
                 /BSMALG03 "*3RD PV ALGEBRA*" 
                 /BSMALG04 "*4TH PV ALGEBRA*" 
                 /BSMALG05 "*5TH PV ALGEBRA*" 
                 /BSMDAP01 "*1ST PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /BSMDAP02 "*2ND PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /BSMDAP03 "*3RD PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /BSMDAP04 "*4TH PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /BSMDAP05 "*5TH PV DATA REPR.,ANALYSIS,PROBABILITY*" 
                 /BSMFNS01 "*1ST PV FRACTIONS + NUMBER SENSE*" 
                 /BSMFNS02 "*2ND PV FRACTIONS + NUMBER SENSE*" 
                 /BSMFNS03 "*3RD PV FRACTIONS + NUMBER SENSE*" 
                 /BSMFNS04 "*4TH PV FRACTIONS + NUMBER SENSE*" 
                 /BSMFNS05 "*5TH PV FRACTIONS + NUMBER SENSE*" 
                 /BSMGEO01 "*1ST PV GEOMETRY*" 
                 /BSMGEO02 "*2ND PV GEOMETRY*" 
                 /BSMGEO03 "*3RD PV GEOMETRY*" 
                 /BSMGEO04 "*4TH PV GEOMETRY*" 
                 /BSMGEO05 "*5TH PV GEOMETRY*" 
                 /BSMMEA01 "*1ST PV MEASUREMENT*" 
                 /BSMMEA02 "*2ND PV MEASUREMENT*" 
                 /BSMMEA03 "*3RD PV MEASUREMENT*" 
                 /BSMMEA04 "*4TH PV MEASUREMENT*" 
                 /BSMMEA05 "*5TH PV MEASUREMENT*" 
                 /BSSCHE01 "*1ST PV CHEMISTRY*" 
                 /BSSCHE02 "*2ND PV CHEMISTRY*" 
                 /BSSCHE03 "*3RD PV CHEMISTRY*" 
                 /BSSCHE04 "*4TH PV CHEMISTRY*" 
                 /BSSCHE05 "*5TH PV CHEMISTRY*" 
                 /BSSEAS01 "*1ST PV EARTH SCIENCE*" 
                 /BSSEAS02 "*2ND PV EARTH SCIENCE*" 
                 /BSSEAS03 "*3RD PV EARTH SCIENCE*" 
                 /BSSEAS04 "*4TH PV EARTH SCIENCE*" 
                 /BSSEAS05 "*5TH PV EARTH SCIENCE*" 
                 /BSSLIS01 "*1ST PV LIFE SCIENCE*" 
                 /BSSLIS02 "*2ND PV LIFE SCIENCE*" 
                 /BSSLIS03 "*3RD PV LIFE SCIENCE*" 
                 /BSSLIS04 "*4TH PV LIFE SCIENCE*" 
                 /BSSLIS05 "*5TH PV LIFE SCIENCE*" 
                 /BSSPHY01 "*1ST PV PHYSICS*" 
                 /BSSPHY02 "*2ND PV PHYSICS*" 
                 /BSSPHY03 "*3RD PV PHYSICS*" 
                 /BSSPHY04 "*4TH PV PHYSICS*" 
                 /BSSPHY05 "*5TH PV PHYSICS*" 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "population 1"
                       2  "population 2"
                       3  "population 3"
                       /
            IDBOOK     0  "no booklet was assigned"
                       1  "booklet 1"
                       2  "booklet 2"
                       3  "booklet 3"
                       4  "booklet 4"
                       5  "booklet 5"
                       6  "booklet 6"
                       7  "booklet 7"
                       8  "booklet 8"
                       /
            ITEXCLUD   1  "student is functionally disabled"
                       2  "student is educable mentally retarded"
                       3  "student unable to speak or read language"
                       4  "<nationally defined reason>"
                       9  "omitted"
                       /
            ITSEX      1  "girl"
                       2  "boy"
                       9  "omitted"
                       8  "not admin."
                       /
            IDGRADER   1  "lower grade"
                       2  "upper grade"
                       3  "grade above upper grade"
                       /
            ILRELIAB   1  "student did not participate in reliability coding"
                       2  "student participated in reliability coding"
                       /
            ITPART     0  "student was excluded & didn't participate"
                       1  "student left school permanently"
                       2  "student absent in sessions 1 and 2 "
                       3  "student participated in session 1 or 2"
                       4  "booklet lost"
                       5  "student excl., but data available"
                       /
            BSBGSEX    1  "girl"
                       2  "boy"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGBRN1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGLANG   1  "always or almost always"
                       2  "sometimes"
                       3  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMEXTR   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSEXTR   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGCLUB   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPAID   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGDAY1   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGDAY2   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGDAY3   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGDAY4   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGDAY5   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGDAY6   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMDAY7   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSDAY8   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGDAY9   1  "no time"
                       2  "less than 1 hour"
                       3  "1-2 hours"
                       4  "3-5 hours"
                       5  "more than 5 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGADU1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGADU2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGADU3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGADU4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGADU5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGADU6   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGADU7   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGADU8   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGADU9   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGEDUM   1  "<finish primary schl>"
                       2  "<finish some secondary schl>"
                       3  "<finish secondary schl>"
                       4  "<some vocational education>"
                       5  "<some university>"
                       6  "<finish university>"
                       7  "I don't know"
                      99  "omitted"
                      98  "not admin."
                       /
            BSBGEDUF   1  "<finish primary schl>"
                       2  "<finish some secondary schl>"
                       3  "<finish secondary schl>"
                       4  "<some vocational education>"
                       5  "<some university>"
                       6  "<finish university>"
                       7  "I don't know"
                      99  "omitted"
                      98  "not admin."
                       /
            BSBGEDUS   1  "<finish primary schl>"
                       2  "<finish some secondary schl>"
                       3  "<finish secondary schl>"
                       4  "<some vocational education>"
                       5  "<some university>"
                       6  "<finish university>"
                       7  "I don't know"
                      99  "omitted"
                      98  "not admin."
                       /
            BSBGBRNM   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGBRNF   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGBOOK   1  "0-10 books"
                       2  "11-25 books"
                       3  "26-100 books"
                       4  "101-200 books"
                       5  "more than 200 books"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS01   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS02   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS03   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS04   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS05   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS06   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS07   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS08   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS09   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS10   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS11   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS12   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS13   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS14   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS15   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPS16   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSMIP1   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMMIP2   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGMIP3   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGMIP4   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGMIP5   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGMIP6   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMCLS1   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMCLS2   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMCLS3   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSFIP1   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMFIP2   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGFIP3   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGFIP4   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGFIP5   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGFIP6   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSSIP1   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMSIP2   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGSIP3   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGSIP4   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGSIP5   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGSIP6   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMGOOD   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSGOOD   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGSSKP   1  "never"
                       2  "once or twice"
                       3  "3-4 times"
                       4  "5 or more"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGSSTL   1  "never"
                       2  "once or twice"
                       3  "3-4 times"
                       4  "5 or more"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGSHRT   1  "never"
                       2  "once or twice"
                       3  "3-4 times"
                       4  "5 or more"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGFSKP   1  "never"
                       2  "once or twice"
                       3  "3-4 times"
                       4  "5 or more"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGFSTL   1  "never"
                       2  "once or twice"
                       3  "3-4 times"
                       4  "5 or more"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGFHRT   1  "never"
                       2  "once or twice"
                       3  "3-4 times"
                       4  "5 or more"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMDOW1   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMDOW2   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMDOW3   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMDOW4   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSDOW1   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSDOW2   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSDOW3   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSDOW4   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMLIKE   1  "dislike a lot"
                       2  "dislike"
                       3  "like"
                       4  "like a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSLIKE   1  "dislike a lot"
                       2  "dislike"
                       3  "like"
                       4  "like a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMCMLK   1  "don't use computers"
                       2  "dislike a lot"
                       3  "dislike"
                       4  "like"
                       5  "like a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSCMLK   1  "don't use computers"
                       2  "dislike a lot"
                       3  "dislike"
                       4  "like"
                       5  "like a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMENJY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMBORE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMEASY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMLIFE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMWORK   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMJOB    1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMPRNT   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMSCHL   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMSELF   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMPROB   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMNOTE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMTEST   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMWSHT   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMPROJ   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMCALC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMCOMP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMSGRP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMEVLF   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMHWGV   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMHWCL   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMHWTC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMHWFC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMHWDS   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMRULE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMPRAC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMSMGP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMASK    1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMTXBK   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBMEG     1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGENV1   1  "not at all"
                       2  "very little"
                       3  "somewhat"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGENV2   1  "not at all"
                       2  "very little"
                       3  "somewhat"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGENV3   1  "not at all"
                       2  "very little"
                       3  "somewhat"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGENV4   1  "not at all"
                       2  "very little"
                       3  "somewhat"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGENV5   1  "not at all"
                       2  "very little"
                       3  "somewhat"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGENV6   1  "not at all"
                       2  "very little"
                       3  "somewhat"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGWORR   1  "a"
                       2  "b"
                       3  "c"
                       4  "d"
                       5  "e"
                       6  "f"
                      99  "omitted"
                      98  "not admin."
                       /
            BSBSENJY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSBORE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSEASY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSLIFE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSWORK   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSJOB    1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSPRNT   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSSCHL   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSSELF   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSCARE   1  "biology"
                       2  "chemistry"
                       3  "earth science"
                       4  "physics"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSPROB   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSNOTE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSTEST   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSPROJ   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSWSHT   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSCALC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSCOMP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSEVLF   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSSGRP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSHWGV   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSHWCL   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSHWTC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSHWFC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSHWDS   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSDEMO   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSEXPR   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSRULE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSPRAC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSSMGP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSASK    1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSTXBK   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBSEG     1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBBGOOD   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBEGOOD   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBYGOOD   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBBLIKE   1  "dislike a lot"
                       2  "dislike"
                       3  "like"
                       4  "like a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBELIKE   1  "dislike a lot"
                       2  "dislike"
                       3  "like"
                       4  "like a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBYLIKE   1  "dislike a lot"
                       2  "dislike"
                       3  "like"
                       4  "like a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBBSTDY   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBCSTDY   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBESTDY   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBPSTDY   1  "not checked"
                       2  "checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBBENJY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBBORE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBEASY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBLIFE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBWORK   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBJOB    1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBPRNT   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBSCHL   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBSELF   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBPROB   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBNOTE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBTEST   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBPROJ   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBWSHT   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBCALC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBCOMP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBEVLF   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBSGRP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBHWGV   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBHWCL   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBHWTC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBHWFC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBHWDS   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBDEMO   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBEXPR   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBRULE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBPRAC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBSMGP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBASK    1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBTXBK   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBBEG     1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCENJY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCBORE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCEASY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCLIFE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCWORK   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCJOB    1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCPRNT   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCSCHL   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCSELF   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCPROB   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCNOTE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCTEST   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCPROJ   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCWSHT   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCCALC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCCOMP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCEVLF   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCSGRP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCHWGV   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCHWCL   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCHWTC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCHWFC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCHWDS   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCDEMO   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCEXPR   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCRULE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCPRAC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCSMGP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCASK    1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCTXBK   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBCEG     1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEENJY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEBORE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEEASY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBELIFE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEWORK   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEJOB    1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEPRNT   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBESCHL   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBESELF   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEPROB   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBENOTE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBETEST   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEPROJ   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEWSHT   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBECALC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBECOMP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEEVLF   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBESGRP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEHWGV   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEHWCL   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEHWTC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEHWFC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEHWDS   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEDEMO   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEEXPR   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBERULE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEPRAC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBESMGP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEASK    1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBETXBK   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBEEG     1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPENJY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPBORE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPEASY   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPLIFE   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPWORK   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPJOB    1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPPRNT   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPSCHL   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPSELF   1  "strongly agree"
                       2  "agree"
                       3  "disagree"
                       4  "strongly disagree"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPPROB   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPNOTE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPTEST   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPPROJ   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPWSHT   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPCALC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPCOMP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPEVLF   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPSGRP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPHWGV   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPHWCL   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPHWTC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPHWFC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPHWDS   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPDEMO   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPEXPR   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPRULE   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPPRAC   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPSMGP   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPASK    1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPTXBK   1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBPEG     1  "almost always"
                       2  "pretty often"
                       3  "once in a while"
                       4  "never"
                       9  "omitted"
                       8  "not admin."
                       6  "log.not appl."
                       /
            BSBGACT1   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGACT2   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGACT3   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGACT4   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGACT5   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGNEWS   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGOPER   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGNATR   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGPOPU   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGSPRT   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGVIDE   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGCRTN   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSBGCMDY   1  "about every day"
                       2  "about once a week"
                       3  "about once a month"
                       4  "rarely"
                       9  "omitted"
                       8  "not admin."
                       /
            BSDGPSA    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BSDGEDUP   1  "university"
                       2  " secondary school"
                       3  "primary school"
                       4  " not know"
                       9  "omitted"
                       8  "not admin."
                       /
            BSDEPATS   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BSDMPATM   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BSDPPATS   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BSDSPATS   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BSDBPATS   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BSDCPATS   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BSDGHERI   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BSDGOSTI   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BSDGSALL   1  "some time studying all three areas"
                       2  "no time studying all three areas"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            JKREP      0  "zero weight"
                       1  "double weight"
                       /
.


*NOTE: The "omitted code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode VERSION  (9                = sysmis).
recode IDCNTRY  (99999            = sysmis).
recode IDPOP    (9                = sysmis).
recode IDSCHOOL (999999           = sysmis).
recode IDCLASS  (99999999         = sysmis).
recode IDSTUD   (9999999999       = sysmis).
recode IDGRADE  (99               = sysmis).
recode ITEXCLUD (9                = sysmis).
recode ITBIRTHM (99               = sysmis).
recode ITBIRTHY (99               = sysmis).
recode ITSEX    (9                = sysmis).
recode ITLANG   (999              = sysmis).
recode ITDATEM  (99               = sysmis).
recode ITDATEY  (9999             = sysmis).
recode IDGRADER (9                = sysmis).
recode ILRELIAB (9                = sysmis).
recode ITPART   (9                = sysmis).
recode BSBGBIRD (99               = sysmis).
recode BSBGBIRM (99               = sysmis).
recode BSBGBIRY (99               = sysmis).
recode BSBGSEX  (9                = sysmis).
recode BSBGBRN1 (9                = sysmis).
recode BSBGBRN2 (99               = sysmis).
recode BSBGLANG (9                = sysmis).
recode BSBMEXTR (9                = sysmis).
recode BSBSEXTR (9                = sysmis).
recode BSBGCLUB (9                = sysmis).
recode BSBGPAID (9                = sysmis).
recode BSBGDAY1 (9                = sysmis).
recode BSBGDAY2 (9                = sysmis).
recode BSBGDAY3 (9                = sysmis).
recode BSBGDAY4 (9                = sysmis).
recode BSBGDAY5 (9                = sysmis).
recode BSBGDAY6 (9                = sysmis).
recode BSBMDAY7 (9                = sysmis).
recode BSBSDAY8 (9                = sysmis).
recode BSBGDAY9 (9                = sysmis).
recode BSBGADU1 (9                = sysmis).
recode BSBGADU2 (9                = sysmis).
recode BSBGADU3 (9                = sysmis).
recode BSBGADU4 (9                = sysmis).
recode BSBGADU5 (9                = sysmis).
recode BSBGADU6 (9                = sysmis).
recode BSBGADU7 (9                = sysmis).
recode BSBGADU8 (9                = sysmis).
recode BSBGADU9 (9                = sysmis).
recode BSBGHOME (99               = sysmis).
recode BSBGEDUM (99               = sysmis).
recode BSBGEDUF (99               = sysmis).
recode BSBGEDUS (99               = sysmis).
recode BSBGBRNM (9                = sysmis).
recode BSBGBRNF (9                = sysmis).
recode BSBGBOOK (9                = sysmis).
recode BSBGPS01 (9                = sysmis).
recode BSBGPS02 (9                = sysmis).
recode BSBGPS03 (9                = sysmis).
recode BSBGPS04 (9                = sysmis).
recode BSBGPS05 (9                = sysmis).
recode BSBGPS06 (9                = sysmis).
recode BSBGPS07 (9                = sysmis).
recode BSBGPS08 (9                = sysmis).
recode BSBGPS09 (9                = sysmis).
recode BSBGPS10 (9                = sysmis).
recode BSBGPS11 (9                = sysmis).
recode BSBGPS12 (9                = sysmis).
recode BSBGPS13 (9                = sysmis).
recode BSBGPS14 (9                = sysmis).
recode BSBGPS15 (9                = sysmis).
recode BSBGPS16 (9                = sysmis).
recode BSBSMIP1 (9                = sysmis).
recode BSBMMIP2 (9                = sysmis).
recode BSBGMIP3 (9                = sysmis).
recode BSBGMIP4 (9                = sysmis).
recode BSBGMIP5 (9                = sysmis).
recode BSBGMIP6 (9                = sysmis).
recode BSBMCLS1 (9                = sysmis).
recode BSBMCLS2 (9                = sysmis).
recode BSBMCLS3 (9                = sysmis).
recode BSBSFIP1 (9                = sysmis).
recode BSBMFIP2 (9                = sysmis).
recode BSBGFIP3 (9                = sysmis).
recode BSBGFIP4 (9                = sysmis).
recode BSBGFIP5 (9                = sysmis).
recode BSBGFIP6 (9                = sysmis).
recode BSBSSIP1 (9                = sysmis).
recode BSBMSIP2 (9                = sysmis).
recode BSBGSIP3 (9                = sysmis).
recode BSBGSIP4 (9                = sysmis).
recode BSBGSIP5 (9                = sysmis).
recode BSBGSIP6 (9                = sysmis).
recode BSBMGOOD (9                = sysmis).
recode BSBSGOOD (9                = sysmis).
recode BSBGSSKP (9                = sysmis).
recode BSBGSSTL (9                = sysmis).
recode BSBGSHRT (9                = sysmis).
recode BSBGFSKP (9                = sysmis).
recode BSBGFSTL (9                = sysmis).
recode BSBGFHRT (9                = sysmis).
recode BSBMDOW1 (9                = sysmis).
recode BSBMDOW2 (9                = sysmis).
recode BSBMDOW3 (9                = sysmis).
recode BSBMDOW4 (9                = sysmis).
recode BSBSDOW1 (9                = sysmis).
recode BSBSDOW2 (9                = sysmis).
recode BSBSDOW3 (9                = sysmis).
recode BSBSDOW4 (9                = sysmis).
recode BSBMLIKE (9                = sysmis).
recode BSBSLIKE (9                = sysmis).
recode BSBMCMLK (9                = sysmis).
recode BSBSCMLK (9                = sysmis).
recode BSBMENJY (9                = sysmis).
recode BSBMBORE (9                = sysmis).
recode BSBMEASY (9                = sysmis).
recode BSBMLIFE (9                = sysmis).
recode BSBMWORK (9                = sysmis).
recode BSBMJOB  (9                = sysmis).
recode BSBMPRNT (9                = sysmis).
recode BSBMSCHL (9                = sysmis).
recode BSBMSELF (9                = sysmis).
recode BSBMPROB (9                = sysmis).
recode BSBMNOTE (9                = sysmis).
recode BSBMTEST (9                = sysmis).
recode BSBMWSHT (9                = sysmis).
recode BSBMPROJ (9                = sysmis).
recode BSBMCALC (9                = sysmis).
recode BSBMCOMP (9                = sysmis).
recode BSBMSGRP (9                = sysmis).
recode BSBMEVLF (9                = sysmis).
recode BSBMHWGV (9                = sysmis).
recode BSBMHWCL (9                = sysmis).
recode BSBMHWTC (9                = sysmis).
recode BSBMHWFC (9                = sysmis).
recode BSBMHWDS (9                = sysmis).
recode BSBMRULE (9                = sysmis).
recode BSBMPRAC (9                = sysmis).
recode BSBMSMGP (9                = sysmis).
recode BSBMASK  (9                = sysmis).
recode BSBMTXBK (9                = sysmis).
recode BSBMEG   (9                = sysmis).
recode BSBGENV1 (9                = sysmis).
recode BSBGENV2 (9                = sysmis).
recode BSBGENV3 (9                = sysmis).
recode BSBGENV4 (9                = sysmis).
recode BSBGENV5 (9                = sysmis).
recode BSBGENV6 (9                = sysmis).
recode BSBGWORR (99               = sysmis).
recode BSBSENJY (9                = sysmis).
recode BSBSBORE (9                = sysmis).
recode BSBSEASY (9                = sysmis).
recode BSBSLIFE (9                = sysmis).
recode BSBSWORK (9                = sysmis).
recode BSBSJOB  (9                = sysmis).
recode BSBSPRNT (9                = sysmis).
recode BSBSSCHL (9                = sysmis).
recode BSBSSELF (9                = sysmis).
recode BSBSCARE (9                = sysmis).
recode BSBSPROB (9                = sysmis).
recode BSBSNOTE (9                = sysmis).
recode BSBSTEST (9                = sysmis).
recode BSBSPROJ (9                = sysmis).
recode BSBSWSHT (9                = sysmis).
recode BSBSCALC (9                = sysmis).
recode BSBSCOMP (9                = sysmis).
recode BSBSEVLF (9                = sysmis).
recode BSBSSGRP (9                = sysmis).
recode BSBSHWGV (9                = sysmis).
recode BSBSHWCL (9                = sysmis).
recode BSBSHWTC (9                = sysmis).
recode BSBSHWFC (9                = sysmis).
recode BSBSHWDS (9                = sysmis).
recode BSBSDEMO (9                = sysmis).
recode BSBSEXPR (9                = sysmis).
recode BSBSRULE (9                = sysmis).
recode BSBSPRAC (9                = sysmis).
recode BSBSSMGP (9                = sysmis).
recode BSBSASK  (9                = sysmis).
recode BSBSTXBK (9                = sysmis).
recode BSBSEG   (9                = sysmis).
recode BSBBGOOD (9                = sysmis).
recode BSBEGOOD (9                = sysmis).
recode BSBYGOOD (9                = sysmis).
recode BSBBLIKE (9                = sysmis).
recode BSBELIKE (9                = sysmis).
recode BSBYLIKE (9                = sysmis).
recode BSBBSTDY (9                = sysmis).
recode BSBCSTDY (9                = sysmis).
recode BSBESTDY (9                = sysmis).
recode BSBPSTDY (9                = sysmis).
recode BSBBENJY (9                = sysmis).
recode BSBBBORE (9                = sysmis).
recode BSBBEASY (9                = sysmis).
recode BSBBLIFE (9                = sysmis).
recode BSBBWORK (9                = sysmis).
recode BSBBJOB  (9                = sysmis).
recode BSBBPRNT (9                = sysmis).
recode BSBBSCHL (9                = sysmis).
recode BSBBSELF (9                = sysmis).
recode BSBBPROB (9                = sysmis).
recode BSBBNOTE (9                = sysmis).
recode BSBBTEST (9                = sysmis).
recode BSBBPROJ (9                = sysmis).
recode BSBBWSHT (9                = sysmis).
recode BSBBCALC (9                = sysmis).
recode BSBBCOMP (9                = sysmis).
recode BSBBEVLF (9                = sysmis).
recode BSBBSGRP (9                = sysmis).
recode BSBBHWGV (9                = sysmis).
recode BSBBHWCL (9                = sysmis).
recode BSBBHWTC (9                = sysmis).
recode BSBBHWFC (9                = sysmis).
recode BSBBHWDS (9                = sysmis).
recode BSBBDEMO (9                = sysmis).
recode BSBBEXPR (9                = sysmis).
recode BSBBRULE (9                = sysmis).
recode BSBBPRAC (9                = sysmis).
recode BSBBSMGP (9                = sysmis).
recode BSBBASK  (9                = sysmis).
recode BSBBTXBK (9                = sysmis).
recode BSBBEG   (9                = sysmis).
recode BSBCENJY (9                = sysmis).
recode BSBCBORE (9                = sysmis).
recode BSBCEASY (9                = sysmis).
recode BSBCLIFE (9                = sysmis).
recode BSBCWORK (9                = sysmis).
recode BSBCJOB  (9                = sysmis).
recode BSBCPRNT (9                = sysmis).
recode BSBCSCHL (9                = sysmis).
recode BSBCSELF (9                = sysmis).
recode BSBCPROB (9                = sysmis).
recode BSBCNOTE (9                = sysmis).
recode BSBCTEST (9                = sysmis).
recode BSBCPROJ (9                = sysmis).
recode BSBCWSHT (9                = sysmis).
recode BSBCCALC (9                = sysmis).
recode BSBCCOMP (9                = sysmis).
recode BSBCEVLF (9                = sysmis).
recode BSBCSGRP (9                = sysmis).
recode BSBCHWGV (9                = sysmis).
recode BSBCHWCL (9                = sysmis).
recode BSBCHWTC (9                = sysmis).
recode BSBCHWFC (9                = sysmis).
recode BSBCHWDS (9                = sysmis).
recode BSBCDEMO (9                = sysmis).
recode BSBCEXPR (9                = sysmis).
recode BSBCRULE (9                = sysmis).
recode BSBCPRAC (9                = sysmis).
recode BSBCSMGP (9                = sysmis).
recode BSBCASK  (9                = sysmis).
recode BSBCTXBK (9                = sysmis).
recode BSBCEG   (9                = sysmis).
recode BSBEENJY (9                = sysmis).
recode BSBEBORE (9                = sysmis).
recode BSBEEASY (9                = sysmis).
recode BSBELIFE (9                = sysmis).
recode BSBEWORK (9                = sysmis).
recode BSBEJOB  (9                = sysmis).
recode BSBEPRNT (9                = sysmis).
recode BSBESCHL (9                = sysmis).
recode BSBESELF (9                = sysmis).
recode BSBEPROB (9                = sysmis).
recode BSBENOTE (9                = sysmis).
recode BSBETEST (9                = sysmis).
recode BSBEPROJ (9                = sysmis).
recode BSBEWSHT (9                = sysmis).
recode BSBECALC (9                = sysmis).
recode BSBECOMP (9                = sysmis).
recode BSBEEVLF (9                = sysmis).
recode BSBESGRP (9                = sysmis).
recode BSBEHWGV (9                = sysmis).
recode BSBEHWCL (9                = sysmis).
recode BSBEHWTC (9                = sysmis).
recode BSBEHWFC (9                = sysmis).
recode BSBEHWDS (9                = sysmis).
recode BSBEDEMO (9                = sysmis).
recode BSBEEXPR (9                = sysmis).
recode BSBERULE (9                = sysmis).
recode BSBEPRAC (9                = sysmis).
recode BSBESMGP (9                = sysmis).
recode BSBEASK  (9                = sysmis).
recode BSBETXBK (9                = sysmis).
recode BSBEEG   (9                = sysmis).
recode BSBPENJY (9                = sysmis).
recode BSBPBORE (9                = sysmis).
recode BSBPEASY (9                = sysmis).
recode BSBPLIFE (9                = sysmis).
recode BSBPWORK (9                = sysmis).
recode BSBPJOB  (9                = sysmis).
recode BSBPPRNT (9                = sysmis).
recode BSBPSCHL (9                = sysmis).
recode BSBPSELF (9                = sysmis).
recode BSBPPROB (9                = sysmis).
recode BSBPNOTE (9                = sysmis).
recode BSBPTEST (9                = sysmis).
recode BSBPPROJ (9                = sysmis).
recode BSBPWSHT (9                = sysmis).
recode BSBPCALC (9                = sysmis).
recode BSBPCOMP (9                = sysmis).
recode BSBPEVLF (9                = sysmis).
recode BSBPSGRP (9                = sysmis).
recode BSBPHWGV (9                = sysmis).
recode BSBPHWCL (9                = sysmis).
recode BSBPHWTC (9                = sysmis).
recode BSBPHWFC (9                = sysmis).
recode BSBPHWDS (9                = sysmis).
recode BSBPDEMO (9                = sysmis).
recode BSBPEXPR (9                = sysmis).
recode BSBPRULE (9                = sysmis).
recode BSBPPRAC (9                = sysmis).
recode BSBPSMGP (9                = sysmis).
recode BSBPASK  (9                = sysmis).
recode BSBPTXBK (9                = sysmis).
recode BSBPEG   (9                = sysmis).
recode BSBGACT1 (9                = sysmis).
recode BSBGACT2 (9                = sysmis).
recode BSBGACT3 (9                = sysmis).
recode BSBGACT4 (9                = sysmis).
recode BSBGACT5 (9                = sysmis).
recode BSBGNEWS (9                = sysmis).
recode BSBGOPER (9                = sysmis).
recode BSBGNATR (9                = sysmis).
recode BSBGPOPU (9                = sysmis).
recode BSBGSPRT (9                = sysmis).
recode BSBGVIDE (9                = sysmis).
recode BSBGCRTN (9                = sysmis).
recode BSBGCMDY (9                = sysmis).
recode BSDAGE   (99               = sysmis).
recode BSDGPSA  (9                = sysmis).
recode BSDGEDUP (9                = sysmis).
recode BSDMDAY7 (9                = sysmis).
recode BSDSDAY8 (9                = sysmis).
recode BSDGDAY9 (9                = sysmis).
recode BSDGSTDT (99               = sysmis).
recode BSDEPATS (9                = sysmis).
recode BSDMPATM (9                = sysmis).
recode BSDPPATS (9                = sysmis).
recode BSDSPATS (9                = sysmis).
recode BSDBPATS (9                = sysmis).
recode BSDCPATS (9                = sysmis).
recode BSDGHERI (9                = sysmis).
recode BSDGOSTI (9                = sysmis).
recode BSDGSALL (9                = sysmis).
recode TOTWGT   (999999           = sysmis).
recode HOUWGT   (999999           = sysmis).
recode SENWGT   (999999           = sysmis).
recode WGTFAC1  (999999           = sysmis).
recode WGTADJ1  (999999           = sysmis).
recode WGTFAC2  (999999           = sysmis).
recode WGTFAC3  (999999           = sysmis).
recode WGTADJ3  (999999           = sysmis).
recode JKZONE   (99               = sysmis).
recode JKREP    (9                = sysmis).
recode BSMSTDR  (999              = sysmis).
recode BSMNRSC  (999              = sysmis).
recode BSMSCPT  (99               = sysmis).
recode BSSSTDR  (999              = sysmis).
recode BSSNRSC  (999              = sysmis).
recode BSSSCPT  (99               = sysmis).
recode INTMS95  (9                = sysmis).
recode BSMMAT01 (999              = sysmis).
recode BSMMAT02 (999              = sysmis).
recode BSMMAT03 (999              = sysmis).
recode BSMMAT04 (999              = sysmis).
recode BSMMAT05 (999              = sysmis).
recode BSSSCI01 (999              = sysmis).
recode BSSSCI02 (999              = sysmis).
recode BSSSCI03 (999              = sysmis).
recode BSSSCI04 (999              = sysmis).
recode BSSSCI05 (999              = sysmis).
recode BSMALG01 (999              = sysmis).
recode BSMALG02 (999              = sysmis).
recode BSMALG03 (999              = sysmis).
recode BSMALG04 (999              = sysmis).
recode BSMALG05 (999              = sysmis).
recode BSMDAP01 (999              = sysmis).
recode BSMDAP02 (999              = sysmis).
recode BSMDAP03 (999              = sysmis).
recode BSMDAP04 (999              = sysmis).
recode BSMDAP05 (999              = sysmis).
recode BSMFNS01 (999              = sysmis).
recode BSMFNS02 (999              = sysmis).
recode BSMFNS03 (999              = sysmis).
recode BSMFNS04 (999              = sysmis).
recode BSMFNS05 (999              = sysmis).
recode BSMGEO01 (999              = sysmis).
recode BSMGEO02 (999              = sysmis).
recode BSMGEO03 (999              = sysmis).
recode BSMGEO04 (999              = sysmis).
recode BSMGEO05 (999              = sysmis).
recode BSMMEA01 (999              = sysmis).
recode BSMMEA02 (999              = sysmis).
recode BSMMEA03 (999              = sysmis).
recode BSMMEA04 (999              = sysmis).
recode BSMMEA05 (999              = sysmis).
recode BSSCHE01 (999              = sysmis).
recode BSSCHE02 (999              = sysmis).
recode BSSCHE03 (999              = sysmis).
recode BSSCHE04 (999              = sysmis).
recode BSSCHE05 (999              = sysmis).
recode BSSEAS01 (999              = sysmis).
recode BSSEAS02 (999              = sysmis).
recode BSSEAS03 (999              = sysmis).
recode BSSEAS04 (999              = sysmis).
recode BSSEAS05 (999              = sysmis).
recode BSSLIS01 (999              = sysmis).
recode BSSLIS02 (999              = sysmis).
recode BSSLIS03 (999              = sysmis).
recode BSSLIS04 (999              = sysmis).
recode BSSLIS05 (999              = sysmis).
recode BSSPHY01 (999              = sysmis).
recode BSSPHY02 (999              = sysmis).
recode BSSPHY03 (999              = sysmis).
recode BSSPHY04 (999              = sysmis).
recode BSSPHY05 (999              = sysmis).


*NOTE: recode "not administered" data to user defined "missing value"
       in some case a zero code might be appropriate for numeric values
       in this case the variable must be recoded correspondingly.

missing value VERSION (8).
missing value IDCNTRY (99998).
missing value IDPOP   (8).
missing value IDSCHOOL(999998).
missing value IDCLASS (99999998).
missing value IDSTUD  (9999999998).
missing value IDGRADE (98).
missing value ITEXCLUD(8).
missing value ITBIRTHM(98).
missing value ITBIRTHY(98).
missing value ITSEX   (8).
missing value ITLANG  (998).
missing value ITDATEM (98).
missing value ITDATEY (9998).
missing value IDGRADER(8).
missing value ILRELIAB(8).
missing value ITPART  (8).
missing value BSBGBIRD(98 96).
missing value BSBGBIRM(98 96).
missing value BSBGBIRY(98 96).
missing value BSBGSEX (8 6).
missing value BSBGBRN1(8 6).
missing value BSBGBRN2(98 96).
missing value BSBGLANG(8 6).
missing value BSBMEXTR(8 6).
missing value BSBSEXTR(8 6).
missing value BSBGCLUB(8 6).
missing value BSBGPAID(8 6).
missing value BSBGDAY1(8 6).
missing value BSBGDAY2(8 6).
missing value BSBGDAY3(8 6).
missing value BSBGDAY4(8 6).
missing value BSBGDAY5(8 6).
missing value BSBGDAY6(8 6).
missing value BSBMDAY7(8 6).
missing value BSBSDAY8(8 6).
missing value BSBGDAY9(8 6).
missing value BSBGADU1(8 6).
missing value BSBGADU2(8 6).
missing value BSBGADU3(8 6).
missing value BSBGADU4(8 6).
missing value BSBGADU5(8 6).
missing value BSBGADU6(8 6).
missing value BSBGADU7(8 6).
missing value BSBGADU8(8 6).
missing value BSBGADU9(8 6).
missing value BSBGHOME(98 96).
missing value BSBGEDUM(98 96).
missing value BSBGEDUF(98 96).
missing value BSBGEDUS(98 96).
missing value BSBGBRNM(8 6).
missing value BSBGBRNF(8 6).
missing value BSBGBOOK(8 6).
missing value BSBGPS01(8 6).
missing value BSBGPS02(8 6).
missing value BSBGPS03(8 6).
missing value BSBGPS04(8 6).
missing value BSBGPS05(8 6).
missing value BSBGPS06(8 6).
missing value BSBGPS07(8 6).
missing value BSBGPS08(8 6).
missing value BSBGPS09(8 6).
missing value BSBGPS10(8 6).
missing value BSBGPS11(8 6).
missing value BSBGPS12(8 6).
missing value BSBGPS13(8 6).
missing value BSBGPS14(8 6).
missing value BSBGPS15(8 6).
missing value BSBGPS16(8 6).
missing value BSBSMIP1(8 6).
missing value BSBMMIP2(8 6).
missing value BSBGMIP3(8 6).
missing value BSBGMIP4(8 6).
missing value BSBGMIP5(8 6).
missing value BSBGMIP6(8 6).
missing value BSBMCLS1(8 6).
missing value BSBMCLS2(8 6).
missing value BSBMCLS3(8 6).
missing value BSBSFIP1(8 6).
missing value BSBMFIP2(8 6).
missing value BSBGFIP3(8 6).
missing value BSBGFIP4(8 6).
missing value BSBGFIP5(8 6).
missing value BSBGFIP6(8 6).
missing value BSBSSIP1(8 6).
missing value BSBMSIP2(8 6).
missing value BSBGSIP3(8 6).
missing value BSBGSIP4(8 6).
missing value BSBGSIP5(8 6).
missing value BSBGSIP6(8 6).
missing value BSBMGOOD(8 6).
missing value BSBSGOOD(8 6).
missing value BSBGSSKP(8 6).
missing value BSBGSSTL(8 6).
missing value BSBGSHRT(8 6).
missing value BSBGFSKP(8 6).
missing value BSBGFSTL(8 6).
missing value BSBGFHRT(8 6).
missing value BSBMDOW1(8 6).
missing value BSBMDOW2(8 6).
missing value BSBMDOW3(8 6).
missing value BSBMDOW4(8 6).
missing value BSBSDOW1(8 6).
missing value BSBSDOW2(8 6).
missing value BSBSDOW3(8 6).
missing value BSBSDOW4(8 6).
missing value BSBMLIKE(8 6).
missing value BSBSLIKE(8 6).
missing value BSBMCMLK(8 6).
missing value BSBSCMLK(8 6).
missing value BSBMENJY(8 6).
missing value BSBMBORE(8 6).
missing value BSBMEASY(8 6).
missing value BSBMLIFE(8 6).
missing value BSBMWORK(8 6).
missing value BSBMJOB (8 6).
missing value BSBMPRNT(8 6).
missing value BSBMSCHL(8 6).
missing value BSBMSELF(8 6).
missing value BSBMPROB(8 6).
missing value BSBMNOTE(8 6).
missing value BSBMTEST(8 6).
missing value BSBMWSHT(8 6).
missing value BSBMPROJ(8 6).
missing value BSBMCALC(8 6).
missing value BSBMCOMP(8 6).
missing value BSBMSGRP(8 6).
missing value BSBMEVLF(8 6).
missing value BSBMHWGV(8 6).
missing value BSBMHWCL(8 6).
missing value BSBMHWTC(8 6).
missing value BSBMHWFC(8 6).
missing value BSBMHWDS(8 6).
missing value BSBMRULE(8 6).
missing value BSBMPRAC(8 6).
missing value BSBMSMGP(8 6).
missing value BSBMASK (8 6).
missing value BSBMTXBK(8 6).
missing value BSBMEG  (8 6).
missing value BSBGENV1(8 6).
missing value BSBGENV2(8 6).
missing value BSBGENV3(8 6).
missing value BSBGENV4(8 6).
missing value BSBGENV5(8 6).
missing value BSBGENV6(8 6).
missing value BSBGWORR(98 96).
missing value BSBSENJY(8 6).
missing value BSBSBORE(8 6).
missing value BSBSEASY(8 6).
missing value BSBSLIFE(8 6).
missing value BSBSWORK(8 6).
missing value BSBSJOB (8 6).
missing value BSBSPRNT(8 6).
missing value BSBSSCHL(8 6).
missing value BSBSSELF(8 6).
missing value BSBSCARE(8 6).
missing value BSBSPROB(8 6).
missing value BSBSNOTE(8 6).
missing value BSBSTEST(8 6).
missing value BSBSPROJ(8 6).
missing value BSBSWSHT(8 6).
missing value BSBSCALC(8 6).
missing value BSBSCOMP(8 6).
missing value BSBSEVLF(8 6).
missing value BSBSSGRP(8 6).
missing value BSBSHWGV(8 6).
missing value BSBSHWCL(8 6).
missing value BSBSHWTC(8 6).
missing value BSBSHWFC(8 6).
missing value BSBSHWDS(8 6).
missing value BSBSDEMO(8 6).
missing value BSBSEXPR(8 6).
missing value BSBSRULE(8 6).
missing value BSBSPRAC(8 6).
missing value BSBSSMGP(8 6).
missing value BSBSASK (8 6).
missing value BSBSTXBK(8 6).
missing value BSBSEG  (8 6).
missing value BSBBGOOD(8 6).
missing value BSBEGOOD(8 6).
missing value BSBYGOOD(8 6).
missing value BSBBLIKE(8 6).
missing value BSBELIKE(8 6).
missing value BSBYLIKE(8 6).
missing value BSBBSTDY(8 6).
missing value BSBCSTDY(8 6).
missing value BSBESTDY(8 6).
missing value BSBPSTDY(8 6).
missing value BSBBENJY(8 6).
missing value BSBBBORE(8 6).
missing value BSBBEASY(8 6).
missing value BSBBLIFE(8 6).
missing value BSBBWORK(8 6).
missing value BSBBJOB (8 6).
missing value BSBBPRNT(8 6).
missing value BSBBSCHL(8 6).
missing value BSBBSELF(8 6).
missing value BSBBPROB(8 6).
missing value BSBBNOTE(8 6).
missing value BSBBTEST(8 6).
missing value BSBBPROJ(8 6).
missing value BSBBWSHT(8 6).
missing value BSBBCALC(8 6).
missing value BSBBCOMP(8 6).
missing value BSBBEVLF(8 6).
missing value BSBBSGRP(8 6).
missing value BSBBHWGV(8 6).
missing value BSBBHWCL(8 6).
missing value BSBBHWTC(8 6).
missing value BSBBHWFC(8 6).
missing value BSBBHWDS(8 6).
missing value BSBBDEMO(8 6).
missing value BSBBEXPR(8 6).
missing value BSBBRULE(8 6).
missing value BSBBPRAC(8 6).
missing value BSBBSMGP(8 6).
missing value BSBBASK (8 6).
missing value BSBBTXBK(8 6).
missing value BSBBEG  (8 6).
missing value BSBCENJY(8 6).
missing value BSBCBORE(8 6).
missing value BSBCEASY(8 6).
missing value BSBCLIFE(8 6).
missing value BSBCWORK(8 6).
missing value BSBCJOB (8 6).
missing value BSBCPRNT(8 6).
missing value BSBCSCHL(8 6).
missing value BSBCSELF(8 6).
missing value BSBCPROB(8 6).
missing value BSBCNOTE(8 6).
missing value BSBCTEST(8 6).
missing value BSBCPROJ(8 6).
missing value BSBCWSHT(8 6).
missing value BSBCCALC(8 6).
missing value BSBCCOMP(8 6).
missing value BSBCEVLF(8 6).
missing value BSBCSGRP(8 6).
missing value BSBCHWGV(8 6).
missing value BSBCHWCL(8 6).
missing value BSBCHWTC(8 6).
missing value BSBCHWFC(8 6).
missing value BSBCHWDS(8 6).
missing value BSBCDEMO(8 6).
missing value BSBCEXPR(8 6).
missing value BSBCRULE(8 6).
missing value BSBCPRAC(8 6).
missing value BSBCSMGP(8 6).
missing value BSBCASK (8 6).
missing value BSBCTXBK(8 6).
missing value BSBCEG  (8 6).
missing value BSBEENJY(8 6).
missing value BSBEBORE(8 6).
missing value BSBEEASY(8 6).
missing value BSBELIFE(8 6).
missing value BSBEWORK(8 6).
missing value BSBEJOB (8 6).
missing value BSBEPRNT(8 6).
missing value BSBESCHL(8 6).
missing value BSBESELF(8 6).
missing value BSBEPROB(8 6).
missing value BSBENOTE(8 6).
missing value BSBETEST(8 6).
missing value BSBEPROJ(8 6).
missing value BSBEWSHT(8 6).
missing value BSBECALC(8 6).
missing value BSBECOMP(8 6).
missing value BSBEEVLF(8 6).
missing value BSBESGRP(8 6).
missing value BSBEHWGV(8 6).
missing value BSBEHWCL(8 6).
missing value BSBEHWTC(8 6).
missing value BSBEHWFC(8 6).
missing value BSBEHWDS(8 6).
missing value BSBEDEMO(8 6).
missing value BSBEEXPR(8 6).
missing value BSBERULE(8 6).
missing value BSBEPRAC(8 6).
missing value BSBESMGP(8 6).
missing value BSBEASK (8 6).
missing value BSBETXBK(8 6).
missing value BSBEEG  (8 6).
missing value BSBPENJY(8 6).
missing value BSBPBORE(8 6).
missing value BSBPEASY(8 6).
missing value BSBPLIFE(8 6).
missing value BSBPWORK(8 6).
missing value BSBPJOB (8 6).
missing value BSBPPRNT(8 6).
missing value BSBPSCHL(8 6).
missing value BSBPSELF(8 6).
missing value BSBPPROB(8 6).
missing value BSBPNOTE(8 6).
missing value BSBPTEST(8 6).
missing value BSBPPROJ(8 6).
missing value BSBPWSHT(8 6).
missing value BSBPCALC(8 6).
missing value BSBPCOMP(8 6).
missing value BSBPEVLF(8 6).
missing value BSBPSGRP(8 6).
missing value BSBPHWGV(8 6).
missing value BSBPHWCL(8 6).
missing value BSBPHWTC(8 6).
missing value BSBPHWFC(8 6).
missing value BSBPHWDS(8 6).
missing value BSBPDEMO(8 6).
missing value BSBPEXPR(8 6).
missing value BSBPRULE(8 6).
missing value BSBPPRAC(8 6).
missing value BSBPSMGP(8 6).
missing value BSBPASK (8 6).
missing value BSBPTXBK(8 6).
missing value BSBPEG  (8 6).
missing value BSBGACT1(8 6).
missing value BSBGACT2(8 6).
missing value BSBGACT3(8 6).
missing value BSBGACT4(8 6).
missing value BSBGACT5(8 6).
missing value BSBGNEWS(8 6).
missing value BSBGOPER(8 6).
missing value BSBGNATR(8 6).
missing value BSBGPOPU(8 6).
missing value BSBGSPRT(8 6).
missing value BSBGVIDE(8 6).
missing value BSBGCRTN(8 6).
missing value BSBGCMDY(8 6).
missing value BSDAGE  (98 96).
missing value BSDGPSA (8 6).
missing value BSDGEDUP(8 6).
missing value BSDMDAY7(8 6).
missing value BSDSDAY8(8 6).
missing value BSDGDAY9(8 6).
missing value BSDGSTDT(98 96).
missing value BSDEPATS(8 6).
missing value BSDMPATM(8 6).
missing value BSDPPATS(8 6).
missing value BSDSPATS(8 6).
missing value BSDBPATS(8 6).
missing value BSDCPATS(8 6).
missing value BSDGHERI(8 6).
missing value BSDGOSTI(8 6).
missing value BSDGSALL(8 6).
missing value TOTWGT  (999998 999996).
missing value HOUWGT  (999998 999996).
missing value SENWGT  (999998 999996).
missing value WGTFAC1 (999998 999996).
missing value WGTADJ1 (999998 999996).
missing value WGTFAC2 (999998 999996).
missing value WGTFAC3 (999998 999996).
missing value WGTADJ3 (999998 999996).
missing value JKZONE  (98 96).
missing value JKREP   (8 6).
missing value BSMSTDR (998 996).
missing value BSMNRSC (998 996).
missing value BSMSCPT (98 96).
missing value BSSSTDR (998 996).
missing value BSSNRSC (998 996).
missing value BSSSCPT (98 96).
missing value INTMS95 (8 6).
missing value BSMMAT01(998 996).
missing value BSMMAT02(998 996).
missing value BSMMAT03(998 996).
missing value BSMMAT04(998 996).
missing value BSMMAT05(998 996).
missing value BSSSCI01(998 996).
missing value BSSSCI02(998 996).
missing value BSSSCI03(998 996).
missing value BSSSCI04(998 996).
missing value BSSSCI05(998 996).
missing value BSMALG01(998 996).
missing value BSMALG02(998 996).
missing value BSMALG03(998 996).
missing value BSMALG04(998 996).
missing value BSMALG05(998 996).
missing value BSMDAP01(998 996).
missing value BSMDAP02(998 996).
missing value BSMDAP03(998 996).
missing value BSMDAP04(998 996).
missing value BSMDAP05(998 996).
missing value BSMFNS01(998 996).
missing value BSMFNS02(998 996).
missing value BSMFNS03(998 996).
missing value BSMFNS04(998 996).
missing value BSMFNS05(998 996).
missing value BSMGEO01(998 996).
missing value BSMGEO02(998 996).
missing value BSMGEO03(998 996).
missing value BSMGEO04(998 996).
missing value BSMGEO05(998 996).
missing value BSMMEA01(998 996).
missing value BSMMEA02(998 996).
missing value BSMMEA03(998 996).
missing value BSMMEA04(998 996).
missing value BSMMEA05(998 996).
missing value BSSCHE01(998 996).
missing value BSSCHE02(998 996).
missing value BSSCHE03(998 996).
missing value BSSCHE04(998 996).
missing value BSSCHE05(998 996).
missing value BSSEAS01(998 996).
missing value BSSEAS02(998 996).
missing value BSSEAS03(998 996).
missing value BSSEAS04(998 996).
missing value BSSEAS05(998 996).
missing value BSSLIS01(998 996).
missing value BSSLIS02(998 996).
missing value BSSLIS03(998 996).
missing value BSSLIS04(998 996).
missing value BSSLIS05(998 996).
missing value BSSPHY01(998 996).
missing value BSSPHY02(998 996).
missing value BSSPHY03(998 996).
missing value BSSPHY04(998 996).
missing value BSSPHY05(998 996).


*NOTE: These statements format the variable
       according to the length and decimal places.

format VERSION  (f2.0).
format IDCNTRY  (f5.0).
format IDPOP    (f1.0).
format IDSCHOOL (f6.0).
format IDCLASS  (f8.0).
format IDSTUD   (f10.0).
format IDGRADE  (f2.0).
format IDBOOK   (f1.0).
format ITEXCLUD (f1.0).
format ITBIRTHM (f2.0).
format ITBIRTHY (f2.0).
format ITSEX    (f1.0).
format ITLANG   (f3.0).
format ITDATEM  (f2.0).
format ITDATEY  (f4.0).
format IDGRADER (f1.0).
format ILRELIAB (f1.0).
format ITPART   (f1.0).
format BSBGBIRD (f2.0).
format BSBGBIRM (f2.0).
format BSBGBIRY (f2.0).
format BSBGSEX  (f1.0).
format BSBGBRN1 (f1.0).
format BSBGBRN2 (f2.0).
format BSBGLANG (f1.0).
format BSBMEXTR (f1.0).
format BSBSEXTR (f1.0).
format BSBGCLUB (f1.0).
format BSBGPAID (f1.0).
format BSBGDAY1 (f1.0).
format BSBGDAY2 (f1.0).
format BSBGDAY3 (f1.0).
format BSBGDAY4 (f1.0).
format BSBGDAY5 (f1.0).
format BSBGDAY6 (f1.0).
format BSBMDAY7 (f1.0).
format BSBSDAY8 (f1.0).
format BSBGDAY9 (f1.0).
format BSBGADU1 (f1.0).
format BSBGADU2 (f1.0).
format BSBGADU3 (f1.0).
format BSBGADU4 (f1.0).
format BSBGADU5 (f1.0).
format BSBGADU6 (f1.0).
format BSBGADU7 (f1.0).
format BSBGADU8 (f1.0).
format BSBGADU9 (f1.0).
format BSBGHOME (f2.0).
format BSBGEDUM (f2.0).
format BSBGEDUF (f2.0).
format BSBGEDUS (f2.0).
format BSBGBRNM (f1.0).
format BSBGBRNF (f1.0).
format BSBGBOOK (f1.0).
format BSBGPS01 (f1.0).
format BSBGPS02 (f1.0).
format BSBGPS03 (f1.0).
format BSBGPS04 (f1.0).
format BSBGPS05 (f1.0).
format BSBGPS06 (f1.0).
format BSBGPS07 (f1.0).
format BSBGPS08 (f1.0).
format BSBGPS09 (f1.0).
format BSBGPS10 (f1.0).
format BSBGPS11 (f1.0).
format BSBGPS12 (f1.0).
format BSBGPS13 (f1.0).
format BSBGPS14 (f1.0).
format BSBGPS15 (f1.0).
format BSBGPS16 (f1.0).
format BSBSMIP1 (f1.0).
format BSBMMIP2 (f1.0).
format BSBGMIP3 (f1.0).
format BSBGMIP4 (f1.0).
format BSBGMIP5 (f1.0).
format BSBGMIP6 (f1.0).
format BSBMCLS1 (f1.0).
format BSBMCLS2 (f1.0).
format BSBMCLS3 (f1.0).
format BSBSFIP1 (f1.0).
format BSBMFIP2 (f1.0).
format BSBGFIP3 (f1.0).
format BSBGFIP4 (f1.0).
format BSBGFIP5 (f1.0).
format BSBGFIP6 (f1.0).
format BSBSSIP1 (f1.0).
format BSBMSIP2 (f1.0).
format BSBGSIP3 (f1.0).
format BSBGSIP4 (f1.0).
format BSBGSIP5 (f1.0).
format BSBGSIP6 (f1.0).
format BSBMGOOD (f1.0).
format BSBSGOOD (f1.0).
format BSBGSSKP (f1.0).
format BSBGSSTL (f1.0).
format BSBGSHRT (f1.0).
format BSBGFSKP (f1.0).
format BSBGFSTL (f1.0).
format BSBGFHRT (f1.0).
format BSBMDOW1 (f1.0).
format BSBMDOW2 (f1.0).
format BSBMDOW3 (f1.0).
format BSBMDOW4 (f1.0).
format BSBSDOW1 (f1.0).
format BSBSDOW2 (f1.0).
format BSBSDOW3 (f1.0).
format BSBSDOW4 (f1.0).
format BSBMLIKE (f1.0).
format BSBSLIKE (f1.0).
format BSBMCMLK (f1.0).
format BSBSCMLK (f1.0).
format BSBMENJY (f1.0).
format BSBMBORE (f1.0).
format BSBMEASY (f1.0).
format BSBMLIFE (f1.0).
format BSBMWORK (f1.0).
format BSBMJOB  (f1.0).
format BSBMPRNT (f1.0).
format BSBMSCHL (f1.0).
format BSBMSELF (f1.0).
format BSBMPROB (f1.0).
format BSBMNOTE (f1.0).
format BSBMTEST (f1.0).
format BSBMWSHT (f1.0).
format BSBMPROJ (f1.0).
format BSBMCALC (f1.0).
format BSBMCOMP (f1.0).
format BSBMSGRP (f1.0).
format BSBMEVLF (f1.0).
format BSBMHWGV (f1.0).
format BSBMHWCL (f1.0).
format BSBMHWTC (f1.0).
format BSBMHWFC (f1.0).
format BSBMHWDS (f1.0).
format BSBMRULE (f1.0).
format BSBMPRAC (f1.0).
format BSBMSMGP (f1.0).
format BSBMASK  (f1.0).
format BSBMTXBK (f1.0).
format BSBMEG   (f1.0).
format BSBGENV1 (f1.0).
format BSBGENV2 (f1.0).
format BSBGENV3 (f1.0).
format BSBGENV4 (f1.0).
format BSBGENV5 (f1.0).
format BSBGENV6 (f1.0).
format BSBGWORR (f2.0).
format BSBSENJY (f1.0).
format BSBSBORE (f1.0).
format BSBSEASY (f1.0).
format BSBSLIFE (f1.0).
format BSBSWORK (f1.0).
format BSBSJOB  (f1.0).
format BSBSPRNT (f1.0).
format BSBSSCHL (f1.0).
format BSBSSELF (f1.0).
format BSBSCARE (f1.0).
format BSBSPROB (f1.0).
format BSBSNOTE (f1.0).
format BSBSTEST (f1.0).
format BSBSPROJ (f1.0).
format BSBSWSHT (f1.0).
format BSBSCALC (f1.0).
format BSBSCOMP (f1.0).
format BSBSEVLF (f1.0).
format BSBSSGRP (f1.0).
format BSBSHWGV (f1.0).
format BSBSHWCL (f1.0).
format BSBSHWTC (f1.0).
format BSBSHWFC (f1.0).
format BSBSHWDS (f1.0).
format BSBSDEMO (f1.0).
format BSBSEXPR (f1.0).
format BSBSRULE (f1.0).
format BSBSPRAC (f1.0).
format BSBSSMGP (f1.0).
format BSBSASK  (f1.0).
format BSBSTXBK (f1.0).
format BSBSEG   (f1.0).
format BSBBGOOD (f1.0).
format BSBEGOOD (f1.0).
format BSBYGOOD (f1.0).
format BSBBLIKE (f1.0).
format BSBELIKE (f1.0).
format BSBYLIKE (f1.0).
format BSBBSTDY (f1.0).
format BSBCSTDY (f1.0).
format BSBESTDY (f1.0).
format BSBPSTDY (f1.0).
format BSBBENJY (f1.0).
format BSBBBORE (f1.0).
format BSBBEASY (f1.0).
format BSBBLIFE (f1.0).
format BSBBWORK (f1.0).
format BSBBJOB  (f1.0).
format BSBBPRNT (f1.0).
format BSBBSCHL (f1.0).
format BSBBSELF (f1.0).
format BSBBPROB (f1.0).
format BSBBNOTE (f1.0).
format BSBBTEST (f1.0).
format BSBBPROJ (f1.0).
format BSBBWSHT (f1.0).
format BSBBCALC (f1.0).
format BSBBCOMP (f1.0).
format BSBBEVLF (f1.0).
format BSBBSGRP (f1.0).
format BSBBHWGV (f1.0).
format BSBBHWCL (f1.0).
format BSBBHWTC (f1.0).
format BSBBHWFC (f1.0).
format BSBBHWDS (f1.0).
format BSBBDEMO (f1.0).
format BSBBEXPR (f1.0).
format BSBBRULE (f1.0).
format BSBBPRAC (f1.0).
format BSBBSMGP (f1.0).
format BSBBASK  (f1.0).
format BSBBTXBK (f1.0).
format BSBBEG   (f1.0).
format BSBCENJY (f1.0).
format BSBCBORE (f1.0).
format BSBCEASY (f1.0).
format BSBCLIFE (f1.0).
format BSBCWORK (f1.0).
format BSBCJOB  (f1.0).
format BSBCPRNT (f1.0).
format BSBCSCHL (f1.0).
format BSBCSELF (f1.0).
format BSBCPROB (f1.0).
format BSBCNOTE (f1.0).
format BSBCTEST (f1.0).
format BSBCPROJ (f1.0).
format BSBCWSHT (f1.0).
format BSBCCALC (f1.0).
format BSBCCOMP (f1.0).
format BSBCEVLF (f1.0).
format BSBCSGRP (f1.0).
format BSBCHWGV (f1.0).
format BSBCHWCL (f1.0).
format BSBCHWTC (f1.0).
format BSBCHWFC (f1.0).
format BSBCHWDS (f1.0).
format BSBCDEMO (f1.0).
format BSBCEXPR (f1.0).
format BSBCRULE (f1.0).
format BSBCPRAC (f1.0).
format BSBCSMGP (f1.0).
format BSBCASK  (f1.0).
format BSBCTXBK (f1.0).
format BSBCEG   (f1.0).
format BSBEENJY (f1.0).
format BSBEBORE (f1.0).
format BSBEEASY (f1.0).
format BSBELIFE (f1.0).
format BSBEWORK (f1.0).
format BSBEJOB  (f1.0).
format BSBEPRNT (f1.0).
format BSBESCHL (f1.0).
format BSBESELF (f1.0).
format BSBEPROB (f1.0).
format BSBENOTE (f1.0).
format BSBETEST (f1.0).
format BSBEPROJ (f1.0).
format BSBEWSHT (f1.0).
format BSBECALC (f1.0).
format BSBECOMP (f1.0).
format BSBEEVLF (f1.0).
format BSBESGRP (f1.0).
format BSBEHWGV (f1.0).
format BSBEHWCL (f1.0).
format BSBEHWTC (f1.0).
format BSBEHWFC (f1.0).
format BSBEHWDS (f1.0).
format BSBEDEMO (f1.0).
format BSBEEXPR (f1.0).
format BSBERULE (f1.0).
format BSBEPRAC (f1.0).
format BSBESMGP (f1.0).
format BSBEASK  (f1.0).
format BSBETXBK (f1.0).
format BSBEEG   (f1.0).
format BSBPENJY (f1.0).
format BSBPBORE (f1.0).
format BSBPEASY (f1.0).
format BSBPLIFE (f1.0).
format BSBPWORK (f1.0).
format BSBPJOB  (f1.0).
format BSBPPRNT (f1.0).
format BSBPSCHL (f1.0).
format BSBPSELF (f1.0).
format BSBPPROB (f1.0).
format BSBPNOTE (f1.0).
format BSBPTEST (f1.0).
format BSBPPROJ (f1.0).
format BSBPWSHT (f1.0).
format BSBPCALC (f1.0).
format BSBPCOMP (f1.0).
format BSBPEVLF (f1.0).
format BSBPSGRP (f1.0).
format BSBPHWGV (f1.0).
format BSBPHWCL (f1.0).
format BSBPHWTC (f1.0).
format BSBPHWFC (f1.0).
format BSBPHWDS (f1.0).
format BSBPDEMO (f1.0).
format BSBPEXPR (f1.0).
format BSBPRULE (f1.0).
format BSBPPRAC (f1.0).
format BSBPSMGP (f1.0).
format BSBPASK  (f1.0).
format BSBPTXBK (f1.0).
format BSBPEG   (f1.0).
format BSBGACT1 (f1.0).
format BSBGACT2 (f1.0).
format BSBGACT3 (f1.0).
format BSBGACT4 (f1.0).
format BSBGACT5 (f1.0).
format BSBGNEWS (f1.0).
format BSBGOPER (f1.0).
format BSBGNATR (f1.0).
format BSBGPOPU (f1.0).
format BSBGSPRT (f1.0).
format BSBGVIDE (f1.0).
format BSBGCRTN (f1.0).
format BSBGCMDY (f1.0).
format BSDAGE   (f4.1).
format BSDGPSA  (f1.0).
format BSDGEDUP (f1.0).
format BSDMDAY7 (f3.1).
format BSDSDAY8 (f3.1).
format BSDGDAY9 (f3.1).
format BSDGSTDT (f5.2).
format BSDEPATS (f1.0).
format BSDMPATM (f1.0).
format BSDPPATS (f1.0).
format BSDSPATS (f1.0).
format BSDBPATS (f1.0).
format BSDCPATS (f1.0).
format BSDGHERI (f1.0).
format BSDGOSTI (f1.0).
format BSDGSALL (f1.0).
format TOTWGT   (f13.6).
format HOUWGT   (f13.6).
format SENWGT   (f13.6).
format WGTFAC1  (f13.6).
format WGTADJ1  (f13.6).
format WGTFAC2  (f13.6).
format WGTFAC3  (f13.6).
format WGTADJ3  (f13.6).
format JKZONE   (f2.0).
format JKREP    (f1.0).
format BSMSTDR  (f5.2).
format BSMNRSC  (f5.1).
format BSMSCPT  (f2.0).
format BSSSTDR  (f5.2).
format BSSNRSC  (f5.1).
format BSSSCPT  (f2.0).
format INTMS95  (f1.0).
format BSMMAT01 (f6.2).
format BSMMAT02 (f6.2).
format BSMMAT03 (f6.2).
format BSMMAT04 (f6.2).
format BSMMAT05 (f6.2).
format BSSSCI01 (f6.2).
format BSSSCI02 (f6.2).
format BSSSCI03 (f6.2).
format BSSSCI04 (f6.2).
format BSSSCI05 (f6.2).
format BSMALG01 (f6.2).
format BSMALG02 (f6.2).
format BSMALG03 (f6.2).
format BSMALG04 (f6.2).
format BSMALG05 (f6.2).
format BSMDAP01 (f6.2).
format BSMDAP02 (f6.2).
format BSMDAP03 (f6.2).
format BSMDAP04 (f6.2).
format BSMDAP05 (f6.2).
format BSMFNS01 (f6.2).
format BSMFNS02 (f6.2).
format BSMFNS03 (f6.2).
format BSMFNS04 (f6.2).
format BSMFNS05 (f6.2).
format BSMGEO01 (f6.2).
format BSMGEO02 (f6.2).
format BSMGEO03 (f6.2).
format BSMGEO04 (f6.2).
format BSMGEO05 (f6.2).
format BSMMEA01 (f6.2).
format BSMMEA02 (f6.2).
format BSMMEA03 (f6.2).
format BSMMEA04 (f6.2).
format BSMMEA05 (f6.2).
format BSSCHE01 (f6.2).
format BSSCHE02 (f6.2).
format BSSCHE03 (f6.2).
format BSSCHE04 (f6.2).
format BSSCHE05 (f6.2).
format BSSEAS01 (f6.2).
format BSSEAS02 (f6.2).
format BSSEAS03 (f6.2).
format BSSEAS04 (f6.2).
format BSSEAS05 (f6.2).
format BSSLIS01 (f6.2).
format BSSLIS02 (f6.2).
format BSSLIS03 (f6.2).
format BSSLIS04 (f6.2).
format BSSLIS05 (f6.2).
format BSSPHY01 (f6.2).
format BSSPHY02 (f6.2).
format BSSPHY03 (f6.2).
format BSSPHY04 (f6.2).
format BSSPHY05 (f6.2).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want copressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata.

!doend
!enddefine

create country =  AUS AUT BFL BFR CAN COL CYP CZE DNK ENG
                  FRA DEU GRC HKG HUN ISL IRN IRL ISR JPN
                  KOR KWT LVA LTU NLD NZL NOR PRT ROM RUS
                  SCO SGP SVK SVN ESP SWE CHE THA USA ITA.