SET DECIMAL = DOT.

define create (country=!charend('/')).

!let !datpath = !unquote("<path>").
!let !savpath = !unquote("<path>").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,btm,!cty,'m2.dat"').
!let !savdata = !concat('"',!savpath,btm,!cty,'m2.sav"').


*NOTE: Assignment of variable names.

data list file = !indata
 /VERSION     1-   2     
  IDCNTRY     3-   7     
  IDSUBJCT    8-   8     
  IDPOP       9-   9     
  IDSCHOOL   10-  15     
  IDTEACH    16-  23     
  IDLINK     24-  25     
  ITCOURSE   26-  27     
  BTBGAGE    28-  28     
  BTBGSEX    29-  29     
  BTBGTAUG   30-  31     
  BTBGTOTL   32-  33     
  BTBMSUB1   34-  35     
  BTBSSUB2   36-  37     
  BTBSSUB3   38-  39     
  BTBSSUB4   40-  41     
  BTBSSUB5   42-  43     
  BTBSSUB6   44-  45     
  BTBSSUB7   46-  47     
  BTBSSUB8   48-  49     
  BTBGSUB9   50-  51     
  BTBGTSK1   52-  53     
  BTBGTSK2   54-  55     
  BTBGTSK3   56-  57     
  BTBGTSK4   58-  59     
  BTBGTSK5   60-  61     
  BTBGTSK6   62-  63     
  BTBGTSK7   64-  65     
  BTBGACT1   66-  66     
  BTBGACT2   67-  67     
  BTBGACT3   68-  68     
  BTBGACT4   69-  69     
  BTBGACT5   70-  70     
  BTBGACT6   71-  71     
  BTBGACT7   72-  72     
  BTBGACT8   73-  73     
  BTBGACT9   74-  74     
  BTBGALTO   75-  76     
  BTBGMEET   77-  77     
  BTBGINF1   78-  78     
  BTBGINF2   79-  79     
  BTBGINF3   80-  80     
  BTBGINF4   81-  81     
  BTBMIMP1   82-  82     
  BTBMIMP2   83-  83     
  BTBMIMP3   84-  84     
  BTBMIMP4   85-  85     
  BTBMIMP5   86-  86     
  BTBMIMP6   87-  87     
  BTBMAGR1   88-  88     
  BTBMAGR2   89-  89     
  BTBMAGR3   90-  90     
  BTBGAGR4   91-  91     
  BTBMAGR5   92-  92     
  BTBMAGR6   93-  93     
  BTBMAGR7   94-  94     
  BTBMAGR8   95-  95     
  BTBMAGR9   96-  96     
  BTBMFAM1   97-  97     
  BTBMFAM2   98-  98     
  BTBGFAM3   99-  99     
  BTBGFAM4  100- 100     
  BTBGFAM5  101- 101     
  BTBMFAM6  102- 102     
  BTBMFAM7  103- 103     
  BTBMFP01  104- 104     
  BTBMFP02  105- 105     
  BTBMFP03  106- 106     
  BTBMFP04  107- 107     
  BTBMFP05  108- 108     
  BTBMFP06  109- 109     
  BTBMFP07  110- 110     
  BTBMFP08  111- 111     
  BTBMFP09  112- 112     
  BTBMFP10  113- 113     
  BTBMFP11  114- 114     
  BTBMFP12  115- 115     
  BTBGEDUC  116- 116     
  BTBGTRAC  117- 117     
  BTBGYETR  118- 119     
  BTBGPRTR  120- 120     
  BTBGCMAS  121- 121     
  BTBGCMA1  122- 122     
  BTBGCMA2  123- 123     
  BTBGCMA3  124- 124     
  BTBGCMA4  125- 125     
  BTBGCMA5  126- 126     
  BTBGCMA6  127- 127     
  BTBGCMA7  128- 128     
  BTBGCMA8  129- 129     
  BTBGMMAS  130- 130     
  BTBGMMA1  131- 131     
  BTBGMMA2  132- 132     
  BTBGMMA3  133- 133     
  BTBGMMA4  134- 134     
  BTBGMMA5  135- 135     
  BTBGMMA6  136- 136     
  BTBGMMA7  137- 137     
  BTBGMMA8  138- 138     
  BTBGCARE  139- 139     
  BTBGCHNG  140- 140     
  BTBGSOAP  141- 141     
  BTBGSTAP  142- 142     
  BTBGBOOK  143- 143     
  BTBMBOY   144- 146     
  BTBMGIRL  147- 149     
  BTDMTOEN  150- 152     
  BTBMSMEC  153- 153     
  BTBMTIME  154- 157     
  BTBMTXBK  158- 158     
  BTBMTXBR  159- 159     
  BTBMCUDL  160- 160     
  BTBMWECP  161- 161     
  BTBMCAL1  162- 162     
  BTBMCAL2  163- 163     
  BTBMCAL3  164- 164     
  BTBMCAL4  165- 165     
  BTBMCAL5  166- 166     
  BTBMCOM1  167- 167     
  BTBMCOM2  168- 168     
  BTBMINT1  169- 169     
  BTBMINT2  170- 170     
  BTBMSRC1  171- 171     
  BTBMSRC2  172- 172     
  BTBMSRC3  173- 173     
  BTBMSRC4  174- 174     
  BTBMASK1  175- 175     
  BTBMASK2  176- 176     
  BTBMASK3  177- 177     
  BTBMASK4  178- 178     
  BTBMASK5  179- 179     
  BTBMASK6  180- 180     
  BTBMASK7  181- 181     
  BTBMLES1  182- 182     
  BTBMLES2  183- 183     
  BTBMLES3  184- 184     
  BTBMLES4  185- 185     
  BTBMLES5  186- 186     
  BTBMLES6  187- 187     
  BTBMACT1  188- 190     
  BTBMACT2  191- 193     
  BTBMACT3  194- 196     
  BTBMACT4  197- 199     
  BTBMACT5  200- 202     
  BTBMACT6  203- 205     
  BTBMACT7  206- 208     
  BTBMACT8  209- 211     
  BTBMTB01  212- 212     
  BTBMTT01  213- 213     
  BTBMNT01  214- 214     
  BTBMTB02  215- 215     
  BTBMTT02  216- 216     
  BTBMNT02  217- 217     
  BTBMTB03  218- 218     
  BTBMTT03  219- 219     
  BTBMNT03  220- 220     
  BTBMTB04  221- 221     
  BTBMTT04  222- 222     
  BTBMNT04  223- 223     
  BTBMTB05  224- 224     
  BTBMTT05  225- 225     
  BTBMNT05  226- 226     
  BTBMTB06  227- 227     
  BTBMTT06  228- 228     
  BTBMNT06  229- 229     
  BTBMTB07  230- 230     
  BTBMTT07  231- 231     
  BTBMNT07  232- 232     
  BTBMTB08  233- 233     
  BTBMTT08  234- 234     
  BTBMNT08  235- 235     
  BTBMTB09  236- 236     
  BTBMTT09  237- 237     
  BTBMNT09  238- 238     
  BTBMTB10  239- 239     
  BTBMTT10  240- 240     
  BTBMNT10  241- 241     
  BTBMTB11  242- 242     
  BTBMTT11  243- 243     
  BTBMNT11  244- 244     
  BTBMTB12  245- 245     
  BTBMTT12  246- 246     
  BTBMNT12  247- 247     
  BTBMTB13  248- 248     
  BTBMTT13  249- 249     
  BTBMNT13  250- 250     
  BTBMTB14  251- 251     
  BTBMTT14  252- 252     
  BTBMNT14  253- 253     
  BTBMTB15  254- 254     
  BTBMTT15  255- 255     
  BTBMNT15  256- 256     
  BTBMTB16  257- 257     
  BTBMTT16  258- 258     
  BTBMNT16  259- 259     
  BTBMTB17  260- 260     
  BTBMTT17  261- 261     
  BTBMNT17  262- 262     
  BTBMTB18  263- 263     
  BTBMTT18  264- 264     
  BTBMNT18  265- 265     
  BTBMTB19  266- 266     
  BTBMTT19  267- 267     
  BTBMNT19  268- 268     
  BTBMTB20  269- 269     
  BTBMTT20  270- 270     
  BTBMNT20  271- 271     
  BTBMTB21  272- 272     
  BTBMTT21  273- 273     
  BTBMNT21  274- 274     
  BTBMTB22  275- 275     
  BTBMTT22  276- 276     
  BTBMNT22  277- 277     
  BTBMTB23  278- 278     
  BTBMTT23  279- 279     
  BTBMNT23  280- 280     
  BTBMTB24  281- 281     
  BTBMTT24  282- 282     
  BTBMNT24  283- 283     
  BTBMTB25  284- 284     
  BTBMTT25  285- 285     
  BTBMNT25  286- 286     
  BTBMTB26  287- 287     
  BTBMTT26  288- 288     
  BTBMNT26  289- 289     
  BTBMTB27  290- 290     
  BTBMTT27  291- 291     
  BTBMNT27  292- 292     
  BTBMTB28  293- 293     
  BTBMTT28  294- 294     
  BTBMNT28  295- 295     
  BTBMTB29  296- 296     
  BTBMTT29  297- 297     
  BTBMNT29  298- 298     
  BTBMTB30  299- 299     
  BTBMTT30  300- 300     
  BTBMNT30  301- 301     
  BTBMTB31  302- 302     
  BTBMTT31  303- 303     
  BTBMNT31  304- 304     
  BTBMTB32  305- 305     
  BTBMTT32  306- 306     
  BTBMNT32  307- 307     
  BTBMTB33  308- 308     
  BTBMTT33  309- 309     
  BTBMNT33  310- 310     
  BTBMTB34  311- 311     
  BTBMTT34  312- 312     
  BTBMNT34  313- 313     
  BTBMLM01  314- 314     
  BTBMLM02  315- 315     
  BTBMLM03  316- 316     
  BTBMLM04  317- 317     
  BTBMLM05  318- 318     
  BTBMLM06  319- 319     
  BTBMLM07  320- 320     
  BTBMLM08  321- 321     
  BTBMLM09  322- 322     
  BTBMLM10  323- 323     
  BTBMLM11  324- 324     
  BTBMLM12  325- 325     
  BTBMLM13  326- 326     
  BTBMLM14  327- 327     
  BTBMLM15  328- 328     
  BTBMLM16  329- 329     
  BTBMHMW2  330- 330     
  BTBMHWMA  331- 331     
  BTBMWKBR  332- 332     
  BTBMPROR  333- 333     
  BTBMREAR  334- 334     
  BTBMWRIR  335- 335     
  BTBMDATR  336- 336     
  BTBMIEXR  337- 337     
  BTBMGEXR  338- 338     
  BTBMFINR  339- 339     
  BTBMORAR  340- 340     
  BTBMJORR  341- 341     
  BTBMWHNA  342- 342     
  BTBMWHR1  343- 343     
  BTBMWHR2  344- 344     
  BTBMWHR3  345- 345     
  BTBMWHR4  346- 346     
  BTBMWHR5  347- 347     
  BTBMWHR6  348- 348     
  BTBMWHR7  349- 349     
  BTBMWHR8  350- 350     
  BTBMWGT1  351- 351     
  BTBMWGT2  352- 352     
  BTBMWGT3  353- 353     
  BTBMWGT4  354- 354     
  BTBMWGT5  355- 355     
  BTBMWGT6  356- 356     
  BTBMWGT7  357- 357     
  BTBGASS1  358- 358     
  BTBGASS2  359- 359     
  BTBGASS3  360- 360     
  BTBGASS4  361- 361     
  BTBGASS5  362- 362     
  BTBGASS6  363- 363     
  BTDGSUBT  364- 371 (3)
  BTDGTSKT  372- 379 (3)
  BTDMMGRD  380- 380     
  BTDMQUA   381- 381     
  BTDMCPTM  382- 382     
  BTDMTPTT  383- 390 (3)
  BTDMSIZE  391- 398 (3)
  BTDMSZ3C  399- 399     
  BTDMERPS  400- 400     
  BTDMEMH   401- 401     
  BTDGMMJ1  402- 402     
  BTDGMMJ2  403- 403     
  BTDGMMJ3  404- 404     
  BTDGMMJ4  405- 405     
  BTDGMMJ5  406- 406     
  BTDMHTM   407- 414 (3)
  BTDMTIME  415- 415     
  BTDMCALC  416- 416     
  BTDMHWK   417- 418     
  BTDMHWK2  419- 419     
  BTDGTTIM  420- 427 (3)
  BTDMTTIM  428- 435 (3)
  BTDGCPLN  436- 443 (3)
  BTDGADMN  444- 451 (3)
  BTDGOTHR  452- 459 (3)
  DPCDATE   460- 465     .


*NOTE: Assignment of variable labels.

variable labels   VERSION  "*VERSION NUMBER*" 
                 /IDCNTRY  "*COUNTRY ID*" 
                 /IDSUBJCT "*SUBJECT ID*" 
                 /IDPOP    "*POPULATION ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDTEACH  "*TEACHER ID*" 
                 /IDLINK   "*TEACHER LINK NUMBER*" 
                 /ITCOURSE "*NAME OF COURSE*" 
                 /BTBGAGE  "GEN\AGE OF TEACHER" 
                 /BTBGSEX  "GEN\SEX OF TEACHER" 
                 /BTBGTAUG "GEN\YEARS BEEN TEACHING" 
                 /BTBGTOTL "GEN\SCHEDULED HOURS ALTOGETHER" 
                 /BTBMSUB1 "MAT\SCHEDULED SUBJECTS\MATHEMATICS" 
                 /BTBSSUB2 "SCI\SCHEDULED SUBJECTS\GENERAL SCI" 
                 /BTBSSUB3 "SCI\SCHEDULED SUBJECTS\PHYSICAL SCI" 
                 /BTBSSUB4 "SCI\SCHEDULED SUBJECTS\EARTH SCIENCE" 
                 /BTBSSUB5 "SCI\SCHEDULED SUBJECTS\LIFE SCIENCE" 
                 /BTBSSUB6 "SCI\SCHEDULED SUBJECTS\BIOLOGY" 
                 /BTBSSUB7 "SCI\SCHEDULED SUBJECTS\CHEMISTRY" 
                 /BTBSSUB8 "SCI\SCHEDULED SUBJECTS\PHYSICS" 
                 /BTBGSUB9 "GEN\SCHEDULED SUBJECTS\OTHER" 
                 /BTBGTSK1 "GEN\SCHEDULED TASKS\SUPERVISION" 
                 /BTBGTSK2 "GEN\SCHEDULED TASKS\COUNSELLING" 
                 /BTBGTSK3 "GEN\SCHEDULED TASKS\ADMINISTRATION" 
                 /BTBGTSK4 "GEN\SCHEDULED TASKS\INDIVID PLANNING" 
                 /BTBGTSK5 "GEN\SCHEDULED TASKS\COOP PLANNING" 
                 /BTBGTSK6 "GEN\SCHEDULED TASKS\NON SPECIFIED" 
                 /BTBGTSK7 "GEN\SCHEDULED TASKS\OTHER" 
                 /BTBGACT1 "GEN\OUTSIDE SCHL\PREPARE TEST" 
                 /BTBGACT2 "GEN\OUTSIDE SCHL\READ STUDENT WORK" 
                 /BTBGACT3 "GEN\OUTSIDE SCHL\PLAN LESSONS" 
                 /BTBGACT4 "GEN\OUTSIDE SCHL\MEET STUDENTS" 
                 /BTBGACT5 "GEN\OUTSIDE SCHL\MEET PARENTS" 
                 /BTBGACT6 "GEN\OUTSIDE SCHL\PROFESSIONL READING" 
                 /BTBGACT7 "GEN\OUTSIDE SCHL\UPDATE STUD RECORDS" 
                 /BTBGACT8 "GEN\OUTSIDE SCHL\ADMINISTRATVE TASKS" 
                 /BTBGACT9 "GEN\OUTSIDE SCHL\OTHER" 
                 /BTBGALTO "GEN\TEACHING ACTIVITIES ALTOGETHER" 
                 /BTBGMEET "GEN\MEETING WITH OTHER TEACHERS" 
                 /BTBGINF1 "GEN\INFLUENCE\SUBJECT MATTER" 
                 /BTBGINF2 "GEN\INFLUENCE\SPECIFIC TEXTBOOKS" 
                 /BTBGINF3 "GEN\INFLUENCE\MONEY FOR SUPPLIES" 
                 /BTBGINF4 "GEN\INFLUENCE\KIND OF SUPPLIES" 
                 /BTBMIMP1 "MAT\GD\IMPT\REMEMBER FORMULAS" 
                 /BTBMIMP2 "MAT\GD\IMPT\SEQUENTIAL AND PROCEDURAL" 
                 /BTBMIMP3 "MAT\GD\IMPT\UNDERSTAND CONCEPTS" 
                 /BTBMIMP4 "MAT\GD\IMPT\THINK CREATIVELY" 
                 /BTBMIMP5 "MAT\GD\IMPT\HOW USED IN REAL WORLD" 
                 /BTBMIMP6 "MAT\GD\IMPT\SUPPORT SOLUTIONS" 
                 /BTBMAGR1 "MAT\PRIMARILY AN ABSTRACT SUBJECT" 
                 /BTBMAGR2 "MAT\FORMAL REPRESENTATION OF WORLD" 
                 /BTBMAGR3 "MAT\PRACTICAL AND STRUCTURED GUIDE" 
                 /BTBGAGR4 "GEN\PRACTICE TO OVERCOME DIFFICULTY" 
                 /BTBMAGR5 "MAT\NATURAL TALENT FOR MATH" 
                 /BTBMAGR6 "MAT\USE MORE THAN 1 REPRESENTATION" 
                 /BTBMAGR7 "MAT\SET OF ALGORITHMS OR RULES" 
                 /BTBMAGR8 "MAT\BASIC COMPUTATIONAL SKILLS" 
                 /BTBMAGR9 "MAT\LIKING AND UNDERSTANDING STUDENTS" 
                 /BTBMFAM1 "MAT\NATIONAL CURRICULUM GUIDE" 
                 /BTBMFAM2 "MAT\REGIONAL CURRICULUM GUIDE" 
                 /BTBGFAM3 "GEN\SCHOOL CURRICULUM GUIDE" 
                 /BTBGFAM4 "GEN\NATIONAL EXAM SPECIFICATIONS" 
                 /BTBGFAM5 "GEN\REGIONAL EXAM SPECIFICATIONS" 
                 /BTBMFAM6 "MAT\NATIONAL PEDAGOGY GUIDE" 
                 /BTBMFAM7 "MAT\REGIONAL PEDAGOGY GUIDE" 
                 /BTBMFP01 "MAT\PREP\FRACTIONS, DECIMALS, PERCENTAGE" 
                 /BTBMFP02 "MAT\PREP\RATIOS AND PROPORTIONS" 
                 /BTBMFP03 "MAT\PREP\MEASUREMENTS - UNITS, ..." 
                 /BTBMFP04 "MAT\PREP\PERIMETER, AREA, VOLUME" 
                 /BTBMFP05 "MAT\PREP\GEOM FIG - DEF, PROPERTIES" 
                 /BTBMFP06 "MAT\PREP\GEOM FIG - SYMMETRY, ..." 
                 /BTBMFP07 "MAT\PREP\COORDINATE GEOMETRY" 
                 /BTBMFP08 "MAT\PREP\ALGEBRAIC REPRESENTATION" 
                 /BTBMFP09 "MAT\PREP\EVAL. + PERFRM OP ON ALG. EQTN" 
                 /BTBMFP10 "MAT\PREP\SOLVE LINEAR EQUATIONS" 
                 /BTBMFP11 "MAT\PREP\REPR. + INTERPR. DATA IN GRAPHS" 
                 /BTBMFP12 "MAT\PREP\SIMPLE PROBABILITIES" 
                 /BTBGEDUC "GEN\LEVEL OF EDUCATION COMPLETED" 
                 /BTBGTRAC "GEN\TEACHER TRAINING CERTIFICATE" 
                 /BTBGYETR "GEN\YEARS PRE SERVICE TRAINING" 
                 /BTBGPRTR "GEN\BEGIN SECONDARY SCHOOL" 
                 /BTBGCMAS "GEN\HAVE BA" 
                 /BTBGCMA1 "GEN\MAIN STUDY FOR BA\MATHEMATICS" 
                 /BTBGCMA2 "GEN\MAIN STUDY FOR BA\BIOLOGY" 
                 /BTBGCMA3 "GEN\MAIN STUDY FOR BA\PHYSICS" 
                 /BTBGCMA4 "GEN\MAIN STUDY FOR BA\CHEMISTRY" 
                 /BTBGCMA5 "GEN\MAIN STUDY FOR BA\EDUCATION" 
                 /BTBGCMA6 "GEN\MAIN STUDY FOR BA\MATH EDUCATION" 
                 /BTBGCMA7 "GEN\MAIN STUDY FOR BA\SCIENCE EDUCATION" 
                 /BTBGCMA8 "GEN\MAIN STUDY FOR BA\OTHER" 
                 /BTBGMMAS "GEN\HAVE MASTERS DEGREE" 
                 /BTBGMMA1 "GEN\MAIN STUDY FOR MA\MATHEMATICS" 
                 /BTBGMMA2 "GEN\MAIN STUDY FOR MA\BIOLOGY" 
                 /BTBGMMA3 "GEN\MAIN STUDY FOR MA\PHYSICS" 
                 /BTBGMMA4 "GEN\MAIN STUDY FOR MA\CHEMISTRY" 
                 /BTBGMMA5 "GEN\MAIN STUDY FOR MA\EDUCATION" 
                 /BTBGMMA6 "GEN\MAIN STUDY FOR MA\MATH EDUCATION" 
                 /BTBGMMA7 "GEN\MAIN STUDY FOR MA\SCIENCE EDUCATION" 
                 /BTBGMMA8 "GEN\MAIN STUDY FOR MA\OTHER" 
                 /BTBGCARE "GEN\WAS TEACHING FIRST CHOICE" 
                 /BTBGCHNG "GEN\WOULD YOU CHANGE CARREER" 
                 /BTBGSOAP "GEN\IS WORK APPRECIATED BY SOCIETY" 
                 /BTBGSTAP "GEN\IS WORK APPRECIATED BY STUDENTS" 
                 /BTBGBOOK "GEN\NUMBER OF BOOKS IN HOME" 
                 /BTBMBOY  "MAT\CLSS\NUMBER OF BOYS IN CLASS" 
                 /BTBMGIRL "MAT\CLSS\NUMBER OF GIRLS IN CLASS" 
                 /BTDMTOEN "MAT\CLSS\NUMBER OF STUDENTS IN CLASS" 
                 /BTBMSMEC "MAT\CLSS\SUBJECT MATTER EMPHASIS" 
                 /BTBMTIME "MAT\CLSS\LENGTH OF MATH CLASS" 
                 /BTBMTXBK "MAT\CLSS\USE MATH TEXTBOOK" 
                 /BTBMTXBR "MAT\CLSS\TEXTBOOK BASED TEACHING" 
                 /BTBMCUDL "MAT\USE CALCULATORS DURING LESSONS" 
                 /BTBMWECP "MAT\EXTENT CALCULATORS PERMITTED" 
                 /BTBMCAL1 "MAT\CALCS FOR CHECKING ANSWERS" 
                 /BTBMCAL2 "MAT\CALCS FOR TESTS AND EXAMS" 
                 /BTBMCAL3 "MAT\CALCS FOR ROUTINE COMPUTATIO" 
                 /BTBMCAL4 "MAT\CALCS FOR COMPLEX PROBLEMS" 
                 /BTBMCAL5 "MAT\CALCS FOR NUMBER CONCEPTS" 
                 /BTBMCOM1 "MAT\COMPUTERS\IN CLASSROOMS" 
                 /BTBMCOM2 "MAT\COMPUTERS\IN OTHER ROOMS" 
                 /BTBMINT1 "MAT\COMPUTERS\ACCESS INTERNET" 
                 /BTBMINT2 "MAT\COMPUTERS\USE INTERNET" 
                 /BTBMSRC1 "MAT\SOURCE\WHICH TOPIC TO TEACH" 
                 /BTBMSRC2 "MAT\SOURCE\HOW TO PRESENT A TOPIC" 
                 /BTBMSRC3 "MAT\SOURCE\CLASS WORK AND HOMEWORK" 
                 /BTBMSRC4 "MAT\SOURCE\ASSESSMENT AND EVALUATN" 
                 /BTBMASK1 "MAT\TASKS\EXPLAIN REASONING" 
                 /BTBMASK2 "MAT\TASKS\ANALYZE RELATIONSHIPS" 
                 /BTBMASK3 "MAT\TASKS\WORK ON PROBLEMS" 
                 /BTBMASK4 "MAT\TASKS\USE COMPUTERS" 
                 /BTBMASK5 "MAT\TASKS\WRITE EQUATIONS" 
                 /BTBMASK6 "MAT\TASKS\PRACTICE COMPUTATION" 
                 /BTBMASK7 "MAT\TASKS\USE GRAPHING CALCULATORS" 
                 /BTBMLES1 "MAT\INDIVIDUAL WORK\NO ASSISTANCE" 
                 /BTBMLES2 "MAT\INDIVIDUAL WORK\ASSISTANCE" 
                 /BTBMLES3 "MAT\WORK TOGETHER\TEACHER TEACHES" 
                 /BTBMLES4 "MAT\WORK TOGETHER\STUDENTS INTERACT" 
                 /BTBMLES5 "MAT\WORK IN GROUPS\NO ASSISTANCE" 
                 /BTBMLES6 "MAT\WORK IN GROUPS\ASSISTANCE" 
                 /BTBMACT1 "MAT\PERCENTAGE SPENT\ADMINISTRATIVE" 
                 /BTBMACT2 "MAT\PERCENTAGE SPENT\HOMEWORK REVIEW" 
                 /BTBMACT3 "MAT\PERCENTAGE SPENT\LECTURE STYLE" 
                 /BTBMACT4 "MAT\PERCENTAGE SPENT\GUIDED PRACTICE" 
                 /BTBMACT5 "MAT\PERCENTAGE SPENT\RE-TEACHING" 
                 /BTBMACT6 "MAT\PERCENTAGE SPENT\STUDENT PRACTICE" 
                 /BTBMACT7 "MAT\PERCENTAGE SPENT\TEST AND QUIZZES" 
                 /BTBMACT8 "MAT\PERCENTAGE SPENT\OTHER" 
                 /BTBMTB01 "MAT\FRAC\WHOLE NUMBERS\BEFORE" 
                 /BTBMTT01 "MAT\FRAC\WHOLE NUMBERS\THIS YEAR" 
                 /BTBMNT01 "MAT\FRAC\WHOLE NUMBERS\NOT KNOW" 
                 /BTBMTB02 "MAT\FRAC\FRAC UNDERSTANDING\BEFORE" 
                 /BTBMTT02 "MAT\FRAC\FRAC UNDERSTANDING\THIS YEAR" 
                 /BTBMNT02 "MAT\FRAC\FRAC UNDERSTANDING\NOT KNOW" 
                 /BTBMTB03 "MAT\FRAC\FRAC COMPUTATIONS\BEFORE" 
                 /BTBMTT03 "MAT\FRAC\FRAC COMPUTATIONS\THIS YEAR" 
                 /BTBMNT03 "MAT\FRAC\FRAC COMPUTATIONS\NOT KNOW" 
                 /BTBMTB04 "MAT\FRAC\DEC FRAC UNDERSTANDING\BEFORE" 
                 /BTBMTT04 "MAT\FRAC\DEC FRAC UNDERSTANDING\THIS YEA" 
                 /BTBMNT04 "MAT\FRAC\DEC FRAC UNDERSTANDING\NOT KNOW" 
                 /BTBMTB05 "MAT\FRAC\DEC FRAC COMPUTATIONS\BEFORE" 
                 /BTBMTT05 "MAT\FRAC\DEC FRAC COMPUTATIONS\THIS YEAR" 
                 /BTBMNT05 "MAT\FRAC\DEC FRAC COMPUTATIONS\NOT KNOW" 
                 /BTBMTB06 "MAT\FRAC\RELATION BETW FRACS\BEFORE" 
                 /BTBMTT06 "MAT\FRAC\RELATION BETW FRACS\THIS YEAR" 
                 /BTBMNT06 "MAT\FRAC\RELATION BETW FRACS\NOT KNOW" 
                 /BTBMTB07 "MAT\FRAC\ROUNDING WHOLE NUMB\BEFORE" 
                 /BTBMTT07 "MAT\FRAC\ROUNDING WHOLE NUMB\THIS YEAR" 
                 /BTBMNT07 "MAT\FRAC\ROUNDING WHOLE NUMB\NOT KNOW" 
                 /BTBMTB08 "MAT\FRAC\ESTIMATING RESULTS\BEFORE" 
                 /BTBMTT08 "MAT\FRAC\ESTIMATING RESULTS\THIS YEAR" 
                 /BTBMNT08 "MAT\FRAC\ESTIMATING RESULTS\NOT KNOW" 
                 /BTBMTB09 "MAT\FRAC\NUMBER LINES\BEFORE" 
                 /BTBMTT09 "MAT\FRAC\NUMBER LINES\THIS YEAR" 
                 /BTBMNT09 "MAT\FRAC\NUMBER LINES\NOT KNOW" 
                 /BTBMTB10 "MAT\FRAC\PERC.: COMPUTS\BEFORE" 
                 /BTBMTT10 "MAT\FRAC\PERC.: COMPUTS\THIS YEAR" 
                 /BTBMNT10 "MAT\FRAC\PERC.: COMPUTS\NOT KNOW" 
                 /BTBMTB11 "MAT\FRAC\NEGATIVE NUMBERS\BEFORE" 
                 /BTBMTT11 "MAT\FRAC\NEGATIVE NUMBERS\THIS YEAR" 
                 /BTBMNT11 "MAT\FRAC\NEGATIVE NUMBERS\NOT KNOW" 
                 /BTBMTB12 "MAT\FRAC\SQUARE ROOTS, EXPONENTS\BEFORE" 
                 /BTBMTT12 "MAT\FRAC\SQUARE ROOTS, EXPONENTS\THIS YE" 
                 /BTBMNT12 "MAT\FRAC\SQUARE ROOTS, EXPONENTS\NOT KNO" 
                 /BTBMTB13 "MAT\MEAS\UNITS\BEFORE" 
                 /BTBMTT13 "MAT\MEAS\UNITS\THIS YEAR" 
                 /BTBMNT13 "MAT\MEAS\UNITS\NOT KNOW" 
                 /BTBMTB14 "MAT\MEAS\MEASUREMENT INSTR.\BEFORE" 
                 /BTBMTT14 "MAT\MEAS\MEASUREMENT INSTR.\THIS YEAR" 
                 /BTBMNT14 "MAT\MEAS\MEASUREMENT INSTR.\NOT KNOW" 
                 /BTBMTB15 "MAT\MEAS\ESTIMATES AND ACCURACY\BEFORE" 
                 /BTBMTT15 "MAT\MEAS\ESTIMATES AND ACCURACY\THIS YEA" 
                 /BTBMNT15 "MAT\MEAS\ESTIMATES AND ACCURACY\NOT KNOW" 
                 /BTBMTB16 "MAT\MEAS\PERIMTR SIMPLE SHAPE\BEFORE" 
                 /BTBMTT16 "MAT\MEAS\PERIMTR SIMPLE SHAPE\THIS YEAR" 
                 /BTBMNT16 "MAT\MEAS\PERIMTR SIMPLE SHAPE\NOT KNOW" 
                 /BTBMTB17 "MAT\MEAS\PERIMTR COMBND SHAPE\BEFORE" 
                 /BTBMTT17 "MAT\MEAS\PERIMTR COMBND SHAPE\THIS YEAR" 
                 /BTBMNT17 "MAT\MEAS\PERIMTR COMBND SHAPE\NOT KNOW" 
                 /BTBMTB18 "MAT\MEAS\VOLUME OF SOLIDS\BEFORE" 
                 /BTBMTT18 "MAT\MEAS\VOLUME OF SOLIDS\THIS YEAR" 
                 /BTBMNT18 "MAT\MEAS\VOLUME OF SOLIDS\NOT KNOW" 
                 /BTBMTB19 "MAT\GEO\CARTESIAN COORD.\BEFORE" 
                 /BTBMTT19 "MAT\GEO\CARTESIAN COORD.\THIS YEAR" 
                 /BTBMNT19 "MAT\GEO\CARTESIAN COORD.\NOT KNOW" 
                 /BTBMTB20 "MAT\GEO\COORDINATES ON A LINE\BEFORE" 
                 /BTBMTT20 "MAT\GEO\COORDINATES ON A LINE\THIS YEAR" 
                 /BTBMNT20 "MAT\GEO\COORDINATES ON A LINE\NOT KNOW" 
                 /BTBMTB21 "MAT\GEO\TWO DIM. GEOMETRY\BEFORE" 
                 /BTBMTT21 "MAT\GEO\TWO DIM. GEOMETRY\THIS YEAR" 
                 /BTBMNT21 "MAT\GEO\TWO DIM. GEOMETRY\NOT KNOW" 
                 /BTBMTB22 "MAT\GEO\CONGRUENCE+SIMILARITY\BEFORE" 
                 /BTBMTT22 "MAT\GEO\CONGRUENCE+SIMILARITY\THIS YEAR" 
                 /BTBMNT22 "MAT\GEO\CONGRUENCE+SIMILARITY\NOT KNOW" 
                 /BTBMTB23 "MAT\GEO\SYMMETRY+TRANSFORM.\BEFORE" 
                 /BTBMTT23 "MAT\GEO\SYMMETRY+TRANSFORM.\THIS YEAR" 
                 /BTBMNT23 "MAT\GEO\SYMMETRY+TRANSFORM.\NOT KNOW" 
                 /BTBMTB24 "MAT\GEO\3-D-SHAPES\BEFORE" 
                 /BTBMTT24 "MAT\GEO\3-D-SHAPES\THIS YEAR" 
                 /BTBMNT24 "MAT\GEO\3-D-SHAPESNOT KNOW" 
                 /BTBMTB25 "MAT\PROP\SCALES APPLIED TO MAPS\BEFORE" 
                 /BTBMTT25 "MAT\PROP\SCALES APPLIED TO MAPS\THIS YEA" 
                 /BTBMNT25 "MAT\PROP\SCALES APPLIED TO MAPS\NOT KNOW" 
                 /BTBMTB26 "MAT\PROP\RATIO AND PROPORTION\BEFORE" 
                 /BTBMTT26 "MAT\PROP\RATIO AND PROPORTION\THIS YEAR" 
                 /BTBMNT26 "MAT\PROP\RATIO AND PROPORTION\NOT KNOW" 
                 /BTBMTB27 "MAT\ALG\NUMBER PATTERNS\BEFORE" 
                 /BTBMTT27 "MAT\ALG\NUMBER PATTERNS\THIS YEAR" 
                 /BTBMNT27 "MAT\ALG\NUMBER PATTERNS\NOT KNOW" 
                 /BTBMTB28 "MAT\ALG\ALGEBRAIC EXPRESSIONS\BEFORE" 
                 /BTBMTT28 "MAT\ALG\ALGEBRAIC EXPRESSIONS\THIS YEAR" 
                 /BTBMNT28 "MAT\ALG\ALGEBRAIC EXPRESSIONS\NOT KNOW" 
                 /BTBMTB29 "MAT\ALG\REPRESENT SITUATIONS\BEFORE" 
                 /BTBMTT29 "MAT\ALG\REPRESENT SITUATIONS\THIS YEAR" 
                 /BTBMNT29 "MAT\ALG\REPRESENT SITUATIONS\NOT KNOW" 
                 /BTBMTB30 "MAT\ALG\SOLVING EQUATIONS\BEFORE" 
                 /BTBMTT30 "MAT\ALG\SOLVING EQUATIONS\THIS YEAR" 
                 /BTBMNT30 "MAT\ALG\SOLVING EQUATIONS\NOT KNOW" 
                 /BTBMTB31 "MAT\ALG\SOLVING INEQUALITIES\BEFORE" 
                 /BTBMTT31 "MAT\ALG\SOLVING INEQUALITIES\THIS YEAR" 
                 /BTBMNT31 "MAT\ALG\SOLVING INEQUALITIES\NOT KNOW" 
                 /BTBMTB32 "MAT\DATA\REPRESENT+INTERPRET\BEFORE" 
                 /BTBMTT32 "MAT\DATA\REPRESENT+INTERPRET\THIS YEAR" 
                 /BTBMNT32 "MAT\DATA\REPRESENT+INTERPRET\NOT KNOW" 
                 /BTBMTB33 "MAT\DATA\ARITHMETIC MEAN\BEFORE" 
                 /BTBMTT33 "MAT\DATA\ARITHMETIC MEAN\THIS YEAR" 
                 /BTBMNT33 "MAT\DATA\ARITHMETIC MEAN\NOT KNOW" 
                 /BTBMTB34 "MAT\DATA\SIMPLE PROBABILITIES\BEFORE" 
                 /BTBMTT34 "MAT\DATA\SIMPLE PROBABILITIES\THIS YEAR" 
                 /BTBMNT34 "MAT\DATA\SIMPLE PROBABILITIES\NOT KNOW" 
                 /BTBMLM01 "MAT\CLSS\DIFFERENT ACADEMIC ABILITIES" 
                 /BTBMLM02 "MAT\CLSS\WIDE RANGE OF BACKGROUNDS" 
                 /BTBMLM03 "MAT\CLSS\SPECIAL NEEDS" 
                 /BTBMLM04 "MAT\CLSS\UNINTERESTED STUDENTS" 
                 /BTBMLM05 "MAT\CLSS\DISRUPTIVE STUDENTS" 
                 /BTBMLM06 "MAT\CLSS\PARENTS INTRESTD IN PROGRSS" 
                 /BTBMLM07 "MAT\CLSS\PARENTS UNINTRESTD IN PROGR" 
                 /BTBMLM08 "MAT\CLSS\SHORTGE OF COMPUTR HARDWARE" 
                 /BTBMLM09 "MAT\CLSS\SHORTGE OF COMPUTR SOFTWARE" 
                 /BTBMLM10 "MAT\CLSS\SHORTGE OF INSTR EQUIPMENT" 
                 /BTBMLM11 "MAT\CLSS\SHORTGE OF DEMNSTR EQUIPMNT" 
                 /BTBMLM12 "MAT\CLSS\INADEQUATE PHYSICL FACILITS" 
                 /BTBMLM13 "MAT\CLSS\HIGH STUDENT TEACHER RATIO" 
                 /BTBMLM14 "MAT\CLSS\LOW MORAL AMONG STAFF" 
                 /BTBMLM15 "MAT\CLSS\LOW MORAL AMONG STUDENTS" 
                 /BTBMLM16 "MAT\CLSS\THREATS 2 PERS OR STDT SFTY" 
                 /BTBMHMW2 "MAT\HOMEWORK FREQUENCY" 
                 /BTBMHWMA "MAT\AVERAGE TIME NEEDED FOR HOMEWK" 
                 /BTBMWKBR "MAT\HOMEWORK\WORKSHEETS OR -BOOK" 
                 /BTBMPROR "MAT\HOMEWORK\TEXTBOOK PROBLEMS" 
                 /BTBMREAR "MAT\HOMEWORK\TEXTBOOK READING" 
                 /BTBMWRIR "MAT\HOMEWORK\WRITING ASSIGNMENT" 
                 /BTBMDATR "MAT\HOMEWORK\SMALL INVESTIGATIONS" 
                 /BTBMIEXR "MAT\HOMEWORK\INDIVIDUAL PROJECTS" 
                 /BTBMGEXR "MAT\HOMEWORK\SMALL GROUP PROJECTS" 
                 /BTBMFINR "MAT\HOMEWORK\FIND USES OF CONTENT" 
                 /BTBMORAR "MAT\HOMEWORK\PREPARE ORAL REPORTS" 
                 /BTBMJORR "MAT\HOMEWORK\KEEP A JOURNAL" 
                 /BTBMWHNA "MAT\WRITTEN HMWK\DO NOT ASSIGN" 
                 /BTBMWHR1 "MAT\WRITTEN HMWK\RECORD COMPLETION" 
                 /BTBMWHR2 "MAT\WRITTEN HMWK\KEEP ASSIGNMENTS" 
                 /BTBMWHR3 "MAT\WRITTEN HMWK\RETURN ASSIGNMENTS" 
                 /BTBMWHR4 "MAT\WRITTEN HMWK\FEEDBACK TO CLASS" 
                 /BTBMWHR5 "MAT\WRITTEN HMWK\STUDENTS CORRECT OWN" 
                 /BTBMWHR6 "MAT\WRITTEN HMWK\STUDENTS CORRECT OTHER" 
                 /BTBMWHR7 "MAT\WRITTEN HMWK\BASIS FOR DISCUSSION" 
                 /BTBMWHR8 "MAT\WRITTEN HMWK\GRADE CONTRIBUTION" 
                 /BTBMWGT1 "MAT\ASSMNT WEIGHT\STANDARD TESTS" 
                 /BTBMWGT2 "MAT\ASSMNT WEIGHT\REASONING TESTS" 
                 /BTBMWGT3 "MAT\ASSMNT WEIGHT\MULTIPLE CHOICE" 
                 /BTBMWGT4 "MAT\ASSMNT WEIGHT\HOMEWORK PERFRMNCE" 
                 /BTBMWGT5 "MAT\ASSMNT WEIGHT\PROJECT PERFORMNCE" 
                 /BTBMWGT6 "MAT\ASSMNT WEIGHT\OBSERVATION" 
                 /BTBMWGT7 "MAT\ASSMNT WEIGHT\RESPONSES IN CLASS" 
                 /BTBGASS1 "GEN\FREQUENCY\PROVIDE GRADES" 
                 /BTBGASS2 "GEN\FREQUENCY\PROVIDE FEEDBACK" 
                 /BTBGASS3 "GEN\FREQUENCY\DIAGNOSE PROBLEMS" 
                 /BTBGASS4 "GEN\FREQUENCY\REPORT TO PARENTS" 
                 /BTBGASS5 "GEN\FREQUENCY\ASSIGN DIFFERNT TRACKS" 
                 /BTBGASS6 "GEN\FREQUENCY\PLAN FUTURE LESSONS" 
                 /BTDGSUBT "GEN\TOTAL HOURS TEACH. TIME (FROM DPC)" 
                 /BTDGTSKT "GEN\TOTAL HOURS PERF. OTHER TASKS (DPC)" 
                 /BTDMMGRD "MAT\HAVE BA OR MASTERS IN MATH" 
                 /BTDMQUA  "MAT\QUALIFICATION TO TEACH MATH" 
                 /BTDMCPTM "MAT\INDEX OF CONFIDENCE TO TEACH MATH" 
                 /BTDMTPTT "MAT\PERC. MATH TOPICS PREPARED TO TEACH" 
                 /BTDMSIZE "MAT\AVERAGE CLASS SIZE" 
                 /BTDMSZ3C "MAT\MATH CLASS SIZE IN 3 CATEGORIES" 
                 /BTDMERPS "MAT\INDEX:EMPHASIS ON PROB.SOLVING" 
                 /BTDMEMH  "MAT\INDEX:EMPHASIS ON MATH HOMEWORK" 
                 /BTDGMMJ1 "GEN\MAJOR AREA OF STUDY FOR DEG:Math" 
                 /BTDGMMJ2 "GEN\MAJOR AREA OF STUDY FOR DEG:Science" 
                 /BTDGMMJ3 "GEN\MAJOR AREA OF STUDY FOR DEG:Educatio" 
                 /BTDGMMJ4 "GEN\MAJOR AREA OF STUDY FOR DEG:Other" 
                 /BTDGMMJ5 "GEN\MAJOR AREA OF STUDY FOR DEG:Math Onl" 
                 /BTDMHTM  "MAT\HRS/WK TEACHING MATH" 
                 /BTDMTIME "MAT\TEACHING MATH TIME /WK IN 4 CAT." 
                 /BTDMCALC "MAT\NEVER OR HARDLY EVER USE CALCUL." 
                 /BTDMHWK  "MAT\AMOUNT OF MATH HOMEWORK" 
                 /BTDMHWK2 "MAT\HOMEWORK BASED ON PROJ. AND  INVEST" 
                 /BTDGTTIM "GEN\PERC.  SCHOOL TIME TEACHING ANYTHING" 
                 /BTDMTTIM "MAT\PERC. OF SCHOOL TIME TEACHING MATH" 
                 /BTDGCPLN "GEN\PERC. OF SCHOOL TIME CURRI.PLANNING" 
                 /BTDGADMN "GEN\PERC. OF SCHOOL TIME ADMIN. DUTIES" 
                 /BTDGOTHR "GEN\PERC. OF SCHOOL TIME OTHER ACTIVIT." 
                 /DPCDATE  "*FILE CREATION DATE AT DPC HAMBURG*".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDSUBJCT   1  "mathematics"
                       2  "science"
                       3  "mathematics and science"
                       9  "omitted"
                       8  "not admin."
                       /
            IDPOP      1  "TIMSS Pop 1"
                       2  "TIMSS Pop 2"
                       3  " TIMSS Pop 3"
                       /
            ITCOURSE   1  "MATHEMATICS"
                       2  "PHYSICS"
                       3  "BIOLOGY"
                       4  "CHEMISTRY"
                       5  "EARTH SCIENCE"
                       6  "INTEGRATED SCIENCE"
                      99  "omitted"
                      98  "not admin."
                       /
            BTBGAGE    1  "under 25"
                       2  "25-29"
                       3  "30-39"
                       4  "40-49"
                       5  "50-59"
                       6  "60 or more"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGSEX    1  "female"
                       2  "male"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT1   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT2   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT3   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT4   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT5   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT6   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT7   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT8   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGACT9   1  "none"
                       2  "less than 1 hour"
                       3  "1 - 2 hours"
                       4  "3 - 4 hours"
                       5  "more than 4 hours"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGMEET   1  "never"
                       2  "once or twice a year"
                       3  "every other month"
                       4  "once a month"
                       5  "once a week"
                       6  "two or three times a week"
                       7  "almost every day"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF1   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF2   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF3   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGINF4   1  "none"
                       2  "little"
                       3  "some"
                       4  "a lot"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP1   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP2   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP3   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP4   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP5   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMIMP6   1  "not important"
                       2  "somewhat important"
                       3  "very important"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR1   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR2   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR3   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGAGR4   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR5   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR6   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR7   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR8   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMAGR9   1  "strongly disagree"
                       2  "disagree"
                       3  "agree"
                       4  "strongly agree"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFAM1   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFAM2   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM3   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM4   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGFAM5   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFAM6   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFAM7   1  "no such document"
                       2  "not familiar"
                       3  "fairly familiar"
                       4  "very familiar"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP01   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP02   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP03   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP04   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP05   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP06   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP07   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP08   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP09   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP10   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP11   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMFP12   1  "I do not teach these topics"
                       2  "not well prepared"
                       3  "somewhat prepared"
                       4  "very well prepared"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGEDUC   1  "did not complete secondary school"
                       2  "secondary only"
                       3  "BA or equivalent"
                       4  "MA/PHD"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGTRAC   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGPRTR   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGCMAS   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGCMA1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA6   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA7   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCMA8   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMAS   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGMMA1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA6   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA7   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGMMA8   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBGCARE   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGCHNG   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGSOAP   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGSTAP   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGBOOK   1  "none or very few"
                       2  "enough to fill a shelf"
                       3  "enough to fill a bookcase"
                       4  "enough to fill 2 bookcases"
                       5  "enough to fill three or more bookcases"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMSMEC   1  "mainly number"
                       2  "geometry"
                       3  "algebra"
                       4  "combined algebra and geometry"
                       5  "combined algebra,geometry,number,etc."
                       6  "other, please specify"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXBK   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTXBR   1  "0-25%"
                       2  "26-50%"
                       3  "51-75%"
                       4  "76-100%"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMCUDL   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWECP   1  "unrestricted use"
                       2  "restricted use"
                       3  "calculators are not permitted"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMCAL1   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMCAL2   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMCAL3   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMCAL4   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMCAL5   1  "almost every day"
                       2  "once or twice a week"
                       3  "once or twice a month"
                       4  "never, or hardly ever"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMCOM1   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMCOM2   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMINT1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMINT2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMSRC1   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national examin. Specific.>"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMSRC2   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national examin. Specific.>"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMSRC3   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national examin. Specific.>"
                       9  "omitted"
                       8  "noz admin"
                       /
            BTBMSRC4   1  "other resource books"
                       2  "student edition of textbook"
                       3  "teacher edition of textbook"
                       4  "<school curriculum guide>"
                       5  "<national curriculum guide>"
                       6  "<national examin. Specitic.>"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK1   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK2   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK3   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK4   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK5   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK6   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMASK7   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES1   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES2   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES3   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES4   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES5   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLES6   1  "never or almost never"
                       2  "some lessons"
                       3  "most lessons"
                       4  "every lesson"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMTB01   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT01   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT01   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB02   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT02   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT02   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB03   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT03   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT03   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB04   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT04   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT04   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB05   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT05   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT05   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB06   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT06   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT06   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB07   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT07   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT07   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB08   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT08   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT08   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB09   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT09   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT09   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB10   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT10   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT10   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB11   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT11   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT11   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB12   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT12   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT12   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB13   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT13   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT13   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB14   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT14   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT14   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB15   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT15   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT15   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB16   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT16   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT16   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB17   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT17   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT17   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB18   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT18   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT18   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB19   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT19   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT19   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB20   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT20   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT20   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB21   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT21   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT21   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB22   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT22   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT22   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB23   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT23   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT23   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB24   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT24   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT24   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB25   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT25   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT25   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB26   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT26   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT26   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB27   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT27   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT27   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB28   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT28   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT28   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB29   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT29   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT29   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB30   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT30   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT30   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB31   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT31   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT31   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB32   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT32   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT32   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB33   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT33   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT33   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTB34   1  "checked"
                       2  "not checked"
                       3  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMTT34   1  "Taught 1-5 periods this year"
                       2  "Taught more than 5 periods this year"
                       3  "Not yet taught"
                       4  "Not Checked"
                       5  "I do not know"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMNT34   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin"
                       /
            BTBMLM01   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM02   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM03   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM04   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM05   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM06   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM07   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM08   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM09   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM10   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM11   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM12   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM13   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM14   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM15   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMLM16   1  "not at all"
                       2  "a little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMHMW2   1  "never"
                       2  "less than once a week"
                       3  "once or twice a week"
                       4  "3 or 4 times a week"
                       5  "every day"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMHWMA   1  "less than 15 minutes"
                       2  "15-30 minutes"
                       3  "31-60 minutes"
                       4  "61-90 minutes"
                       5  "more than 90 minutes"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMWKBR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMPROR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMREAR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMWRIR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMDATR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMIEXR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMGEXR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMFINR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMORAR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMJORR   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMWHNA   1  "checked"
                       2  "not checked"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWHR1   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMWHR2   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMWHR3   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMWHR4   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMWHR5   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMWHR6   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMWHR7   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMWHR8   1  "never"
                       2  "rarely"
                       3  "sometimes"
                       4  "always"
                       9  "omitted"
                       8  "not admin."
                       6  "not appl."
                       /
            BTBMWGT1   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT2   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT3   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT4   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT5   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT6   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBMWGT7   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS1   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS2   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS3   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS4   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS5   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTBGASS6   1  "none"
                       2  "little"
                       3  "quite a lot"
                       4  "a great deal"
                       9  "omitted"
                       8  "not admin."
                       /
            BTDMMGRD   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMQUA    1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMCPTM   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMSZ3C   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMERPS   1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMEMH    1  "low"
                       2  "medium"
                       3  "high"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGMMJ1   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGMMJ2   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGMMJ3   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGMMJ4   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDGMMJ5   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMTIME   1  "less than 2 hours"
                       2  "2 to less than 3.5 hours"
                       3  "3.5 to less than 5 hours"
                       4  "5 hours or more"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMCALC   1  "yes"
                       2  "no"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
            BTDMHWK    1  "never"
                       2  "< once/wk, >30 mins"
                       3  "< once/wk, <30 mins"
                       4  "1-2/wk, >30 mins"
                       5  "1-2/wk, <30 mins"
                       6  "3 or more times/wk, >30 mins"
                       7  " 3 or more times/wk, <30 mins"
                      99  "omitted"
                      98  "not admin"
                      96  "not appl"
                       /
            BTDMHWK2   1  "sometimes or always"
                       2  "never or rarely"
                       9  "omitted"
                       8  "not admin."
                       6  "not applicable"
                       /
.


*NOTE: The "omitted code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode VERSION  (99               = sysmis).
recode IDCNTRY  (99999            = sysmis).
recode IDSUBJCT (9                = sysmis).
recode IDPOP    (9                = sysmis).
recode IDSCHOOL (999999           = sysmis).
recode IDTEACH  (99999999         = sysmis).
recode IDLINK   (99               = sysmis).
recode ITCOURSE (99               = sysmis).
recode BTBGAGE  (9                = sysmis).
recode BTBGSEX  (9                = sysmis).
recode BTBGTAUG (99               = sysmis).
recode BTBGTOTL (99               = sysmis).
recode BTBMSUB1 (99               = sysmis).
recode BTBSSUB2 (99               = sysmis).
recode BTBSSUB3 (99               = sysmis).
recode BTBSSUB4 (99               = sysmis).
recode BTBSSUB5 (99               = sysmis).
recode BTBSSUB6 (99               = sysmis).
recode BTBSSUB7 (99               = sysmis).
recode BTBSSUB8 (99               = sysmis).
recode BTBGSUB9 (99               = sysmis).
recode BTBGTSK1 (99               = sysmis).
recode BTBGTSK2 (99               = sysmis).
recode BTBGTSK3 (99               = sysmis).
recode BTBGTSK4 (99               = sysmis).
recode BTBGTSK5 (99               = sysmis).
recode BTBGTSK6 (99               = sysmis).
recode BTBGTSK7 (99               = sysmis).
recode BTBGACT1 (9                = sysmis).
recode BTBGACT2 (9                = sysmis).
recode BTBGACT3 (9                = sysmis).
recode BTBGACT4 (9                = sysmis).
recode BTBGACT5 (9                = sysmis).
recode BTBGACT6 (9                = sysmis).
recode BTBGACT7 (9                = sysmis).
recode BTBGACT8 (9                = sysmis).
recode BTBGACT9 (9                = sysmis).
recode BTBGALTO (99               = sysmis).
recode BTBGMEET (9                = sysmis).
recode BTBGINF1 (9                = sysmis).
recode BTBGINF2 (9                = sysmis).
recode BTBGINF3 (9                = sysmis).
recode BTBGINF4 (9                = sysmis).
recode BTBMIMP1 (9                = sysmis).
recode BTBMIMP2 (9                = sysmis).
recode BTBMIMP3 (9                = sysmis).
recode BTBMIMP4 (9                = sysmis).
recode BTBMIMP5 (9                = sysmis).
recode BTBMIMP6 (9                = sysmis).
recode BTBMAGR1 (9                = sysmis).
recode BTBMAGR2 (9                = sysmis).
recode BTBMAGR3 (9                = sysmis).
recode BTBGAGR4 (9                = sysmis).
recode BTBMAGR5 (9                = sysmis).
recode BTBMAGR6 (9                = sysmis).
recode BTBMAGR7 (9                = sysmis).
recode BTBMAGR8 (9                = sysmis).
recode BTBMAGR9 (9                = sysmis).
recode BTBMFAM1 (9                = sysmis).
recode BTBMFAM2 (9                = sysmis).
recode BTBGFAM3 (9                = sysmis).
recode BTBGFAM4 (9                = sysmis).
recode BTBGFAM5 (9                = sysmis).
recode BTBMFAM6 (9                = sysmis).
recode BTBMFAM7 (9                = sysmis).
recode BTBMFP01 (9                = sysmis).
recode BTBMFP02 (9                = sysmis).
recode BTBMFP03 (9                = sysmis).
recode BTBMFP04 (9                = sysmis).
recode BTBMFP05 (9                = sysmis).
recode BTBMFP06 (9                = sysmis).
recode BTBMFP07 (9                = sysmis).
recode BTBMFP08 (9                = sysmis).
recode BTBMFP09 (9                = sysmis).
recode BTBMFP10 (9                = sysmis).
recode BTBMFP11 (9                = sysmis).
recode BTBMFP12 (9                = sysmis).
recode BTBGEDUC (9                = sysmis).
recode BTBGTRAC (9                = sysmis).
recode BTBGYETR (99               = sysmis).
recode BTBGPRTR (9                = sysmis).
recode BTBGCMAS (9                = sysmis).
recode BTBGCMA1 (9                = sysmis).
recode BTBGCMA2 (9                = sysmis).
recode BTBGCMA3 (9                = sysmis).
recode BTBGCMA4 (9                = sysmis).
recode BTBGCMA5 (9                = sysmis).
recode BTBGCMA6 (9                = sysmis).
recode BTBGCMA7 (9                = sysmis).
recode BTBGCMA8 (9                = sysmis).
recode BTBGMMAS (9                = sysmis).
recode BTBGMMA1 (9                = sysmis).
recode BTBGMMA2 (9                = sysmis).
recode BTBGMMA3 (9                = sysmis).
recode BTBGMMA4 (9                = sysmis).
recode BTBGMMA5 (9                = sysmis).
recode BTBGMMA6 (9                = sysmis).
recode BTBGMMA7 (9                = sysmis).
recode BTBGMMA8 (9                = sysmis).
recode BTBGCARE (9                = sysmis).
recode BTBGCHNG (9                = sysmis).
recode BTBGSOAP (9                = sysmis).
recode BTBGSTAP (9                = sysmis).
recode BTBGBOOK (9                = sysmis).
recode BTBMBOY  (999              = sysmis).
recode BTBMGIRL (999              = sysmis).
recode BTDMTOEN (999              = sysmis).
recode BTBMSMEC (9                = sysmis).
recode BTBMTIME (9999             = sysmis).
recode BTBMTXBK (9                = sysmis).
recode BTBMTXBR (9                = sysmis).
recode BTBMCUDL (9                = sysmis).
recode BTBMWECP (9                = sysmis).
recode BTBMCAL1 (9                = sysmis).
recode BTBMCAL2 (9                = sysmis).
recode BTBMCAL3 (9                = sysmis).
recode BTBMCAL4 (9                = sysmis).
recode BTBMCAL5 (9                = sysmis).
recode BTBMCOM1 (9                = sysmis).
recode BTBMCOM2 (9                = sysmis).
recode BTBMINT1 (9                = sysmis).
recode BTBMINT2 (9                = sysmis).
recode BTBMSRC1 (9                = sysmis).
recode BTBMSRC2 (9                = sysmis).
recode BTBMSRC3 (9                = sysmis).
recode BTBMSRC4 (9                = sysmis).
recode BTBMASK1 (9                = sysmis).
recode BTBMASK2 (9                = sysmis).
recode BTBMASK3 (9                = sysmis).
recode BTBMASK4 (9                = sysmis).
recode BTBMASK5 (9                = sysmis).
recode BTBMASK6 (9                = sysmis).
recode BTBMASK7 (9                = sysmis).
recode BTBMLES1 (9                = sysmis).
recode BTBMLES2 (9                = sysmis).
recode BTBMLES3 (9                = sysmis).
recode BTBMLES4 (9                = sysmis).
recode BTBMLES5 (9                = sysmis).
recode BTBMLES6 (9                = sysmis).
recode BTBMACT1 (999              = sysmis).
recode BTBMACT2 (999              = sysmis).
recode BTBMACT3 (999              = sysmis).
recode BTBMACT4 (999              = sysmis).
recode BTBMACT5 (999              = sysmis).
recode BTBMACT6 (999              = sysmis).
recode BTBMACT7 (999              = sysmis).
recode BTBMACT8 (999              = sysmis).
recode BTBMTB01 (9                = sysmis).
recode BTBMTT01 (9                = sysmis).
recode BTBMNT01 (9                = sysmis).
recode BTBMTB02 (9                = sysmis).
recode BTBMTT02 (9                = sysmis).
recode BTBMNT02 (9                = sysmis).
recode BTBMTB03 (9                = sysmis).
recode BTBMTT03 (9                = sysmis).
recode BTBMNT03 (9                = sysmis).
recode BTBMTB04 (9                = sysmis).
recode BTBMTT04 (9                = sysmis).
recode BTBMNT04 (9                = sysmis).
recode BTBMTB05 (9                = sysmis).
recode BTBMTT05 (9                = sysmis).
recode BTBMNT05 (9                = sysmis).
recode BTBMTB06 (9                = sysmis).
recode BTBMTT06 (9                = sysmis).
recode BTBMNT06 (9                = sysmis).
recode BTBMTB07 (9                = sysmis).
recode BTBMTT07 (9                = sysmis).
recode BTBMNT07 (9                = sysmis).
recode BTBMTB08 (9                = sysmis).
recode BTBMTT08 (9                = sysmis).
recode BTBMNT08 (9                = sysmis).
recode BTBMTB09 (9                = sysmis).
recode BTBMTT09 (9                = sysmis).
recode BTBMNT09 (9                = sysmis).
recode BTBMTB10 (9                = sysmis).
recode BTBMTT10 (9                = sysmis).
recode BTBMNT10 (9                = sysmis).
recode BTBMTB11 (9                = sysmis).
recode BTBMTT11 (9                = sysmis).
recode BTBMNT11 (9                = sysmis).
recode BTBMTB12 (9                = sysmis).
recode BTBMTT12 (9                = sysmis).
recode BTBMNT12 (9                = sysmis).
recode BTBMTB13 (9                = sysmis).
recode BTBMTT13 (9                = sysmis).
recode BTBMNT13 (9                = sysmis).
recode BTBMTB14 (9                = sysmis).
recode BTBMTT14 (9                = sysmis).
recode BTBMNT14 (9                = sysmis).
recode BTBMTB15 (9                = sysmis).
recode BTBMTT15 (9                = sysmis).
recode BTBMNT15 (9                = sysmis).
recode BTBMTB16 (9                = sysmis).
recode BTBMTT16 (9                = sysmis).
recode BTBMNT16 (9                = sysmis).
recode BTBMTB17 (9                = sysmis).
recode BTBMTT17 (9                = sysmis).
recode BTBMNT17 (9                = sysmis).
recode BTBMTB18 (9                = sysmis).
recode BTBMTT18 (9                = sysmis).
recode BTBMNT18 (9                = sysmis).
recode BTBMTB19 (9                = sysmis).
recode BTBMTT19 (9                = sysmis).
recode BTBMNT19 (9                = sysmis).
recode BTBMTB20 (9                = sysmis).
recode BTBMTT20 (9                = sysmis).
recode BTBMNT20 (9                = sysmis).
recode BTBMTB21 (9                = sysmis).
recode BTBMTT21 (9                = sysmis).
recode BTBMNT21 (9                = sysmis).
recode BTBMTB22 (9                = sysmis).
recode BTBMTT22 (9                = sysmis).
recode BTBMNT22 (9                = sysmis).
recode BTBMTB23 (9                = sysmis).
recode BTBMTT23 (9                = sysmis).
recode BTBMNT23 (9                = sysmis).
recode BTBMTB24 (9                = sysmis).
recode BTBMTT24 (9                = sysmis).
recode BTBMNT24 (9                = sysmis).
recode BTBMTB25 (9                = sysmis).
recode BTBMTT25 (9                = sysmis).
recode BTBMNT25 (9                = sysmis).
recode BTBMTB26 (9                = sysmis).
recode BTBMTT26 (9                = sysmis).
recode BTBMNT26 (9                = sysmis).
recode BTBMTB27 (9                = sysmis).
recode BTBMTT27 (9                = sysmis).
recode BTBMNT27 (9                = sysmis).
recode BTBMTB28 (9                = sysmis).
recode BTBMTT28 (9                = sysmis).
recode BTBMNT28 (9                = sysmis).
recode BTBMTB29 (9                = sysmis).
recode BTBMTT29 (9                = sysmis).
recode BTBMNT29 (9                = sysmis).
recode BTBMTB30 (9                = sysmis).
recode BTBMTT30 (9                = sysmis).
recode BTBMNT30 (9                = sysmis).
recode BTBMTB31 (9                = sysmis).
recode BTBMTT31 (9                = sysmis).
recode BTBMNT31 (9                = sysmis).
recode BTBMTB32 (9                = sysmis).
recode BTBMTT32 (9                = sysmis).
recode BTBMNT32 (9                = sysmis).
recode BTBMTB33 (9                = sysmis).
recode BTBMTT33 (9                = sysmis).
recode BTBMNT33 (9                = sysmis).
recode BTBMTB34 (9                = sysmis).
recode BTBMTT34 (9                = sysmis).
recode BTBMNT34 (9                = sysmis).
recode BTBMLM01 (9                = sysmis).
recode BTBMLM02 (9                = sysmis).
recode BTBMLM03 (9                = sysmis).
recode BTBMLM04 (9                = sysmis).
recode BTBMLM05 (9                = sysmis).
recode BTBMLM06 (9                = sysmis).
recode BTBMLM07 (9                = sysmis).
recode BTBMLM08 (9                = sysmis).
recode BTBMLM09 (9                = sysmis).
recode BTBMLM10 (9                = sysmis).
recode BTBMLM11 (9                = sysmis).
recode BTBMLM12 (9                = sysmis).
recode BTBMLM13 (9                = sysmis).
recode BTBMLM14 (9                = sysmis).
recode BTBMLM15 (9                = sysmis).
recode BTBMLM16 (9                = sysmis).
recode BTBMHMW2 (9                = sysmis).
recode BTBMHWMA (9                = sysmis).
recode BTBMWKBR (9                = sysmis).
recode BTBMPROR (9                = sysmis).
recode BTBMREAR (9                = sysmis).
recode BTBMWRIR (9                = sysmis).
recode BTBMDATR (9                = sysmis).
recode BTBMIEXR (9                = sysmis).
recode BTBMGEXR (9                = sysmis).
recode BTBMFINR (9                = sysmis).
recode BTBMORAR (9                = sysmis).
recode BTBMJORR (9                = sysmis).
recode BTBMWHNA (9                = sysmis).
recode BTBMWHR1 (9                = sysmis).
recode BTBMWHR2 (9                = sysmis).
recode BTBMWHR3 (9                = sysmis).
recode BTBMWHR4 (9                = sysmis).
recode BTBMWHR5 (9                = sysmis).
recode BTBMWHR6 (9                = sysmis).
recode BTBMWHR7 (9                = sysmis).
recode BTBMWHR8 (9                = sysmis).
recode BTBMWGT1 (9                = sysmis).
recode BTBMWGT2 (9                = sysmis).
recode BTBMWGT3 (9                = sysmis).
recode BTBMWGT4 (9                = sysmis).
recode BTBMWGT5 (9                = sysmis).
recode BTBMWGT6 (9                = sysmis).
recode BTBMWGT7 (9                = sysmis).
recode BTBGASS1 (9                = sysmis).
recode BTBGASS2 (9                = sysmis).
recode BTBGASS3 (9                = sysmis).
recode BTBGASS4 (9                = sysmis).
recode BTBGASS5 (9                = sysmis).
recode BTBGASS6 (9                = sysmis).
recode BTDGSUBT (9999             = sysmis).
recode BTDGTSKT (9999             = sysmis).
recode BTDMMGRD (9                = sysmis).
recode BTDMQUA  (9                = sysmis).
recode BTDMCPTM (9                = sysmis).
recode BTDMTPTT (9999             = sysmis).
recode BTDMSIZE (9999             = sysmis).
recode BTDMSZ3C (9                = sysmis).
recode BTDMERPS (9                = sysmis).
recode BTDMEMH  (9                = sysmis).
recode BTDGMMJ1 (9                = sysmis).
recode BTDGMMJ2 (9                = sysmis).
recode BTDGMMJ3 (9                = sysmis).
recode BTDGMMJ4 (9                = sysmis).
recode BTDGMMJ5 (9                = sysmis).
recode BTDMHTM  (9999             = sysmis).
recode BTDMTIME (9                = sysmis).
recode BTDMCALC (9                = sysmis).
recode BTDMHWK  (99               = sysmis).
recode BTDMHWK2 (9                = sysmis).
recode BTDGTTIM (9999             = sysmis).
recode BTDMTTIM (9999             = sysmis).
recode BTDGCPLN (9999             = sysmis).
recode BTDGADMN (9999             = sysmis).
recode BTDGOTHR (9999             = sysmis).


*NOTE: recode "not administered" data to user defined "missing value"
       in some case a zero code might be appropriate for numeric values
       in this case the variable must be recoded correspondingly.

missing value VERSION (98).
missing value IDCNTRY (99998).
missing value IDSUBJCT(8).
missing value IDPOP   (8).
missing value IDSCHOOL(999998).
missing value IDTEACH (99999998).
missing value IDLINK  (98).
missing value ITCOURSE(98).
missing value BTBGAGE (8).
missing value BTBGSEX (8 6).
missing value BTBGTAUG(98 96).
missing value BTBGTOTL(98 96).
missing value BTBMSUB1(98 96).
missing value BTBSSUB2(98 96).
missing value BTBSSUB3(98 96).
missing value BTBSSUB4(98 96).
missing value BTBSSUB5(98 96).
missing value BTBSSUB6(98 96).
missing value BTBSSUB7(98 96).
missing value BTBSSUB8(98 96).
missing value BTBGSUB9(98 96).
missing value BTBGTSK1(98 96).
missing value BTBGTSK2(98 96).
missing value BTBGTSK3(98 96).
missing value BTBGTSK4(98 96).
missing value BTBGTSK5(98 96).
missing value BTBGTSK6(98 96).
missing value BTBGTSK7(98 96).
missing value BTBGACT1(8 6).
missing value BTBGACT2(8 6).
missing value BTBGACT3(8 6).
missing value BTBGACT4(8 6).
missing value BTBGACT5(8 6).
missing value BTBGACT6(8 6).
missing value BTBGACT7(8 6).
missing value BTBGACT8(8 6).
missing value BTBGACT9(8 6).
missing value BTBGALTO(98 96).
missing value BTBGMEET(8).
missing value BTBGINF1(8 6).
missing value BTBGINF2(8 6).
missing value BTBGINF3(8 6).
missing value BTBGINF4(8 6).
missing value BTBMIMP1(8 6).
missing value BTBMIMP2(8 6).
missing value BTBMIMP3(8 6).
missing value BTBMIMP4(8 6).
missing value BTBMIMP5(8 6).
missing value BTBMIMP6(8 6).
missing value BTBMAGR1(8 6).
missing value BTBMAGR2(8 6).
missing value BTBMAGR3(8 6).
missing value BTBGAGR4(8 6).
missing value BTBMAGR5(8 6).
missing value BTBMAGR6(8 6).
missing value BTBMAGR7(8 6).
missing value BTBMAGR8(8 6).
missing value BTBMAGR9(8 6).
missing value BTBMFAM1(8 6).
missing value BTBMFAM2(8 6).
missing value BTBGFAM3(8 6).
missing value BTBGFAM4(8 6).
missing value BTBGFAM5(8 6).
missing value BTBMFAM6(8 6).
missing value BTBMFAM7(8 6).
missing value BTBMFP01(8 6).
missing value BTBMFP02(8 6).
missing value BTBMFP03(8 6).
missing value BTBMFP04(8 6).
missing value BTBMFP05(8 6).
missing value BTBMFP06(8 6).
missing value BTBMFP07(8 6).
missing value BTBMFP08(8 6).
missing value BTBMFP09(8 6).
missing value BTBMFP10(8 6).
missing value BTBMFP11(8 6).
missing value BTBMFP12(8 6).
missing value BTBGEDUC(8 6).
missing value BTBGTRAC(8 6).
missing value BTBGYETR(98 96).
missing value BTBGPRTR(8 6).
missing value BTBGCMAS(8 6).
missing value BTBGCMA1(8 6).
missing value BTBGCMA2(8 6).
missing value BTBGCMA3(8 6).
missing value BTBGCMA4(8 6).
missing value BTBGCMA5(8 6).
missing value BTBGCMA6(8 6).
missing value BTBGCMA7(8 6).
missing value BTBGCMA8(8 6).
missing value BTBGMMAS(8 6).
missing value BTBGMMA1(8 6).
missing value BTBGMMA2(8 6).
missing value BTBGMMA3(8 6).
missing value BTBGMMA4(8 6).
missing value BTBGMMA5(8 6).
missing value BTBGMMA6(8 6).
missing value BTBGMMA7(8 6).
missing value BTBGMMA8(8 6).
missing value BTBGCARE(8 6).
missing value BTBGCHNG(8 6).
missing value BTBGSOAP(8 6).
missing value BTBGSTAP(8 6).
missing value BTBGBOOK(8 6).
missing value BTBMBOY (998 996).
missing value BTBMGIRL(998 996).
missing value BTDMTOEN(998 996).
missing value BTBMSMEC(8).
missing value BTBMTIME(9998 9996).
missing value BTBMTXBK(8 6).
missing value BTBMTXBR(8 6).
missing value BTBMCUDL(8 6).
missing value BTBMWECP(8 6).
missing value BTBMCAL1(8 6).
missing value BTBMCAL2(8 6).
missing value BTBMCAL3(8 6).
missing value BTBMCAL4(8 6).
missing value BTBMCAL5(8 6).
missing value BTBMCOM1(8 6).
missing value BTBMCOM2(8 6).
missing value BTBMINT1(8 6).
missing value BTBMINT2(8 6).
missing value BTBMSRC1(8).
missing value BTBMSRC2(8).
missing value BTBMSRC3(8).
missing value BTBMSRC4(8).
missing value BTBMASK1(8 6).
missing value BTBMASK2(8 6).
missing value BTBMASK3(8 6).
missing value BTBMASK4(8 6).
missing value BTBMASK5(8 6).
missing value BTBMASK6(8 6).
missing value BTBMASK7(8 6).
missing value BTBMLES1(8 6).
missing value BTBMLES2(8 6).
missing value BTBMLES3(8 6).
missing value BTBMLES4(8 6).
missing value BTBMLES5(8 6).
missing value BTBMLES6(8 6).
missing value BTBMACT1(998 996).
missing value BTBMACT2(998 996).
missing value BTBMACT3(998 996).
missing value BTBMACT4(998 996).
missing value BTBMACT5(998 996).
missing value BTBMACT6(998 996).
missing value BTBMACT7(998 996).
missing value BTBMACT8(998 996).
missing value BTBMTB01(8 6).
missing value BTBMTT01(8 6).
missing value BTBMNT01(8 6).
missing value BTBMTB02(8 6).
missing value BTBMTT02(8 6).
missing value BTBMNT02(8 6).
missing value BTBMTB03(8 6).
missing value BTBMTT03(8 6).
missing value BTBMNT03(8 6).
missing value BTBMTB04(8 6).
missing value BTBMTT04(8 6).
missing value BTBMNT04(8 6).
missing value BTBMTB05(8 6).
missing value BTBMTT05(8 6).
missing value BTBMNT05(8 6).
missing value BTBMTB06(8 6).
missing value BTBMTT06(8 6).
missing value BTBMNT06(8 6).
missing value BTBMTB07(8 6).
missing value BTBMTT07(8 6).
missing value BTBMNT07(8 6).
missing value BTBMTB08(8 6).
missing value BTBMTT08(8 6).
missing value BTBMNT08(8 6).
missing value BTBMTB09(8 6).
missing value BTBMTT09(8 6).
missing value BTBMNT09(8 6).
missing value BTBMTB10(8 6).
missing value BTBMTT10(8 6).
missing value BTBMNT10(8 6).
missing value BTBMTB11(8 6).
missing value BTBMTT11(8 6).
missing value BTBMNT11(8 6).
missing value BTBMTB12(8 6).
missing value BTBMTT12(8 6).
missing value BTBMNT12(8 6).
missing value BTBMTB13(8 6).
missing value BTBMTT13(8 6).
missing value BTBMNT13(8 6).
missing value BTBMTB14(8 6).
missing value BTBMTT14(8 6).
missing value BTBMNT14(8 6).
missing value BTBMTB15(8 6).
missing value BTBMTT15(8 6).
missing value BTBMNT15(8 6).
missing value BTBMTB16(8 6).
missing value BTBMTT16(8 6).
missing value BTBMNT16(8 6).
missing value BTBMTB17(8 6).
missing value BTBMTT17(8 6).
missing value BTBMNT17(8 6).
missing value BTBMTB18(8 6).
missing value BTBMTT18(8 6).
missing value BTBMNT18(8 6).
missing value BTBMTB19(8 6).
missing value BTBMTT19(8 6).
missing value BTBMNT19(8 6).
missing value BTBMTB20(8 6).
missing value BTBMTT20(8 6).
missing value BTBMNT20(8 6).
missing value BTBMTB21(8 6).
missing value BTBMTT21(8 6).
missing value BTBMNT21(8 6).
missing value BTBMTB22(8 6).
missing value BTBMTT22(8 6).
missing value BTBMNT22(8 6).
missing value BTBMTB23(8 6).
missing value BTBMTT23(8 6).
missing value BTBMNT23(8 6).
missing value BTBMTB24(8 6).
missing value BTBMTT24(8 6).
missing value BTBMNT24(8 6).
missing value BTBMTB25(8 6).
missing value BTBMTT25(8 6).
missing value BTBMNT25(8 6).
missing value BTBMTB26(8 6).
missing value BTBMTT26(8 6).
missing value BTBMNT26(8 6).
missing value BTBMTB27(8 6).
missing value BTBMTT27(8 6).
missing value BTBMNT27(8 6).
missing value BTBMTB28(8 6).
missing value BTBMTT28(8 6).
missing value BTBMNT28(8 6).
missing value BTBMTB29(8 6).
missing value BTBMTT29(8 6).
missing value BTBMNT29(8 6).
missing value BTBMTB30(8 6).
missing value BTBMTT30(8 6).
missing value BTBMNT30(8 6).
missing value BTBMTB31(8 6).
missing value BTBMTT31(8 6).
missing value BTBMNT31(8 6).
missing value BTBMTB32(8 6).
missing value BTBMTT32(8 6).
missing value BTBMNT32(8 6).
missing value BTBMTB33(8 6).
missing value BTBMTT33(8 6).
missing value BTBMNT33(8 6).
missing value BTBMTB34(8 6).
missing value BTBMTT34(8 6).
missing value BTBMNT34(8 6).
missing value BTBMLM01(8 6).
missing value BTBMLM02(8 6).
missing value BTBMLM03(8 6).
missing value BTBMLM04(8 6).
missing value BTBMLM05(8 6).
missing value BTBMLM06(8 6).
missing value BTBMLM07(8 6).
missing value BTBMLM08(8 6).
missing value BTBMLM09(8 6).
missing value BTBMLM10(8 6).
missing value BTBMLM11(8 6).
missing value BTBMLM12(8 6).
missing value BTBMLM13(8 6).
missing value BTBMLM14(8 6).
missing value BTBMLM15(8 6).
missing value BTBMLM16(8 6).
missing value BTBMHMW2(8 6).
missing value BTBMHWMA(8 6).
missing value BTBMWKBR(8 6).
missing value BTBMPROR(8 6).
missing value BTBMREAR(8 6).
missing value BTBMWRIR(8 6).
missing value BTBMDATR(8 6).
missing value BTBMIEXR(8 6).
missing value BTBMGEXR(8 6).
missing value BTBMFINR(8 6).
missing value BTBMORAR(8 6).
missing value BTBMJORR(8 6).
missing value BTBMWHNA(8 6).
missing value BTBMWHR1(8 6).
missing value BTBMWHR2(8 6).
missing value BTBMWHR3(8 6).
missing value BTBMWHR4(8 6).
missing value BTBMWHR5(8 6).
missing value BTBMWHR6(8 6).
missing value BTBMWHR7(8 6).
missing value BTBMWHR8(8 6).
missing value BTBMWGT1(8 6).
missing value BTBMWGT2(8 6).
missing value BTBMWGT3(8 6).
missing value BTBMWGT4(8 6).
missing value BTBMWGT5(8 6).
missing value BTBMWGT6(8 6).
missing value BTBMWGT7(8 6).
missing value BTBGASS1(8 6).
missing value BTBGASS2(8 6).
missing value BTBGASS3(8 6).
missing value BTBGASS4(8 6).
missing value BTBGASS5(8 6).
missing value BTBGASS6(8 6).
missing value BTDGSUBT(9998 9996).
missing value BTDGTSKT(9998 9996).
missing value BTDMMGRD(8 6).
missing value BTDMQUA (8 6).
missing value BTDMCPTM(8 6).
missing value BTDMTPTT(9998 9996).
missing value BTDMSIZE(9998 9996).
missing value BTDMSZ3C(8 6).
missing value BTDMERPS(8 6).
missing value BTDMEMH (8 6).
missing value BTDGMMJ1(8 6).
missing value BTDGMMJ2(8 6).
missing value BTDGMMJ3(8 6).
missing value BTDGMMJ4(8 6).
missing value BTDGMMJ5(8 6).
missing value BTDMHTM (9998 9996).
missing value BTDMTIME(8 6).
missing value BTDMCALC(8 6).
missing value BTDMHWK (98 96).
missing value BTDMHWK2(8 6).
missing value BTDGTTIM(9998 9996).
missing value BTDMTTIM(9998 9996).
missing value BTDGCPLN(9998 9996).
missing value BTDGADMN(9998 9996).
missing value BTDGOTHR(9998 9996).


*NOTE: These statements format the variable
       according to the length and decimal places.

format VERSION  (f2.0).
format IDCNTRY  (f5.0).
format IDSUBJCT (f1.0).
format IDPOP    (f1.0).
format IDSCHOOL (f6.0).
format IDTEACH  (f8.0).
format IDLINK   (f2.0).
format ITCOURSE (f2.0).
format BTBGAGE  (f1.0).
format BTBGSEX  (f1.0).
format BTBGTAUG (f2.0).
format BTBGTOTL (f2.0).
format BTBMSUB1 (f2.0).
format BTBSSUB2 (f2.0).
format BTBSSUB3 (f2.0).
format BTBSSUB4 (f2.0).
format BTBSSUB5 (f2.0).
format BTBSSUB6 (f2.0).
format BTBSSUB7 (f2.0).
format BTBSSUB8 (f2.0).
format BTBGSUB9 (f2.0).
format BTBGTSK1 (f2.0).
format BTBGTSK2 (f2.0).
format BTBGTSK3 (f2.0).
format BTBGTSK4 (f2.0).
format BTBGTSK5 (f2.0).
format BTBGTSK6 (f2.0).
format BTBGTSK7 (f2.0).
format BTBGACT1 (f1.0).
format BTBGACT2 (f1.0).
format BTBGACT3 (f1.0).
format BTBGACT4 (f1.0).
format BTBGACT5 (f1.0).
format BTBGACT6 (f1.0).
format BTBGACT7 (f1.0).
format BTBGACT8 (f1.0).
format BTBGACT9 (f1.0).
format BTBGALTO (f2.0).
format BTBGMEET (f1.0).
format BTBGINF1 (f1.0).
format BTBGINF2 (f1.0).
format BTBGINF3 (f1.0).
format BTBGINF4 (f1.0).
format BTBMIMP1 (f1.0).
format BTBMIMP2 (f1.0).
format BTBMIMP3 (f1.0).
format BTBMIMP4 (f1.0).
format BTBMIMP5 (f1.0).
format BTBMIMP6 (f1.0).
format BTBMAGR1 (f1.0).
format BTBMAGR2 (f1.0).
format BTBMAGR3 (f1.0).
format BTBGAGR4 (f1.0).
format BTBMAGR5 (f1.0).
format BTBMAGR6 (f1.0).
format BTBMAGR7 (f1.0).
format BTBMAGR8 (f1.0).
format BTBMAGR9 (f1.0).
format BTBMFAM1 (f1.0).
format BTBMFAM2 (f1.0).
format BTBGFAM3 (f1.0).
format BTBGFAM4 (f1.0).
format BTBGFAM5 (f1.0).
format BTBMFAM6 (f1.0).
format BTBMFAM7 (f1.0).
format BTBMFP01 (f1.0).
format BTBMFP02 (f1.0).
format BTBMFP03 (f1.0).
format BTBMFP04 (f1.0).
format BTBMFP05 (f1.0).
format BTBMFP06 (f1.0).
format BTBMFP07 (f1.0).
format BTBMFP08 (f1.0).
format BTBMFP09 (f1.0).
format BTBMFP10 (f1.0).
format BTBMFP11 (f1.0).
format BTBMFP12 (f1.0).
format BTBGEDUC (f1.0).
format BTBGTRAC (f1.0).
format BTBGYETR (f2.0).
format BTBGPRTR (f1.0).
format BTBGCMAS (f1.0).
format BTBGCMA1 (f1.0).
format BTBGCMA2 (f1.0).
format BTBGCMA3 (f1.0).
format BTBGCMA4 (f1.0).
format BTBGCMA5 (f1.0).
format BTBGCMA6 (f1.0).
format BTBGCMA7 (f1.0).
format BTBGCMA8 (f1.0).
format BTBGMMAS (f1.0).
format BTBGMMA1 (f1.0).
format BTBGMMA2 (f1.0).
format BTBGMMA3 (f1.0).
format BTBGMMA4 (f1.0).
format BTBGMMA5 (f1.0).
format BTBGMMA6 (f1.0).
format BTBGMMA7 (f1.0).
format BTBGMMA8 (f1.0).
format BTBGCARE (f1.0).
format BTBGCHNG (f1.0).
format BTBGSOAP (f1.0).
format BTBGSTAP (f1.0).
format BTBGBOOK (f1.0).
format BTBMBOY  (f3.0).
format BTBMGIRL (f3.0).
format BTDMTOEN (f3.0).
format BTBMSMEC (f1.0).
format BTBMTIME (f4.0).
format BTBMTXBK (f1.0).
format BTBMTXBR (f1.0).
format BTBMCUDL (f1.0).
format BTBMWECP (f1.0).
format BTBMCAL1 (f1.0).
format BTBMCAL2 (f1.0).
format BTBMCAL3 (f1.0).
format BTBMCAL4 (f1.0).
format BTBMCAL5 (f1.0).
format BTBMCOM1 (f1.0).
format BTBMCOM2 (f1.0).
format BTBMINT1 (f1.0).
format BTBMINT2 (f1.0).
format BTBMSRC1 (f1.0).
format BTBMSRC2 (f1.0).
format BTBMSRC3 (f1.0).
format BTBMSRC4 (f1.0).
format BTBMASK1 (f1.0).
format BTBMASK2 (f1.0).
format BTBMASK3 (f1.0).
format BTBMASK4 (f1.0).
format BTBMASK5 (f1.0).
format BTBMASK6 (f1.0).
format BTBMASK7 (f1.0).
format BTBMLES1 (f1.0).
format BTBMLES2 (f1.0).
format BTBMLES3 (f1.0).
format BTBMLES4 (f1.0).
format BTBMLES5 (f1.0).
format BTBMLES6 (f1.0).
format BTBMACT1 (f3.0).
format BTBMACT2 (f3.0).
format BTBMACT3 (f3.0).
format BTBMACT4 (f3.0).
format BTBMACT5 (f3.0).
format BTBMACT6 (f3.0).
format BTBMACT7 (f3.0).
format BTBMACT8 (f3.0).
format BTBMTB01 (f1.0).
format BTBMTT01 (f1.0).
format BTBMNT01 (f1.0).
format BTBMTB02 (f1.0).
format BTBMTT02 (f1.0).
format BTBMNT02 (f1.0).
format BTBMTB03 (f1.0).
format BTBMTT03 (f1.0).
format BTBMNT03 (f1.0).
format BTBMTB04 (f1.0).
format BTBMTT04 (f1.0).
format BTBMNT04 (f1.0).
format BTBMTB05 (f1.0).
format BTBMTT05 (f1.0).
format BTBMNT05 (f1.0).
format BTBMTB06 (f1.0).
format BTBMTT06 (f1.0).
format BTBMNT06 (f1.0).
format BTBMTB07 (f1.0).
format BTBMTT07 (f1.0).
format BTBMNT07 (f1.0).
format BTBMTB08 (f1.0).
format BTBMTT08 (f1.0).
format BTBMNT08 (f1.0).
format BTBMTB09 (f1.0).
format BTBMTT09 (f1.0).
format BTBMNT09 (f1.0).
format BTBMTB10 (f1.0).
format BTBMTT10 (f1.0).
format BTBMNT10 (f1.0).
format BTBMTB11 (f1.0).
format BTBMTT11 (f1.0).
format BTBMNT11 (f1.0).
format BTBMTB12 (f1.0).
format BTBMTT12 (f1.0).
format BTBMNT12 (f1.0).
format BTBMTB13 (f1.0).
format BTBMTT13 (f1.0).
format BTBMNT13 (f1.0).
format BTBMTB14 (f1.0).
format BTBMTT14 (f1.0).
format BTBMNT14 (f1.0).
format BTBMTB15 (f1.0).
format BTBMTT15 (f1.0).
format BTBMNT15 (f1.0).
format BTBMTB16 (f1.0).
format BTBMTT16 (f1.0).
format BTBMNT16 (f1.0).
format BTBMTB17 (f1.0).
format BTBMTT17 (f1.0).
format BTBMNT17 (f1.0).
format BTBMTB18 (f1.0).
format BTBMTT18 (f1.0).
format BTBMNT18 (f1.0).
format BTBMTB19 (f1.0).
format BTBMTT19 (f1.0).
format BTBMNT19 (f1.0).
format BTBMTB20 (f1.0).
format BTBMTT20 (f1.0).
format BTBMNT20 (f1.0).
format BTBMTB21 (f1.0).
format BTBMTT21 (f1.0).
format BTBMNT21 (f1.0).
format BTBMTB22 (f1.0).
format BTBMTT22 (f1.0).
format BTBMNT22 (f1.0).
format BTBMTB23 (f1.0).
format BTBMTT23 (f1.0).
format BTBMNT23 (f1.0).
format BTBMTB24 (f1.0).
format BTBMTT24 (f1.0).
format BTBMNT24 (f1.0).
format BTBMTB25 (f1.0).
format BTBMTT25 (f1.0).
format BTBMNT25 (f1.0).
format BTBMTB26 (f1.0).
format BTBMTT26 (f1.0).
format BTBMNT26 (f1.0).
format BTBMTB27 (f1.0).
format BTBMTT27 (f1.0).
format BTBMNT27 (f1.0).
format BTBMTB28 (f1.0).
format BTBMTT28 (f1.0).
format BTBMNT28 (f1.0).
format BTBMTB29 (f1.0).
format BTBMTT29 (f1.0).
format BTBMNT29 (f1.0).
format BTBMTB30 (f1.0).
format BTBMTT30 (f1.0).
format BTBMNT30 (f1.0).
format BTBMTB31 (f1.0).
format BTBMTT31 (f1.0).
format BTBMNT31 (f1.0).
format BTBMTB32 (f1.0).
format BTBMTT32 (f1.0).
format BTBMNT32 (f1.0).
format BTBMTB33 (f1.0).
format BTBMTT33 (f1.0).
format BTBMNT33 (f1.0).
format BTBMTB34 (f1.0).
format BTBMTT34 (f1.0).
format BTBMNT34 (f1.0).
format BTBMLM01 (f1.0).
format BTBMLM02 (f1.0).
format BTBMLM03 (f1.0).
format BTBMLM04 (f1.0).
format BTBMLM05 (f1.0).
format BTBMLM06 (f1.0).
format BTBMLM07 (f1.0).
format BTBMLM08 (f1.0).
format BTBMLM09 (f1.0).
format BTBMLM10 (f1.0).
format BTBMLM11 (f1.0).
format BTBMLM12 (f1.0).
format BTBMLM13 (f1.0).
format BTBMLM14 (f1.0).
format BTBMLM15 (f1.0).
format BTBMLM16 (f1.0).
format BTBMHMW2 (f1.0).
format BTBMHWMA (f1.0).
format BTBMWKBR (f1.0).
format BTBMPROR (f1.0).
format BTBMREAR (f1.0).
format BTBMWRIR (f1.0).
format BTBMDATR (f1.0).
format BTBMIEXR (f1.0).
format BTBMGEXR (f1.0).
format BTBMFINR (f1.0).
format BTBMORAR (f1.0).
format BTBMJORR (f1.0).
format BTBMWHNA (f1.0).
format BTBMWHR1 (f1.0).
format BTBMWHR2 (f1.0).
format BTBMWHR3 (f1.0).
format BTBMWHR4 (f1.0).
format BTBMWHR5 (f1.0).
format BTBMWHR6 (f1.0).
format BTBMWHR7 (f1.0).
format BTBMWHR8 (f1.0).
format BTBMWGT1 (f1.0).
format BTBMWGT2 (f1.0).
format BTBMWGT3 (f1.0).
format BTBMWGT4 (f1.0).
format BTBMWGT5 (f1.0).
format BTBMWGT6 (f1.0).
format BTBMWGT7 (f1.0).
format BTBGASS1 (f1.0).
format BTBGASS2 (f1.0).
format BTBGASS3 (f1.0).
format BTBGASS4 (f1.0).
format BTBGASS5 (f1.0).
format BTBGASS6 (f1.0).
format BTDGSUBT (f8.3).
format BTDGTSKT (f8.3).
format BTDMMGRD (f1.0).
format BTDMQUA  (f1.0).
format BTDMCPTM (f1.0).
format BTDMTPTT (f8.3).
format BTDMSIZE (f8.3).
format BTDMSZ3C (f1.0).
format BTDMERPS (f1.0).
format BTDMEMH  (f1.0).
format BTDGMMJ1 (f1.0).
format BTDGMMJ2 (f1.0).
format BTDGMMJ3 (f1.0).
format BTDGMMJ4 (f1.0).
format BTDGMMJ5 (f1.0).
format BTDMHTM  (f8.3).
format BTDMTIME (f1.0).
format BTDMCALC (f1.0).
format BTDMHWK  (f2.0).
format BTDMHWK2 (f1.0).
format BTDGTTIM (f8.3).
format BTDMTTIM (f8.3).
format BTDGCPLN (f8.3).
format BTDGADMN (f8.3).
format BTDGOTHR (f8.3).
format DPCDATE  (f6.0).


*NOTE: save statement uses compressed option
       If you do not want copressed files,
       delete the /COMPRESSED statement.

save outfile = !savdata.

!doend
!enddefine

create country = AUS BFL BGR CAN CZE CYP FIN ENG HKG HUN
                 IDN IRN ISR ITA JOR JPN KOR LTU LVA MDA
                 MKD MYS NLD NZL PHL ROM RUS SGP SVN THA
                 TUN TWN USA ZAF CHL SVK MAR TUR.